// Copyleft Sanmayce, 2012-Nov-16.
// MokujIN, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.
// Free download at: www.sanmayce.com/Downloads/MokujIN.zip
// How to compile (using Intel compiler) as MT i.e. with threading:
// D:\_KAZE\MokujIN_16threads>icl /Ox MokujIN_16threads.c /FAcs /FeMokujIN_r5_16-Threads_IntelV12 /Qopenmp /Qopenmp-link:static -DCommence_OpenMP
// How to compile as (using Intel compiler) ST i.e. without threading (default):
// D:\_KAZE\MokujIN_16threads>icl /Ox MokujIN_16threads.c /FeMokujIN_r5_One-Thread_IntelV12
// How to compile (using Microsoft compiler) as MT i.e. with threading:
// D:\_KAZE\MokujIN_16threads>cl /Ox MokujIN_16threads.c /FAcs /FeMokujIN_r5_16-Threads_MicrosoftV16 /openmp -DCommence_OpenMP
// How to compile as (using Microsoft compiler) ST i.e. without threading (default):
// D:\_KAZE\MokujIN_16threads>cl /Ox MokujIN_16threads.c /FeMokujIN_r5_One-Thread_MicrosoftV16

/*
D:\_KAZE\MokujIN\MokujIN_r5fix>dir mo*.exe
 Volume in drive D is S640_Vol5
 Volume Serial Number is F85D-148B

 Directory of D:\_KAZE\MokujIN\MokujIN_r5fix

11/16/2012  02:20 AM           386,560 MokujIN_r5_HEXADECAD-Thread_IntelV12_32bit.exe
11/16/2012  02:18 AM           462,336 MokujIN_r5_HEXADECAD-Thread_IntelV12_64bit.exe
11/16/2012  01:06 AM            77,312 MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_32bit.exe
11/16/2012  12:51 AM            88,576 MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_64bit.exe
11/16/2012  02:20 AM            99,840 MokujIN_r5_MONAD-Thread_IntelV12_32bit.exe
11/16/2012  02:18 AM           115,200 MokujIN_r5_MONAD-Thread_IntelV12_64bit.exe
11/16/2012  01:06 AM            75,776 MokujIN_r5_MONAD-Thread_MicrosoftV16_32bit.exe
11/16/2012  12:51 AM            87,552 MokujIN_r5_MONAD-Thread_MicrosoftV16_64bit.exe
               8 File(s)      1,393,152 bytes
               0 Dir(s)   7,499,853,824 bytes free

D:\_KAZE\MokujIN\MokujIN_r5fix>runme
Revision 3 Single-Thread results:
Computing 2^1048576 took 0,454 seconds with '/TURBO' with Intel v12.1 on T7500 2200MHz.
Computing 2^1048576 took 1,856 seconds without '/TURBO' with Intel v12.1 on T7500 2200MHz.
Computing 2^1048576 took 0,426 seconds with '/TURBO' with Microsoft v16 on T7500 2200MHz.
Computing 2^1048576 took 1,678 seconds without '/TURBO' with Microsoft v16 on T7500 2200MHz.
SHA1 should be:
adebb3aac8ded6438719f8170a455f38dfebaae3
Computing 2^1048576 ...

D:\_KAZE\MokujIN\MokujIN_r5fix>time0<enter 1>TotalTime.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>timer "MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_32bit" 2 1048576 /stats
Timer 9.01 : Igor Pavlov : Public domain : 2009-05-31
MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revisi
on 5fix.
omp_get_num_procs( ) = 2
omp_get_max_threads( ) = 2
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 194,616,720 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 155,685,484 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 155,685,484 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 156,662,653 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 212 second(s).

Kernel Time  =     0.156 =    0%
User Time    =   420.843 =  198%
Process Time =   420.999 =  199%
Global Time  =   211.512 =  100%

D:\_KAZE\MokujIN\MokujIN_r5fix>time0<enter 1>>TotalTime.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>type TotalTime.txt
The current time is:  2:51:52.58
Enter the new time:
The current time is:  2:55:24.10
Enter the new time:

D:\_KAZE\MokujIN\MokujIN_r5fix>

D:\_KAZE\MokujIN_r5>MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_64bit.exe 2 20
1048576

D:\_KAZE\MokujIN_r5>MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_64bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.
omp_get_num_procs( ) = 2
omp_get_max_threads( ) = 2
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 129,744,480 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 172,983,872 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 155,685,484 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 158,658,356 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 210 second(s).

D:\_KAZE\MokujIN_r5>sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN_r5>MokujIN_r5_MONAD-Thread_MicrosoftV16_64bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, a single-threaded string multiplier, written by Kaze, 2012-Nov-16, revision 5fix.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 97,308,360 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 86,491,936 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 86,491,936 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 86,792,201 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 383 second(s).

D:\_KAZE\MokujIN_r5>sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN_r5>dir mo*.exe
 Volume in drive D is S640_Vol5
 Volume Serial Number is F85D-148B

 Directory of D:\_KAZE\MokujIN_r5

11/16/2012  01:06 AM            77,312 MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_32bit.exe
11/16/2012  12:51 AM            88,576 MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_64bit.exe
11/16/2012  01:06 AM            75,776 MokujIN_r5_MONAD-Thread_MicrosoftV16_32bit.exe
11/16/2012  12:51 AM            87,552 MokujIN_r5_MONAD-Thread_MicrosoftV16_64bit.exe
               4 File(s)        329,216 bytes
               0 Dir(s)   7,518,502,912 bytes free

D:\_KAZE\MokujIN_r5>MokujIN_r5_HEXADECAD-Thread_MicrosoftV16_32bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.
omp_get_num_procs( ) = 2
omp_get_max_threads( ) = 2
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 129,744,480 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 155,685,484 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 159,677,420 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 156,662,653 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 212 second(s).

D:\_KAZE\MokujIN_r5>sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN_r5>MokujIN_r5_MONAD-Thread_MicrosoftV16_32bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, a single-threaded string multiplier, written by Kaze, 2012-Nov-16, revision 5fix.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 77,846,688 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 81,939,728 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 84,154,316 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 83,308,902 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 398 second(s).

D:\_KAZE\MokujIN_r5>sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>icl /Ox MokujIN_16threads.c /FAcs /FeMokujIN_r5_16-Threads_IntelV12 /Qopenmp /Qopenmp-link:static -DCommence_OpenMP
Intel(R) C++ Intel(R) 64 Compiler XE for applications running on Intel(R) 64, Version 12.1.1.258 Build 20111011
Copyright (C) 1985-2011 Intel Corporation.  All rights reserved.
icl: command line remark #10010: option '/Qopenmp-link:static' is deprecated and will be removed in a future release. See '/help deprecated'

MokujIN_16threads.c
Microsoft (R) Incremental Linker Version 10.00.30319.01
Copyright (C) Microsoft Corporation.  All rights reserved.

-out:MokujIN_r5_16-Threads_IntelV12.exe
-nodefaultlib:libiompprof5mt.lib
-nodefaultlib:libiompprof5md.lib
-defaultlib:libiomp5mt.lib
-nodefaultlib:vcomp.lib
-nodefaultlib:vcompd.lib
MokujIN_16threads.obj

D:\_KAZE\MokujIN\MokujIN_r5fix>icl /Ox MokujIN_16threads.c /FeMokujIN_r5_One-Thread_IntelV12
Intel(R) C++ Intel(R) 64 Compiler XE for applications running on Intel(R) 64, Version 12.1.1.258 Build 20111011
Copyright (C) 1985-2011 Intel Corporation.  All rights reserved.

MokujIN_16threads.c
Microsoft (R) Incremental Linker Version 10.00.30319.01
Copyright (C) Microsoft Corporation.  All rights reserved.

-out:MokujIN_r5_One-Thread_IntelV12.exe
MokujIN_16threads.obj

D:\_KAZE\MokujIN\MokujIN_r5fix>MokujIN_r5_HEXADECAD-Thread_IntelV12_64bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.
omp_get_num_procs( ) = 2
omp_get_max_threads( ) = 2
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 129,744,480 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 172,983,872 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 163,879,457 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 164,962,661 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 202 second(s).

D:\_KAZE\MokujIN\MokujIN_r5fix>..\MokujIN_r4fix\sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>MokujIN_r5_MONAD-Thread_IntelV12_64bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, a single-threaded string multiplier, written by Kaze, 2012-Nov-16, revision 5fix.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 77,846,688 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 81,939,728 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 81,939,728 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 82,481,330 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 403 second(s).

D:\_KAZE\MokujIN\MokujIN_r5fix>..\MokujIN_r4fix\sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>MokujIN_r5_HEXADECAD-Thread_IntelV12_32bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.
omp_get_num_procs( ) = 2
omp_get_max_threads( ) = 2
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 129,744,480 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 155,685,484 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 144,823,706 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 147,392,674 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 226 second(s).

D:\_KAZE\MokujIN\MokujIN_r5fix>..\MokujIN_r4fix\sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>MokujIN_r5_MONAD-Thread_IntelV12_32bit.exe 2 1048576 /stats
MokujIN, Multiplication of INtegers, a single-threaded string multiplier, written by Kaze, 2012-Nov-16, revision 5fix.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 1 digits long: 1 MokujINs i.e. digits per second.
Multiplying performance for operands 2 digits long: 4 MokujINs i.e. digits per second.
Multiplying performance for operands 3 digits long: 9 MokujINs i.e. digits per second.
Multiplying performance for operands 5 digits long: 25 MokujINs i.e. digits per second.
Multiplying performance for operands 10 digits long: 100 MokujINs i.e. digits per second.
Multiplying performance for operands 20 digits long: 400 MokujINs i.e. digits per second.
Multiplying performance for operands 39 digits long: 1,521 MokujINs i.e. digits per second.
Multiplying performance for operands 78 digits long: 6,084 MokujINs i.e. digits per second.
Multiplying performance for operands 155 digits long: 24,025 MokujINs i.e. digits per second.
Multiplying performance for operands 309 digits long: 95,481 MokujINs i.e. digits per second.
Multiplying performance for operands 617 digits long: 380,689 MokujINs i.e. digits per second.
Multiplying performance for operands 1234 digits long: 1,522,756 MokujINs i.e. digits per second.
Multiplying performance for operands 2467 digits long: 6,086,089 MokujINs i.e. digits per second.
Multiplying performance for operands 4933 digits long: 24,334,489 MokujINs i.e. digits per second.
Multiplying performance for operands 9865 digits long: 97,318,225 MokujINs i.e. digits per second.
Multiplying performance for operands 19729 digits long: 77,846,688 MokujINs i.e. digits per second.
Multiplying performance for operands 39457 digits long: 74,135,945 MokujINs i.e. digits per second.
Multiplying performance for operands 78914 digits long: 75,029,149 MokujINs i.e. digits per second.
Multiplying performance for operands 157827 digits long: 74,802,888 MokujINs i.e. digits per second.
Dumping the result to 'MokujIN.txt' ... OK
Total Time: 444 second(s).

D:\_KAZE\MokujIN\MokujIN_r5fix>..\MokujIN_r4fix\sha1sum.exe MokujIN.txt
adebb3aac8ded6438719f8170a455f38dfebaae3  MokujIN.txt

D:\_KAZE\MokujIN\MokujIN_r5fix>
*/

// Revision 3:
// Computing 2^^1048576 took 0,454 seconds with '/TURBO' with Intel v12.1 on T7500 2200MHz.
// Computing 2^^1048576 took 1,856 seconds without '/TURBO' with Intel v12.1 on T7500 2200MHz.
// Computing 2^^1048576 took 0,426 seconds with '/TURBO' with Microsoft v16 on T7500 2200MHz.
// Computing 2^^1048576 took 1,678 seconds without '/TURBO' with Microsoft v16 on T7500 2200MHz.

// On August 23rd, 2008, a UCLA computer in the GIMPS PrimeNet network discovered the 45th (biggest so far (2010-July)) known Mersenne prime,
// 2^43,112,609-1, a mammoth 12,978,189 digit number!
// Now, who can wait for 'MokujIN.exe 2 43112609 /stats' to complete?!

/*
D:\_KAZE\MokujIN>MokujIN_Microsoft_32-bit_Version_16.exe /help
MokujIN, Multiplication of INtegers, written by Kaze, 2012-Nov-06, revision 3.
Usage: MokujIN [Number Power [/turbo]]
Note1: Power is signed 32bit integer i.e. up to 2^31-1=2,147,483,647.
Note2: Multiplicand or/and Multiplier cannot exceed 12978189 digits.
Note3: TURBO regime is several times (only) faster.
Example1: D:\_KAZE\MokujIN>MokujIN.exe 18446744073709551616 2
340282366920938463463374607431768211456
Example2: D:\_KAZE\MokujIN>MokujIN.exe
Multiplicand: 18446744073709551616
Multiplier  : 18446744073709551616
Result      : 340282366920938463463374607431768211456

D:\_KAZE\MokujIN>
*/


void x64toaKAZE (      /* stdcall is faster and smaller... Might as well use it for the helper. */
        unsigned long long val,
        char *buf,
        unsigned radix,
        int is_neg
        )
{
        char *p;                /* pointer to traverse string */
        char *firstdig;         /* pointer to first digit */
        char temp;              /* temp char */
        unsigned digval;        /* value of digit */

        p = buf;

        if ( is_neg )
        {
            *p++ = '-';         /* negative, so output '-' and negate */
            val = (unsigned long long)(-(long long)val);
        }

        firstdig = p;           /* save pointer to first digit */

        do {
            digval = (unsigned) (val % radix);
            val /= radix;       /* get next digit */

            /* convert to ascii and store */
            if (digval > 9)
                *p++ = (char) (digval - 10 + 'a');  /* a letter */
            else
                *p++ = (char) (digval + '0');       /* a digit */
        } while (val > 0);

        /* We now have the digit of the number in the buffer, but in reverse
           order.  Thus we reverse them now. */

        *p-- = '\0';            /* terminate string; p points to last digit */

        do {
            temp = *p;
            *p = *firstdig;
            *firstdig = temp;   /* swap *p and *firstdig */
            --p;
            ++firstdig;         /* advance to next two digits */
        } while (firstdig < p); /* repeat until halfway */
}

/* Actual functions just call conversion helper with neg flag set correctly,
   and return pointer to buffer. */

char * _i64toaKAZE (
        long long val,
        char *buf,
        int radix
        )
{
        x64toaKAZE((unsigned long long)val, buf, radix, (radix == 10 && val < 0));
        return buf;
}

char * _ui64toaKAZE (
        unsigned long long val,
        char *buf,
        int radix
        )
{
        x64toaKAZE(val, buf, radix, 0);
        return buf;
}

char * _ui64toaKAZEzerocomma (
        unsigned long long val,
        char *buf,
        int radix
        )
{
                        char *p;
                        char temp;
                        int txpman;
                        int pxnman;
        x64toaKAZE(val, buf, radix, 0);
                        p = buf;
                        do {
                        } while (*++p != '\0');
                        p--; // p points to last digit
                             // buf points to first digit
                        buf[26] = 0;
                        txpman = 1;
                        pxnman = 0;
                        do
                        { if (buf <= p)
                          { temp = *p;
                            buf[26-txpman] = temp; pxnman++;
                            p--;
                            if (pxnman % 3 == 0)
                            { txpman++;
                              buf[26-txpman] = (char) (',');
                            }
                          }
                          else
                          { buf[26-txpman] = (char) ('0'); pxnman++;
                            if (pxnman % 3 == 0)
                            { txpman++;
                              buf[26-txpman] = (char) (',');
                            }
                          }
                          txpman++;
                        } while (txpman <= 26);
        return buf;
}

char * _ui64toaKAZEcomma (
        unsigned long long val,
        char *buf,
        int radix
        )
{
                        char *p;
                        char temp;
                        int txpman;
                        int pxnman;
        x64toaKAZE(val, buf, radix, 0);
                        p = buf;
                        do {
                        } while (*++p != '\0');
                        p--; // p points to last digit
                             // buf points to first digit
                        buf[26] = 0;
                        txpman = 1;
                        pxnman = 0;
                        while (buf <= p)
                        { temp = *p;
                          buf[26-txpman] = temp; pxnman++;
                          p--;
                          if (pxnman % 3 == 0 && buf <= p)
                          { txpman++;
                            buf[26-txpman] = (char) (',');
                          }
                          txpman++;
                        } 
        return buf+26-(txpman-1);
}


#ifdef Commence_OpenMP
#include <omp.h>
#endif
#include <stdio.h>
#include <time.h>
#define memory_size 12978189 // equals MAX(Multiplicand,Multiplier)

unsigned char* MUL(unsigned char* Result, unsigned char* Multiplicand, unsigned char* Multiplier)
{
/*
'QuickBASIC was/is an excellent environment/compiler, eh.
FUNCTION MUL$ (Multiplicand$, Multiplier$)
'DimSum = CandLength + ErLength
'REDIM Result%(1 TO DimSum)
FOR SF = 1 TO CandLength 
FOR QB = 1 TO ErLength
	CarryFlag = 0
	Cycle = QB - 1 + SF
	Tiller = Cand%(SF) * Er%(QB)
	Result%(Cycle) = Tiller MOD 10 + Result%(Cycle)
	IF Result%(Cycle) >= 10 THEN
		Result%(Cycle) = Result%(Cycle) - 10
		CarryFlag = 1
	END IF
	NextNumPos = Cycle + 1
	Result%(NextNumPos) = Result%(NextNumPos) + CarryFlag + Tiller \ 10
	DO WHILE Result%(NextNumPos) >= 10
		Result%(NextNumPos) = Result%(NextNumPos) - 10
		NextNumPos = NextNumPos + 1
		Result%(NextNumPos) = Result%(NextNumPos) + 1
	LOOP
NEXT QB
NEXT SF
END FUNCTION
*/

	// 'unsigned long long' makes the computation ugly with 32bit code, so going down to 'unsigned long':
	// 8:14:04.78
	// 8:25:46.22
	// vs
	// 1:41:43.84
	// 1:52:33.59
	// Or almost a minute ugliness!

	unsigned long SF, QB, Cycle, NextNumPos;
	unsigned long DivideAndConquer;
	unsigned long ResLength, CandLength, ErLength;
	unsigned char CarryFlag, TillerMostSignificantDigit, TillerLeastSignificantDigit;

	unsigned char* Result01;
	unsigned char* Result02;
	unsigned char* Result03;
	unsigned char* Result04;
	unsigned char* Result05;
	unsigned char* Result06;
	unsigned char* Result07;
	unsigned char* Result08;
	unsigned char* Result09;
	unsigned char* Result10;
	unsigned char* Result11;
	unsigned char* Result12;
	unsigned char* Result13;
	unsigned char* Result14;
	unsigned char* Result15;
	unsigned char* Result16;

	// 0..9 + 0..9
	// One dimensional arrays should be faster!
	unsigned char MSDarrayADD[10][10] = {
		0,0,0,0,0,0,0,0,0,0, // 0+0, 0+1, 0+2, 0+3, 0+4, 0+5, 0+6, 0+7, 0+8, 0+9,
		0,0,0,0,0,0,0,0,0,1, // 1+0, 1+1, 1+2, 1+3, 1+4, 1+5, 1+6, 1+7, 1+8, 1+9,
		0,0,0,0,0,0,0,0,1,1, // 2+0, 2+1, 2+2, 2+3, 2+4, 2+5, 2+6, 2+7, 2+8, 2+9, 
		0,0,0,0,0,0,0,1,1,1, // 3+0, 3+1, 3+2, 3+3, 3+4, 3+5, 3+6, 3+7, 3+8, 3+9, 
		0,0,0,0,0,0,1,1,1,1, // 4+0, 4+1, 4+2, 4+3, 4+4, 4+5, 4+6, 4+7, 4+8, 4+9, 
		0,0,0,0,0,1,1,1,1,1, // 5+0, 5+1, 5+2, 5+3, 5+4, 5+5, 5+6, 5+7, 5+8, 5+9, 
		0,0,0,0,1,1,1,1,1,1, // 6+0, 6+1, 6+2, 6+3, 6+4, 6+5, 6+6, 6+7, 6+8, 6+9, 
		0,0,0,1,1,1,1,1,1,1, // 7+0, 7+1, 7+2, 7+3, 7+4, 7+5, 7+6, 7+7, 7+8, 7+9, 
		0,0,1,1,1,1,1,1,1,1, // 8+0, 8+1, 8+2, 8+3, 8+4, 8+5, 8+6, 8+7, 8+8, 8+9, 
		0,1,1,1,1,1,1,1,1,1  // 9+0, 9+1, 9+2, 9+3, 9+4, 9+5, 9+6, 9+7, 9+8, 9+9
	};
	unsigned char LSDarrayADD[10][10] = {
		0,1,2,3,4,5,6,7,8,9, // 0+0, 0+1, 0+2, 0+3, 0+4, 0+5, 0+6, 0+7, 0+8, 0+9,
		1,2,3,4,5,6,7,8,9,0, // 1+0, 1+1, 1+2, 1+3, 1+4, 1+5, 1+6, 1+7, 1+8, 1+9,
		2,3,4,5,6,7,8,9,0,1, // 2+0, 2+1, 2+2, 2+3, 2+4, 2+5, 2+6, 2+7, 2+8, 2+9, 
		3,4,5,6,7,8,9,0,1,2, // 3+0, 3+1, 3+2, 3+3, 3+4, 3+5, 3+6, 3+7, 3+8, 3+9, 
		4,5,6,7,8,9,0,1,2,3, // 4+0, 4+1, 4+2, 4+3, 4+4, 4+5, 4+6, 4+7, 4+8, 4+9, 
		5,6,7,8,9,0,1,2,3,4, // 5+0, 5+1, 5+2, 5+3, 5+4, 5+5, 5+6, 5+7, 5+8, 5+9, 
		6,7,8,9,0,1,2,3,4,5, // 6+0, 6+1, 6+2, 6+3, 6+4, 6+5, 6+6, 6+7, 6+8, 6+9, 
		7,8,9,0,1,2,3,4,5,6, // 7+0, 7+1, 7+2, 7+3, 7+4, 7+5, 7+6, 7+7, 7+8, 7+9, 
		8,9,0,1,2,3,4,5,6,7, // 8+0, 8+1, 8+2, 8+3, 8+4, 8+5, 8+6, 8+7, 8+8, 8+9, 
		9,0,1,2,3,4,5,6,7,8  // 9+0, 9+1, 9+2, 9+3, 9+4, 9+5, 9+6, 9+7, 9+8, 9+9
	};

	// 0..9 * 0..9
	// One dimensional arrays should be faster!
	unsigned char MSDarray[10][10] = {
		0,0,0,0,0,0,0,0,0,0, // 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
		0,0,0,0,0,0,0,0,0,0, // 1x0, 1x1, 1x2, 1x3, 1x4, 1x5, 1x6, 1x7, 1x8, 1x9,
		0,0,0,0,0,1,1,1,1,1, // 2x0, 2x1, 2x2, 2x3, 2x4, 2x5, 2x6, 2x7, 2x8, 2x9, 
		0,0,0,0,1,1,1,2,2,2, // 3x0, 3x1, 3x2, 3x3, 3x4, 3x5, 3x6, 3x7, 3x8, 3x9, 
		0,0,0,1,1,2,2,2,3,3, // 4x0, 4x1, 4x2, 4x3, 4x4, 4x5, 4x6, 4x7, 4x8, 4x9, 
		0,0,1,1,2,2,3,3,4,4, // 5x0, 5x1, 5x2, 5x3, 5x4, 5x5, 5x6, 5x7, 5x8, 5x9, 
		0,0,1,1,2,3,3,4,4,5, // 6x0, 6x1, 6x2, 6x3, 6x4, 6x5, 6x6, 6x7, 6x8, 6x9, 
		0,0,1,2,2,3,4,4,5,6, // 7x0, 7x1, 7x2, 7x3, 7x4, 7x5, 7x6, 7x7, 7x8, 7x9, 
		0,0,1,2,3,4,4,5,6,7, // 8x0, 8x1, 8x2, 8x3, 8x4, 8x5, 8x6, 8x7, 8x8, 8x9, 
		0,0,1,2,3,4,5,6,7,8  // 9x0, 9x1, 9x2, 9x3, 9x4, 9x5, 9x6, 9x7, 9x8, 9x9
	};
	unsigned char LSDarray[10][10] = {
		0,0,0,0,0,0,0,0,0,0, // 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9,
		0,1,2,3,4,5,6,7,8,9, // 1x0, 1x1, 1x2, 1x3, 1x4, 1x5, 1x6, 1x7, 1x8, 1x9,
		0,2,4,6,8,0,2,4,6,8, // 2x0, 2x1, 2x2, 2x3, 2x4, 2x5, 2x6, 2x7, 2x8, 2x9, 
		0,3,6,9,2,5,8,1,4,7, // 3x0, 3x1, 3x2, 3x3, 3x4, 3x5, 3x6, 3x7, 3x8, 3x9, 
		0,4,8,2,6,0,4,8,2,6, // 4x0, 4x1, 4x2, 4x3, 4x4, 4x5, 4x6, 4x7, 4x8, 4x9, 
		0,5,0,5,0,5,0,5,0,5, // 5x0, 5x1, 5x2, 5x3, 5x4, 5x5, 5x6, 5x7, 5x8, 5x9, 
		0,6,2,8,4,0,6,2,8,4, // 6x0, 6x1, 6x2, 6x3, 6x4, 6x5, 6x6, 6x7, 6x8, 6x9, 
		0,7,4,1,8,5,2,9,6,3, // 7x0, 7x1, 7x2, 7x3, 7x4, 7x5, 7x6, 7x7, 7x8, 7x9, 
		0,8,6,4,2,0,8,6,4,2, // 8x0, 8x1, 8x2, 8x3, 8x4, 8x5, 8x6, 8x7, 8x8, 8x9, 
		0,9,8,7,6,5,4,3,2,1  // 9x0, 9x1, 9x2, 9x3, 9x4, 9x5, 9x6, 9x7, 9x8, 9x9
	};
	// With above look-up tables (they replace all nasty *MULs, %MODs) we have a boost:
	// 1:41:43.84
	// 1:52:33.59 or 52*60+33-(41*60+43)= 650s
	// vs
	// 3:00:38.26
	// 3:08:11.38 or 08*60+11-(00*60+38)= 453s
	// Or 3+ minutes ugliness!

	CandLength =strlen(Multiplicand);
	ErLength =strlen(Multiplier);
	memset(Result, 0, (CandLength+ErLength)+1);

	if ( (ErLength == 1 && Multiplier[0] == 0+'0') || (CandLength == 1 && Multiplicand[0] == 0+'0') ) {
		Result[0] = 0+'0';
		return Result;
	}

	if (CandLength >= 4 && CandLength == ErLength) DivideAndConquer = CandLength>>2; else DivideAndConquer = 0; 
	if (DivideAndConquer == 0) { // Single-thread

	// In C the offset starts from 0 whereas in QuickBasic from 1, therefore '<' becomes '<='.
	for (SF=1; SF<=CandLength; SF++) {
	for (QB=1; QB<=ErLength; QB++) {
		CarryFlag = 0;
		Cycle = QB - 1 + SF;
		// In C the offset starts from 0 whereas in QuickBasic from 1, therefore '[SF]' becomes '[SF-1]'.
		// Here the strings are not reversed as in QB arrays, so [CandLength-SF+1] becomes [(CandLength-SF+1)-1].
		//Tiller = (Multiplicand[(CandLength-SF+1)-1]-'0') * (Multiplier[(ErLength-QB+1)-1]-'0');
		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next two:
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		//Result[Cycle-1] = (Tiller%10) + Result[Cycle-1];
		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next one:
		Result[Cycle-1] = TillerLeastSignificantDigit + Result[Cycle-1];
		if ( Result[Cycle-1] >= 10 ) {
			Result[Cycle-1] = Result[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		//Result[NextNumPos-1] = Result[NextNumPos-1] + CarryFlag + (unsigned char)(Tiller/10);
		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next one:
		Result[NextNumPos-1] = Result[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result[NextNumPos-1] >= 10) {
			Result[NextNumPos-1] = Result[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result[NextNumPos-1] = Result[NextNumPos-1] + 1;
		}
	}
	}

	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	//ResLength is either (CandLength+ErLength) or (CandLength+ErLength-1).
	ResLength=(CandLength+ErLength);
	if (Result[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result[SF-1];
		Result[SF-1] = Result[(ResLength-SF+1)-1]+'0';
		Result[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result[(ResLength/2+1)-1] = Result[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result[ResLength] = 0;

	return Result;

	} else { // Multi-thread [

	Result01 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result01 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result02 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result02 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result03 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result03 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result04 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result04 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result05 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result05 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result06 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result06 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result07 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result07 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result08 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result08 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result09 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result09 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result10 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result10 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result11 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result11 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result12 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result12 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result13 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result13 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result14 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result14 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result15 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result15 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	Result16 = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Result16 == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		exit( 1 );
	}
	memset(Result01, 0, (CandLength+ErLength)+1);
	memset(Result02, 0, (CandLength+ErLength)+1);
	memset(Result03, 0, (CandLength+ErLength)+1);
	memset(Result04, 0, (CandLength+ErLength)+1);
	memset(Result05, 0, (CandLength+ErLength)+1);
	memset(Result06, 0, (CandLength+ErLength)+1);
	memset(Result07, 0, (CandLength+ErLength)+1);
	memset(Result08, 0, (CandLength+ErLength)+1);
	memset(Result09, 0, (CandLength+ErLength)+1);
	memset(Result10, 0, (CandLength+ErLength)+1);
	memset(Result11, 0, (CandLength+ErLength)+1);
	memset(Result12, 0, (CandLength+ErLength)+1);
	memset(Result13, 0, (CandLength+ErLength)+1);
	memset(Result14, 0, (CandLength+ErLength)+1);
	memset(Result15, 0, (CandLength+ErLength)+1);
	memset(Result16, 0, (CandLength+ErLength)+1);

#ifdef Commence_OpenMP
#pragma omp parallel shared(Multiplicand,CandLength,Multiplier,ErLength,MSDarray,LSDarray,DivideAndConquer) private(SF,QB,Cycle,CarryFlag,TillerLeastSignificantDigit,TillerMostSignificantDigit,NextNumPos,ResLength)
#endif
{
#ifdef Commence_OpenMP
  #pragma omp sections
#endif
    {

	// Next is 4 threads mumbo-jumbo:
	// The pivot (empty space) is DivideAndConquer:
	// CandLength .. DivideAndConquer .. 1 <-
	// x = x1 x0 = Multiplicand
	// y = y1 y0 = Multiplier
	// xy = x1y1*10^DivideAndConquer*10^DivideAndConquer + (x1y0 + y1x0)*10^DivideAndConquer + x0y0
	// xy =
	//     x0y0
	//   x1y0	<- DivideAndConquer
	//   x0y1	<- DivideAndConquer
	// x1y1		<- DivideAndConquer*2

	// Next is 16 threads mumbo-jumbo:
	// The pivot (empty space) is DivideAndConquer:
	// CandLength .. 3*DivideAndConquer .. 2*DivideAndConquer .. DivideAndConquer .. 1 <-
	// For "1234" we have DivideAndConquer=strlen("1234")>>2 = 1 or Pivots at 3 2 1.
	// x = x3 x2 x1 x0 = Multiplicand
	// y = y3 y2 y1 y0 = Multiplier
	// xy =
	//                x3y0	<- DivideAndConquer*(3+0)
	//                x3y1	<- DivideAndConquer*(3+1)
	//                x3y2	<- DivideAndConquer*(3+2)
	//                x3y3	<- DivideAndConquer*(3+3)
	//                x2y0	<- DivideAndConquer*(2+0)
	//                x2y1	<- DivideAndConquer*(2+1)
	//                x2y2	<- DivideAndConquer*(2+2)
	//                x2y3	<- DivideAndConquer*(2+3)
	//                x1y0	<- DivideAndConquer*(1+0)
	//                x1y1	<- DivideAndConquer*(1+1)
	//                x1y2	<- DivideAndConquer*(1+2)
	//                x1y3	<- DivideAndConquer*(1+3)
	//                x0y0	<- DivideAndConquer*(0+0)
	//                x0y1	<- DivideAndConquer*(0+1)
	//                x0y2	<- DivideAndConquer*(0+2)
	//                x0y3	<- DivideAndConquer*(0+3)
	// or
	//                x0y0	<- DivideAndConquer*(0)
	//                x1y0	<- DivideAndConquer*(1)
	//                x0y1	<- DivideAndConquer*(1)
	//                x0y2	<- DivideAndConquer*(2)
	//                x1y1	<- DivideAndConquer*(2)
	//                x2y0	<- DivideAndConquer*(2)
	//                x3y0	<- DivideAndConquer*(3)
	//                x2y1	<- DivideAndConquer*(3)
	//                x1y2	<- DivideAndConquer*(3)
	//                x0y3	<- DivideAndConquer*(3)
	//                x3y1	<- DivideAndConquer*(4)
	//                x2y2	<- DivideAndConquer*(4)
	//                x1y3	<- DivideAndConquer*(4)
	//                x2y3	<- DivideAndConquer*(5)
	//                x3y2	<- DivideAndConquer*(5)
	//                x3y3	<- DivideAndConquer*(6)
	// or
	//                x0y0	<- DivideAndConquer*(0) ! THE NUMBER in brackets is called 'BASEshift' !
	//               x1y0	<- DivideAndConquer*(1)
	//               x0y1	<- DivideAndConquer*(1)
	//              x0y2	<- DivideAndConquer*(2)
	//              x1y1	<- DivideAndConquer*(2)
	//              x2y0	<- DivideAndConquer*(2)
	//             x3y0	<- DivideAndConquer*(3)
	//             x2y1	<- DivideAndConquer*(3)
	//             x1y2	<- DivideAndConquer*(3)
	//             x0y3	<- DivideAndConquer*(3)
	//            x3y1	<- DivideAndConquer*(4)
	//            x2y2	<- DivideAndConquer*(4)
	//            x1y3	<- DivideAndConquer*(4)
	//           x2y3	<- DivideAndConquer*(5)
	//           x3y2	<- DivideAndConquer*(5)
	//          x3y3	<- DivideAndConquer*(6)
	// Note: ! All couples having X3 and/or y3 have different (strlen(x3)+DivideAndConquer or strlen(x3)+strlen(x3)) than all the rest lengths i.e. (DivideAndConquer+DivideAndConquer) ! 
	// Example: 12345/4 = 12345>>2 = 1 i.e. strlen(x3)= 2 = 5-3*1

#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x0y0
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+0*DivideAndConquer; SF<=(0+1)*DivideAndConquer; SF++) {
	for (QB=1+0*DivideAndConquer; QB<=(0+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+0*DivideAndConquer) + SF - (1+0*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result01[Cycle-1] = TillerLeastSignificantDigit + Result01[Cycle-1];
		if ( Result01[Cycle-1] >= 10 ) {
			Result01[Cycle-1] = Result01[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result01[NextNumPos-1] = Result01[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result01[NextNumPos-1] >= 10) {
			Result01[NextNumPos-1] = Result01[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result01[NextNumPos-1] = Result01[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result01[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result01[SF-1];
		Result01[SF-1] = Result01[(ResLength-SF+1)-1]+'0';
		Result01[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result01[(ResLength/2+1)-1] = Result01[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result01[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x1y0
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+1*DivideAndConquer; SF<=(1+1)*DivideAndConquer; SF++) {
	for (QB=1+0*DivideAndConquer; QB<=(0+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+0*DivideAndConquer) + SF - (1+1*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result02[Cycle-1] = TillerLeastSignificantDigit + Result02[Cycle-1];
		if ( Result02[Cycle-1] >= 10 ) {
			Result02[Cycle-1] = Result02[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result02[NextNumPos-1] = Result02[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result02[NextNumPos-1] >= 10) {
			Result02[NextNumPos-1] = Result02[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result02[NextNumPos-1] = Result02[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result02[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result02[SF-1];
		Result02[SF-1] = Result02[(ResLength-SF+1)-1]+'0';
		Result02[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result02[(ResLength/2+1)-1] = Result02[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result02[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x0y1
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+0*DivideAndConquer; SF<=(0+1)*DivideAndConquer; SF++) {
	for (QB=1+1*DivideAndConquer; QB<=(1+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+1*DivideAndConquer) + SF - (1+0*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result03[Cycle-1] = TillerLeastSignificantDigit + Result03[Cycle-1];
		if ( Result03[Cycle-1] >= 10 ) {
			Result03[Cycle-1] = Result03[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result03[NextNumPos-1] = Result03[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result03[NextNumPos-1] >= 10) {
			Result03[NextNumPos-1] = Result03[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result03[NextNumPos-1] = Result03[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result03[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result03[SF-1];
		Result03[SF-1] = Result03[(ResLength-SF+1)-1]+'0';
		Result03[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result03[(ResLength/2+1)-1] = Result03[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result03[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x0y2
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+0*DivideAndConquer; SF<=(0+1)*DivideAndConquer; SF++) {
	for (QB=1+2*DivideAndConquer; QB<=(2+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+2*DivideAndConquer) + SF - (1+0*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result04[Cycle-1] = TillerLeastSignificantDigit + Result04[Cycle-1];
		if ( Result04[Cycle-1] >= 10 ) {
			Result04[Cycle-1] = Result04[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result04[NextNumPos-1] = Result04[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result04[NextNumPos-1] >= 10) {
			Result04[NextNumPos-1] = Result04[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result04[NextNumPos-1] = Result04[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result04[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result04[SF-1];
		Result04[SF-1] = Result04[(ResLength-SF+1)-1]+'0';
		Result04[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result04[(ResLength/2+1)-1] = Result04[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result04[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x1y1
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+1*DivideAndConquer; SF<=(1+1)*DivideAndConquer; SF++) {
	for (QB=1+1*DivideAndConquer; QB<=(1+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+1*DivideAndConquer) + SF - (1+1*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result05[Cycle-1] = TillerLeastSignificantDigit + Result05[Cycle-1];
		if ( Result05[Cycle-1] >= 10 ) {
			Result05[Cycle-1] = Result05[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result05[NextNumPos-1] = Result05[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result05[NextNumPos-1] >= 10) {
			Result05[NextNumPos-1] = Result05[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result05[NextNumPos-1] = Result05[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result05[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result05[SF-1];
		Result05[SF-1] = Result05[(ResLength-SF+1)-1]+'0';
		Result05[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result05[(ResLength/2+1)-1] = Result05[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result05[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x2y0
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+2*DivideAndConquer; SF<=(2+1)*DivideAndConquer; SF++) {
	for (QB=1+0*DivideAndConquer; QB<=(0+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+0*DivideAndConquer) + SF - (1+2*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result06[Cycle-1] = TillerLeastSignificantDigit + Result06[Cycle-1];
		if ( Result06[Cycle-1] >= 10 ) {
			Result06[Cycle-1] = Result06[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result06[NextNumPos-1] = Result06[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result06[NextNumPos-1] >= 10) {
			Result06[NextNumPos-1] = Result06[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result06[NextNumPos-1] = Result06[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result06[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result06[SF-1];
		Result06[SF-1] = Result06[(ResLength-SF+1)-1]+'0';
		Result06[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result06[(ResLength/2+1)-1] = Result06[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result06[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x3y0
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+(3)*DivideAndConquer; SF<=CandLength; SF++) {
	for (QB=1+0*DivideAndConquer; QB<=(0+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+0*DivideAndConquer) + SF - (1+3*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result07[Cycle-1] = TillerLeastSignificantDigit + Result07[Cycle-1];
		if ( Result07[Cycle-1] >= 10 ) {
			Result07[Cycle-1] = Result07[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result07[NextNumPos-1] = Result07[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result07[NextNumPos-1] >= 10) {
			Result07[NextNumPos-1] = Result07[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result07[NextNumPos-1] = Result07[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=((CandLength-(3)*DivideAndConquer)+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result07[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result07[SF-1];
		Result07[SF-1] = Result07[(ResLength-SF+1)-1]+'0';
		Result07[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result07[(ResLength/2+1)-1] = Result07[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result07[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x2y1
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+2*DivideAndConquer; SF<=(2+1)*DivideAndConquer; SF++) {
	for (QB=1+1*DivideAndConquer; QB<=(1+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+1*DivideAndConquer) + SF - (1+2*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result08[Cycle-1] = TillerLeastSignificantDigit + Result08[Cycle-1];
		if ( Result08[Cycle-1] >= 10 ) {
			Result08[Cycle-1] = Result08[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result08[NextNumPos-1] = Result08[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result08[NextNumPos-1] >= 10) {
			Result08[NextNumPos-1] = Result08[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result08[NextNumPos-1] = Result08[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result08[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result08[SF-1];
		Result08[SF-1] = Result08[(ResLength-SF+1)-1]+'0';
		Result08[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result08[(ResLength/2+1)-1] = Result08[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result08[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x1y2
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+1*DivideAndConquer; SF<=(1+1)*DivideAndConquer; SF++) {
	for (QB=1+2*DivideAndConquer; QB<=(2+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+2*DivideAndConquer) + SF - (1+1*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result09[Cycle-1] = TillerLeastSignificantDigit + Result09[Cycle-1];
		if ( Result09[Cycle-1] >= 10 ) {
			Result09[Cycle-1] = Result09[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result09[NextNumPos-1] = Result09[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result09[NextNumPos-1] >= 10) {
			Result09[NextNumPos-1] = Result09[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result09[NextNumPos-1] = Result09[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result09[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result09[SF-1];
		Result09[SF-1] = Result09[(ResLength-SF+1)-1]+'0';
		Result09[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result09[(ResLength/2+1)-1] = Result09[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result09[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x0y3
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+0*DivideAndConquer; SF<=(0+1)*DivideAndConquer; SF++) {
	for (QB=1+(3)*DivideAndConquer; QB<=ErLength; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+(3)*DivideAndConquer) + SF - (1+0*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result10[Cycle-1] = TillerLeastSignificantDigit + Result10[Cycle-1];
		if ( Result10[Cycle-1] >= 10 ) {
			Result10[Cycle-1] = Result10[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result10[NextNumPos-1] = Result10[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result10[NextNumPos-1] >= 10) {
			Result10[NextNumPos-1] = Result10[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result10[NextNumPos-1] = Result10[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+(ErLength-(3)*DivideAndConquer)); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result10[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result10[SF-1];
		Result10[SF-1] = Result10[(ResLength-SF+1)-1]+'0';
		Result10[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result10[(ResLength/2+1)-1] = Result10[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result10[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x3y1
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+(3)*DivideAndConquer; SF<=CandLength; SF++) {
	for (QB=1+1*DivideAndConquer; QB<=(1+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+1*DivideAndConquer) + SF - (1+3*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result11[Cycle-1] = TillerLeastSignificantDigit + Result11[Cycle-1];
		if ( Result11[Cycle-1] >= 10 ) {
			Result11[Cycle-1] = Result11[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result11[NextNumPos-1] = Result11[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result11[NextNumPos-1] >= 10) {
			Result11[NextNumPos-1] = Result11[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result11[NextNumPos-1] = Result11[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=((CandLength-(3)*DivideAndConquer)+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result11[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result11[SF-1];
		Result11[SF-1] = Result11[(ResLength-SF+1)-1]+'0';
		Result11[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result11[(ResLength/2+1)-1] = Result11[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result11[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x2y2
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+2*DivideAndConquer; SF<=(2+1)*DivideAndConquer; SF++) {
	for (QB=1+2*DivideAndConquer; QB<=(2+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+2*DivideAndConquer) + SF - (1+2*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result12[Cycle-1] = TillerLeastSignificantDigit + Result12[Cycle-1];
		if ( Result12[Cycle-1] >= 10 ) {
			Result12[Cycle-1] = Result12[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result12[NextNumPos-1] = Result12[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result12[NextNumPos-1] >= 10) {
			Result12[NextNumPos-1] = Result12[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result12[NextNumPos-1] = Result12[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result12[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result12[SF-1];
		Result12[SF-1] = Result12[(ResLength-SF+1)-1]+'0';
		Result12[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result12[(ResLength/2+1)-1] = Result12[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result12[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x1y3
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+1*DivideAndConquer; SF<=(1+1)*DivideAndConquer; SF++) {
	for (QB=1+(3)*DivideAndConquer; QB<=ErLength; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+(3)*DivideAndConquer) + SF - (1+1*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result13[Cycle-1] = TillerLeastSignificantDigit + Result13[Cycle-1];
		if ( Result13[Cycle-1] >= 10 ) {
			Result13[Cycle-1] = Result13[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result13[NextNumPos-1] = Result13[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result13[NextNumPos-1] >= 10) {
			Result13[NextNumPos-1] = Result13[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result13[NextNumPos-1] = Result13[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+(ErLength-(3)*DivideAndConquer)); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result13[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result13[SF-1];
		Result13[SF-1] = Result13[(ResLength-SF+1)-1]+'0';
		Result13[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result13[(ResLength/2+1)-1] = Result13[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result13[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x2y3
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+2*DivideAndConquer; SF<=(2+1)*DivideAndConquer; SF++) {
	for (QB=1+(3)*DivideAndConquer; QB<=ErLength; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+(3)*DivideAndConquer) + SF - (1+2*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result14[Cycle-1] = TillerLeastSignificantDigit + Result14[Cycle-1];
		if ( Result14[Cycle-1] >= 10 ) {
			Result14[Cycle-1] = Result14[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result14[NextNumPos-1] = Result14[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result14[NextNumPos-1] >= 10) {
			Result14[NextNumPos-1] = Result14[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result14[NextNumPos-1] = Result14[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=(DivideAndConquer+(ErLength-(3)*DivideAndConquer)); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result14[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result14[SF-1];
		Result14[SF-1] = Result14[(ResLength-SF+1)-1]+'0';
		Result14[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result14[(ResLength/2+1)-1] = Result14[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result14[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x3y2
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. (IndexOfX+1)*DivideAndConquer
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. (IndexOfY+1)*DivideAndConquer
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+(3)*DivideAndConquer; SF<=CandLength; SF++) {
	for (QB=1+2*DivideAndConquer; QB<=(2+1)*DivideAndConquer; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+2*DivideAndConquer) + SF - (1+3*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result15[Cycle-1] = TillerLeastSignificantDigit + Result15[Cycle-1];
		if ( Result15[Cycle-1] >= 10 ) {
			Result15[Cycle-1] = Result15[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result15[NextNumPos-1] = Result15[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result15[NextNumPos-1] >= 10) {
			Result15[NextNumPos-1] = Result15[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result15[NextNumPos-1] = Result15[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=((CandLength-(3)*DivideAndConquer)+DivideAndConquer); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result15[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result15[SF-1];
		Result15[SF-1] = Result15[(ResLength-SF+1)-1]+'0';
		Result15[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result15[(ResLength/2+1)-1] = Result15[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result15[ResLength] = 0;
	}
#ifdef Commence_OpenMP
    #pragma omp section
#endif
	{
	// x3y3 
	// The cycle SF below is from 1+IndexOfX*DivideAndConquer .. end
	// The cycle QB below is from 1+IndexOfY*DivideAndConquer .. end
	// CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	for (SF=1+(3)*DivideAndConquer; SF<=CandLength; SF++) {
	for (QB=1+(3)*DivideAndConquer; QB<=ErLength; QB++) {
		CarryFlag = 0;
		Cycle = QB - (1+(3)*DivideAndConquer) + SF - (1+(3)*DivideAndConquer) +1; // Here the subtractions are the initial values of SF&QB.
		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
		Result16[Cycle-1] = TillerLeastSignificantDigit + Result16[Cycle-1];
		if ( Result16[Cycle-1] >= 10 ) {
			Result16[Cycle-1] = Result16[Cycle-1] - 10;
			CarryFlag = 1;
		}
		NextNumPos = Cycle + 1;
		Result16[NextNumPos-1] = Result16[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;
		while (Result16[NextNumPos-1] >= 10) {
			Result16[NextNumPos-1] = Result16[NextNumPos-1] - 10;
			NextNumPos = NextNumPos + 1;
			Result16[NextNumPos-1] = Result16[NextNumPos-1] + 1;
		}
	}
	}
	//Here we have the result (REVERSED) in ASCII codes i.e. '0' stands for ASCII 000.
	ResLength=((CandLength-(3)*DivideAndConquer)+(ErLength-(3)*DivideAndConquer)); // CAUTION: Do not forget that all x3 and/or y3 chunks have lengths different (>=) than DivideAndConquer.
	if (Result16[ResLength-1] == 0x00) ResLength--;

	//The last thing to be done: the in-place reversal:
	for (SF=1; SF<=ResLength/2; SF++) {
		CarryFlag = Result16[SF-1];
		Result16[SF-1] = Result16[(ResLength-SF+1)-1]+'0';
		Result16[(ResLength-SF+1)-1] = CarryFlag+'0';
	}
	if (ResLength%2 != 0)
		Result16[(ResLength/2+1)-1] = Result16[(ResLength/2+1)-1]+'0';
	//Terminate it:
	Result16[ResLength] = 0;
	}
    }
}// pragma

// Add the four Results to 'Result' [

/*
printf("\nResult01 %s\n", Result01);
printf("\nResult02 %s\n", Result02);
printf("\nResult03 %s\n", Result03);
printf("\nResult04 %s\n", Result04);
printf("\nResult05 %s\n", Result05);
printf("\nResult06 %s\n", Result06);
printf("\nResult07 %s\n", Result07);
printf("\nResult08 %s\n", Result08);
printf("\nResult09 %s\n", Result09);
printf("\nResult10 %s\n", Result10);
printf("\nResult11 %s\n", Result11);
printf("\nResult12 %s\n", Result12);
printf("\nResult13 %s\n", Result13);
printf("\nResult14 %s\n", Result14);
printf("\nResult15 %s\n", Result15);
printf("\nResult16 %s\n", Result16);
exit(1);
*/

/*
1234 * 5678 = 7,006,652
Multiplicand: 1234
Multiplier  : 5678
Result01 32
Result02 24
Result03 28
Result04 24
Result05 21
Result06 16
Result07 8
Result08 14
Result09 18
Result10 20
Result11 7
Result12 12
Result13 15
Result14 10
Result15 6
Result16 5

// Shift left by BASEshift
	//R01                  32	<- DivideAndConquer*(0) ! THE NUMBER in brackets is called 'BASEshift' !
	//R02                 24	<- DivideAndConquer*(1)
	//R03                 28	<- DivideAndConquer*(1)
	//R04                24		<- DivideAndConquer*(2)
	//R05                21		<- DivideAndConquer*(2)
	//R06                16		<- DivideAndConquer*(2)
	//R07                8		<- DivideAndConquer*(3)
	//R08               14		<- DivideAndConquer*(3)
	//R09               18		<- DivideAndConquer*(3)
	//R10               20		<- DivideAndConquer*(3)
	//R11               7		<- DivideAndConquer*(4)
	//R12              12		<- DivideAndConquer*(4)
	//R13              15		<- DivideAndConquer*(4)
	//R14             10		<- DivideAndConquer*(5)
	//R15              6		<- DivideAndConquer*(5)
	//R16             5		<- DivideAndConquer*(6)
                          7006652  

12345 * 67890 = 838,102,050
Multiplicand: 12345
Multiplier  : 67890
Result01 0
Result02 0
Result03 45
Result04 40
Result05 36
Result06 0
Result07 00
Result08 27
Result09 32
Result10 335
Result11 108
Result12 24
Result13 268
Result14 201
Result15 96
Result16 804

// Shift left by BASEshift
	//R01                   0	<- DivideAndConquer*(0) ! THE NUMBER in brackets is called 'BASEshift' !
	//R02                  0	<- DivideAndConquer*(1)
	//R03                 45	<- DivideAndConquer*(1)
	//R04                40		<- DivideAndConquer*(2)
	//R05                36		<- DivideAndConquer*(2)
	//R06                 0		<- DivideAndConquer*(2)
	//R07               00		<- DivideAndConquer*(3)
	//R08               27		<- DivideAndConquer*(3)
	//R09               32		<- DivideAndConquer*(3)
	//R10              335		<- DivideAndConquer*(3)
	//R11             108		<- DivideAndConquer*(4)
	//R12              24		<- DivideAndConquer*(4)
	//R13             268		<- DivideAndConquer*(4)
	//R14            201		<- DivideAndConquer*(5)
	//R15             96		<- DivideAndConquer*(5)
	//R16           804		<- DivideAndConquer*(6)
                        838102050
*/

//ResLength is either (CandLength+ErLength) or (CandLength+ErLength-1).
ResLength=(CandLength+ErLength);
for (SF=1; SF<=ResLength; SF++) { // No need of adding ASCII 000 at end since Result pool is CandLength+ErLength+1 long: memset(Result, 0, (CandLength+ErLength)+1);
	Result[SF-1] = '0';
}

// Note: All 'DivideAndConquer' become 'BASEshift*DivideAndConquer' in all 16 steps:

	//                x0y0	<- DivideAndConquer*(0) ! THE NUMBER in brackets is called 'BASEshift' !
// x0y0 or Result01: 0000,0032	ok
QB = strlen(Result01);
memcpy(Result + ResLength-QB, Result01, QB);

	//               x1y0	<- DivideAndConquer*(1)
// x1y0 or Result02: 0000,0240	ok
//                   0000,0272	ok
QB = strlen(Result02);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ Result02[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ Result02[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 1*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 1*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 1*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//               x0y1	<- DivideAndConquer*(1)
// x0y1 or Result03: 0000,0280	ok
//                   0000,0552	ok
QB = strlen(Result03);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ Result03[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ Result03[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 1*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 1*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 1*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 1*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//              x0y2	<- DivideAndConquer*(2)
// x0y2 or Result04: 0000,2400	ok
//                   0000,2952	ok
QB = strlen(Result04);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ Result04[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ Result04[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 2*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 2*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 2*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//              x1y1	<- DivideAndConquer*(2)
QB = strlen(Result05);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ Result05[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ Result05[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 2*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 2*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 2*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//              x2y0	<- DivideAndConquer*(2)
QB = strlen(Result06);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ Result06[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ Result06[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 2*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 2*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 2*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 2*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//             x3y0	<- DivideAndConquer*(3)
QB = strlen(Result07);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result07[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result07[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 3*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//             x2y1	<- DivideAndConquer*(3)
QB = strlen(Result08);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result08[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result08[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 3*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//             x1y2	<- DivideAndConquer*(3)
QB = strlen(Result09);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result09[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result09[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 3*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//             x0y3	<- DivideAndConquer*(3)
QB = strlen(Result10);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result10[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ Result10[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 3*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 3*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 3*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//            x3y1	<- DivideAndConquer*(4)
QB = strlen(Result11);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ Result11[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ Result11[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 4*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 4*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 4*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//            x2y2	<- DivideAndConquer*(4)
QB = strlen(Result12);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ Result12[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ Result12[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 4*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 4*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 4*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//            x1y3	<- DivideAndConquer*(4)
QB = strlen(Result13);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ Result13[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ Result13[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 4*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 4*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 4*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 4*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//           x2y3	<- DivideAndConquer*(5)
QB = strlen(Result14);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ Result14[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ Result14[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 5*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 5*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 5*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//           x3y2	<- DivideAndConquer*(5)
QB = strlen(Result15);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ Result15[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ Result15[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 5*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 5*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 5*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 5*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

	//          x3y3	<- DivideAndConquer*(6)
QB = strlen(Result16);
		CarryFlag = 0;
	for (SF=1; SF<=QB; SF++) {
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 6*DivideAndConquer)-SF+1)-1]-'0' ][ Result16[(QB-SF+1)-1]-'0' ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 6*DivideAndConquer)-SF+1)-1]-'0' ][ Result16[(QB-SF+1)-1]-'0' ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 6*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
	}
		if (CarryFlag != 0) {
		SF=QB;
		while (((ResLength - 6*DivideAndConquer)-SF+1)-1 !=0) {
			SF++;
		TillerLeastSignificantDigit = LSDarrayADD[ Result[((ResLength - 6*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerMostSignificantDigit = MSDarrayADD[ Result[((ResLength - 6*DivideAndConquer)-SF+1)-1]-'0' ][ 0 ];
		TillerLeastSignificantDigit = TillerLeastSignificantDigit + CarryFlag;
		if (TillerLeastSignificantDigit == 10) { CarryFlag = 1; TillerLeastSignificantDigit = 0; } else CarryFlag = 0;
		Result[((ResLength - 6*DivideAndConquer)-SF+1)-1] = TillerLeastSignificantDigit + '0';
		if (CarryFlag == 0) CarryFlag = TillerMostSignificantDigit;
		}
		}

// Add the four Results to 'Result' ]

	free(Result01); free(Result02); free(Result03); free(Result04);
	free(Result05); free(Result06); free(Result07); free(Result08);
	free(Result09); free(Result10); free(Result11); free(Result12);
	free(Result13); free(Result14); free(Result15); free(Result16);
	if (Result[0] == '0') return &Result[0]+1; // The first digit is ZERO since ResLength=(CandLength+ErLength)-1 not (CandLength+ErLength).
	else return &Result[0];
	} // Multi-thread ]
}


// D:\_KAZE\MokujIN_r5>cl /Ox MokujIN_16threads.c /FAcs /FeMokujIN_r5_16-Threads_MicrosoftV16 /openmp -DCommence_OpenMP
// Microsoft (R) C/C++ Optimizing Compiler Version 16.00.30319.01 for x64
// Copyright (C) Microsoft Corporation.  All rights reserved.
// 
// MokujIN_16threads.c
// MokujIN_16threads.c(1897) : error C4235: nonstandard extension used : '__asm' keyword not supported on this architecture

// MASM style inline assembly, 32 bit mode
/*
unsigned int abs_AF (int n) {
__asm {
	mov eax, n 	// Move n to eax
			// abs(n) is calculated by inverting all bits and adding 1 if n < 0:
	cdq 		// Get sign bit into all bits of edx
	xor eax, edx 	// Invert bits if negative
	sub eax, edx 	// Add 1 if negative. Now eax = abs(n)
} 			// Return value is in eax
}
*/

// Optimizing subroutines in assembly language
// An optimization guide for x86 platforms
// By Agner Fog. Copenhagen University College of Engineering.
/*
It is possible to calculate the absolute value of a signed integer without branching:
; Example 9.15, Calculate absolute value of eax
	cdq ; Copy sign bit of eax to all bits of edx
	xor eax, edx ; Invert all bits if negative
	sub eax, edx ; Add 1 if negative
The following example finds the minimum of two unsigned numbers: if (b > a) b = a;
; Example 9.16a, Find minimum of eax and ebx (unsigned):
	sub eax, ebx ; = a-b
	sbb edx, edx ; = (b > a) ? 0xFFFFFFFF : 0
	and edx, eax ; = (b > a) ? a-b : 0
	add ebx, edx ; Result is in ebx
Or, for signed numbers, ignoring overflow:
; Example 9.16b, Find minimum of eax and ebx (signed):
	sub eax, ebx ; Will not work if overflow here
	cdq ; = (b > a) ? 0xFFFFFFFF : 0
	and edx, eax ; = (b > a) ? a-b : 0
	add ebx, edx ; Result is in ebx
The next example chooses between two numbers: if (a < 0) d = b; else d = c;
; Example 9.17a, Choose between two numbers
	test eax, eax
	mov edx, ecx
	cmovs edx, ebx ; = (a < 0) ? b : c
Conditional moves are not very efficient on Intel processors and not available on old
processors. Alternative implementations may be faster in some cases. The following
example gives the same result as example 9.17a.
; Example 9.17b, Choose between two numbers without conditional move:
	cdq ; = (a < 0) ? 0xFFFFFFFF : 0
	xor ebx, ecx ; b ^ c = bits that differ between b and c
	and edx, ebx ; = (a < 0) ? (b ^ c) : 0
	xor edx, ecx ; = (a < 0) ? b : c
Example 9.17b may be faster than 9.17a on processors where conditional moves are
inefficient. Example 9.17b destroys the value of ebx.
*/


int main(int argc, char *argv[])
{
	signed int LUTcolumns=8; // Viva Babylonia
	signed int n, p, p31;
	unsigned char* pointerflushUNALIGN;
	unsigned char* pointerflushUNALIGNBACKUP;
	unsigned char* Multiplicand;
	unsigned char* Multiplier;
	time_t t1, t2, tSTART, tFINISH;
	unsigned long long DPS;
	FILE *fp_out;
	char llTOaDigits[27]; // 9,223,372,036,854,775,807: 1(sign or carry)+19(digits)+1('\0')+6(,)
	char llTOaDigits2[27]; // 9,223,372,036,854,775,807: 1(sign or carry)+19(digits)+1('\0')+6(,)

/*
	signed int Bab1,Bab2,Bab3;
	Bab1 = 3080;
	Bab2 = 32220;
	Bab3 = Bab2-Bab1;
	printf("%d\n", Bab3);
	printf("%d\n", abs_AF(Bab3)); // Thanks to Agner Fog the condition 'if (Bab3<0) Bab3 = -Bab3;' is no more.
	Bab3 = Bab1-Bab2;
	printf("%d\n", Bab3);
	printf("%d\n", abs_AF(Bab3));
	//printf("%d\n", 0x7fffffff); // 2147483647
	//printf("%d\n", 0x80000000); // -2147483648
	exit (0);
	// D:\_KAZE\MokujIN>MokujIN.exe
	// 29140
	// 29140
	// -29140
	// 29140
*/

/*
	// Babylonian LUT dumper [
	p31 = 9;
	printf("Babylonian LUT (look-up table) %dx%d:\n", p31, p31);
	p31 = p31*2+1;
	for (p=0; p<p31; p=p+LUTcolumns) {
		n=LUTcolumns;
		printf("n    : ");
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if (p+LUTcolumns-(n+1)<10)
				printf(" ");
			else {}
			printf("%d ", p+LUTcolumns-(n+1) );
		}
		}
		printf("\n");
		printf("n^2/4: ");
		n=LUTcolumns;
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10)
				printf(" ");
			else {}
			printf("%d ", (p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4);
		}
		}
		printf("\n");
	}
	p31 = 99;
	printf("Babylonian LUT (look-up table) %dx%d:\n", p31, p31);
	p31 = p31*2+1;
	for (p=0; p<p31; p=p+LUTcolumns) {
		n=LUTcolumns;
		printf("n    : ");
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if (p+LUTcolumns-(n+1)<10)
				printf("   ");
			else if (p+LUTcolumns-(n+1)<100)
				printf("  ");
			else if (p+LUTcolumns-(n+1)<1000)
				printf(" ");
			else {}
			printf("%d ", p+LUTcolumns-(n+1) );
		}
		}
		printf("\n");
		printf("n^2/4: ");
		n=LUTcolumns;
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10)
				printf("   ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<100)
				printf("  ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<1000)
				printf(" ");
			else {}
			printf("%d ", (p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4);
		}
		}
		printf("\n");
	}
	p31 = 999;
	printf("Babylonian LUT (look-up table) %dx%d:\n", p31, p31);
	p31 = p31*2+1;
	for (p=0; p<p31; p=p+LUTcolumns) {
		n=LUTcolumns;
		printf("n    : ");
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if (p+LUTcolumns-(n+1)<10)
				printf("     ");
			else if (p+LUTcolumns-(n+1)<100)
				printf("    ");
			else if (p+LUTcolumns-(n+1)<1000)
				printf("   ");
			else if (p+LUTcolumns-(n+1)<10000)
				printf("  ");
			else if (p+LUTcolumns-(n+1)<100000)
				printf(" ");
			else {}
			printf("%d ", p+LUTcolumns-(n+1) );
		}
		}
		printf("\n");
		printf("n^2/4: ");
		n=LUTcolumns;
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10)
				printf("     ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<100)
				printf("    ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<1000)
				printf("   ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10000)
				printf("  ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<100000)
				printf(" ");
			else {}
			printf("%d ", (p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4);
		}
		}
		printf("\n");
	}
	p31 = 9999;
	printf("Babylonian LUT (look-up table) %dx%d:\n", p31, p31);
	p31 = p31*2+1;
	for (p=0; p<p31; p=p+LUTcolumns) {
		n=LUTcolumns;
		printf("n    : ");
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if (p+LUTcolumns-(n+1)<10)
				printf("       ");
			else if (p+LUTcolumns-(n+1)<100)
				printf("      ");
			else if (p+LUTcolumns-(n+1)<1000)
				printf("     ");
			else if (p+LUTcolumns-(n+1)<10000)
				printf("    ");
			else if (p+LUTcolumns-(n+1)<100000)
				printf("   ");
			else if (p+LUTcolumns-(n+1)<1000000)
				printf("  ");
			else if (p+LUTcolumns-(n+1)<10000000)
				printf(" ");
			else {}
			printf("%d ", p+LUTcolumns-(n+1) );
		}
		}
		printf("\n");
		printf("n^2/4: ");
		n=LUTcolumns;
		while (n--) {
		if (p+LUTcolumns-(n+1)<p31) {
			if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10)
				printf("       ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<100)
				printf("      ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<1000)
				printf("     ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10000)
				printf("    ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<100000)
				printf("   ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<1000000)
				printf("  ");
			else if ((p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4<10000000)
				printf(" ");
			else {}
			printf("%d ", (p+LUTcolumns-(n+1))*(p+LUTcolumns-(n+1))/4);
		}
		}
		printf("\n");
	}
	// Babylonian LUT dumper ]
	exit(0);
*/

(void) time(&tSTART);

	if (argc != 3 && argc != 4) {
#ifdef Commence_OpenMP
		printf("MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.\n");
#else
		printf("MokujIN, Multiplication of INtegers, a single-threaded string multiplier, written by Kaze, 2012-Nov-16, revision 5fix.\n");
#endif
		printf("Usage: MokujIN [Number Power [/turbo|/stats]]\n");
		printf("Note0: With no parameters given, interactive multiplication regime is on.\n");
		printf("Note1: Power is signed 32bit integer i.e. up to 2^31-1=2,147,483,647.\n");
		printf("Note2: Multiplicand or/and Multiplier cannot exceed %d digits.\n", memory_size);
		printf("Note3: '/turbo' regime is several times (only) faster.\n");
		printf("Note4: '/stats' is '/turbo' too, also dumps the result to 'MokujIN.txt'.\n");
		printf("Note5: When power is big enough (as in Example3) MokujINs (or the prosaic DPS) is an useful CPU clock pseudo-measure.\n");
		printf("Example1: D:\\_KAZE\\MokujIN>MokujIN.exe 18446744073709551616 2\n");
		printf("340282366920938463463374607431768211456\n");
		printf("Example2: D:\\_KAZE\\MokujIN>MokujIN.exe\n");
		printf("Multiplicand: 18446744073709551616\n");
		printf("Multiplier  : 18446744073709551616\n");
		printf("Result      : 340282366920938463463374607431768211456\n");
		printf("Example3: D:\\_KAZE\\MokujIN>MokujIN.exe 2 1048576 /stats\n");
		printf("...\n");
		printf("Multiplying performance for operands 39457 digits long: 77842742 MokujINs i.e. digits per second.\n");
		printf("Multiplying performance for operands 78914 digits long: 77842742 MokujINs i.e. digits per second.\n");
		printf("Multiplying performance for operands 157827 digits long: 77358266 MokujINs i.e. digits per second.\n");
		printf("Dumping the result to 'MokujIN.txt' ... OK\n");
	}

	pointerflushUNALIGN = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( pointerflushUNALIGN == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		return( 1 );
	}
	pointerflushUNALIGNBACKUP = pointerflushUNALIGN;
	Multiplicand = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Multiplicand == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		return( 1 );
	}
	Multiplier = (unsigned char*)malloc( memory_size*2+1 ); //+1 because we need sentinel
	if( Multiplier == NULL ) {
		printf("MokujIN: Needed memory allocation denied!\n");
		return( 1 );
	}

	if (argc == 3 || argc == 4) {
		p = atoi(argv[2]); //_atoi64(argv[2]);
		if (p < 2) {
			printf("MokujIN: Power should be 2 or greater!\n");
			free(pointerflushUNALIGNBACKUP); free(Multiplicand); free(Multiplier);
			return( 2 );
		}

		if ( argc == 4 && strcmp("/stats\0",argv[3]) == 0 ) {
#ifdef Commence_OpenMP
		printf("MokujIN, Multiplication of INtegers, an OpenMP (multi-threaded) string multiplier, 16 threads enforced, written by Kaze, 2012-Nov-16, revision 5fix.\n");
#else
		printf("MokujIN, Multiplication of INtegers, a single-threaded string multiplier, written by Kaze, 2012-Nov-16, revision 5fix.\n");
#endif

#ifdef Commence_OpenMP
		printf("omp_get_num_procs( ) = %d\n", omp_get_num_procs( ));
		printf("omp_get_max_threads( ) = %d\n", omp_get_max_threads( ));
#endif
		}

		memcpy(Multiplicand, argv[1], strlen(argv[1])); Multiplicand[strlen(argv[1])]=0; // Not assuming the allocated pool is ZEROed!
		memcpy(Multiplier, argv[1], strlen(argv[1])); Multiplier[strlen(argv[1])]=0;
		if (argc == 4) {
			p31 = 0;
			while (p>>1) {
				p31++;
				p = p>>1;
			}
			p = atoi(argv[2]);
			p = p - (1<<p31);
			while (p31--) {
				(void) time(&t1);
				pointerflushUNALIGN = MUL(pointerflushUNALIGN, Multiplicand, Multiplier);
				(void) time(&t2);
				if (t2 <= t1) {t2 = t1; t2++;}
				if ( strcmp("/stats\0",argv[3]) == 0 ) {
					DPS = (unsigned long long)strlen(Multiplier);
					DPS *= DPS;
					DPS = DPS/(unsigned long long)(t2-t1);
					//printf("Multiplying performance for operands %lu digits long: %lu MokujINs i.e. digits per second.\n", strlen(Multiplier), DPS);
					printf("Multiplying performance for operands %lu digits long: %s MokujINs i.e. digits per second.\n", strlen(Multiplier), _ui64toaKAZEcomma(DPS, llTOaDigits, 10));
				}
				memcpy(Multiplicand, pointerflushUNALIGN, strlen(pointerflushUNALIGN)); Multiplicand[strlen(pointerflushUNALIGN)]=0;
				memcpy(Multiplier, pointerflushUNALIGN, strlen(pointerflushUNALIGN)); Multiplier[strlen(pointerflushUNALIGN)]=0;
			}
			memcpy(Multiplier, argv[1], strlen(argv[1])); Multiplier[strlen(argv[1])]=0;
			while (p--) {
				pointerflushUNALIGN = MUL(pointerflushUNALIGN, Multiplicand, Multiplier);
				memcpy(Multiplicand, pointerflushUNALIGN, strlen(pointerflushUNALIGN)); Multiplicand[strlen(pointerflushUNALIGN)]=0;
			}
		} else {
			while (p-->1) {
				pointerflushUNALIGN = MUL(pointerflushUNALIGN, Multiplicand, Multiplier);
				memcpy(Multiplicand, pointerflushUNALIGN, strlen(pointerflushUNALIGN)); Multiplicand[strlen(pointerflushUNALIGN)]=0;
			}
		}
		if ( argc == 4 && strcmp("/stats\0",argv[3]) == 0 ) {
			if( ( fp_out = fopen( "MokujIN.txt", "wb+" ) ) == NULL )
			{ printf( "MokujIN: Can't create file 'MokujIN.txt'.\n" ); return( 4 ); }
			printf("Dumping the result to 'MokujIN.txt' ... ");
			fprintf( fp_out, "%s\r\n", Multiplicand );
			fclose(fp_out);
			printf("OK\n");
		} else
			printf("%s\n", Multiplicand);
		free(pointerflushUNALIGNBACKUP); free(Multiplicand); free(Multiplier);
		if ( argc == 4 && strcmp("/stats\0",argv[3]) == 0 ) {
			(void) time(&tFINISH);
			if (tFINISH <= tSTART) {tFINISH = tSTART; tFINISH++;}
			printf("Total Time: %s second(s).\n", _ui64toaKAZEcomma((unsigned long long)(tFINISH-tSTART), llTOaDigits, 10));
		}
		return 0;
	} else if (argc == 1) {
		printf("\nMultiplicand: ");
		scanf("%s", Multiplicand);
		printf("Multiplier  : ");
		scanf("%s", Multiplier);
		printf("Result      : ");
		printf("%s\n", MUL(pointerflushUNALIGN, Multiplicand, Multiplier));
		free(pointerflushUNALIGNBACKUP); free(Multiplicand); free(Multiplier);
		if ( argc == 4 && strcmp("/stats\0",argv[3]) == 0 ) {
			(void) time(&tFINISH);
			if (tFINISH <= tSTART) {tFINISH = tSTART; tFINISH++;}
			printf("Total Time: %s second(s).\n", _ui64toaKAZEcomma((unsigned long long)(tFINISH-tSTART), llTOaDigits, 10));
		}
		return 0;
	} else {
		free(pointerflushUNALIGNBACKUP); free(Multiplicand); free(Multiplier);
		return 3;
	}
}

// The following assembly/code dump is the main loop of MokujIN (namely: 'MUL' function):
// It is 32b-290+6 = 161 bytes long.
// D:\_KAZE\MokujIN>cl /Ox MokujIN.c /FAcs
// Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 16.00.30319.01 for 80x86
/*
$LL14@MUL:

; 122  : 	for (QB=1; QB<=ErLength; QB++) {

  00290	83 ff 01	 cmp	 edi, 1
  00293	0f 82 87 00 00
	00		 jb	 $LN13@MUL
  00299	8b 54 24 24	 mov	 edx, DWORD PTR _ErLength$[esp+256]
  0029d	8d 45 ff	 lea	 eax, DWORD PTR [ebp-1]
  002a0	8d 34 01	 lea	 esi, DWORD PTR [ecx+eax]
  002a3	8b 4c 24 1c	 mov	 ecx, DWORD PTR _Multiplier$GSCopy$[esp+256]
  002a7	8d 7c 39 ff	 lea	 edi, DWORD PTR [ecx+edi-1]
  002ab	8b cd		 mov	 ecx, ebp
  002ad	2b c8		 sub	 ecx, eax
  002af	89 4c 24 30	 mov	 DWORD PTR tv1469[esp+256], ecx
  002b3	89 54 24 28	 mov	 DWORD PTR tv771[esp+256], edx
  002b7	eb 07 8d a4 24
	00 00 00 00	 npad	 9
$LL30@MUL:

; 123  : 		CarryFlag = 0;
; 124  : 		Cycle = QB - 1 + SF;
; 125  : 		// In C the offset starts from 0 whereas in QuickBasic from 1, therefore '[SF]' becomes '[SF-1]'.
; 126  : 		// Here the strings are not reversed as in QB arrays, so [CandLength-SF+1] becomes [(CandLength-SF+1)-1].
; 127  : 		//Tiller = (Multiplicand[(CandLength-SF+1)-1]-'0') * (Multiplier[(ErLength-QB+1)-1]-'0');
; 128  : 		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next two:
; 129  : 		TillerLeastSignificantDigit = LSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];
; 130  : 		TillerMostSignificantDigit = MSDarray[ Multiplicand[(CandLength-SF+1)-1]-'0' ][ Multiplier[(ErLength-QB+1)-1]-'0' ];

  002c0	8b 44 24 14	 mov	 eax, DWORD PTR tv1486[esp+256]
  002c4	0f b6 00	 movzx	 eax, BYTE PTR [eax]
  002c7	8d 0c 80	 lea	 ecx, DWORD PTR [eax+eax*4]
  002ca	0f b6 07	 movzx	 eax, BYTE PTR [edi]
  002cd	8d 04 48	 lea	 eax, DWORD PTR [eax+ecx*2]
  002d0	8a 8c 04 24 fe
	ff ff		 mov	 cl, BYTE PTR _MSDarray$[esp+eax-272]

; 131  : 		//Result[Cycle-1] = (Tiller%10) + Result[Cycle-1];
; 132  : 		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next one:
; 133  : 		Result[Cycle-1] = TillerLeastSignificantDigit + Result[Cycle-1];

  002d7	8a 84 04 88 fe
	ff ff		 mov	 al, BYTE PTR _LSDarray$[esp+eax-272]
  002de	02 06		 add	 al, BYTE PTR [esi]
  002e0	32 d2		 xor	 dl, dl
  002e2	88 06		 mov	 BYTE PTR [esi], al

; 134  : 		if ( Result[Cycle-1] >= 10 ) {

  002e4	3c 0a		 cmp	 al, 10			; 0000000aH
  002e6	72 06		 jb	 SHORT $LN8@MUL

; 135  : 			Result[Cycle-1] = Result[Cycle-1] - 10;

  002e8	2c 0a		 sub	 al, 10			; 0000000aH
  002ea	88 06		 mov	 BYTE PTR [esi], al

; 136  : 			CarryFlag = 1;

  002ec	b2 01		 mov	 dl, 1
$LN8@MUL:

; 139  : 		//Result[NextNumPos-1] = Result[NextNumPos-1] + CarryFlag + (unsigned char)(Tiller/10);
; 140  : 		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next one:
; 141  : 		Result[NextNumPos-1] = Result[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;

  002ee	02 ca		 add	 cl, dl
  002f0	00 4e 01	 add	 BYTE PTR [esi+1], cl

; 142  : 		while (Result[NextNumPos-1] >= 10) {

  002f3	80 7e 01 0a	 cmp	 BYTE PTR [esi+1], 10	; 0000000aH
  002f7	72 13		 jb	 SHORT $LN10@MUL

; 137  : 		}
; 138  : 		NextNumPos = Cycle + 1;

  002f9	8b 44 24 30	 mov	 eax, DWORD PTR tv1469[esp+256]
  002fd	03 c6		 add	 eax, esi
  002ff	90		 npad	 1
$LL7@MUL:

; 143  : 			Result[NextNumPos-1] = Result[NextNumPos-1] - 10;

  00300	80 00 f6	 add	 BYTE PTR [eax], 246	; 000000f6H

; 144  : 			NextNumPos = NextNumPos + 1;
; 145  : 			Result[NextNumPos-1] = Result[NextNumPos-1] + 1;

  00303	fe 40 01	 inc	 BYTE PTR [eax+1]
  00306	40		 inc	 eax
  00307	80 38 0a	 cmp	 BYTE PTR [eax], 10	; 0000000aH
  0030a	73 f4		 jae	 SHORT $LL7@MUL
$LN10@MUL:

; 139  : 		//Result[NextNumPos-1] = Result[NextNumPos-1] + CarryFlag + (unsigned char)(Tiller/10);
; 140  : 		// LOOK-UP TABLE BOOST: Above COMMENTED line becomes next one:
; 141  : 		Result[NextNumPos-1] = Result[NextNumPos-1] + CarryFlag + TillerMostSignificantDigit;

  0030c	46		 inc	 esi
  0030d	4f		 dec	 edi
  0030e	ff 4c 24 28	 dec	 DWORD PTR tv771[esp+256]
  00312	75 ac		 jne	 SHORT $LL30@MUL

; 122  : 	for (QB=1; QB<=ErLength; QB++) {

  00314	8b 4c 24 20	 mov	 ecx, DWORD PTR _SF$[esp+256]
  00318	8b 7c 24 24	 mov	 edi, DWORD PTR _ErLength$[esp+256]
  0031c	8b 44 24 10	 mov	 eax, DWORD PTR _CandLength$[esp+256]
$LN13@MUL:

; 118  : 	}
; 119  : 
; 120  : 	// In C the offset starts from 0 whereas in QuickBasic from 1, therefore '<' becomes '<='.
; 121  : 	for (SF=1; SF<=CandLength; SF++) {

  00320	ff 4c 24 14	 dec	 DWORD PTR tv1486[esp+256]
  00324	41		 inc	 ecx
  00325	89 4c 24 20	 mov	 DWORD PTR _SF$[esp+256], ecx
  00329	3b c8		 cmp	 ecx, eax
  0032b	0f 86 5f ff ff
	ff		 jbe	 $LL14@MUL
$LN12@MUL:
*/


// The next functions were written by Kaze in 1990.
/*
DECLARE SUB DelNull (Result%(), Tiller$, DimLength%)
DECLARE SUB DelLeftNull (Result%(), Tiller$, StrLength%, DimLength%, PointPos%)
DECLARE SUB DelRightNull (Result%(), Tiller$, StrLength%, PointPos%)
DECLARE SUB Convert (Array%(), Number$, Length%, Flag%, PointPos%)
DECLARE FUNCTION FindIntegerPart$ (Dividend$, Divisor$)
DECLARE FUNCTION DIV$ (Dividend$, Divisor$, Exactness%)
DECLARE FUNCTION ADD$ (FirstAddend$, SecondAddend$)
DECLARE FUNCTION SUB$ (Minuend$, Subtrahend$)
DECLARE FUNCTION MUL$ (Multiplicand$, Multiplier$)
DECLARE FUNCTION Compare% (Firum$, Secum$)
DECLARE FUNCTION ResultFilter$ (Result%(), Code$, DimLength%, PointPos%, Sign%)

INPUT "Number: ", a$
INPUT "Power: ", b$

IF VAL(b$) < 2 THEN PRINT "Power should be 2 or greater!": END
c$ = a$
FOR i = 2 TO VAL(b$)
c$ = MUL$(c$, a$)
NEXT
PRINT c$


DEFINT A-Z
FUNCTION ADD$ (FirstAddend$, SecondAddend$)
FiradLength = LEN(FirstAddend$)
SecadLength = LEN(SecondAddend$)
FirstSign$ = MID$(FirstAddend$, 1, 1)
SecondSign$ = MID$(SecondAddend$, 1, 1)
IF FirstSign$ <> "-" AND SecondSign$ = "-" THEN
Mediator$ = RIGHT$(SecondAddend$, SecadLength - 1)
ADD$ = SUB$(FirstAddend$, Mediator$)
EXIT FUNCTION
END IF
IF FirstSign$ = "-" AND SecondSign$ <> "-" THEN
Mediator$ = RIGHT$(FirstAddend$, FiradLength - 1)
ADD$ = SUB$(SecondAddend$, Mediator$)
EXIT FUNCTION
END IF
IF FirstSign$ = "-" AND SecondSign$ = "-" THEN
Sign = 1
FiradLength = FiradLength - 1
SecadLength = SecadLength - 1
FirstAddend$ = RIGHT$(FirstAddend$, FiradLength)
SecondAddend$ = RIGHT$(SecondAddend$, SecadLength)
END IF
REDIM Firad%(1 TO FiradLength)
REDIM Secad%(1 TO SecadLength)
CALL Convert(Firad%(), FirstAddend$, FiradLength, FiradFlag, FiradPointPos)
FiradTrueLength = FiradLength - FiradPointPos
CALL Convert(Secad%(), SecondAddend$, SecadLength, SecadFlag, SecadPointPos)
SecadTrueLength = SecadLength - SecadPointPos
IF SecadTrueLength > FiradTrueLength THEN
BigLength = SecadTrueLength
ELSE
BigLength = FiradTrueLength
END IF
IF FiradPointPos > SecadPointPos THEN
BigPointPos = FiradPointPos
TrueBigPointPos = BigPointPos - FiradFlag
SubSecad = SecadPointPos - SecadFlag - TrueBigPointPos
ELSE
BigPointPos = SecadPointPos
TrueBigPointPos = BigPointPos - SecadFlag
SubFirad = FiradPointPos - FiradFlag - TrueBigPointPos
END IF
DimSum = BigLength + TrueBigPointPos + 1
REDIM Result%(1 TO DimSum)
FOR SF = 1 TO BigLength + BigPointPos
FiradDim = 0
SecadDim = 0
SubFirad = SubFirad + 1
SubSecad = SubSecad + 1
IF SubFirad > 0 AND SubFirad <= FiradLength THEN FiradDim = Firad%(SubFirad)
IF SubSecad > 0 AND SubSecad <= SecadLength THEN SecadDim = Secad%(SubSecad)
Result%(SF) = FiradDim + SecadDim + Result%(SF)
IF Result%(SF) >= 10 THEN
Result%(SF + 1) = 1
Result%(SF) = Result(SF) - 10
END IF
NEXT SF
ADD$ = ResultFilter$(Result%(), "ADD", DimSum, BigPointPos, Sign)
END FUNCTION

FUNCTION Compare% (Firum$, Secum$)
FirLeftPart = INSTR(Firum$, ".")
SecLeftPart = INSTR(Secum$, ".")
IF FirLeftPart = 0 THEN
FirLeftPart = LEN(Firum$)
ELSE
FirLeftPart = FirLeftPart - 1
FirRightPart = LEN(Firum$) - FirLeftPart
END IF
IF SecLeftPart = 0 THEN
SecLeftPart = LEN(Secum$)
ELSE
SecLeftPart = SecLeftPart - 1
SecRightPart = LEN(Secum$) - SecLeftPart
END IF
IF SecRightPart > FirRightPart THEN
MainRightPart = FirRightPart
ELSE
MainRightPart = SecRightPart
END IF
IF SecLeftPart > FirLeftPart THEN
CompareCode = -1
MainLeftPart = SecLeftPart
ELSE
CompareCode = 1
MainLeftPart = FirLeftPart
END IF
IF SecLeftPart = FirLeftPart THEN
CompareCode = 0
DO
Counter = Counter + 1
FirumPart = VAL(MID$(Firum$, Counter, 1))
SecumPart = VAL(MID$(Secum$, Counter, 1))
IF FirumPart > SecumPart THEN CompareCode = 1
IF FirumPart < SecumPart THEN CompareCode = -1
LOOP WHILE Counter < MainLeftPart AND FirumPart = SecumPart
IF CompareCode = 0 THEN
MainLength = MainLeftPart + MainRightPart
IF MainRightPart > 0 THEN
Counter = Counter + 1
DO
Counter = Counter + 1
FirumPart = VAL(MID$(Firum$, Counter, 1))
SecumPart = VAL(MID$(Secum$, Counter, 1))
IF FirumPart > SecumPart THEN CycleFlag = 1: CompareCode = 1
IF FirumPart < SecumPart THEN CycleFlag = 1: CompareCode = -1
LOOP WHILE Counter < MainLength AND FirumPart = SecumPart
END IF
IF Counter = MainLength AND CycleFlag = 0 THEN
IF FirRightPart < SecRightPart THEN CompareCode = -1
IF FirRightPart > SecRightPart THEN CompareCode = 1
END IF
END IF
END IF
Compare% = CompareCode
END FUNCTION

SUB Convert (Array%(), Number$, Length, Flag, PointPos)
FOR Counter = 1 TO Length
Shoot$ = MID$(Number$, Length - Counter + 1, 1)
IF Shoot$ = "." THEN
Flag = 1
PointPos = Counter
Counter = Counter + 1
Shoot$ = MID$(Number$, Length - Counter + 1, 1)
END IF
Array%(Counter - Flag) = VAL(Shoot$)
NEXT Counter
END SUB

SUB DelLeftNull (Result%(), Tiller$, StrLength, DimLength, PointPos)
Counter = DimLength
DeviPart = DimLength + 1 - StrLength
DO WHILE PointPos + 1 <= Counter - DeviPart AND Result%(Counter) = 0
StrLength = StrLength - 1
Tiller$ = RIGHT$(Tiller$, StrLength)
Counter = Counter - 1
LOOP
END SUB

SUB DelNull (Result%(), Tiller$, DimLength)
Counter = DimLength
DO WHILE Result%(Counter) = 0 AND Counter >= 2
Tiller$ = RIGHT$(Tiller$, Counter - 1)
Counter = Counter - 1
LOOP
END SUB

SUB DelRightNull (Result%(), Tiller$, StrLength, PointPos)
Counter = 1
NewPointPos = PointPos
DO WHILE PointPos - 2 >= Counter AND Result%(Counter) = 0
StrLength = StrLength - 1
Tiller$ = LEFT$(Tiller$, StrLength)
Counter = Counter + 1
NewPointPos = NewPointPos - 1
LOOP
PointPos = NewPointPos
END SUB

FUNCTION DIV$ (Dividend$, Divisor$, Exactness)
DendSign$ = MID$(Dividend$, 1, 1)
SorSign$ = MID$(Divisor$, 1, 1)
IF DendSign$ = "-" AND SorSign$ <> "-" THEN
Sign = 1
Dividend$ = RIGHT$(Dividend$, LEN(Dividend$) - 1)
END IF
IF DendSign$ <> "-" AND SorSign$ = "-" THEN
Sign = 1
Divisor$ = RIGHT$(Divisor$, LEN(Divisor$) - 1)
END IF
IF DendSign$ = "-" AND SorSign$ = "-" THEN
Divisor$ = RIGHT$(Divisor$, LEN(Divisor$) - 1)
Dividend$ = RIGHT$(Dividend$, LEN(Dividend$) - 1)
END IF
DendPointPos = INSTR(Dividend$, ".")
SorPointPos = INSTR(Divisor$, ".")
IF DendPointPos <> 0 THEN
DendRightPart = LEN(Dividend$) - DendPointPos
DendRightPart$ = RIGHT$(Dividend$, DendRightPart)
Dividend$ = LEFT$(Dividend$, DendPointPos - 1) + DendRightPart$
END IF
IF SorPointPos <> 0 THEN
SorRightPart = LEN(Divisor$) - SorPointPos
SorRightPart$ = RIGHT$(Divisor$, SorRightPart)
Divisor$ = LEFT$(Divisor$, SorPointPos - 1) + SorRightPart$
END IF
DO WHILE MID$(Dividend$, 1, 1) = "0" AND LEN(Dividend$) <> 1
Dividend$ = RIGHT$(Dividend$, LEN(Dividend$) - 1)
LOOP
DO WHILE MID$(Divisor$, 1, 1) = "0" AND LEN(Divisor$) <> 1
Divisor$ = RIGHT$(Divisor$, LEN(Divisor$) - 1)
LOOP
IF Divisor$ = "0" THEN ERROR 11
DendLength = LEN(Dividend$)
SorLength = LEN(Divisor$)
IF DendLength <= SorLength THEN
Tiller$ = Dividend$
Mediator$ = FindIntegerPart$(Dividend$, Divisor$)
IntegerPart$ = Mediator$
ELSE
Pointer = SorLength
Tiller$ = MID$(Dividend$, 1, Pointer)
IF FindIntegerPart$(Tiller$, Divisor$) = "0" THEN
Pointer = SorLength + 1
Tiller$ = MID$(Dividend$, 1, Pointer)
END IF
DO WHILE Pointer < DendLength
Mediator$ = FindIntegerPart$(Tiller$, Divisor$)
IntegerPart$ = IntegerPart$ + Mediator$
Pointer = Pointer + 1
Shoot$ = MUL$(Mediator$, Divisor$)
Deviation$ = SUB$(Tiller$, Shoot$)
IF Deviation$ = "0" THEN
Tiller$ = MID$(Dividend$, Pointer, 1)
ELSE
Tiller$ = Deviation$ + MID$(Dividend$, Pointer, 1)
END IF
LOOP
Mediator$ = FindIntegerPart$(Tiller$, Divisor$)
IntegerPart$ = IntegerPart$ + Mediator$
END IF
Result$ = IntegerPart$
RelativePosition = DendRightPart - SorRightPart
MiddlePosition = LEN(IntegerPart$) - RelativePosition
CycleLength = Exactness - RelativePosition
IF CycleLength > 0 THEN
FOR i = 1 TO CycleLength
Shoot$ = MUL$(Mediator$, Divisor$)
Deviation$ = SUB$(Tiller$, Shoot$)
IF Deviation$ = "0" THEN Tiller$ = "0" ELSE Tiller$ = Deviation$ + "0"
Mediator$ = FindIntegerPart$(Tiller$, Divisor$)
FractionalPart$ = FractionalPart$ + Mediator$
NEXT i
Result$ = Result$ + FractionalPart$
END IF
IF MiddlePosition > 0 THEN
LeftPart$ = LEFT$(Result$, MiddlePosition)
IF Exactness = 0 THEN
Result$ = LeftPart$
ELSE
RightPart$ = RIGHT$(Result$, LEN(Result$) - MiddlePosition)
Result$ = LeftPart$ + "." + RightPart$
END IF
IF DendLength <= SorLength THEN
        'Below lines for what captain.
        'NullNumber = SorLength - DendLength + 1 'Bug appears here
        '                                        'because +1 or +0 must.
        'IF MiddlePosition > NullNumber THEN
        'DelLength = NullNumber
        'ELSEIF MiddlePosition = NullNumber THEN
        'DelLength = NullNumber - 1
        'ELSEIF MiddlePosition > 1 THEN
        'DelLength = MiddlePosition - 1
        'END IF
        'Result$ = RIGHT$(Result$, LEN(Result$) - DelLength)
        DO WHILE LEN(Result$) >= 2
        IF LEFT$(Result$, 1) = "0" AND MID$(Result$, 2, 1) <> "." THEN
        Result$ = RIGHT$(Result$, LEN(Result$) - 1)
        ELSE
        EXIT DO
        END IF
        LOOP
END IF
ELSE
IF MiddlePosition = 0 THEN
Result$ = "0." + Result$
ELSE
Result$ = "0." + STRING$(ABS(MiddlePosition), "0") + Result$
END IF
IF Exactness = 0 THEN
Result$ = "0"
ELSEIF CycleLength < 0 THEN
Result$ = LEFT$(Result$, 2 + Exactness)
END IF
END IF
IF Sign = 1 THEN DIV$ = "-" + Result$ ELSE DIV$ = Result$
END FUNCTION

FUNCTION FindIntegerPart$ (Dividend$, Divisor$)
DO
Counter = Counter + 1
Digit$ = LTRIM$(STR$(Counter))
Tiller$ = MUL$(Digit$, Divisor$)
CompareCode = Compare%(Tiller$, Dividend$)
LOOP WHILE Counter <= 9 AND CompareCode = -1
FindIntegerPart$ = LTRIM$(STR$(Counter - CompareCode))
END FUNCTION

FUNCTION MUL$ (Multiplicand$, Multiplier$)
CandSign$ = MID$(Multiplicand$, 1, 1)
ErSign$ = MID$(Multiplier$, 1, 1)
CandLength = LEN(Multiplicand$)
ErLength = LEN(Multiplier$)
IF CandSign$ = "-" AND ErSign$ <> "-" THEN
Sign = 1
CandLength = CandLength - 1
Multiplicand$ = RIGHT$(Multiplicand$, CandLength)
END IF
IF CandSign$ <> "-" AND ErSign$ = "-" THEN
Sign = 1
ErLength = ErLength - 1
Multiplier$ = RIGHT$(Multiplier$, ErLength)
END IF
IF CandSign$ = "-" AND ErSign$ = "-" THEN
ErLength = ErLength - 1
CandLength = CandLength - 1
Multiplier$ = RIGHT$(Multiplier$, ErLength)
Multiplicand$ = RIGHT$(Multiplicand$, CandLength)
END IF
REDIM Cand%(1 TO CandLength)
REDIM Er%(1 TO ErLength)
CALL Convert(Cand%(), Multiplicand$, CandLength, CandFlag, CandPointPos)
CALL Convert(Er%(), Multiplier$, ErLength, ErFlag, ErPointPos)
DimSum = CandLength + ErLength - CandFlag - ErFlag
PointPos = CandPointPos + ErPointPos - CandFlag - ErFlag
REDIM Result%(1 TO DimSum)
FOR SF = 1 TO CandLength - CandFlag
FOR QB = 1 TO ErLength - ErFlag
CarryFlag = 0
Cycle = QB - 1 + SF
Tiller = Cand%(SF) * Er%(QB)
Result%(Cycle) = Tiller MOD 10 + Result%(Cycle)
IF Result%(Cycle) >= 10 THEN
Result%(Cycle) = Result%(Cycle) - 10
CarryFlag = 1
END IF
NextNumPos = Cycle + 1
Result%(NextNumPos) = Result%(NextNumPos) + CarryFlag + Tiller \ 10
DO WHILE Result%(NextNumPos) >= 10
Result%(NextNumPos) = Result%(NextNumPos) - 10
NextNumPos = NextNumPos + 1
Result%(NextNumPos) = Result%(NextNumPos) + 1
LOOP
NEXT QB
NEXT SF
MUL$ = ResultFilter$(Result%(), "MUL", DimSum, PointPos, Sign)
END FUNCTION

FUNCTION ResultFilter$ (Result%(), Code$, DimLength, PointPos, Sign)
SELECT CASE Code$
CASE "ADD"
FOR i = 1 TO DimLength - 1
IF i = PointPos THEN Tiller$ = "." + Tiller$
Tiller$ = LTRIM$(STR$(Result%(i))) + Tiller$
NEXT i
IF Result%(DimLength) <> 0 THEN
Tiller$ = LTRIM$(STR$(Result%(DimLength))) + Tiller$
END IF
IF PointPos <> 0 THEN
StrLength = LEN(Tiller$)
CALL DelRightNull(Result%(), Tiller$, StrLength, PointPos)
END IF
IF Sign = 1 THEN Tiller$ = "-" + Tiller$
CASE "SUB"
FOR i = 1 TO DimLength
IF i = PointPos THEN Tiller$ = "." + Tiller$
Tiller$ = LTRIM$(STR$(Result%(i))) + Tiller$
NEXT i
IF PointPos <> 0 THEN
StrLength = LEN(Tiller$)
CALL DelRightNull(Result%(), Tiller$, StrLength, PointPos)
CALL DelLeftNull(Result%(), Tiller$, StrLength, DimLength, PointPos)
ELSE
CALL DelNull(Result%(), Tiller$, DimLength)
END IF
IF Sign = -1 THEN Tiller$ = "-" + Tiller$
CASE "MUL"
FOR i = 1 TO DimLength
Tiller$ = LTRIM$(STR$(Result%(i))) + Tiller$
IF i = PointPos THEN Tiller$ = "." + Tiller$
NEXT i
IF Result%(DimLength) = 0 THEN
IF PointPos = 0 THEN
Tiller$ = RIGHT$(Tiller$, DimLength - 1)
IF MID$(Tiller$, 1, 1) = "0" THEN Tiller$ = "0"
ELSE
PointPos = PointPos + 1
Tiller$ = RIGHT$(Tiller$, DimLength)
StrLength = LEN(Tiller$)
TrueDimLength = StrLength - 1
CALL DelRightNull(Result%(), Tiller$, StrLength, PointPos)
CALL DelLeftNull(Result%(), Tiller$, StrLength, TrueDimLength, PointPos)
END IF
END IF
IF Sign = 1 THEN Tiller$ = "-" + Tiller$
END SELECT
IF RIGHT$(Tiller$, 2) = ".0" THEN Tiller$ = LEFT$(Tiller$, LEN(Tiller$) - 2)
IF Tiller$ = "-0" THEN Tiller$ = "0"
ResultFilter$ = Tiller$
END FUNCTION

FUNCTION SUB$ (Minuend$, Subtrahend$)
MinuSign$ = MID$(Minuend$, 1, 1)
SubtraSign$ = MID$(Subtrahend$, 1, 1)
MinuLength = LEN(Minuend$)
SubtraLength = LEN(Subtrahend$)
IF MinuSign$ = "-" AND SubtraSign$ <> "-" THEN
Mediator$ = RIGHT$(Minuend$, MinuLength - 1)
SUB$ = "-" + ADD$(Mediator$, Subtrahend$)
EXIT FUNCTION
END IF
IF MinuSign$ <> "-" AND SubtraSign$ = "-" THEN
Mediator$ = RIGHT$(Subtrahend$, SubtraLength - 1)
SUB$ = ADD$(Minuend$, Mediator$)
EXIT FUNCTION
END IF
IF MinuSign$ = "-" AND SubtraSign$ = "-" THEN
SWAP Minuend$, Subtrahend$
MinuLength = MinuLength - 1
SubtraLength = SubtraLength - 1
Minuend$ = RIGHT$(Minuend$, MinuLength)
Subtrahend$ = RIGHT$(Subtrahend$, SubtraLength)
END IF
REDIM Minu%(1 TO MinuLength)
REDIM Subtra%(1 TO SubtraLength)
CALL Convert(Minu%(), Minuend$, MinuLength, MinuFlag, MinuPointPos)
MinuTrueLength = MinuLength - MinuPointPos
CALL Convert(Subtra%(), Subtrahend$, SubtraLength, SubtraFlag, SubtraPointPos)
SubtraTrueLength = SubtraLength - SubtraPointPos
IF SubtraTrueLength > MinuTrueLength THEN
MainTrueLength = SubtraTrueLength
ELSE
MainTrueLength = MinuTrueLength
END IF
CompareCode = Compare%(Minuend$, Subtrahend$)
IF CompareCode = -1 THEN Sign = -1 ELSE Sign = 1
IF MinuPointPos < SubtraPointPos THEN
BigPointPos = SubtraPointPos
TrueBigPointPos = BigPointPos - SubtraFlag
MinuSub = MinuPointPos - MinuFlag - TrueBigPointPos
ELSE
BigPointPos = MinuPointPos
TrueBigPointPos = BigPointPos - MinuFlag
SubtraSub = SubtraPointPos - SubtraFlag - TrueBigPointPos
END IF
DimSum = MainTrueLength + TrueBigPointPos
REDIM Result%(1 TO DimSum)
FOR SF = 1 TO DimSum
MinuDim = 0
SubtraDim = 0
MinuSub = MinuSub + 1
SubtraSub = SubtraSub + 1
IF MinuSub > 0 AND MinuSub <= MinuLength - MinuFlag THEN
MinuDim = Minu%(MinuSub)
END IF
IF SubtraSub > 0 AND SubtraSub <= SubtraLength - SubtraFlag THEN
SubtraDim = Subtra%(SubtraSub)
END IF
IF Sign = 1 THEN
MinuDim = MinuDim + SubFlag
ELSE
SubtraDim = SubtraDim + SubFlag
END IF
SubSum = Sign * (MinuDim - SubtraDim)
SubFlag = 0
IF Sign = 1 THEN
IF MinuDim >= SubtraDim THEN
Result%(SF) = SubSum
ELSE
IF SubSum < 0 THEN SubFlag = -1
Result%(SF) = SubSum + 10
END IF
ELSE
IF MinuDim > SubtraDim THEN
IF SubSum < 0 THEN SubFlag = -1
Result%(SF) = SubSum + 10
ELSE
Result%(SF) = SubSum
END IF
END IF
NEXT SF
SUB$ = ResultFilter$(Result%(), "SUB", DimSum, BigPointPos, Sign)
END FUNCTION
*/

// 124 x 7235
// =
//        620
//       372
//      248
//     868
// =
//     897140 (3x4=12 MULs)

// 01,24 x 72,35
// =
//           840
//         035
//        1728
//       072
// =
//        897140 (2x2=4 MULs)

// 71839 x 7426744
// 0007,1839 x 0742,6744
// =
//              12402216
//             47208
//           1364538
//          5194
// =
//          533529862216 (2x2=4 MULs)

// From Wikipedia, the free encyclopedia:
// Quarter square multiplication:
// Two quantities can be multiplied using quarter squares by employing the following identity some attribute to Babylonian mathematics (20001600 BC).
// ((x+y)^2)/4 - ((x-y)^2)/4 = 1/4( (x^2+2xy+y^2) - (x^2-2xy+y^2) ) = 1/4(4xy) = xy
//
// n    : 0 1 2 3 4 5 6  7  8  9 10 11 12 13 14 15 16 17 18
// n^2/4: 0 0 1 2 4 6 9 12 16 20 25 30 36 42 49 56 64 72 81
// 
// If, for example, you wanted to multiply 9 by 3, you observe that the sum and difference are 12 and 6 respectively. Looking both those values up on the table yields 36 and 9, the difference of which is 27, which is the product of 9 and 3.

// Kaze's note:
// Mutsi, more economical than the trivial LUT:
// 0..9 x 0..9 needs 10x10=100bytes LUT, while Babylonia just 9+9+1=19bytes LUT. Byte houses the max value: 81 i.e. 19x1bytes=19 bytes
// 0..99 x 0..99 needs 100x100=10,000words LUT, while Babylonia just 99+99+1=199words LUT. Word houses the max value: 9,801 i.e. 199x2bytes=398 bytes
// 0..999 x 0..999 needs 1000x1000=1000,000dwords LUT, while Babylonia just 999+999+1=1999dwords LUT. DWord houses the max value: 998,001 i.e. 1999x4bytes=7,996 bytes
// 0..9999 x 0..9999 needs 10000x10000=100,000,000dwords LUT, while Babylonia just 9999+9999+1=19999dwords LUT. DWord houses the max value: 99,980,001 i.e. 19999x4bytes=79,996 bytes

// Let's Babylonize 124 and 235:
// 124 + 235 = 359
// 124 - 235 =-111
// 235 - 124 = 111
// 359 BLUT 999x999 holds: 32220 
// 111 BLUT 999x999 holds: 3080
// 3080 - 32220 =-29140
// 32220 - 3080 = 29140
// as it should be
// 124 * 235 = 29140

// Let's Babylonize 124 and 7235:
// 124 + 7235 = 7359
// 124 - 7235 =-7111 
// 7235 - 124 = 7111
// 7359 BLUT 9999x9999 holds: 13538720
// 7111 BLUT 9999x9999 holds: 12641580
// 13538720 - 12641580 = 897140
// 12641580 - 13538720 =-897140
// as it should be
// 124 * 7235 = 897140

// Now two 4digits long numbers can be multiplied/Babylonized with 159,992 bytes big look-up table.
// If the number is to be squared i.e. 7235^2, even better, we do all IN-ONE-STEP:
// 7235 + 7235 = 14470
// 7235 - 7235 = 0
// 14470 BLUT 9999x9999 holds: 52345225
// 0 BLUT 9999x9999 holds: 0
// 52345225 - 0 = 52345225 
// 0 - 52345225 =-52345225
// as it should be
// 7235 * 7235 = 52345225
// Obviously no need of any subtraction, just one addition or (7235<<1) followed by a look-up.

// One nasty obstacle remains, how to convert '0000'..'9999' 4bytes cells to index/value, here with ASCII2VAL function:
// (BYTE1-'0')*10^3 + (BYTE2-'0')*10^2 + (BYTE3-'0')*10^1 + (BYTE4-'0')*10^0
// Awful, just awful.
// The "fast" alternative ASCII2VAL_LUT is too memory expensive, not fast also:
// 960051513-808464432+1 big array with 10,000 useful cells = (151,587,081+1)cellsx4bytes = 606,348,328bytes, vay-vay.
// 
//	char CELLS[5]="0000\0";
//	//char CELLS[5]="9999\0";
//	printf("%s\n", CELLS);
//	printf("%i\n", *(unsigned int *)CELLS ); // 808464432 or 960051513
// 
// (48*256*256*256)+(48*256*256)+(48*256)+(48) = 808464432
// (48<<24)+(48<<16)+(48<<8)+(48<<0)           = 808464432
// (57<<24)+(57<<16)+(57<<8)+(57<<0)           = 960051513
// 
// The char '????????' sequence is:
// VAL2digits_LUT(
// abs_AF(
// BLUT4bytes9999x9999[ abs_AF( ASCII2VAL_LUT[*(unsigned int *)&Multiplicand[(CandLength-SF+1)-4] - 808464432] - ASCII2VAL_LUT[*(unsigned int *)&Multiplier[(ErLength-QB+1)-4] - 808464432] ) ]
// -
// BLUT4bytes9999x9999[       ( ASCII2VAL_LUT[*(unsigned int *)&Multiplicand[(CandLength-SF+1)-4] - 808464432] + ASCII2VAL_LUT[*(unsigned int *)&Multiplier[(ErLength-QB+1)-4] - 808464432] ) ]
// )
// );
// But here comes the second bottleneck VAL2digits function, it maps 0..99980001 values to '00000000'..'99980001'.
// If again we are to "speed up" things by using LUT the requirements are heavier: (99980001+1)*8= 799,840,016bytes, vay-vay-vay.
// 
// VAL2digits_LUT      needs (99,980,001+1)slots*8bytes  = 799,840,016 bytes
// ASCII2VAL_LUT       needs (151,587,081+1)cellsx4bytes = 606,348,328 bytes
// BLUT4bytes9999x9999 needs 19,999x4bytes               =      79,996 bytes
// Or in other words the result of 4digits vs 4digits lies ALWAYS in L2 cache, forgetting for a moment the 1.4GB ugliness.
// But the two functions converting digits2value and value2digits spoil the fun.
// Bottomline: Strange, 16 primitive multiplications (digit vs digit) seem to be faster than all the mumbo-jumbo shown above.

/*
D:\_KAZE\MokujIN>MokujIN.exe
Babylonian LUT (look-up table) 9x9:
n    :  0  1  2  3  4  5  6  7
n^2/4:  0  0  1  2  4  6  9 12
n    :  8  9 10 11 12 13 14 15
n^2/4: 16 20 25 30 36 42 49 56
n    : 16 17 18
n^2/4: 64 72 81
Babylonian LUT (look-up table) 99x99:
n    :    0    1    2    3    4    5    6    7
n^2/4:    0    0    1    2    4    6    9   12
n    :    8    9   10   11   12   13   14   15
n^2/4:   16   20   25   30   36   42   49   56
n    :   16   17   18   19   20   21   22   23
n^2/4:   64   72   81   90  100  110  121  132
n    :   24   25   26   27   28   29   30   31
n^2/4:  144  156  169  182  196  210  225  240
n    :   32   33   34   35   36   37   38   39
n^2/4:  256  272  289  306  324  342  361  380
n    :   40   41   42   43   44   45   46   47
n^2/4:  400  420  441  462  484  506  529  552
n    :   48   49   50   51   52   53   54   55
n^2/4:  576  600  625  650  676  702  729  756
n    :   56   57   58   59   60   61   62   63
n^2/4:  784  812  841  870  900  930  961  992
n    :   64   65   66   67   68   69   70   71
n^2/4: 1024 1056 1089 1122 1156 1190 1225 1260
n    :   72   73   74   75   76   77   78   79
n^2/4: 1296 1332 1369 1406 1444 1482 1521 1560
n    :   80   81   82   83   84   85   86   87
n^2/4: 1600 1640 1681 1722 1764 1806 1849 1892
n    :   88   89   90   91   92   93   94   95
n^2/4: 1936 1980 2025 2070 2116 2162 2209 2256
n    :   96   97   98   99  100  101  102  103
n^2/4: 2304 2352 2401 2450 2500 2550 2601 2652
n    :  104  105  106  107  108  109  110  111
n^2/4: 2704 2756 2809 2862 2916 2970 3025 3080
n    :  112  113  114  115  116  117  118  119
n^2/4: 3136 3192 3249 3306 3364 3422 3481 3540
n    :  120  121  122  123  124  125  126  127
n^2/4: 3600 3660 3721 3782 3844 3906 3969 4032
n    :  128  129  130  131  132  133  134  135
n^2/4: 4096 4160 4225 4290 4356 4422 4489 4556
n    :  136  137  138  139  140  141  142  143
n^2/4: 4624 4692 4761 4830 4900 4970 5041 5112
n    :  144  145  146  147  148  149  150  151
n^2/4: 5184 5256 5329 5402 5476 5550 5625 5700
n    :  152  153  154  155  156  157  158  159
n^2/4: 5776 5852 5929 6006 6084 6162 6241 6320
n    :  160  161  162  163  164  165  166  167
n^2/4: 6400 6480 6561 6642 6724 6806 6889 6972
n    :  168  169  170  171  172  173  174  175
n^2/4: 7056 7140 7225 7310 7396 7482 7569 7656
n    :  176  177  178  179  180  181  182  183
n^2/4: 7744 7832 7921 8010 8100 8190 8281 8372
n    :  184  185  186  187  188  189  190  191
n^2/4: 8464 8556 8649 8742 8836 8930 9025 9120
n    :  192  193  194  195  196  197  198
n^2/4: 9216 9312 9409 9506 9604 9702 9801
Babylonian LUT (look-up table) 999x999:
n    :      0      1      2      3      4      5      6      7
n^2/4:      0      0      1      2      4      6      9     12
n    :      8      9     10     11     12     13     14     15
n^2/4:     16     20     25     30     36     42     49     56
n    :     16     17     18     19     20     21     22     23
n^2/4:     64     72     81     90    100    110    121    132
n    :     24     25     26     27     28     29     30     31
n^2/4:    144    156    169    182    196    210    225    240
n    :     32     33     34     35     36     37     38     39
n^2/4:    256    272    289    306    324    342    361    380
n    :     40     41     42     43     44     45     46     47
n^2/4:    400    420    441    462    484    506    529    552
n    :     48     49     50     51     52     53     54     55
n^2/4:    576    600    625    650    676    702    729    756
n    :     56     57     58     59     60     61     62     63
n^2/4:    784    812    841    870    900    930    961    992
n    :     64     65     66     67     68     69     70     71
n^2/4:   1024   1056   1089   1122   1156   1190   1225   1260
n    :     72     73     74     75     76     77     78     79
n^2/4:   1296   1332   1369   1406   1444   1482   1521   1560
n    :     80     81     82     83     84     85     86     87
n^2/4:   1600   1640   1681   1722   1764   1806   1849   1892
n    :     88     89     90     91     92     93     94     95
n^2/4:   1936   1980   2025   2070   2116   2162   2209   2256
n    :     96     97     98     99    100    101    102    103
n^2/4:   2304   2352   2401   2450   2500   2550   2601   2652
n    :    104    105    106    107    108    109    110    111
n^2/4:   2704   2756   2809   2862   2916   2970   3025   3080
n    :    112    113    114    115    116    117    118    119
n^2/4:   3136   3192   3249   3306   3364   3422   3481   3540
n    :    120    121    122    123    124    125    126    127
n^2/4:   3600   3660   3721   3782   3844   3906   3969   4032
n    :    128    129    130    131    132    133    134    135
n^2/4:   4096   4160   4225   4290   4356   4422   4489   4556
n    :    136    137    138    139    140    141    142    143
n^2/4:   4624   4692   4761   4830   4900   4970   5041   5112
n    :    144    145    146    147    148    149    150    151
n^2/4:   5184   5256   5329   5402   5476   5550   5625   5700
n    :    152    153    154    155    156    157    158    159
n^2/4:   5776   5852   5929   6006   6084   6162   6241   6320
n    :    160    161    162    163    164    165    166    167
n^2/4:   6400   6480   6561   6642   6724   6806   6889   6972
n    :    168    169    170    171    172    173    174    175
n^2/4:   7056   7140   7225   7310   7396   7482   7569   7656
n    :    176    177    178    179    180    181    182    183
n^2/4:   7744   7832   7921   8010   8100   8190   8281   8372
n    :    184    185    186    187    188    189    190    191
n^2/4:   8464   8556   8649   8742   8836   8930   9025   9120
n    :    192    193    194    195    196    197    198    199
n^2/4:   9216   9312   9409   9506   9604   9702   9801   9900
n    :    200    201    202    203    204    205    206    207
n^2/4:  10000  10100  10201  10302  10404  10506  10609  10712
n    :    208    209    210    211    212    213    214    215
n^2/4:  10816  10920  11025  11130  11236  11342  11449  11556
n    :    216    217    218    219    220    221    222    223
n^2/4:  11664  11772  11881  11990  12100  12210  12321  12432
n    :    224    225    226    227    228    229    230    231
n^2/4:  12544  12656  12769  12882  12996  13110  13225  13340
n    :    232    233    234    235    236    237    238    239
n^2/4:  13456  13572  13689  13806  13924  14042  14161  14280
n    :    240    241    242    243    244    245    246    247
n^2/4:  14400  14520  14641  14762  14884  15006  15129  15252
n    :    248    249    250    251    252    253    254    255
n^2/4:  15376  15500  15625  15750  15876  16002  16129  16256
n    :    256    257    258    259    260    261    262    263
n^2/4:  16384  16512  16641  16770  16900  17030  17161  17292
n    :    264    265    266    267    268    269    270    271
n^2/4:  17424  17556  17689  17822  17956  18090  18225  18360
n    :    272    273    274    275    276    277    278    279
n^2/4:  18496  18632  18769  18906  19044  19182  19321  19460
n    :    280    281    282    283    284    285    286    287
n^2/4:  19600  19740  19881  20022  20164  20306  20449  20592
n    :    288    289    290    291    292    293    294    295
n^2/4:  20736  20880  21025  21170  21316  21462  21609  21756
n    :    296    297    298    299    300    301    302    303
n^2/4:  21904  22052  22201  22350  22500  22650  22801  22952
n    :    304    305    306    307    308    309    310    311
n^2/4:  23104  23256  23409  23562  23716  23870  24025  24180
n    :    312    313    314    315    316    317    318    319
n^2/4:  24336  24492  24649  24806  24964  25122  25281  25440
n    :    320    321    322    323    324    325    326    327
n^2/4:  25600  25760  25921  26082  26244  26406  26569  26732
n    :    328    329    330    331    332    333    334    335
n^2/4:  26896  27060  27225  27390  27556  27722  27889  28056
n    :    336    337    338    339    340    341    342    343
n^2/4:  28224  28392  28561  28730  28900  29070  29241  29412
n    :    344    345    346    347    348    349    350    351
n^2/4:  29584  29756  29929  30102  30276  30450  30625  30800
n    :    352    353    354    355    356    357    358    359
n^2/4:  30976  31152  31329  31506  31684  31862  32041  32220
n    :    360    361    362    363    364    365    366    367
n^2/4:  32400  32580  32761  32942  33124  33306  33489  33672
n    :    368    369    370    371    372    373    374    375
n^2/4:  33856  34040  34225  34410  34596  34782  34969  35156
n    :    376    377    378    379    380    381    382    383
n^2/4:  35344  35532  35721  35910  36100  36290  36481  36672
n    :    384    385    386    387    388    389    390    391
n^2/4:  36864  37056  37249  37442  37636  37830  38025  38220
n    :    392    393    394    395    396    397    398    399
n^2/4:  38416  38612  38809  39006  39204  39402  39601  39800
n    :    400    401    402    403    404    405    406    407
n^2/4:  40000  40200  40401  40602  40804  41006  41209  41412
n    :    408    409    410    411    412    413    414    415
n^2/4:  41616  41820  42025  42230  42436  42642  42849  43056
n    :    416    417    418    419    420    421    422    423
n^2/4:  43264  43472  43681  43890  44100  44310  44521  44732
n    :    424    425    426    427    428    429    430    431
n^2/4:  44944  45156  45369  45582  45796  46010  46225  46440
n    :    432    433    434    435    436    437    438    439
n^2/4:  46656  46872  47089  47306  47524  47742  47961  48180
n    :    440    441    442    443    444    445    446    447
n^2/4:  48400  48620  48841  49062  49284  49506  49729  49952
n    :    448    449    450    451    452    453    454    455
n^2/4:  50176  50400  50625  50850  51076  51302  51529  51756
n    :    456    457    458    459    460    461    462    463
n^2/4:  51984  52212  52441  52670  52900  53130  53361  53592
n    :    464    465    466    467    468    469    470    471
n^2/4:  53824  54056  54289  54522  54756  54990  55225  55460
n    :    472    473    474    475    476    477    478    479
n^2/4:  55696  55932  56169  56406  56644  56882  57121  57360
n    :    480    481    482    483    484    485    486    487
n^2/4:  57600  57840  58081  58322  58564  58806  59049  59292
n    :    488    489    490    491    492    493    494    495
n^2/4:  59536  59780  60025  60270  60516  60762  61009  61256
n    :    496    497    498    499    500    501    502    503
n^2/4:  61504  61752  62001  62250  62500  62750  63001  63252
n    :    504    505    506    507    508    509    510    511
n^2/4:  63504  63756  64009  64262  64516  64770  65025  65280
n    :    512    513    514    515    516    517    518    519
n^2/4:  65536  65792  66049  66306  66564  66822  67081  67340
n    :    520    521    522    523    524    525    526    527
n^2/4:  67600  67860  68121  68382  68644  68906  69169  69432
n    :    528    529    530    531    532    533    534    535
n^2/4:  69696  69960  70225  70490  70756  71022  71289  71556
n    :    536    537    538    539    540    541    542    543
n^2/4:  71824  72092  72361  72630  72900  73170  73441  73712
n    :    544    545    546    547    548    549    550    551
n^2/4:  73984  74256  74529  74802  75076  75350  75625  75900
n    :    552    553    554    555    556    557    558    559
n^2/4:  76176  76452  76729  77006  77284  77562  77841  78120
n    :    560    561    562    563    564    565    566    567
n^2/4:  78400  78680  78961  79242  79524  79806  80089  80372
n    :    568    569    570    571    572    573    574    575
n^2/4:  80656  80940  81225  81510  81796  82082  82369  82656
n    :    576    577    578    579    580    581    582    583
n^2/4:  82944  83232  83521  83810  84100  84390  84681  84972
n    :    584    585    586    587    588    589    590    591
n^2/4:  85264  85556  85849  86142  86436  86730  87025  87320
n    :    592    593    594    595    596    597    598    599
n^2/4:  87616  87912  88209  88506  88804  89102  89401  89700
n    :    600    601    602    603    604    605    606    607
n^2/4:  90000  90300  90601  90902  91204  91506  91809  92112
n    :    608    609    610    611    612    613    614    615
n^2/4:  92416  92720  93025  93330  93636  93942  94249  94556
n    :    616    617    618    619    620    621    622    623
n^2/4:  94864  95172  95481  95790  96100  96410  96721  97032
n    :    624    625    626    627    628    629    630    631
n^2/4:  97344  97656  97969  98282  98596  98910  99225  99540
n    :    632    633    634    635    636    637    638    639
n^2/4:  99856 100172 100489 100806 101124 101442 101761 102080
n    :    640    641    642    643    644    645    646    647
n^2/4: 102400 102720 103041 103362 103684 104006 104329 104652
n    :    648    649    650    651    652    653    654    655
n^2/4: 104976 105300 105625 105950 106276 106602 106929 107256
n    :    656    657    658    659    660    661    662    663
n^2/4: 107584 107912 108241 108570 108900 109230 109561 109892
n    :    664    665    666    667    668    669    670    671
n^2/4: 110224 110556 110889 111222 111556 111890 112225 112560
n    :    672    673    674    675    676    677    678    679
n^2/4: 112896 113232 113569 113906 114244 114582 114921 115260
n    :    680    681    682    683    684    685    686    687
n^2/4: 115600 115940 116281 116622 116964 117306 117649 117992
n    :    688    689    690    691    692    693    694    695
n^2/4: 118336 118680 119025 119370 119716 120062 120409 120756
n    :    696    697    698    699    700    701    702    703
n^2/4: 121104 121452 121801 122150 122500 122850 123201 123552
n    :    704    705    706    707    708    709    710    711
n^2/4: 123904 124256 124609 124962 125316 125670 126025 126380
n    :    712    713    714    715    716    717    718    719
n^2/4: 126736 127092 127449 127806 128164 128522 128881 129240
n    :    720    721    722    723    724    725    726    727
n^2/4: 129600 129960 130321 130682 131044 131406 131769 132132
n    :    728    729    730    731    732    733    734    735
n^2/4: 132496 132860 133225 133590 133956 134322 134689 135056
n    :    736    737    738    739    740    741    742    743
n^2/4: 135424 135792 136161 136530 136900 137270 137641 138012
n    :    744    745    746    747    748    749    750    751
n^2/4: 138384 138756 139129 139502 139876 140250 140625 141000
n    :    752    753    754    755    756    757    758    759
n^2/4: 141376 141752 142129 142506 142884 143262 143641 144020
n    :    760    761    762    763    764    765    766    767
n^2/4: 144400 144780 145161 145542 145924 146306 146689 147072
n    :    768    769    770    771    772    773    774    775
n^2/4: 147456 147840 148225 148610 148996 149382 149769 150156
n    :    776    777    778    779    780    781    782    783
n^2/4: 150544 150932 151321 151710 152100 152490 152881 153272
n    :    784    785    786    787    788    789    790    791
n^2/4: 153664 154056 154449 154842 155236 155630 156025 156420
n    :    792    793    794    795    796    797    798    799
n^2/4: 156816 157212 157609 158006 158404 158802 159201 159600
n    :    800    801    802    803    804    805    806    807
n^2/4: 160000 160400 160801 161202 161604 162006 162409 162812
n    :    808    809    810    811    812    813    814    815
n^2/4: 163216 163620 164025 164430 164836 165242 165649 166056
n    :    816    817    818    819    820    821    822    823
n^2/4: 166464 166872 167281 167690 168100 168510 168921 169332
n    :    824    825    826    827    828    829    830    831
n^2/4: 169744 170156 170569 170982 171396 171810 172225 172640
n    :    832    833    834    835    836    837    838    839
n^2/4: 173056 173472 173889 174306 174724 175142 175561 175980
n    :    840    841    842    843    844    845    846    847
n^2/4: 176400 176820 177241 177662 178084 178506 178929 179352
n    :    848    849    850    851    852    853    854    855
n^2/4: 179776 180200 180625 181050 181476 181902 182329 182756
n    :    856    857    858    859    860    861    862    863
n^2/4: 183184 183612 184041 184470 184900 185330 185761 186192
n    :    864    865    866    867    868    869    870    871
n^2/4: 186624 187056 187489 187922 188356 188790 189225 189660
n    :    872    873    874    875    876    877    878    879
n^2/4: 190096 190532 190969 191406 191844 192282 192721 193160
n    :    880    881    882    883    884    885    886    887
n^2/4: 193600 194040 194481 194922 195364 195806 196249 196692
n    :    888    889    890    891    892    893    894    895
n^2/4: 197136 197580 198025 198470 198916 199362 199809 200256
n    :    896    897    898    899    900    901    902    903
n^2/4: 200704 201152 201601 202050 202500 202950 203401 203852
n    :    904    905    906    907    908    909    910    911
n^2/4: 204304 204756 205209 205662 206116 206570 207025 207480
n    :    912    913    914    915    916    917    918    919
n^2/4: 207936 208392 208849 209306 209764 210222 210681 211140
n    :    920    921    922    923    924    925    926    927
n^2/4: 211600 212060 212521 212982 213444 213906 214369 214832
n    :    928    929    930    931    932    933    934    935
n^2/4: 215296 215760 216225 216690 217156 217622 218089 218556
n    :    936    937    938    939    940    941    942    943
n^2/4: 219024 219492 219961 220430 220900 221370 221841 222312
n    :    944    945    946    947    948    949    950    951
n^2/4: 222784 223256 223729 224202 224676 225150 225625 226100
n    :    952    953    954    955    956    957    958    959
n^2/4: 226576 227052 227529 228006 228484 228962 229441 229920
n    :    960    961    962    963    964    965    966    967
n^2/4: 230400 230880 231361 231842 232324 232806 233289 233772
n    :    968    969    970    971    972    973    974    975
n^2/4: 234256 234740 235225 235710 236196 236682 237169 237656
n    :    976    977    978    979    980    981    982    983
n^2/4: 238144 238632 239121 239610 240100 240590 241081 241572
n    :    984    985    986    987    988    989    990    991
n^2/4: 242064 242556 243049 243542 244036 244530 245025 245520
n    :    992    993    994    995    996    997    998    999
n^2/4: 246016 246512 247009 247506 248004 248502 249001 249500
n    :   1000   1001   1002   1003   1004   1005   1006   1007
n^2/4: 250000 250500 251001 251502 252004 252506 253009 253512
n    :   1008   1009   1010   1011   1012   1013   1014   1015
n^2/4: 254016 254520 255025 255530 256036 256542 257049 257556
n    :   1016   1017   1018   1019   1020   1021   1022   1023
n^2/4: 258064 258572 259081 259590 260100 260610 261121 261632
n    :   1024   1025   1026   1027   1028   1029   1030   1031
n^2/4: 262144 262656 263169 263682 264196 264710 265225 265740
n    :   1032   1033   1034   1035   1036   1037   1038   1039
n^2/4: 266256 266772 267289 267806 268324 268842 269361 269880
n    :   1040   1041   1042   1043   1044   1045   1046   1047
n^2/4: 270400 270920 271441 271962 272484 273006 273529 274052
n    :   1048   1049   1050   1051   1052   1053   1054   1055
n^2/4: 274576 275100 275625 276150 276676 277202 277729 278256
n    :   1056   1057   1058   1059   1060   1061   1062   1063
n^2/4: 278784 279312 279841 280370 280900 281430 281961 282492
n    :   1064   1065   1066   1067   1068   1069   1070   1071
n^2/4: 283024 283556 284089 284622 285156 285690 286225 286760
n    :   1072   1073   1074   1075   1076   1077   1078   1079
n^2/4: 287296 287832 288369 288906 289444 289982 290521 291060
n    :   1080   1081   1082   1083   1084   1085   1086   1087
n^2/4: 291600 292140 292681 293222 293764 294306 294849 295392
n    :   1088   1089   1090   1091   1092   1093   1094   1095
n^2/4: 295936 296480 297025 297570 298116 298662 299209 299756
n    :   1096   1097   1098   1099   1100   1101   1102   1103
n^2/4: 300304 300852 301401 301950 302500 303050 303601 304152
n    :   1104   1105   1106   1107   1108   1109   1110   1111
n^2/4: 304704 305256 305809 306362 306916 307470 308025 308580
n    :   1112   1113   1114   1115   1116   1117   1118   1119
n^2/4: 309136 309692 310249 310806 311364 311922 312481 313040
n    :   1120   1121   1122   1123   1124   1125   1126   1127
n^2/4: 313600 314160 314721 315282 315844 316406 316969 317532
n    :   1128   1129   1130   1131   1132   1133   1134   1135
n^2/4: 318096 318660 319225 319790 320356 320922 321489 322056
n    :   1136   1137   1138   1139   1140   1141   1142   1143
n^2/4: 322624 323192 323761 324330 324900 325470 326041 326612
n    :   1144   1145   1146   1147   1148   1149   1150   1151
n^2/4: 327184 327756 328329 328902 329476 330050 330625 331200
n    :   1152   1153   1154   1155   1156   1157   1158   1159
n^2/4: 331776 332352 332929 333506 334084 334662 335241 335820
n    :   1160   1161   1162   1163   1164   1165   1166   1167
n^2/4: 336400 336980 337561 338142 338724 339306 339889 340472
n    :   1168   1169   1170   1171   1172   1173   1174   1175
n^2/4: 341056 341640 342225 342810 343396 343982 344569 345156
n    :   1176   1177   1178   1179   1180   1181   1182   1183
n^2/4: 345744 346332 346921 347510 348100 348690 349281 349872
n    :   1184   1185   1186   1187   1188   1189   1190   1191
n^2/4: 350464 351056 351649 352242 352836 353430 354025 354620
n    :   1192   1193   1194   1195   1196   1197   1198   1199
n^2/4: 355216 355812 356409 357006 357604 358202 358801 359400
n    :   1200   1201   1202   1203   1204   1205   1206   1207
n^2/4: 360000 360600 361201 361802 362404 363006 363609 364212
n    :   1208   1209   1210   1211   1212   1213   1214   1215
n^2/4: 364816 365420 366025 366630 367236 367842 368449 369056
n    :   1216   1217   1218   1219   1220   1221   1222   1223
n^2/4: 369664 370272 370881 371490 372100 372710 373321 373932
n    :   1224   1225   1226   1227   1228   1229   1230   1231
n^2/4: 374544 375156 375769 376382 376996 377610 378225 378840
n    :   1232   1233   1234   1235   1236   1237   1238   1239
n^2/4: 379456 380072 380689 381306 381924 382542 383161 383780
n    :   1240   1241   1242   1243   1244   1245   1246   1247
n^2/4: 384400 385020 385641 386262 386884 387506 388129 388752
n    :   1248   1249   1250   1251   1252   1253   1254   1255
n^2/4: 389376 390000 390625 391250 391876 392502 393129 393756
n    :   1256   1257   1258   1259   1260   1261   1262   1263
n^2/4: 394384 395012 395641 396270 396900 397530 398161 398792
n    :   1264   1265   1266   1267   1268   1269   1270   1271
n^2/4: 399424 400056 400689 401322 401956 402590 403225 403860
n    :   1272   1273   1274   1275   1276   1277   1278   1279
n^2/4: 404496 405132 405769 406406 407044 407682 408321 408960
n    :   1280   1281   1282   1283   1284   1285   1286   1287
n^2/4: 409600 410240 410881 411522 412164 412806 413449 414092
n    :   1288   1289   1290   1291   1292   1293   1294   1295
n^2/4: 414736 415380 416025 416670 417316 417962 418609 419256
n    :   1296   1297   1298   1299   1300   1301   1302   1303
n^2/4: 419904 420552 421201 421850 422500 423150 423801 424452
n    :   1304   1305   1306   1307   1308   1309   1310   1311
n^2/4: 425104 425756 426409 427062 427716 428370 429025 429680
n    :   1312   1313   1314   1315   1316   1317   1318   1319
n^2/4: 430336 430992 431649 432306 432964 433622 434281 434940
n    :   1320   1321   1322   1323   1324   1325   1326   1327
n^2/4: 435600 436260 436921 437582 438244 438906 439569 440232
n    :   1328   1329   1330   1331   1332   1333   1334   1335
n^2/4: 440896 441560 442225 442890 443556 444222 444889 445556
n    :   1336   1337   1338   1339   1340   1341   1342   1343
n^2/4: 446224 446892 447561 448230 448900 449570 450241 450912
n    :   1344   1345   1346   1347   1348   1349   1350   1351
n^2/4: 451584 452256 452929 453602 454276 454950 455625 456300
n    :   1352   1353   1354   1355   1356   1357   1358   1359
n^2/4: 456976 457652 458329 459006 459684 460362 461041 461720
n    :   1360   1361   1362   1363   1364   1365   1366   1367
n^2/4: 462400 463080 463761 464442 465124 465806 466489 467172
n    :   1368   1369   1370   1371   1372   1373   1374   1375
n^2/4: 467856 468540 469225 469910 470596 471282 471969 472656
n    :   1376   1377   1378   1379   1380   1381   1382   1383
n^2/4: 473344 474032 474721 475410 476100 476790 477481 478172
n    :   1384   1385   1386   1387   1388   1389   1390   1391
n^2/4: 478864 479556 480249 480942 481636 482330 483025 483720
n    :   1392   1393   1394   1395   1396   1397   1398   1399
n^2/4: 484416 485112 485809 486506 487204 487902 488601 489300
n    :   1400   1401   1402   1403   1404   1405   1406   1407
n^2/4: 490000 490700 491401 492102 492804 493506 494209 494912
n    :   1408   1409   1410   1411   1412   1413   1414   1415
n^2/4: 495616 496320 497025 497730 498436 499142 499849 500556
n    :   1416   1417   1418   1419   1420   1421   1422   1423
n^2/4: 501264 501972 502681 503390 504100 504810 505521 506232
n    :   1424   1425   1426   1427   1428   1429   1430   1431
n^2/4: 506944 507656 508369 509082 509796 510510 511225 511940
n    :   1432   1433   1434   1435   1436   1437   1438   1439
n^2/4: 512656 513372 514089 514806 515524 516242 516961 517680
n    :   1440   1441   1442   1443   1444   1445   1446   1447
n^2/4: 518400 519120 519841 520562 521284 522006 522729 523452
n    :   1448   1449   1450   1451   1452   1453   1454   1455
n^2/4: 524176 524900 525625 526350 527076 527802 528529 529256
n    :   1456   1457   1458   1459   1460   1461   1462   1463
n^2/4: 529984 530712 531441 532170 532900 533630 534361 535092
n    :   1464   1465   1466   1467   1468   1469   1470   1471
n^2/4: 535824 536556 537289 538022 538756 539490 540225 540960
n    :   1472   1473   1474   1475   1476   1477   1478   1479
n^2/4: 541696 542432 543169 543906 544644 545382 546121 546860
n    :   1480   1481   1482   1483   1484   1485   1486   1487
n^2/4: 547600 548340 549081 549822 550564 551306 552049 552792
n    :   1488   1489   1490   1491   1492   1493   1494   1495
n^2/4: 553536 554280 555025 555770 556516 557262 558009 558756
n    :   1496   1497   1498   1499   1500   1501   1502   1503
n^2/4: 559504 560252 561001 561750 562500 563250 564001 564752
n    :   1504   1505   1506   1507   1508   1509   1510   1511
n^2/4: 565504 566256 567009 567762 568516 569270 570025 570780
n    :   1512   1513   1514   1515   1516   1517   1518   1519
n^2/4: 571536 572292 573049 573806 574564 575322 576081 576840
n    :   1520   1521   1522   1523   1524   1525   1526   1527
n^2/4: 577600 578360 579121 579882 580644 581406 582169 582932
n    :   1528   1529   1530   1531   1532   1533   1534   1535
n^2/4: 583696 584460 585225 585990 586756 587522 588289 589056
n    :   1536   1537   1538   1539   1540   1541   1542   1543
n^2/4: 589824 590592 591361 592130 592900 593670 594441 595212
n    :   1544   1545   1546   1547   1548   1549   1550   1551
n^2/4: 595984 596756 597529 598302 599076 599850 600625 601400
n    :   1552   1553   1554   1555   1556   1557   1558   1559
n^2/4: 602176 602952 603729 604506 605284 606062 606841 607620
n    :   1560   1561   1562   1563   1564   1565   1566   1567
n^2/4: 608400 609180 609961 610742 611524 612306 613089 613872
n    :   1568   1569   1570   1571   1572   1573   1574   1575
n^2/4: 614656 615440 616225 617010 617796 618582 619369 620156
n    :   1576   1577   1578   1579   1580   1581   1582   1583
n^2/4: 620944 621732 622521 623310 624100 624890 625681 626472
n    :   1584   1585   1586   1587   1588   1589   1590   1591
n^2/4: 627264 628056 628849 629642 630436 631230 632025 632820
n    :   1592   1593   1594   1595   1596   1597   1598   1599
n^2/4: 633616 634412 635209 636006 636804 637602 638401 639200
n    :   1600   1601   1602   1603   1604   1605   1606   1607
n^2/4: 640000 640800 641601 642402 643204 644006 644809 645612
n    :   1608   1609   1610   1611   1612   1613   1614   1615
n^2/4: 646416 647220 648025 648830 649636 650442 651249 652056
n    :   1616   1617   1618   1619   1620   1621   1622   1623
n^2/4: 652864 653672 654481 655290 656100 656910 657721 658532
n    :   1624   1625   1626   1627   1628   1629   1630   1631
n^2/4: 659344 660156 660969 661782 662596 663410 664225 665040
n    :   1632   1633   1634   1635   1636   1637   1638   1639
n^2/4: 665856 666672 667489 668306 669124 669942 670761 671580
n    :   1640   1641   1642   1643   1644   1645   1646   1647
n^2/4: 672400 673220 674041 674862 675684 676506 677329 678152
n    :   1648   1649   1650   1651   1652   1653   1654   1655
n^2/4: 678976 679800 680625 681450 682276 683102 683929 684756
n    :   1656   1657   1658   1659   1660   1661   1662   1663
n^2/4: 685584 686412 687241 688070 688900 689730 690561 691392
n    :   1664   1665   1666   1667   1668   1669   1670   1671
n^2/4: 692224 693056 693889 694722 695556 696390 697225 698060
n    :   1672   1673   1674   1675   1676   1677   1678   1679
n^2/4: 698896 699732 700569 701406 702244 703082 703921 704760
n    :   1680   1681   1682   1683   1684   1685   1686   1687
n^2/4: 705600 706440 707281 708122 708964 709806 710649 711492
n    :   1688   1689   1690   1691   1692   1693   1694   1695
n^2/4: 712336 713180 714025 714870 715716 716562 717409 718256
n    :   1696   1697   1698   1699   1700   1701   1702   1703
n^2/4: 719104 719952 720801 721650 722500 723350 724201 725052
n    :   1704   1705   1706   1707   1708   1709   1710   1711
n^2/4: 725904 726756 727609 728462 729316 730170 731025 731880
n    :   1712   1713   1714   1715   1716   1717   1718   1719
n^2/4: 732736 733592 734449 735306 736164 737022 737881 738740
n    :   1720   1721   1722   1723   1724   1725   1726   1727
n^2/4: 739600 740460 741321 742182 743044 743906 744769 745632
n    :   1728   1729   1730   1731   1732   1733   1734   1735
n^2/4: 746496 747360 748225 749090 749956 750822 751689 752556
n    :   1736   1737   1738   1739   1740   1741   1742   1743
n^2/4: 753424 754292 755161 756030 756900 757770 758641 759512
n    :   1744   1745   1746   1747   1748   1749   1750   1751
n^2/4: 760384 761256 762129 763002 763876 764750 765625 766500
n    :   1752   1753   1754   1755   1756   1757   1758   1759
n^2/4: 767376 768252 769129 770006 770884 771762 772641 773520
n    :   1760   1761   1762   1763   1764   1765   1766   1767
n^2/4: 774400 775280 776161 777042 777924 778806 779689 780572
n    :   1768   1769   1770   1771   1772   1773   1774   1775
n^2/4: 781456 782340 783225 784110 784996 785882 786769 787656
n    :   1776   1777   1778   1779   1780   1781   1782   1783
n^2/4: 788544 789432 790321 791210 792100 792990 793881 794772
n    :   1784   1785   1786   1787   1788   1789   1790   1791
n^2/4: 795664 796556 797449 798342 799236 800130 801025 801920
n    :   1792   1793   1794   1795   1796   1797   1798   1799
n^2/4: 802816 803712 804609 805506 806404 807302 808201 809100
n    :   1800   1801   1802   1803   1804   1805   1806   1807
n^2/4: 810000 810900 811801 812702 813604 814506 815409 816312
n    :   1808   1809   1810   1811   1812   1813   1814   1815
n^2/4: 817216 818120 819025 819930 820836 821742 822649 823556
n    :   1816   1817   1818   1819   1820   1821   1822   1823
n^2/4: 824464 825372 826281 827190 828100 829010 829921 830832
n    :   1824   1825   1826   1827   1828   1829   1830   1831
n^2/4: 831744 832656 833569 834482 835396 836310 837225 838140
n    :   1832   1833   1834   1835   1836   1837   1838   1839
n^2/4: 839056 839972 840889 841806 842724 843642 844561 845480
n    :   1840   1841   1842   1843   1844   1845   1846   1847
n^2/4: 846400 847320 848241 849162 850084 851006 851929 852852
n    :   1848   1849   1850   1851   1852   1853   1854   1855
n^2/4: 853776 854700 855625 856550 857476 858402 859329 860256
n    :   1856   1857   1858   1859   1860   1861   1862   1863
n^2/4: 861184 862112 863041 863970 864900 865830 866761 867692
n    :   1864   1865   1866   1867   1868   1869   1870   1871
n^2/4: 868624 869556 870489 871422 872356 873290 874225 875160
n    :   1872   1873   1874   1875   1876   1877   1878   1879
n^2/4: 876096 877032 877969 878906 879844 880782 881721 882660
n    :   1880   1881   1882   1883   1884   1885   1886   1887
n^2/4: 883600 884540 885481 886422 887364 888306 889249 890192
n    :   1888   1889   1890   1891   1892   1893   1894   1895
n^2/4: 891136 892080 893025 893970 894916 895862 896809 897756
n    :   1896   1897   1898   1899   1900   1901   1902   1903
n^2/4: 898704 899652 900601 901550 902500 903450 904401 905352
n    :   1904   1905   1906   1907   1908   1909   1910   1911
n^2/4: 906304 907256 908209 909162 910116 911070 912025 912980
n    :   1912   1913   1914   1915   1916   1917   1918   1919
n^2/4: 913936 914892 915849 916806 917764 918722 919681 920640
n    :   1920   1921   1922   1923   1924   1925   1926   1927
n^2/4: 921600 922560 923521 924482 925444 926406 927369 928332
n    :   1928   1929   1930   1931   1932   1933   1934   1935
n^2/4: 929296 930260 931225 932190 933156 934122 935089 936056
n    :   1936   1937   1938   1939   1940   1941   1942   1943
n^2/4: 937024 937992 938961 939930 940900 941870 942841 943812
n    :   1944   1945   1946   1947   1948   1949   1950   1951
n^2/4: 944784 945756 946729 947702 948676 949650 950625 951600
n    :   1952   1953   1954   1955   1956   1957   1958   1959
n^2/4: 952576 953552 954529 955506 956484 957462 958441 959420
n    :   1960   1961   1962   1963   1964   1965   1966   1967
n^2/4: 960400 961380 962361 963342 964324 965306 966289 967272
n    :   1968   1969   1970   1971   1972   1973   1974   1975
n^2/4: 968256 969240 970225 971210 972196 973182 974169 975156
n    :   1976   1977   1978   1979   1980   1981   1982   1983
n^2/4: 976144 977132 978121 979110 980100 981090 982081 983072
n    :   1984   1985   1986   1987   1988   1989   1990   1991
n^2/4: 984064 985056 986049 987042 988036 989030 990025 991020
n    :   1992   1993   1994   1995   1996   1997   1998
n^2/4: 992016 993012 994009 995006 996004 997002 998001
Babylonian LUT (look-up table) 9999x9999:
n    :        0        1        2        3        4        5        6        7
n^2/4:        0        0        1        2        4        6        9       12
n    :        8        9       10       11       12       13       14       15
n^2/4:       16       20       25       30       36       42       49       56
n    :       16       17       18       19       20       21       22       23
n^2/4:       64       72       81       90      100      110      121      132
n    :       24       25       26       27       28       29       30       31
n^2/4:      144      156      169      182      196      210      225      240
n    :       32       33       34       35       36       37       38       39
n^2/4:      256      272      289      306      324      342      361      380
n    :       40       41       42       43       44       45       46       47
n^2/4:      400      420      441      462      484      506      529      552
n    :       48       49       50       51       52       53       54       55
n^2/4:      576      600      625      650      676      702      729      756
n    :       56       57       58       59       60       61       62       63
n^2/4:      784      812      841      870      900      930      961      992
n    :       64       65       66       67       68       69       70       71
n^2/4:     1024     1056     1089     1122     1156     1190     1225     1260
n    :       72       73       74       75       76       77       78       79
n^2/4:     1296     1332     1369     1406     1444     1482     1521     1560
n    :       80       81       82       83       84       85       86       87
n^2/4:     1600     1640     1681     1722     1764     1806     1849     1892
n    :       88       89       90       91       92       93       94       95
n^2/4:     1936     1980     2025     2070     2116     2162     2209     2256
n    :       96       97       98       99      100      101      102      103
n^2/4:     2304     2352     2401     2450     2500     2550     2601     2652
n    :      104      105      106      107      108      109      110      111
n^2/4:     2704     2756     2809     2862     2916     2970     3025     3080
n    :      112      113      114      115      116      117      118      119
n^2/4:     3136     3192     3249     3306     3364     3422     3481     3540
n    :      120      121      122      123      124      125      126      127
n^2/4:     3600     3660     3721     3782     3844     3906     3969     4032
n    :      128      129      130      131      132      133      134      135
n^2/4:     4096     4160     4225     4290     4356     4422     4489     4556
n    :      136      137      138      139      140      141      142      143
n^2/4:     4624     4692     4761     4830     4900     4970     5041     5112
n    :      144      145      146      147      148      149      150      151
n^2/4:     5184     5256     5329     5402     5476     5550     5625     5700
n    :      152      153      154      155      156      157      158      159
n^2/4:     5776     5852     5929     6006     6084     6162     6241     6320
n    :      160      161      162      163      164      165      166      167
n^2/4:     6400     6480     6561     6642     6724     6806     6889     6972
n    :      168      169      170      171      172      173      174      175
n^2/4:     7056     7140     7225     7310     7396     7482     7569     7656
n    :      176      177      178      179      180      181      182      183
n^2/4:     7744     7832     7921     8010     8100     8190     8281     8372
n    :      184      185      186      187      188      189      190      191
n^2/4:     8464     8556     8649     8742     8836     8930     9025     9120
n    :      192      193      194      195      196      197      198      199
n^2/4:     9216     9312     9409     9506     9604     9702     9801     9900
n    :      200      201      202      203      204      205      206      207
n^2/4:    10000    10100    10201    10302    10404    10506    10609    10712
n    :      208      209      210      211      212      213      214      215
n^2/4:    10816    10920    11025    11130    11236    11342    11449    11556
n    :      216      217      218      219      220      221      222      223
n^2/4:    11664    11772    11881    11990    12100    12210    12321    12432
n    :      224      225      226      227      228      229      230      231
n^2/4:    12544    12656    12769    12882    12996    13110    13225    13340
n    :      232      233      234      235      236      237      238      239
n^2/4:    13456    13572    13689    13806    13924    14042    14161    14280
n    :      240      241      242      243      244      245      246      247
n^2/4:    14400    14520    14641    14762    14884    15006    15129    15252
n    :      248      249      250      251      252      253      254      255
n^2/4:    15376    15500    15625    15750    15876    16002    16129    16256
n    :      256      257      258      259      260      261      262      263
n^2/4:    16384    16512    16641    16770    16900    17030    17161    17292
n    :      264      265      266      267      268      269      270      271
n^2/4:    17424    17556    17689    17822    17956    18090    18225    18360
n    :      272      273      274      275      276      277      278      279
n^2/4:    18496    18632    18769    18906    19044    19182    19321    19460
n    :      280      281      282      283      284      285      286      287
n^2/4:    19600    19740    19881    20022    20164    20306    20449    20592
n    :      288      289      290      291      292      293      294      295
n^2/4:    20736    20880    21025    21170    21316    21462    21609    21756
n    :      296      297      298      299      300      301      302      303
n^2/4:    21904    22052    22201    22350    22500    22650    22801    22952
n    :      304      305      306      307      308      309      310      311
n^2/4:    23104    23256    23409    23562    23716    23870    24025    24180
n    :      312      313      314      315      316      317      318      319
n^2/4:    24336    24492    24649    24806    24964    25122    25281    25440
n    :      320      321      322      323      324      325      326      327
n^2/4:    25600    25760    25921    26082    26244    26406    26569    26732
n    :      328      329      330      331      332      333      334      335
n^2/4:    26896    27060    27225    27390    27556    27722    27889    28056
n    :      336      337      338      339      340      341      342      343
n^2/4:    28224    28392    28561    28730    28900    29070    29241    29412
n    :      344      345      346      347      348      349      350      351
n^2/4:    29584    29756    29929    30102    30276    30450    30625    30800
n    :      352      353      354      355      356      357      358      359
n^2/4:    30976    31152    31329    31506    31684    31862    32041    32220
n    :      360      361      362      363      364      365      366      367
n^2/4:    32400    32580    32761    32942    33124    33306    33489    33672
n    :      368      369      370      371      372      373      374      375
n^2/4:    33856    34040    34225    34410    34596    34782    34969    35156
n    :      376      377      378      379      380      381      382      383
n^2/4:    35344    35532    35721    35910    36100    36290    36481    36672
n    :      384      385      386      387      388      389      390      391
n^2/4:    36864    37056    37249    37442    37636    37830    38025    38220
n    :      392      393      394      395      396      397      398      399
n^2/4:    38416    38612    38809    39006    39204    39402    39601    39800
n    :      400      401      402      403      404      405      406      407
n^2/4:    40000    40200    40401    40602    40804    41006    41209    41412
n    :      408      409      410      411      412      413      414      415
n^2/4:    41616    41820    42025    42230    42436    42642    42849    43056
n    :      416      417      418      419      420      421      422      423
n^2/4:    43264    43472    43681    43890    44100    44310    44521    44732
n    :      424      425      426      427      428      429      430      431
n^2/4:    44944    45156    45369    45582    45796    46010    46225    46440
n    :      432      433      434      435      436      437      438      439
n^2/4:    46656    46872    47089    47306    47524    47742    47961    48180
n    :      440      441      442      443      444      445      446      447
n^2/4:    48400    48620    48841    49062    49284    49506    49729    49952
n    :      448      449      450      451      452      453      454      455
n^2/4:    50176    50400    50625    50850    51076    51302    51529    51756
n    :      456      457      458      459      460      461      462      463
n^2/4:    51984    52212    52441    52670    52900    53130    53361    53592
n    :      464      465      466      467      468      469      470      471
n^2/4:    53824    54056    54289    54522    54756    54990    55225    55460
n    :      472      473      474      475      476      477      478      479
n^2/4:    55696    55932    56169    56406    56644    56882    57121    57360
n    :      480      481      482      483      484      485      486      487
n^2/4:    57600    57840    58081    58322    58564    58806    59049    59292
n    :      488      489      490      491      492      493      494      495
n^2/4:    59536    59780    60025    60270    60516    60762    61009    61256
n    :      496      497      498      499      500      501      502      503
n^2/4:    61504    61752    62001    62250    62500    62750    63001    63252
n    :      504      505      506      507      508      509      510      511
n^2/4:    63504    63756    64009    64262    64516    64770    65025    65280
n    :      512      513      514      515      516      517      518      519
n^2/4:    65536    65792    66049    66306    66564    66822    67081    67340
n    :      520      521      522      523      524      525      526      527
n^2/4:    67600    67860    68121    68382    68644    68906    69169    69432
n    :      528      529      530      531      532      533      534      535
n^2/4:    69696    69960    70225    70490    70756    71022    71289    71556
n    :      536      537      538      539      540      541      542      543
n^2/4:    71824    72092    72361    72630    72900    73170    73441    73712
n    :      544      545      546      547      548      549      550      551
n^2/4:    73984    74256    74529    74802    75076    75350    75625    75900
n    :      552      553      554      555      556      557      558      559
n^2/4:    76176    76452    76729    77006    77284    77562    77841    78120
n    :      560      561      562      563      564      565      566      567
n^2/4:    78400    78680    78961    79242    79524    79806    80089    80372
n    :      568      569      570      571      572      573      574      575
n^2/4:    80656    80940    81225    81510    81796    82082    82369    82656
n    :      576      577      578      579      580      581      582      583
n^2/4:    82944    83232    83521    83810    84100    84390    84681    84972
n    :      584      585      586      587      588      589      590      591
n^2/4:    85264    85556    85849    86142    86436    86730    87025    87320
n    :      592      593      594      595      596      597      598      599
n^2/4:    87616    87912    88209    88506    88804    89102    89401    89700
n    :      600      601      602      603      604      605      606      607
n^2/4:    90000    90300    90601    90902    91204    91506    91809    92112
n    :      608      609      610      611      612      613      614      615
n^2/4:    92416    92720    93025    93330    93636    93942    94249    94556
n    :      616      617      618      619      620      621      622      623
n^2/4:    94864    95172    95481    95790    96100    96410    96721    97032
n    :      624      625      626      627      628      629      630      631
n^2/4:    97344    97656    97969    98282    98596    98910    99225    99540
n    :      632      633      634      635      636      637      638      639
n^2/4:    99856   100172   100489   100806   101124   101442   101761   102080
n    :      640      641      642      643      644      645      646      647
n^2/4:   102400   102720   103041   103362   103684   104006   104329   104652
n    :      648      649      650      651      652      653      654      655
n^2/4:   104976   105300   105625   105950   106276   106602   106929   107256
n    :      656      657      658      659      660      661      662      663
n^2/4:   107584   107912   108241   108570   108900   109230   109561   109892
n    :      664      665      666      667      668      669      670      671
n^2/4:   110224   110556   110889   111222   111556   111890   112225   112560
n    :      672      673      674      675      676      677      678      679
n^2/4:   112896   113232   113569   113906   114244   114582   114921   115260
n    :      680      681      682      683      684      685      686      687
n^2/4:   115600   115940   116281   116622   116964   117306   117649   117992
n    :      688      689      690      691      692      693      694      695
n^2/4:   118336   118680   119025   119370   119716   120062   120409   120756
n    :      696      697      698      699      700      701      702      703
n^2/4:   121104   121452   121801   122150   122500   122850   123201   123552
n    :      704      705      706      707      708      709      710      711
n^2/4:   123904   124256   124609   124962   125316   125670   126025   126380
n    :      712      713      714      715      716      717      718      719
n^2/4:   126736   127092   127449   127806   128164   128522   128881   129240
n    :      720      721      722      723      724      725      726      727
n^2/4:   129600   129960   130321   130682   131044   131406   131769   132132
n    :      728      729      730      731      732      733      734      735
n^2/4:   132496   132860   133225   133590   133956   134322   134689   135056
n    :      736      737      738      739      740      741      742      743
n^2/4:   135424   135792   136161   136530   136900   137270   137641   138012
n    :      744      745      746      747      748      749      750      751
n^2/4:   138384   138756   139129   139502   139876   140250   140625   141000
n    :      752      753      754      755      756      757      758      759
n^2/4:   141376   141752   142129   142506   142884   143262   143641   144020
n    :      760      761      762      763      764      765      766      767
n^2/4:   144400   144780   145161   145542   145924   146306   146689   147072
n    :      768      769      770      771      772      773      774      775
n^2/4:   147456   147840   148225   148610   148996   149382   149769   150156
n    :      776      777      778      779      780      781      782      783
n^2/4:   150544   150932   151321   151710   152100   152490   152881   153272
n    :      784      785      786      787      788      789      790      791
n^2/4:   153664   154056   154449   154842   155236   155630   156025   156420
n    :      792      793      794      795      796      797      798      799
n^2/4:   156816   157212   157609   158006   158404   158802   159201   159600
n    :      800      801      802      803      804      805      806      807
n^2/4:   160000   160400   160801   161202   161604   162006   162409   162812
n    :      808      809      810      811      812      813      814      815
n^2/4:   163216   163620   164025   164430   164836   165242   165649   166056
n    :      816      817      818      819      820      821      822      823
n^2/4:   166464   166872   167281   167690   168100   168510   168921   169332
n    :      824      825      826      827      828      829      830      831
n^2/4:   169744   170156   170569   170982   171396   171810   172225   172640
n    :      832      833      834      835      836      837      838      839
n^2/4:   173056   173472   173889   174306   174724   175142   175561   175980
n    :      840      841      842      843      844      845      846      847
n^2/4:   176400   176820   177241   177662   178084   178506   178929   179352
n    :      848      849      850      851      852      853      854      855
n^2/4:   179776   180200   180625   181050   181476   181902   182329   182756
n    :      856      857      858      859      860      861      862      863
n^2/4:   183184   183612   184041   184470   184900   185330   185761   186192
n    :      864      865      866      867      868      869      870      871
n^2/4:   186624   187056   187489   187922   188356   188790   189225   189660
n    :      872      873      874      875      876      877      878      879
n^2/4:   190096   190532   190969   191406   191844   192282   192721   193160
n    :      880      881      882      883      884      885      886      887
n^2/4:   193600   194040   194481   194922   195364   195806   196249   196692
n    :      888      889      890      891      892      893      894      895
n^2/4:   197136   197580   198025   198470   198916   199362   199809   200256
n    :      896      897      898      899      900      901      902      903
n^2/4:   200704   201152   201601   202050   202500   202950   203401   203852
n    :      904      905      906      907      908      909      910      911
n^2/4:   204304   204756   205209   205662   206116   206570   207025   207480
n    :      912      913      914      915      916      917      918      919
n^2/4:   207936   208392   208849   209306   209764   210222   210681   211140
n    :      920      921      922      923      924      925      926      927
n^2/4:   211600   212060   212521   212982   213444   213906   214369   214832
n    :      928      929      930      931      932      933      934      935
n^2/4:   215296   215760   216225   216690   217156   217622   218089   218556
n    :      936      937      938      939      940      941      942      943
n^2/4:   219024   219492   219961   220430   220900   221370   221841   222312
n    :      944      945      946      947      948      949      950      951
n^2/4:   222784   223256   223729   224202   224676   225150   225625   226100
n    :      952      953      954      955      956      957      958      959
n^2/4:   226576   227052   227529   228006   228484   228962   229441   229920
n    :      960      961      962      963      964      965      966      967
n^2/4:   230400   230880   231361   231842   232324   232806   233289   233772
n    :      968      969      970      971      972      973      974      975
n^2/4:   234256   234740   235225   235710   236196   236682   237169   237656
n    :      976      977      978      979      980      981      982      983
n^2/4:   238144   238632   239121   239610   240100   240590   241081   241572
n    :      984      985      986      987      988      989      990      991
n^2/4:   242064   242556   243049   243542   244036   244530   245025   245520
n    :      992      993      994      995      996      997      998      999
n^2/4:   246016   246512   247009   247506   248004   248502   249001   249500
n    :     1000     1001     1002     1003     1004     1005     1006     1007
n^2/4:   250000   250500   251001   251502   252004   252506   253009   253512
n    :     1008     1009     1010     1011     1012     1013     1014     1015
n^2/4:   254016   254520   255025   255530   256036   256542   257049   257556
n    :     1016     1017     1018     1019     1020     1021     1022     1023
n^2/4:   258064   258572   259081   259590   260100   260610   261121   261632
n    :     1024     1025     1026     1027     1028     1029     1030     1031
n^2/4:   262144   262656   263169   263682   264196   264710   265225   265740
n    :     1032     1033     1034     1035     1036     1037     1038     1039
n^2/4:   266256   266772   267289   267806   268324   268842   269361   269880
n    :     1040     1041     1042     1043     1044     1045     1046     1047
n^2/4:   270400   270920   271441   271962   272484   273006   273529   274052
n    :     1048     1049     1050     1051     1052     1053     1054     1055
n^2/4:   274576   275100   275625   276150   276676   277202   277729   278256
n    :     1056     1057     1058     1059     1060     1061     1062     1063
n^2/4:   278784   279312   279841   280370   280900   281430   281961   282492
n    :     1064     1065     1066     1067     1068     1069     1070     1071
n^2/4:   283024   283556   284089   284622   285156   285690   286225   286760
n    :     1072     1073     1074     1075     1076     1077     1078     1079
n^2/4:   287296   287832   288369   288906   289444   289982   290521   291060
n    :     1080     1081     1082     1083     1084     1085     1086     1087
n^2/4:   291600   292140   292681   293222   293764   294306   294849   295392
n    :     1088     1089     1090     1091     1092     1093     1094     1095
n^2/4:   295936   296480   297025   297570   298116   298662   299209   299756
n    :     1096     1097     1098     1099     1100     1101     1102     1103
n^2/4:   300304   300852   301401   301950   302500   303050   303601   304152
n    :     1104     1105     1106     1107     1108     1109     1110     1111
n^2/4:   304704   305256   305809   306362   306916   307470   308025   308580
n    :     1112     1113     1114     1115     1116     1117     1118     1119
n^2/4:   309136   309692   310249   310806   311364   311922   312481   313040
n    :     1120     1121     1122     1123     1124     1125     1126     1127
n^2/4:   313600   314160   314721   315282   315844   316406   316969   317532
n    :     1128     1129     1130     1131     1132     1133     1134     1135
n^2/4:   318096   318660   319225   319790   320356   320922   321489   322056
n    :     1136     1137     1138     1139     1140     1141     1142     1143
n^2/4:   322624   323192   323761   324330   324900   325470   326041   326612
n    :     1144     1145     1146     1147     1148     1149     1150     1151
n^2/4:   327184   327756   328329   328902   329476   330050   330625   331200
n    :     1152     1153     1154     1155     1156     1157     1158     1159
n^2/4:   331776   332352   332929   333506   334084   334662   335241   335820
n    :     1160     1161     1162     1163     1164     1165     1166     1167
n^2/4:   336400   336980   337561   338142   338724   339306   339889   340472
n    :     1168     1169     1170     1171     1172     1173     1174     1175
n^2/4:   341056   341640   342225   342810   343396   343982   344569   345156
n    :     1176     1177     1178     1179     1180     1181     1182     1183
n^2/4:   345744   346332   346921   347510   348100   348690   349281   349872
n    :     1184     1185     1186     1187     1188     1189     1190     1191
n^2/4:   350464   351056   351649   352242   352836   353430   354025   354620
n    :     1192     1193     1194     1195     1196     1197     1198     1199
n^2/4:   355216   355812   356409   357006   357604   358202   358801   359400
n    :     1200     1201     1202     1203     1204     1205     1206     1207
n^2/4:   360000   360600   361201   361802   362404   363006   363609   364212
n    :     1208     1209     1210     1211     1212     1213     1214     1215
n^2/4:   364816   365420   366025   366630   367236   367842   368449   369056
n    :     1216     1217     1218     1219     1220     1221     1222     1223
n^2/4:   369664   370272   370881   371490   372100   372710   373321   373932
n    :     1224     1225     1226     1227     1228     1229     1230     1231
n^2/4:   374544   375156   375769   376382   376996   377610   378225   378840
n    :     1232     1233     1234     1235     1236     1237     1238     1239
n^2/4:   379456   380072   380689   381306   381924   382542   383161   383780
n    :     1240     1241     1242     1243     1244     1245     1246     1247
n^2/4:   384400   385020   385641   386262   386884   387506   388129   388752
n    :     1248     1249     1250     1251     1252     1253     1254     1255
n^2/4:   389376   390000   390625   391250   391876   392502   393129   393756
n    :     1256     1257     1258     1259     1260     1261     1262     1263
n^2/4:   394384   395012   395641   396270   396900   397530   398161   398792
n    :     1264     1265     1266     1267     1268     1269     1270     1271
n^2/4:   399424   400056   400689   401322   401956   402590   403225   403860
n    :     1272     1273     1274     1275     1276     1277     1278     1279
n^2/4:   404496   405132   405769   406406   407044   407682   408321   408960
n    :     1280     1281     1282     1283     1284     1285     1286     1287
n^2/4:   409600   410240   410881   411522   412164   412806   413449   414092
n    :     1288     1289     1290     1291     1292     1293     1294     1295
n^2/4:   414736   415380   416025   416670   417316   417962   418609   419256
n    :     1296     1297     1298     1299     1300     1301     1302     1303
n^2/4:   419904   420552   421201   421850   422500   423150   423801   424452
n    :     1304     1305     1306     1307     1308     1309     1310     1311
n^2/4:   425104   425756   426409   427062   427716   428370   429025   429680
n    :     1312     1313     1314     1315     1316     1317     1318     1319
n^2/4:   430336   430992   431649   432306   432964   433622   434281   434940
n    :     1320     1321     1322     1323     1324     1325     1326     1327
n^2/4:   435600   436260   436921   437582   438244   438906   439569   440232
n    :     1328     1329     1330     1331     1332     1333     1334     1335
n^2/4:   440896   441560   442225   442890   443556   444222   444889   445556
n    :     1336     1337     1338     1339     1340     1341     1342     1343
n^2/4:   446224   446892   447561   448230   448900   449570   450241   450912
n    :     1344     1345     1346     1347     1348     1349     1350     1351
n^2/4:   451584   452256   452929   453602   454276   454950   455625   456300
n    :     1352     1353     1354     1355     1356     1357     1358     1359
n^2/4:   456976   457652   458329   459006   459684   460362   461041   461720
n    :     1360     1361     1362     1363     1364     1365     1366     1367
n^2/4:   462400   463080   463761   464442   465124   465806   466489   467172
n    :     1368     1369     1370     1371     1372     1373     1374     1375
n^2/4:   467856   468540   469225   469910   470596   471282   471969   472656
n    :     1376     1377     1378     1379     1380     1381     1382     1383
n^2/4:   473344   474032   474721   475410   476100   476790   477481   478172
n    :     1384     1385     1386     1387     1388     1389     1390     1391
n^2/4:   478864   479556   480249   480942   481636   482330   483025   483720
n    :     1392     1393     1394     1395     1396     1397     1398     1399
n^2/4:   484416   485112   485809   486506   487204   487902   488601   489300
n    :     1400     1401     1402     1403     1404     1405     1406     1407
n^2/4:   490000   490700   491401   492102   492804   493506   494209   494912
n    :     1408     1409     1410     1411     1412     1413     1414     1415
n^2/4:   495616   496320   497025   497730   498436   499142   499849   500556
n    :     1416     1417     1418     1419     1420     1421     1422     1423
n^2/4:   501264   501972   502681   503390   504100   504810   505521   506232
n    :     1424     1425     1426     1427     1428     1429     1430     1431
n^2/4:   506944   507656   508369   509082   509796   510510   511225   511940
n    :     1432     1433     1434     1435     1436     1437     1438     1439
n^2/4:   512656   513372   514089   514806   515524   516242   516961   517680
n    :     1440     1441     1442     1443     1444     1445     1446     1447
n^2/4:   518400   519120   519841   520562   521284   522006   522729   523452
n    :     1448     1449     1450     1451     1452     1453     1454     1455
n^2/4:   524176   524900   525625   526350   527076   527802   528529   529256
n    :     1456     1457     1458     1459     1460     1461     1462     1463
n^2/4:   529984   530712   531441   532170   532900   533630   534361   535092
n    :     1464     1465     1466     1467     1468     1469     1470     1471
n^2/4:   535824   536556   537289   538022   538756   539490   540225   540960
n    :     1472     1473     1474     1475     1476     1477     1478     1479
n^2/4:   541696   542432   543169   543906   544644   545382   546121   546860
n    :     1480     1481     1482     1483     1484     1485     1486     1487
n^2/4:   547600   548340   549081   549822   550564   551306   552049   552792
n    :     1488     1489     1490     1491     1492     1493     1494     1495
n^2/4:   553536   554280   555025   555770   556516   557262   558009   558756
n    :     1496     1497     1498     1499     1500     1501     1502     1503
n^2/4:   559504   560252   561001   561750   562500   563250   564001   564752
n    :     1504     1505     1506     1507     1508     1509     1510     1511
n^2/4:   565504   566256   567009   567762   568516   569270   570025   570780
n    :     1512     1513     1514     1515     1516     1517     1518     1519
n^2/4:   571536   572292   573049   573806   574564   575322   576081   576840
n    :     1520     1521     1522     1523     1524     1525     1526     1527
n^2/4:   577600   578360   579121   579882   580644   581406   582169   582932
n    :     1528     1529     1530     1531     1532     1533     1534     1535
n^2/4:   583696   584460   585225   585990   586756   587522   588289   589056
n    :     1536     1537     1538     1539     1540     1541     1542     1543
n^2/4:   589824   590592   591361   592130   592900   593670   594441   595212
n    :     1544     1545     1546     1547     1548     1549     1550     1551
n^2/4:   595984   596756   597529   598302   599076   599850   600625   601400
n    :     1552     1553     1554     1555     1556     1557     1558     1559
n^2/4:   602176   602952   603729   604506   605284   606062   606841   607620
n    :     1560     1561     1562     1563     1564     1565     1566     1567
n^2/4:   608400   609180   609961   610742   611524   612306   613089   613872
n    :     1568     1569     1570     1571     1572     1573     1574     1575
n^2/4:   614656   615440   616225   617010   617796   618582   619369   620156
n    :     1576     1577     1578     1579     1580     1581     1582     1583
n^2/4:   620944   621732   622521   623310   624100   624890   625681   626472
n    :     1584     1585     1586     1587     1588     1589     1590     1591
n^2/4:   627264   628056   628849   629642   630436   631230   632025   632820
n    :     1592     1593     1594     1595     1596     1597     1598     1599
n^2/4:   633616   634412   635209   636006   636804   637602   638401   639200
n    :     1600     1601     1602     1603     1604     1605     1606     1607
n^2/4:   640000   640800   641601   642402   643204   644006   644809   645612
n    :     1608     1609     1610     1611     1612     1613     1614     1615
n^2/4:   646416   647220   648025   648830   649636   650442   651249   652056
n    :     1616     1617     1618     1619     1620     1621     1622     1623
n^2/4:   652864   653672   654481   655290   656100   656910   657721   658532
n    :     1624     1625     1626     1627     1628     1629     1630     1631
n^2/4:   659344   660156   660969   661782   662596   663410   664225   665040
n    :     1632     1633     1634     1635     1636     1637     1638     1639
n^2/4:   665856   666672   667489   668306   669124   669942   670761   671580
n    :     1640     1641     1642     1643     1644     1645     1646     1647
n^2/4:   672400   673220   674041   674862   675684   676506   677329   678152
n    :     1648     1649     1650     1651     1652     1653     1654     1655
n^2/4:   678976   679800   680625   681450   682276   683102   683929   684756
n    :     1656     1657     1658     1659     1660     1661     1662     1663
n^2/4:   685584   686412   687241   688070   688900   689730   690561   691392
n    :     1664     1665     1666     1667     1668     1669     1670     1671
n^2/4:   692224   693056   693889   694722   695556   696390   697225   698060
n    :     1672     1673     1674     1675     1676     1677     1678     1679
n^2/4:   698896   699732   700569   701406   702244   703082   703921   704760
n    :     1680     1681     1682     1683     1684     1685     1686     1687
n^2/4:   705600   706440   707281   708122   708964   709806   710649   711492
n    :     1688     1689     1690     1691     1692     1693     1694     1695
n^2/4:   712336   713180   714025   714870   715716   716562   717409   718256
n    :     1696     1697     1698     1699     1700     1701     1702     1703
n^2/4:   719104   719952   720801   721650   722500   723350   724201   725052
n    :     1704     1705     1706     1707     1708     1709     1710     1711
n^2/4:   725904   726756   727609   728462   729316   730170   731025   731880
n    :     1712     1713     1714     1715     1716     1717     1718     1719
n^2/4:   732736   733592   734449   735306   736164   737022   737881   738740
n    :     1720     1721     1722     1723     1724     1725     1726     1727
n^2/4:   739600   740460   741321   742182   743044   743906   744769   745632
n    :     1728     1729     1730     1731     1732     1733     1734     1735
n^2/4:   746496   747360   748225   749090   749956   750822   751689   752556
n    :     1736     1737     1738     1739     1740     1741     1742     1743
n^2/4:   753424   754292   755161   756030   756900   757770   758641   759512
n    :     1744     1745     1746     1747     1748     1749     1750     1751
n^2/4:   760384   761256   762129   763002   763876   764750   765625   766500
n    :     1752     1753     1754     1755     1756     1757     1758     1759
n^2/4:   767376   768252   769129   770006   770884   771762   772641   773520
n    :     1760     1761     1762     1763     1764     1765     1766     1767
n^2/4:   774400   775280   776161   777042   777924   778806   779689   780572
n    :     1768     1769     1770     1771     1772     1773     1774     1775
n^2/4:   781456   782340   783225   784110   784996   785882   786769   787656
n    :     1776     1777     1778     1779     1780     1781     1782     1783
n^2/4:   788544   789432   790321   791210   792100   792990   793881   794772
n    :     1784     1785     1786     1787     1788     1789     1790     1791
n^2/4:   795664   796556   797449   798342   799236   800130   801025   801920
n    :     1792     1793     1794     1795     1796     1797     1798     1799
n^2/4:   802816   803712   804609   805506   806404   807302   808201   809100
n    :     1800     1801     1802     1803     1804     1805     1806     1807
n^2/4:   810000   810900   811801   812702   813604   814506   815409   816312
n    :     1808     1809     1810     1811     1812     1813     1814     1815
n^2/4:   817216   818120   819025   819930   820836   821742   822649   823556
n    :     1816     1817     1818     1819     1820     1821     1822     1823
n^2/4:   824464   825372   826281   827190   828100   829010   829921   830832
n    :     1824     1825     1826     1827     1828     1829     1830     1831
n^2/4:   831744   832656   833569   834482   835396   836310   837225   838140
n    :     1832     1833     1834     1835     1836     1837     1838     1839
n^2/4:   839056   839972   840889   841806   842724   843642   844561   845480
n    :     1840     1841     1842     1843     1844     1845     1846     1847
n^2/4:   846400   847320   848241   849162   850084   851006   851929   852852
n    :     1848     1849     1850     1851     1852     1853     1854     1855
n^2/4:   853776   854700   855625   856550   857476   858402   859329   860256
n    :     1856     1857     1858     1859     1860     1861     1862     1863
n^2/4:   861184   862112   863041   863970   864900   865830   866761   867692
n    :     1864     1865     1866     1867     1868     1869     1870     1871
n^2/4:   868624   869556   870489   871422   872356   873290   874225   875160
n    :     1872     1873     1874     1875     1876     1877     1878     1879
n^2/4:   876096   877032   877969   878906   879844   880782   881721   882660
n    :     1880     1881     1882     1883     1884     1885     1886     1887
n^2/4:   883600   884540   885481   886422   887364   888306   889249   890192
n    :     1888     1889     1890     1891     1892     1893     1894     1895
n^2/4:   891136   892080   893025   893970   894916   895862   896809   897756
n    :     1896     1897     1898     1899     1900     1901     1902     1903
n^2/4:   898704   899652   900601   901550   902500   903450   904401   905352
n    :     1904     1905     1906     1907     1908     1909     1910     1911
n^2/4:   906304   907256   908209   909162   910116   911070   912025   912980
n    :     1912     1913     1914     1915     1916     1917     1918     1919
n^2/4:   913936   914892   915849   916806   917764   918722   919681   920640
n    :     1920     1921     1922     1923     1924     1925     1926     1927
n^2/4:   921600   922560   923521   924482   925444   926406   927369   928332
n    :     1928     1929     1930     1931     1932     1933     1934     1935
n^2/4:   929296   930260   931225   932190   933156   934122   935089   936056
n    :     1936     1937     1938     1939     1940     1941     1942     1943
n^2/4:   937024   937992   938961   939930   940900   941870   942841   943812
n    :     1944     1945     1946     1947     1948     1949     1950     1951
n^2/4:   944784   945756   946729   947702   948676   949650   950625   951600
n    :     1952     1953     1954     1955     1956     1957     1958     1959
n^2/4:   952576   953552   954529   955506   956484   957462   958441   959420
n    :     1960     1961     1962     1963     1964     1965     1966     1967
n^2/4:   960400   961380   962361   963342   964324   965306   966289   967272
n    :     1968     1969     1970     1971     1972     1973     1974     1975
n^2/4:   968256   969240   970225   971210   972196   973182   974169   975156
n    :     1976     1977     1978     1979     1980     1981     1982     1983
n^2/4:   976144   977132   978121   979110   980100   981090   982081   983072
n    :     1984     1985     1986     1987     1988     1989     1990     1991
n^2/4:   984064   985056   986049   987042   988036   989030   990025   991020
n    :     1992     1993     1994     1995     1996     1997     1998     1999
n^2/4:   992016   993012   994009   995006   996004   997002   998001   999000
n    :     2000     2001     2002     2003     2004     2005     2006     2007
n^2/4:  1000000  1001000  1002001  1003002  1004004  1005006  1006009  1007012
n    :     2008     2009     2010     2011     2012     2013     2014     2015
n^2/4:  1008016  1009020  1010025  1011030  1012036  1013042  1014049  1015056
n    :     2016     2017     2018     2019     2020     2021     2022     2023
n^2/4:  1016064  1017072  1018081  1019090  1020100  1021110  1022121  1023132
n    :     2024     2025     2026     2027     2028     2029     2030     2031
n^2/4:  1024144  1025156  1026169  1027182  1028196  1029210  1030225  1031240
n    :     2032     2033     2034     2035     2036     2037     2038     2039
n^2/4:  1032256  1033272  1034289  1035306  1036324  1037342  1038361  1039380
n    :     2040     2041     2042     2043     2044     2045     2046     2047
n^2/4:  1040400  1041420  1042441  1043462  1044484  1045506  1046529  1047552
n    :     2048     2049     2050     2051     2052     2053     2054     2055
n^2/4:  1048576  1049600  1050625  1051650  1052676  1053702  1054729  1055756
n    :     2056     2057     2058     2059     2060     2061     2062     2063
n^2/4:  1056784  1057812  1058841  1059870  1060900  1061930  1062961  1063992
n    :     2064     2065     2066     2067     2068     2069     2070     2071
n^2/4:  1065024  1066056  1067089  1068122  1069156  1070190  1071225  1072260
n    :     2072     2073     2074     2075     2076     2077     2078     2079
n^2/4:  1073296  1074332  1075369  1076406  1077444  1078482  1079521  1080560
n    :     2080     2081     2082     2083     2084     2085     2086     2087
n^2/4:  1081600  1082640  1083681  1084722  1085764  1086806  1087849  1088892
n    :     2088     2089     2090     2091     2092     2093     2094     2095
n^2/4:  1089936  1090980  1092025  1093070  1094116  1095162  1096209  1097256
n    :     2096     2097     2098     2099     2100     2101     2102     2103
n^2/4:  1098304  1099352  1100401  1101450  1102500  1103550  1104601  1105652
n    :     2104     2105     2106     2107     2108     2109     2110     2111
n^2/4:  1106704  1107756  1108809  1109862  1110916  1111970  1113025  1114080
n    :     2112     2113     2114     2115     2116     2117     2118     2119
n^2/4:  1115136  1116192  1117249  1118306  1119364  1120422  1121481  1122540
n    :     2120     2121     2122     2123     2124     2125     2126     2127
n^2/4:  1123600  1124660  1125721  1126782  1127844  1128906  1129969  1131032
n    :     2128     2129     2130     2131     2132     2133     2134     2135
n^2/4:  1132096  1133160  1134225  1135290  1136356  1137422  1138489  1139556
n    :     2136     2137     2138     2139     2140     2141     2142     2143
n^2/4:  1140624  1141692  1142761  1143830  1144900  1145970  1147041  1148112
n    :     2144     2145     2146     2147     2148     2149     2150     2151
n^2/4:  1149184  1150256  1151329  1152402  1153476  1154550  1155625  1156700
n    :     2152     2153     2154     2155     2156     2157     2158     2159
n^2/4:  1157776  1158852  1159929  1161006  1162084  1163162  1164241  1165320
n    :     2160     2161     2162     2163     2164     2165     2166     2167
n^2/4:  1166400  1167480  1168561  1169642  1170724  1171806  1172889  1173972
n    :     2168     2169     2170     2171     2172     2173     2174     2175
n^2/4:  1175056  1176140  1177225  1178310  1179396  1180482  1181569  1182656
n    :     2176     2177     2178     2179     2180     2181     2182     2183
n^2/4:  1183744  1184832  1185921  1187010  1188100  1189190  1190281  1191372
n    :     2184     2185     2186     2187     2188     2189     2190     2191
n^2/4:  1192464  1193556  1194649  1195742  1196836  1197930  1199025  1200120
n    :     2192     2193     2194     2195     2196     2197     2198     2199
n^2/4:  1201216  1202312  1203409  1204506  1205604  1206702  1207801  1208900
n    :     2200     2201     2202     2203     2204     2205     2206     2207
n^2/4:  1210000  1211100  1212201  1213302  1214404  1215506  1216609  1217712
n    :     2208     2209     2210     2211     2212     2213     2214     2215
n^2/4:  1218816  1219920  1221025  1222130  1223236  1224342  1225449  1226556
n    :     2216     2217     2218     2219     2220     2221     2222     2223
n^2/4:  1227664  1228772  1229881  1230990  1232100  1233210  1234321  1235432
n    :     2224     2225     2226     2227     2228     2229     2230     2231
n^2/4:  1236544  1237656  1238769  1239882  1240996  1242110  1243225  1244340
n    :     2232     2233     2234     2235     2236     2237     2238     2239
n^2/4:  1245456  1246572  1247689  1248806  1249924  1251042  1252161  1253280
n    :     2240     2241     2242     2243     2244     2245     2246     2247
n^2/4:  1254400  1255520  1256641  1257762  1258884  1260006  1261129  1262252
n    :     2248     2249     2250     2251     2252     2253     2254     2255
n^2/4:  1263376  1264500  1265625  1266750  1267876  1269002  1270129  1271256
n    :     2256     2257     2258     2259     2260     2261     2262     2263
n^2/4:  1272384  1273512  1274641  1275770  1276900  1278030  1279161  1280292
n    :     2264     2265     2266     2267     2268     2269     2270     2271
n^2/4:  1281424  1282556  1283689  1284822  1285956  1287090  1288225  1289360
n    :     2272     2273     2274     2275     2276     2277     2278     2279
n^2/4:  1290496  1291632  1292769  1293906  1295044  1296182  1297321  1298460
n    :     2280     2281     2282     2283     2284     2285     2286     2287
n^2/4:  1299600  1300740  1301881  1303022  1304164  1305306  1306449  1307592
n    :     2288     2289     2290     2291     2292     2293     2294     2295
n^2/4:  1308736  1309880  1311025  1312170  1313316  1314462  1315609  1316756
n    :     2296     2297     2298     2299     2300     2301     2302     2303
n^2/4:  1317904  1319052  1320201  1321350  1322500  1323650  1324801  1325952
n    :     2304     2305     2306     2307     2308     2309     2310     2311
n^2/4:  1327104  1328256  1329409  1330562  1331716  1332870  1334025  1335180
n    :     2312     2313     2314     2315     2316     2317     2318     2319
n^2/4:  1336336  1337492  1338649  1339806  1340964  1342122  1343281  1344440
n    :     2320     2321     2322     2323     2324     2325     2326     2327
n^2/4:  1345600  1346760  1347921  1349082  1350244  1351406  1352569  1353732
n    :     2328     2329     2330     2331     2332     2333     2334     2335
n^2/4:  1354896  1356060  1357225  1358390  1359556  1360722  1361889  1363056
n    :     2336     2337     2338     2339     2340     2341     2342     2343
n^2/4:  1364224  1365392  1366561  1367730  1368900  1370070  1371241  1372412
n    :     2344     2345     2346     2347     2348     2349     2350     2351
n^2/4:  1373584  1374756  1375929  1377102  1378276  1379450  1380625  1381800
n    :     2352     2353     2354     2355     2356     2357     2358     2359
n^2/4:  1382976  1384152  1385329  1386506  1387684  1388862  1390041  1391220
n    :     2360     2361     2362     2363     2364     2365     2366     2367
n^2/4:  1392400  1393580  1394761  1395942  1397124  1398306  1399489  1400672
n    :     2368     2369     2370     2371     2372     2373     2374     2375
n^2/4:  1401856  1403040  1404225  1405410  1406596  1407782  1408969  1410156
n    :     2376     2377     2378     2379     2380     2381     2382     2383
n^2/4:  1411344  1412532  1413721  1414910  1416100  1417290  1418481  1419672
n    :     2384     2385     2386     2387     2388     2389     2390     2391
n^2/4:  1420864  1422056  1423249  1424442  1425636  1426830  1428025  1429220
n    :     2392     2393     2394     2395     2396     2397     2398     2399
n^2/4:  1430416  1431612  1432809  1434006  1435204  1436402  1437601  1438800
n    :     2400     2401     2402     2403     2404     2405     2406     2407
n^2/4:  1440000  1441200  1442401  1443602  1444804  1446006  1447209  1448412
n    :     2408     2409     2410     2411     2412     2413     2414     2415
n^2/4:  1449616  1450820  1452025  1453230  1454436  1455642  1456849  1458056
n    :     2416     2417     2418     2419     2420     2421     2422     2423
n^2/4:  1459264  1460472  1461681  1462890  1464100  1465310  1466521  1467732
n    :     2424     2425     2426     2427     2428     2429     2430     2431
n^2/4:  1468944  1470156  1471369  1472582  1473796  1475010  1476225  1477440
n    :     2432     2433     2434     2435     2436     2437     2438     2439
n^2/4:  1478656  1479872  1481089  1482306  1483524  1484742  1485961  1487180
n    :     2440     2441     2442     2443     2444     2445     2446     2447
n^2/4:  1488400  1489620  1490841  1492062  1493284  1494506  1495729  1496952
n    :     2448     2449     2450     2451     2452     2453     2454     2455
n^2/4:  1498176  1499400  1500625  1501850  1503076  1504302  1505529  1506756
n    :     2456     2457     2458     2459     2460     2461     2462     2463
n^2/4:  1507984  1509212  1510441  1511670  1512900  1514130  1515361  1516592
n    :     2464     2465     2466     2467     2468     2469     2470     2471
n^2/4:  1517824  1519056  1520289  1521522  1522756  1523990  1525225  1526460
n    :     2472     2473     2474     2475     2476     2477     2478     2479
n^2/4:  1527696  1528932  1530169  1531406  1532644  1533882  1535121  1536360
n    :     2480     2481     2482     2483     2484     2485     2486     2487
n^2/4:  1537600  1538840  1540081  1541322  1542564  1543806  1545049  1546292
n    :     2488     2489     2490     2491     2492     2493     2494     2495
n^2/4:  1547536  1548780  1550025  1551270  1552516  1553762  1555009  1556256
n    :     2496     2497     2498     2499     2500     2501     2502     2503
n^2/4:  1557504  1558752  1560001  1561250  1562500  1563750  1565001  1566252
n    :     2504     2505     2506     2507     2508     2509     2510     2511
n^2/4:  1567504  1568756  1570009  1571262  1572516  1573770  1575025  1576280
n    :     2512     2513     2514     2515     2516     2517     2518     2519
n^2/4:  1577536  1578792  1580049  1581306  1582564  1583822  1585081  1586340
n    :     2520     2521     2522     2523     2524     2525     2526     2527
n^2/4:  1587600  1588860  1590121  1591382  1592644  1593906  1595169  1596432
n    :     2528     2529     2530     2531     2532     2533     2534     2535
n^2/4:  1597696  1598960  1600225  1601490  1602756  1604022  1605289  1606556
n    :     2536     2537     2538     2539     2540     2541     2542     2543
n^2/4:  1607824  1609092  1610361  1611630  1612900  1614170  1615441  1616712
n    :     2544     2545     2546     2547     2548     2549     2550     2551
n^2/4:  1617984  1619256  1620529  1621802  1623076  1624350  1625625  1626900
n    :     2552     2553     2554     2555     2556     2557     2558     2559
n^2/4:  1628176  1629452  1630729  1632006  1633284  1634562  1635841  1637120
n    :     2560     2561     2562     2563     2564     2565     2566     2567
n^2/4:  1638400  1639680  1640961  1642242  1643524  1644806  1646089  1647372
n    :     2568     2569     2570     2571     2572     2573     2574     2575
n^2/4:  1648656  1649940  1651225  1652510  1653796  1655082  1656369  1657656
n    :     2576     2577     2578     2579     2580     2581     2582     2583
n^2/4:  1658944  1660232  1661521  1662810  1664100  1665390  1666681  1667972
n    :     2584     2585     2586     2587     2588     2589     2590     2591
n^2/4:  1669264  1670556  1671849  1673142  1674436  1675730  1677025  1678320
n    :     2592     2593     2594     2595     2596     2597     2598     2599
n^2/4:  1679616  1680912  1682209  1683506  1684804  1686102  1687401  1688700
n    :     2600     2601     2602     2603     2604     2605     2606     2607
n^2/4:  1690000  1691300  1692601  1693902  1695204  1696506  1697809  1699112
n    :     2608     2609     2610     2611     2612     2613     2614     2615
n^2/4:  1700416  1701720  1703025  1704330  1705636  1706942  1708249  1709556
n    :     2616     2617     2618     2619     2620     2621     2622     2623
n^2/4:  1710864  1712172  1713481  1714790  1716100  1717410  1718721  1720032
n    :     2624     2625     2626     2627     2628     2629     2630     2631
n^2/4:  1721344  1722656  1723969  1725282  1726596  1727910  1729225  1730540
n    :     2632     2633     2634     2635     2636     2637     2638     2639
n^2/4:  1731856  1733172  1734489  1735806  1737124  1738442  1739761  1741080
n    :     2640     2641     2642     2643     2644     2645     2646     2647
n^2/4:  1742400  1743720  1745041  1746362  1747684  1749006  1750329  1751652
n    :     2648     2649     2650     2651     2652     2653     2654     2655
n^2/4:  1752976  1754300  1755625  1756950  1758276  1759602  1760929  1762256
n    :     2656     2657     2658     2659     2660     2661     2662     2663
n^2/4:  1763584  1764912  1766241  1767570  1768900  1770230  1771561  1772892
n    :     2664     2665     2666     2667     2668     2669     2670     2671
n^2/4:  1774224  1775556  1776889  1778222  1779556  1780890  1782225  1783560
n    :     2672     2673     2674     2675     2676     2677     2678     2679
n^2/4:  1784896  1786232  1787569  1788906  1790244  1791582  1792921  1794260
n    :     2680     2681     2682     2683     2684     2685     2686     2687
n^2/4:  1795600  1796940  1798281  1799622  1800964  1802306  1803649  1804992
n    :     2688     2689     2690     2691     2692     2693     2694     2695
n^2/4:  1806336  1807680  1809025  1810370  1811716  1813062  1814409  1815756
n    :     2696     2697     2698     2699     2700     2701     2702     2703
n^2/4:  1817104  1818452  1819801  1821150  1822500  1823850  1825201  1826552
n    :     2704     2705     2706     2707     2708     2709     2710     2711
n^2/4:  1827904  1829256  1830609  1831962  1833316  1834670  1836025  1837380
n    :     2712     2713     2714     2715     2716     2717     2718     2719
n^2/4:  1838736  1840092  1841449  1842806  1844164  1845522  1846881  1848240
n    :     2720     2721     2722     2723     2724     2725     2726     2727
n^2/4:  1849600  1850960  1852321  1853682  1855044  1856406  1857769  1859132
n    :     2728     2729     2730     2731     2732     2733     2734     2735
n^2/4:  1860496  1861860  1863225  1864590  1865956  1867322  1868689  1870056
n    :     2736     2737     2738     2739     2740     2741     2742     2743
n^2/4:  1871424  1872792  1874161  1875530  1876900  1878270  1879641  1881012
n    :     2744     2745     2746     2747     2748     2749     2750     2751
n^2/4:  1882384  1883756  1885129  1886502  1887876  1889250  1890625  1892000
n    :     2752     2753     2754     2755     2756     2757     2758     2759
n^2/4:  1893376  1894752  1896129  1897506  1898884  1900262  1901641  1903020
n    :     2760     2761     2762     2763     2764     2765     2766     2767
n^2/4:  1904400  1905780  1907161  1908542  1909924  1911306  1912689  1914072
n    :     2768     2769     2770     2771     2772     2773     2774     2775
n^2/4:  1915456  1916840  1918225  1919610  1920996  1922382  1923769  1925156
n    :     2776     2777     2778     2779     2780     2781     2782     2783
n^2/4:  1926544  1927932  1929321  1930710  1932100  1933490  1934881  1936272
n    :     2784     2785     2786     2787     2788     2789     2790     2791
n^2/4:  1937664  1939056  1940449  1941842  1943236  1944630  1946025  1947420
n    :     2792     2793     2794     2795     2796     2797     2798     2799
n^2/4:  1948816  1950212  1951609  1953006  1954404  1955802  1957201  1958600
n    :     2800     2801     2802     2803     2804     2805     2806     2807
n^2/4:  1960000  1961400  1962801  1964202  1965604  1967006  1968409  1969812
n    :     2808     2809     2810     2811     2812     2813     2814     2815
n^2/4:  1971216  1972620  1974025  1975430  1976836  1978242  1979649  1981056
n    :     2816     2817     2818     2819     2820     2821     2822     2823
n^2/4:  1982464  1983872  1985281  1986690  1988100  1989510  1990921  1992332
n    :     2824     2825     2826     2827     2828     2829     2830     2831
n^2/4:  1993744  1995156  1996569  1997982  1999396  2000810  2002225  2003640
n    :     2832     2833     2834     2835     2836     2837     2838     2839
n^2/4:  2005056  2006472  2007889  2009306  2010724  2012142  2013561  2014980
n    :     2840     2841     2842     2843     2844     2845     2846     2847
n^2/4:  2016400  2017820  2019241  2020662  2022084  2023506  2024929  2026352
n    :     2848     2849     2850     2851     2852     2853     2854     2855
n^2/4:  2027776  2029200  2030625  2032050  2033476  2034902  2036329  2037756
n    :     2856     2857     2858     2859     2860     2861     2862     2863
n^2/4:  2039184  2040612  2042041  2043470  2044900  2046330  2047761  2049192
n    :     2864     2865     2866     2867     2868     2869     2870     2871
n^2/4:  2050624  2052056  2053489  2054922  2056356  2057790  2059225  2060660
n    :     2872     2873     2874     2875     2876     2877     2878     2879
n^2/4:  2062096  2063532  2064969  2066406  2067844  2069282  2070721  2072160
n    :     2880     2881     2882     2883     2884     2885     2886     2887
n^2/4:  2073600  2075040  2076481  2077922  2079364  2080806  2082249  2083692
n    :     2888     2889     2890     2891     2892     2893     2894     2895
n^2/4:  2085136  2086580  2088025  2089470  2090916  2092362  2093809  2095256
n    :     2896     2897     2898     2899     2900     2901     2902     2903
n^2/4:  2096704  2098152  2099601  2101050  2102500  2103950  2105401  2106852
n    :     2904     2905     2906     2907     2908     2909     2910     2911
n^2/4:  2108304  2109756  2111209  2112662  2114116  2115570  2117025  2118480
n    :     2912     2913     2914     2915     2916     2917     2918     2919
n^2/4:  2119936  2121392  2122849  2124306  2125764  2127222  2128681  2130140
n    :     2920     2921     2922     2923     2924     2925     2926     2927
n^2/4:  2131600  2133060  2134521  2135982  2137444  2138906  2140369  2141832
n    :     2928     2929     2930     2931     2932     2933     2934     2935
n^2/4:  2143296  2144760  2146225  2147690  2149156  2150622  2152089  2153556
n    :     2936     2937     2938     2939     2940     2941     2942     2943
n^2/4:  2155024  2156492  2157961  2159430  2160900  2162370  2163841  2165312
n    :     2944     2945     2946     2947     2948     2949     2950     2951
n^2/4:  2166784  2168256  2169729  2171202  2172676  2174150  2175625  2177100
n    :     2952     2953     2954     2955     2956     2957     2958     2959
n^2/4:  2178576  2180052  2181529  2183006  2184484  2185962  2187441  2188920
n    :     2960     2961     2962     2963     2964     2965     2966     2967
n^2/4:  2190400  2191880  2193361  2194842  2196324  2197806  2199289  2200772
n    :     2968     2969     2970     2971     2972     2973     2974     2975
n^2/4:  2202256  2203740  2205225  2206710  2208196  2209682  2211169  2212656
n    :     2976     2977     2978     2979     2980     2981     2982     2983
n^2/4:  2214144  2215632  2217121  2218610  2220100  2221590  2223081  2224572
n    :     2984     2985     2986     2987     2988     2989     2990     2991
n^2/4:  2226064  2227556  2229049  2230542  2232036  2233530  2235025  2236520
n    :     2992     2993     2994     2995     2996     2997     2998     2999
n^2/4:  2238016  2239512  2241009  2242506  2244004  2245502  2247001  2248500
n    :     3000     3001     3002     3003     3004     3005     3006     3007
n^2/4:  2250000  2251500  2253001  2254502  2256004  2257506  2259009  2260512
n    :     3008     3009     3010     3011     3012     3013     3014     3015
n^2/4:  2262016  2263520  2265025  2266530  2268036  2269542  2271049  2272556
n    :     3016     3017     3018     3019     3020     3021     3022     3023
n^2/4:  2274064  2275572  2277081  2278590  2280100  2281610  2283121  2284632
n    :     3024     3025     3026     3027     3028     3029     3030     3031
n^2/4:  2286144  2287656  2289169  2290682  2292196  2293710  2295225  2296740
n    :     3032     3033     3034     3035     3036     3037     3038     3039
n^2/4:  2298256  2299772  2301289  2302806  2304324  2305842  2307361  2308880
n    :     3040     3041     3042     3043     3044     3045     3046     3047
n^2/4:  2310400  2311920  2313441  2314962  2316484  2318006  2319529  2321052
n    :     3048     3049     3050     3051     3052     3053     3054     3055
n^2/4:  2322576  2324100  2325625  2327150  2328676  2330202  2331729  2333256
n    :     3056     3057     3058     3059     3060     3061     3062     3063
n^2/4:  2334784  2336312  2337841  2339370  2340900  2342430  2343961  2345492
n    :     3064     3065     3066     3067     3068     3069     3070     3071
n^2/4:  2347024  2348556  2350089  2351622  2353156  2354690  2356225  2357760
n    :     3072     3073     3074     3075     3076     3077     3078     3079
n^2/4:  2359296  2360832  2362369  2363906  2365444  2366982  2368521  2370060
n    :     3080     3081     3082     3083     3084     3085     3086     3087
n^2/4:  2371600  2373140  2374681  2376222  2377764  2379306  2380849  2382392
n    :     3088     3089     3090     3091     3092     3093     3094     3095
n^2/4:  2383936  2385480  2387025  2388570  2390116  2391662  2393209  2394756
n    :     3096     3097     3098     3099     3100     3101     3102     3103
n^2/4:  2396304  2397852  2399401  2400950  2402500  2404050  2405601  2407152
n    :     3104     3105     3106     3107     3108     3109     3110     3111
n^2/4:  2408704  2410256  2411809  2413362  2414916  2416470  2418025  2419580
n    :     3112     3113     3114     3115     3116     3117     3118     3119
n^2/4:  2421136  2422692  2424249  2425806  2427364  2428922  2430481  2432040
n    :     3120     3121     3122     3123     3124     3125     3126     3127
n^2/4:  2433600  2435160  2436721  2438282  2439844  2441406  2442969  2444532
n    :     3128     3129     3130     3131     3132     3133     3134     3135
n^2/4:  2446096  2447660  2449225  2450790  2452356  2453922  2455489  2457056
n    :     3136     3137     3138     3139     3140     3141     3142     3143
n^2/4:  2458624  2460192  2461761  2463330  2464900  2466470  2468041  2469612
n    :     3144     3145     3146     3147     3148     3149     3150     3151
n^2/4:  2471184  2472756  2474329  2475902  2477476  2479050  2480625  2482200
n    :     3152     3153     3154     3155     3156     3157     3158     3159
n^2/4:  2483776  2485352  2486929  2488506  2490084  2491662  2493241  2494820
n    :     3160     3161     3162     3163     3164     3165     3166     3167
n^2/4:  2496400  2497980  2499561  2501142  2502724  2504306  2505889  2507472
n    :     3168     3169     3170     3171     3172     3173     3174     3175
n^2/4:  2509056  2510640  2512225  2513810  2515396  2516982  2518569  2520156
n    :     3176     3177     3178     3179     3180     3181     3182     3183
n^2/4:  2521744  2523332  2524921  2526510  2528100  2529690  2531281  2532872
n    :     3184     3185     3186     3187     3188     3189     3190     3191
n^2/4:  2534464  2536056  2537649  2539242  2540836  2542430  2544025  2545620
n    :     3192     3193     3194     3195     3196     3197     3198     3199
n^2/4:  2547216  2548812  2550409  2552006  2553604  2555202  2556801  2558400
n    :     3200     3201     3202     3203     3204     3205     3206     3207
n^2/4:  2560000  2561600  2563201  2564802  2566404  2568006  2569609  2571212
n    :     3208     3209     3210     3211     3212     3213     3214     3215
n^2/4:  2572816  2574420  2576025  2577630  2579236  2580842  2582449  2584056
n    :     3216     3217     3218     3219     3220     3221     3222     3223
n^2/4:  2585664  2587272  2588881  2590490  2592100  2593710  2595321  2596932
n    :     3224     3225     3226     3227     3228     3229     3230     3231
n^2/4:  2598544  2600156  2601769  2603382  2604996  2606610  2608225  2609840
n    :     3232     3233     3234     3235     3236     3237     3238     3239
n^2/4:  2611456  2613072  2614689  2616306  2617924  2619542  2621161  2622780
n    :     3240     3241     3242     3243     3244     3245     3246     3247
n^2/4:  2624400  2626020  2627641  2629262  2630884  2632506  2634129  2635752
n    :     3248     3249     3250     3251     3252     3253     3254     3255
n^2/4:  2637376  2639000  2640625  2642250  2643876  2645502  2647129  2648756
n    :     3256     3257     3258     3259     3260     3261     3262     3263
n^2/4:  2650384  2652012  2653641  2655270  2656900  2658530  2660161  2661792
n    :     3264     3265     3266     3267     3268     3269     3270     3271
n^2/4:  2663424  2665056  2666689  2668322  2669956  2671590  2673225  2674860
n    :     3272     3273     3274     3275     3276     3277     3278     3279
n^2/4:  2676496  2678132  2679769  2681406  2683044  2684682  2686321  2687960
n    :     3280     3281     3282     3283     3284     3285     3286     3287
n^2/4:  2689600  2691240  2692881  2694522  2696164  2697806  2699449  2701092
n    :     3288     3289     3290     3291     3292     3293     3294     3295
n^2/4:  2702736  2704380  2706025  2707670  2709316  2710962  2712609  2714256
n    :     3296     3297     3298     3299     3300     3301     3302     3303
n^2/4:  2715904  2717552  2719201  2720850  2722500  2724150  2725801  2727452
n    :     3304     3305     3306     3307     3308     3309     3310     3311
n^2/4:  2729104  2730756  2732409  2734062  2735716  2737370  2739025  2740680
n    :     3312     3313     3314     3315     3316     3317     3318     3319
n^2/4:  2742336  2743992  2745649  2747306  2748964  2750622  2752281  2753940
n    :     3320     3321     3322     3323     3324     3325     3326     3327
n^2/4:  2755600  2757260  2758921  2760582  2762244  2763906  2765569  2767232
n    :     3328     3329     3330     3331     3332     3333     3334     3335
n^2/4:  2768896  2770560  2772225  2773890  2775556  2777222  2778889  2780556
n    :     3336     3337     3338     3339     3340     3341     3342     3343
n^2/4:  2782224  2783892  2785561  2787230  2788900  2790570  2792241  2793912
n    :     3344     3345     3346     3347     3348     3349     3350     3351
n^2/4:  2795584  2797256  2798929  2800602  2802276  2803950  2805625  2807300
n    :     3352     3353     3354     3355     3356     3357     3358     3359
n^2/4:  2808976  2810652  2812329  2814006  2815684  2817362  2819041  2820720
n    :     3360     3361     3362     3363     3364     3365     3366     3367
n^2/4:  2822400  2824080  2825761  2827442  2829124  2830806  2832489  2834172
n    :     3368     3369     3370     3371     3372     3373     3374     3375
n^2/4:  2835856  2837540  2839225  2840910  2842596  2844282  2845969  2847656
n    :     3376     3377     3378     3379     3380     3381     3382     3383
n^2/4:  2849344  2851032  2852721  2854410  2856100  2857790  2859481  2861172
n    :     3384     3385     3386     3387     3388     3389     3390     3391
n^2/4:  2862864  2864556  2866249  2867942  2869636  2871330  2873025  2874720
n    :     3392     3393     3394     3395     3396     3397     3398     3399
n^2/4:  2876416  2878112  2879809  2881506  2883204  2884902  2886601  2888300
n    :     3400     3401     3402     3403     3404     3405     3406     3407
n^2/4:  2890000  2891700  2893401  2895102  2896804  2898506  2900209  2901912
n    :     3408     3409     3410     3411     3412     3413     3414     3415
n^2/4:  2903616  2905320  2907025  2908730  2910436  2912142  2913849  2915556
n    :     3416     3417     3418     3419     3420     3421     3422     3423
n^2/4:  2917264  2918972  2920681  2922390  2924100  2925810  2927521  2929232
n    :     3424     3425     3426     3427     3428     3429     3430     3431
n^2/4:  2930944  2932656  2934369  2936082  2937796  2939510  2941225  2942940
n    :     3432     3433     3434     3435     3436     3437     3438     3439
n^2/4:  2944656  2946372  2948089  2949806  2951524  2953242  2954961  2956680
n    :     3440     3441     3442     3443     3444     3445     3446     3447
n^2/4:  2958400  2960120  2961841  2963562  2965284  2967006  2968729  2970452
n    :     3448     3449     3450     3451     3452     3453     3454     3455
n^2/4:  2972176  2973900  2975625  2977350  2979076  2980802  2982529  2984256
n    :     3456     3457     3458     3459     3460     3461     3462     3463
n^2/4:  2985984  2987712  2989441  2991170  2992900  2994630  2996361  2998092
n    :     3464     3465     3466     3467     3468     3469     3470     3471
n^2/4:  2999824  3001556  3003289  3005022  3006756  3008490  3010225  3011960
n    :     3472     3473     3474     3475     3476     3477     3478     3479
n^2/4:  3013696  3015432  3017169  3018906  3020644  3022382  3024121  3025860
n    :     3480     3481     3482     3483     3484     3485     3486     3487
n^2/4:  3027600  3029340  3031081  3032822  3034564  3036306  3038049  3039792
n    :     3488     3489     3490     3491     3492     3493     3494     3495
n^2/4:  3041536  3043280  3045025  3046770  3048516  3050262  3052009  3053756
n    :     3496     3497     3498     3499     3500     3501     3502     3503
n^2/4:  3055504  3057252  3059001  3060750  3062500  3064250  3066001  3067752
n    :     3504     3505     3506     3507     3508     3509     3510     3511
n^2/4:  3069504  3071256  3073009  3074762  3076516  3078270  3080025  3081780
n    :     3512     3513     3514     3515     3516     3517     3518     3519
n^2/4:  3083536  3085292  3087049  3088806  3090564  3092322  3094081  3095840
n    :     3520     3521     3522     3523     3524     3525     3526     3527
n^2/4:  3097600  3099360  3101121  3102882  3104644  3106406  3108169  3109932
n    :     3528     3529     3530     3531     3532     3533     3534     3535
n^2/4:  3111696  3113460  3115225  3116990  3118756  3120522  3122289  3124056
n    :     3536     3537     3538     3539     3540     3541     3542     3543
n^2/4:  3125824  3127592  3129361  3131130  3132900  3134670  3136441  3138212
n    :     3544     3545     3546     3547     3548     3549     3550     3551
n^2/4:  3139984  3141756  3143529  3145302  3147076  3148850  3150625  3152400
n    :     3552     3553     3554     3555     3556     3557     3558     3559
n^2/4:  3154176  3155952  3157729  3159506  3161284  3163062  3164841  3166620
n    :     3560     3561     3562     3563     3564     3565     3566     3567
n^2/4:  3168400  3170180  3171961  3173742  3175524  3177306  3179089  3180872
n    :     3568     3569     3570     3571     3572     3573     3574     3575
n^2/4:  3182656  3184440  3186225  3188010  3189796  3191582  3193369  3195156
n    :     3576     3577     3578     3579     3580     3581     3582     3583
n^2/4:  3196944  3198732  3200521  3202310  3204100  3205890  3207681  3209472
n    :     3584     3585     3586     3587     3588     3589     3590     3591
n^2/4:  3211264  3213056  3214849  3216642  3218436  3220230  3222025  3223820
n    :     3592     3593     3594     3595     3596     3597     3598     3599
n^2/4:  3225616  3227412  3229209  3231006  3232804  3234602  3236401  3238200
n    :     3600     3601     3602     3603     3604     3605     3606     3607
n^2/4:  3240000  3241800  3243601  3245402  3247204  3249006  3250809  3252612
n    :     3608     3609     3610     3611     3612     3613     3614     3615
n^2/4:  3254416  3256220  3258025  3259830  3261636  3263442  3265249  3267056
n    :     3616     3617     3618     3619     3620     3621     3622     3623
n^2/4:  3268864  3270672  3272481  3274290  3276100  3277910  3279721  3281532
n    :     3624     3625     3626     3627     3628     3629     3630     3631
n^2/4:  3283344  3285156  3286969  3288782  3290596  3292410  3294225  3296040
n    :     3632     3633     3634     3635     3636     3637     3638     3639
n^2/4:  3297856  3299672  3301489  3303306  3305124  3306942  3308761  3310580
n    :     3640     3641     3642     3643     3644     3645     3646     3647
n^2/4:  3312400  3314220  3316041  3317862  3319684  3321506  3323329  3325152
n    :     3648     3649     3650     3651     3652     3653     3654     3655
n^2/4:  3326976  3328800  3330625  3332450  3334276  3336102  3337929  3339756
n    :     3656     3657     3658     3659     3660     3661     3662     3663
n^2/4:  3341584  3343412  3345241  3347070  3348900  3350730  3352561  3354392
n    :     3664     3665     3666     3667     3668     3669     3670     3671
n^2/4:  3356224  3358056  3359889  3361722  3363556  3365390  3367225  3369060
n    :     3672     3673     3674     3675     3676     3677     3678     3679
n^2/4:  3370896  3372732  3374569  3376406  3378244  3380082  3381921  3383760
n    :     3680     3681     3682     3683     3684     3685     3686     3687
n^2/4:  3385600  3387440  3389281  3391122  3392964  3394806  3396649  3398492
n    :     3688     3689     3690     3691     3692     3693     3694     3695
n^2/4:  3400336  3402180  3404025  3405870  3407716  3409562  3411409  3413256
n    :     3696     3697     3698     3699     3700     3701     3702     3703
n^2/4:  3415104  3416952  3418801  3420650  3422500  3424350  3426201  3428052
n    :     3704     3705     3706     3707     3708     3709     3710     3711
n^2/4:  3429904  3431756  3433609  3435462  3437316  3439170  3441025  3442880
n    :     3712     3713     3714     3715     3716     3717     3718     3719
n^2/4:  3444736  3446592  3448449  3450306  3452164  3454022  3455881  3457740
n    :     3720     3721     3722     3723     3724     3725     3726     3727
n^2/4:  3459600  3461460  3463321  3465182  3467044  3468906  3470769  3472632
n    :     3728     3729     3730     3731     3732     3733     3734     3735
n^2/4:  3474496  3476360  3478225  3480090  3481956  3483822  3485689  3487556
n    :     3736     3737     3738     3739     3740     3741     3742     3743
n^2/4:  3489424  3491292  3493161  3495030  3496900  3498770  3500641  3502512
n    :     3744     3745     3746     3747     3748     3749     3750     3751
n^2/4:  3504384  3506256  3508129  3510002  3511876  3513750  3515625  3517500
n    :     3752     3753     3754     3755     3756     3757     3758     3759
n^2/4:  3519376  3521252  3523129  3525006  3526884  3528762  3530641  3532520
n    :     3760     3761     3762     3763     3764     3765     3766     3767
n^2/4:  3534400  3536280  3538161  3540042  3541924  3543806  3545689  3547572
n    :     3768     3769     3770     3771     3772     3773     3774     3775
n^2/4:  3549456  3551340  3553225  3555110  3556996  3558882  3560769  3562656
n    :     3776     3777     3778     3779     3780     3781     3782     3783
n^2/4:  3564544  3566432  3568321  3570210  3572100  3573990  3575881  3577772
n    :     3784     3785     3786     3787     3788     3789     3790     3791
n^2/4:  3579664  3581556  3583449  3585342  3587236  3589130  3591025  3592920
n    :     3792     3793     3794     3795     3796     3797     3798     3799
n^2/4:  3594816  3596712  3598609  3600506  3602404  3604302  3606201  3608100
n    :     3800     3801     3802     3803     3804     3805     3806     3807
n^2/4:  3610000  3611900  3613801  3615702  3617604  3619506  3621409  3623312
n    :     3808     3809     3810     3811     3812     3813     3814     3815
n^2/4:  3625216  3627120  3629025  3630930  3632836  3634742  3636649  3638556
n    :     3816     3817     3818     3819     3820     3821     3822     3823
n^2/4:  3640464  3642372  3644281  3646190  3648100  3650010  3651921  3653832
n    :     3824     3825     3826     3827     3828     3829     3830     3831
n^2/4:  3655744  3657656  3659569  3661482  3663396  3665310  3667225  3669140
n    :     3832     3833     3834     3835     3836     3837     3838     3839
n^2/4:  3671056  3672972  3674889  3676806  3678724  3680642  3682561  3684480
n    :     3840     3841     3842     3843     3844     3845     3846     3847
n^2/4:  3686400  3688320  3690241  3692162  3694084  3696006  3697929  3699852
n    :     3848     3849     3850     3851     3852     3853     3854     3855
n^2/4:  3701776  3703700  3705625  3707550  3709476  3711402  3713329  3715256
n    :     3856     3857     3858     3859     3860     3861     3862     3863
n^2/4:  3717184  3719112  3721041  3722970  3724900  3726830  3728761  3730692
n    :     3864     3865     3866     3867     3868     3869     3870     3871
n^2/4:  3732624  3734556  3736489  3738422  3740356  3742290  3744225  3746160
n    :     3872     3873     3874     3875     3876     3877     3878     3879
n^2/4:  3748096  3750032  3751969  3753906  3755844  3757782  3759721  3761660
n    :     3880     3881     3882     3883     3884     3885     3886     3887
n^2/4:  3763600  3765540  3767481  3769422  3771364  3773306  3775249  3777192
n    :     3888     3889     3890     3891     3892     3893     3894     3895
n^2/4:  3779136  3781080  3783025  3784970  3786916  3788862  3790809  3792756
n    :     3896     3897     3898     3899     3900     3901     3902     3903
n^2/4:  3794704  3796652  3798601  3800550  3802500  3804450  3806401  3808352
n    :     3904     3905     3906     3907     3908     3909     3910     3911
n^2/4:  3810304  3812256  3814209  3816162  3818116  3820070  3822025  3823980
n    :     3912     3913     3914     3915     3916     3917     3918     3919
n^2/4:  3825936  3827892  3829849  3831806  3833764  3835722  3837681  3839640
n    :     3920     3921     3922     3923     3924     3925     3926     3927
n^2/4:  3841600  3843560  3845521  3847482  3849444  3851406  3853369  3855332
n    :     3928     3929     3930     3931     3932     3933     3934     3935
n^2/4:  3857296  3859260  3861225  3863190  3865156  3867122  3869089  3871056
n    :     3936     3937     3938     3939     3940     3941     3942     3943
n^2/4:  3873024  3874992  3876961  3878930  3880900  3882870  3884841  3886812
n    :     3944     3945     3946     3947     3948     3949     3950     3951
n^2/4:  3888784  3890756  3892729  3894702  3896676  3898650  3900625  3902600
n    :     3952     3953     3954     3955     3956     3957     3958     3959
n^2/4:  3904576  3906552  3908529  3910506  3912484  3914462  3916441  3918420
n    :     3960     3961     3962     3963     3964     3965     3966     3967
n^2/4:  3920400  3922380  3924361  3926342  3928324  3930306  3932289  3934272
n    :     3968     3969     3970     3971     3972     3973     3974     3975
n^2/4:  3936256  3938240  3940225  3942210  3944196  3946182  3948169  3950156
n    :     3976     3977     3978     3979     3980     3981     3982     3983
n^2/4:  3952144  3954132  3956121  3958110  3960100  3962090  3964081  3966072
n    :     3984     3985     3986     3987     3988     3989     3990     3991
n^2/4:  3968064  3970056  3972049  3974042  3976036  3978030  3980025  3982020
n    :     3992     3993     3994     3995     3996     3997     3998     3999
n^2/4:  3984016  3986012  3988009  3990006  3992004  3994002  3996001  3998000
n    :     4000     4001     4002     4003     4004     4005     4006     4007
n^2/4:  4000000  4002000  4004001  4006002  4008004  4010006  4012009  4014012
n    :     4008     4009     4010     4011     4012     4013     4014     4015
n^2/4:  4016016  4018020  4020025  4022030  4024036  4026042  4028049  4030056
n    :     4016     4017     4018     4019     4020     4021     4022     4023
n^2/4:  4032064  4034072  4036081  4038090  4040100  4042110  4044121  4046132
n    :     4024     4025     4026     4027     4028     4029     4030     4031
n^2/4:  4048144  4050156  4052169  4054182  4056196  4058210  4060225  4062240
n    :     4032     4033     4034     4035     4036     4037     4038     4039
n^2/4:  4064256  4066272  4068289  4070306  4072324  4074342  4076361  4078380
n    :     4040     4041     4042     4043     4044     4045     4046     4047
n^2/4:  4080400  4082420  4084441  4086462  4088484  4090506  4092529  4094552
n    :     4048     4049     4050     4051     4052     4053     4054     4055
n^2/4:  4096576  4098600  4100625  4102650  4104676  4106702  4108729  4110756
n    :     4056     4057     4058     4059     4060     4061     4062     4063
n^2/4:  4112784  4114812  4116841  4118870  4120900  4122930  4124961  4126992
n    :     4064     4065     4066     4067     4068     4069     4070     4071
n^2/4:  4129024  4131056  4133089  4135122  4137156  4139190  4141225  4143260
n    :     4072     4073     4074     4075     4076     4077     4078     4079
n^2/4:  4145296  4147332  4149369  4151406  4153444  4155482  4157521  4159560
n    :     4080     4081     4082     4083     4084     4085     4086     4087
n^2/4:  4161600  4163640  4165681  4167722  4169764  4171806  4173849  4175892
n    :     4088     4089     4090     4091     4092     4093     4094     4095
n^2/4:  4177936  4179980  4182025  4184070  4186116  4188162  4190209  4192256
n    :     4096     4097     4098     4099     4100     4101     4102     4103
n^2/4:  4194304  4196352  4198401  4200450  4202500  4204550  4206601  4208652
n    :     4104     4105     4106     4107     4108     4109     4110     4111
n^2/4:  4210704  4212756  4214809  4216862  4218916  4220970  4223025  4225080
n    :     4112     4113     4114     4115     4116     4117     4118     4119
n^2/4:  4227136  4229192  4231249  4233306  4235364  4237422  4239481  4241540
n    :     4120     4121     4122     4123     4124     4125     4126     4127
n^2/4:  4243600  4245660  4247721  4249782  4251844  4253906  4255969  4258032
n    :     4128     4129     4130     4131     4132     4133     4134     4135
n^2/4:  4260096  4262160  4264225  4266290  4268356  4270422  4272489  4274556
n    :     4136     4137     4138     4139     4140     4141     4142     4143
n^2/4:  4276624  4278692  4280761  4282830  4284900  4286970  4289041  4291112
n    :     4144     4145     4146     4147     4148     4149     4150     4151
n^2/4:  4293184  4295256  4297329  4299402  4301476  4303550  4305625  4307700
n    :     4152     4153     4154     4155     4156     4157     4158     4159
n^2/4:  4309776  4311852  4313929  4316006  4318084  4320162  4322241  4324320
n    :     4160     4161     4162     4163     4164     4165     4166     4167
n^2/4:  4326400  4328480  4330561  4332642  4334724  4336806  4338889  4340972
n    :     4168     4169     4170     4171     4172     4173     4174     4175
n^2/4:  4343056  4345140  4347225  4349310  4351396  4353482  4355569  4357656
n    :     4176     4177     4178     4179     4180     4181     4182     4183
n^2/4:  4359744  4361832  4363921  4366010  4368100  4370190  4372281  4374372
n    :     4184     4185     4186     4187     4188     4189     4190     4191
n^2/4:  4376464  4378556  4380649  4382742  4384836  4386930  4389025  4391120
n    :     4192     4193     4194     4195     4196     4197     4198     4199
n^2/4:  4393216  4395312  4397409  4399506  4401604  4403702  4405801  4407900
n    :     4200     4201     4202     4203     4204     4205     4206     4207
n^2/4:  4410000  4412100  4414201  4416302  4418404  4420506  4422609  4424712
n    :     4208     4209     4210     4211     4212     4213     4214     4215
n^2/4:  4426816  4428920  4431025  4433130  4435236  4437342  4439449  4441556
n    :     4216     4217     4218     4219     4220     4221     4222     4223
n^2/4:  4443664  4445772  4447881  4449990  4452100  4454210  4456321  4458432
n    :     4224     4225     4226     4227     4228     4229     4230     4231
n^2/4:  4460544  4462656  4464769  4466882  4468996  4471110  4473225  4475340
n    :     4232     4233     4234     4235     4236     4237     4238     4239
n^2/4:  4477456  4479572  4481689  4483806  4485924  4488042  4490161  4492280
n    :     4240     4241     4242     4243     4244     4245     4246     4247
n^2/4:  4494400  4496520  4498641  4500762  4502884  4505006  4507129  4509252
n    :     4248     4249     4250     4251     4252     4253     4254     4255
n^2/4:  4511376  4513500  4515625  4517750  4519876  4522002  4524129  4526256
n    :     4256     4257     4258     4259     4260     4261     4262     4263
n^2/4:  4528384  4530512  4532641  4534770  4536900  4539030  4541161  4543292
n    :     4264     4265     4266     4267     4268     4269     4270     4271
n^2/4:  4545424  4547556  4549689  4551822  4553956  4556090  4558225  4560360
n    :     4272     4273     4274     4275     4276     4277     4278     4279
n^2/4:  4562496  4564632  4566769  4568906  4571044  4573182  4575321  4577460
n    :     4280     4281     4282     4283     4284     4285     4286     4287
n^2/4:  4579600  4581740  4583881  4586022  4588164  4590306  4592449  4594592
n    :     4288     4289     4290     4291     4292     4293     4294     4295
n^2/4:  4596736  4598880  4601025  4603170  4605316  4607462  4609609  4611756
n    :     4296     4297     4298     4299     4300     4301     4302     4303
n^2/4:  4613904  4616052  4618201  4620350  4622500  4624650  4626801  4628952
n    :     4304     4305     4306     4307     4308     4309     4310     4311
n^2/4:  4631104  4633256  4635409  4637562  4639716  4641870  4644025  4646180
n    :     4312     4313     4314     4315     4316     4317     4318     4319
n^2/4:  4648336  4650492  4652649  4654806  4656964  4659122  4661281  4663440
n    :     4320     4321     4322     4323     4324     4325     4326     4327
n^2/4:  4665600  4667760  4669921  4672082  4674244  4676406  4678569  4680732
n    :     4328     4329     4330     4331     4332     4333     4334     4335
n^2/4:  4682896  4685060  4687225  4689390  4691556  4693722  4695889  4698056
n    :     4336     4337     4338     4339     4340     4341     4342     4343
n^2/4:  4700224  4702392  4704561  4706730  4708900  4711070  4713241  4715412
n    :     4344     4345     4346     4347     4348     4349     4350     4351
n^2/4:  4717584  4719756  4721929  4724102  4726276  4728450  4730625  4732800
n    :     4352     4353     4354     4355     4356     4357     4358     4359
n^2/4:  4734976  4737152  4739329  4741506  4743684  4745862  4748041  4750220
n    :     4360     4361     4362     4363     4364     4365     4366     4367
n^2/4:  4752400  4754580  4756761  4758942  4761124  4763306  4765489  4767672
n    :     4368     4369     4370     4371     4372     4373     4374     4375
n^2/4:  4769856  4772040  4774225  4776410  4778596  4780782  4782969  4785156
n    :     4376     4377     4378     4379     4380     4381     4382     4383
n^2/4:  4787344  4789532  4791721  4793910  4796100  4798290  4800481  4802672
n    :     4384     4385     4386     4387     4388     4389     4390     4391
n^2/4:  4804864  4807056  4809249  4811442  4813636  4815830  4818025  4820220
n    :     4392     4393     4394     4395     4396     4397     4398     4399
n^2/4:  4822416  4824612  4826809  4829006  4831204  4833402  4835601  4837800
n    :     4400     4401     4402     4403     4404     4405     4406     4407
n^2/4:  4840000  4842200  4844401  4846602  4848804  4851006  4853209  4855412
n    :     4408     4409     4410     4411     4412     4413     4414     4415
n^2/4:  4857616  4859820  4862025  4864230  4866436  4868642  4870849  4873056
n    :     4416     4417     4418     4419     4420     4421     4422     4423
n^2/4:  4875264  4877472  4879681  4881890  4884100  4886310  4888521  4890732
n    :     4424     4425     4426     4427     4428     4429     4430     4431
n^2/4:  4892944  4895156  4897369  4899582  4901796  4904010  4906225  4908440
n    :     4432     4433     4434     4435     4436     4437     4438     4439
n^2/4:  4910656  4912872  4915089  4917306  4919524  4921742  4923961  4926180
n    :     4440     4441     4442     4443     4444     4445     4446     4447
n^2/4:  4928400  4930620  4932841  4935062  4937284  4939506  4941729  4943952
n    :     4448     4449     4450     4451     4452     4453     4454     4455
n^2/4:  4946176  4948400  4950625  4952850  4955076  4957302  4959529  4961756
n    :     4456     4457     4458     4459     4460     4461     4462     4463
n^2/4:  4963984  4966212  4968441  4970670  4972900  4975130  4977361  4979592
n    :     4464     4465     4466     4467     4468     4469     4470     4471
n^2/4:  4981824  4984056  4986289  4988522  4990756  4992990  4995225  4997460
n    :     4472     4473     4474     4475     4476     4477     4478     4479
n^2/4:  4999696  5001932  5004169  5006406  5008644  5010882  5013121  5015360
n    :     4480     4481     4482     4483     4484     4485     4486     4487
n^2/4:  5017600  5019840  5022081  5024322  5026564  5028806  5031049  5033292
n    :     4488     4489     4490     4491     4492     4493     4494     4495
n^2/4:  5035536  5037780  5040025  5042270  5044516  5046762  5049009  5051256
n    :     4496     4497     4498     4499     4500     4501     4502     4503
n^2/4:  5053504  5055752  5058001  5060250  5062500  5064750  5067001  5069252
n    :     4504     4505     4506     4507     4508     4509     4510     4511
n^2/4:  5071504  5073756  5076009  5078262  5080516  5082770  5085025  5087280
n    :     4512     4513     4514     4515     4516     4517     4518     4519
n^2/4:  5089536  5091792  5094049  5096306  5098564  5100822  5103081  5105340
n    :     4520     4521     4522     4523     4524     4525     4526     4527
n^2/4:  5107600  5109860  5112121  5114382  5116644  5118906  5121169  5123432
n    :     4528     4529     4530     4531     4532     4533     4534     4535
n^2/4:  5125696  5127960  5130225  5132490  5134756  5137022  5139289  5141556
n    :     4536     4537     4538     4539     4540     4541     4542     4543
n^2/4:  5143824  5146092  5148361  5150630  5152900  5155170  5157441  5159712
n    :     4544     4545     4546     4547     4548     4549     4550     4551
n^2/4:  5161984  5164256  5166529  5168802  5171076  5173350  5175625  5177900
n    :     4552     4553     4554     4555     4556     4557     4558     4559
n^2/4:  5180176  5182452  5184729  5187006  5189284  5191562  5193841  5196120
n    :     4560     4561     4562     4563     4564     4565     4566     4567
n^2/4:  5198400  5200680  5202961  5205242  5207524  5209806  5212089  5214372
n    :     4568     4569     4570     4571     4572     4573     4574     4575
n^2/4:  5216656  5218940  5221225  5223510  5225796  5228082  5230369  5232656
n    :     4576     4577     4578     4579     4580     4581     4582     4583
n^2/4:  5234944  5237232  5239521  5241810  5244100  5246390  5248681  5250972
n    :     4584     4585     4586     4587     4588     4589     4590     4591
n^2/4:  5253264  5255556  5257849  5260142  5262436  5264730  5267025  5269320
n    :     4592     4593     4594     4595     4596     4597     4598     4599
n^2/4:  5271616  5273912  5276209  5278506  5280804  5283102  5285401  5287700
n    :     4600     4601     4602     4603     4604     4605     4606     4607
n^2/4:  5290000  5292300  5294601  5296902  5299204  5301506  5303809  5306112
n    :     4608     4609     4610     4611     4612     4613     4614     4615
n^2/4:  5308416  5310720  5313025  5315330  5317636  5319942  5322249  5324556
n    :     4616     4617     4618     4619     4620     4621     4622     4623
n^2/4:  5326864  5329172  5331481  5333790  5336100  5338410  5340721  5343032
n    :     4624     4625     4626     4627     4628     4629     4630     4631
n^2/4:  5345344  5347656  5349969  5352282  5354596  5356910  5359225  5361540
n    :     4632     4633     4634     4635     4636     4637     4638     4639
n^2/4:  5363856  5366172  5368489  5370806  5373124  5375442  5377761  5380080
n    :     4640     4641     4642     4643     4644     4645     4646     4647
n^2/4:  5382400  5384720  5387041  5389362  5391684  5394006  5396329  5398652
n    :     4648     4649     4650     4651     4652     4653     4654     4655
n^2/4:  5400976  5403300  5405625  5407950  5410276  5412602  5414929  5417256
n    :     4656     4657     4658     4659     4660     4661     4662     4663
n^2/4:  5419584  5421912  5424241  5426570  5428900  5431230  5433561  5435892
n    :     4664     4665     4666     4667     4668     4669     4670     4671
n^2/4:  5438224  5440556  5442889  5445222  5447556  5449890  5452225  5454560
n    :     4672     4673     4674     4675     4676     4677     4678     4679
n^2/4:  5456896  5459232  5461569  5463906  5466244  5468582  5470921  5473260
n    :     4680     4681     4682     4683     4684     4685     4686     4687
n^2/4:  5475600  5477940  5480281  5482622  5484964  5487306  5489649  5491992
n    :     4688     4689     4690     4691     4692     4693     4694     4695
n^2/4:  5494336  5496680  5499025  5501370  5503716  5506062  5508409  5510756
n    :     4696     4697     4698     4699     4700     4701     4702     4703
n^2/4:  5513104  5515452  5517801  5520150  5522500  5524850  5527201  5529552
n    :     4704     4705     4706     4707     4708     4709     4710     4711
n^2/4:  5531904  5534256  5536609  5538962  5541316  5543670  5546025  5548380
n    :     4712     4713     4714     4715     4716     4717     4718     4719
n^2/4:  5550736  5553092  5555449  5557806  5560164  5562522  5564881  5567240
n    :     4720     4721     4722     4723     4724     4725     4726     4727
n^2/4:  5569600  5571960  5574321  5576682  5579044  5581406  5583769  5586132
n    :     4728     4729     4730     4731     4732     4733     4734     4735
n^2/4:  5588496  5590860  5593225  5595590  5597956  5600322  5602689  5605056
n    :     4736     4737     4738     4739     4740     4741     4742     4743
n^2/4:  5607424  5609792  5612161  5614530  5616900  5619270  5621641  5624012
n    :     4744     4745     4746     4747     4748     4749     4750     4751
n^2/4:  5626384  5628756  5631129  5633502  5635876  5638250  5640625  5643000
n    :     4752     4753     4754     4755     4756     4757     4758     4759
n^2/4:  5645376  5647752  5650129  5652506  5654884  5657262  5659641  5662020
n    :     4760     4761     4762     4763     4764     4765     4766     4767
n^2/4:  5664400  5666780  5669161  5671542  5673924  5676306  5678689  5681072
n    :     4768     4769     4770     4771     4772     4773     4774     4775
n^2/4:  5683456  5685840  5688225  5690610  5692996  5695382  5697769  5700156
n    :     4776     4777     4778     4779     4780     4781     4782     4783
n^2/4:  5702544  5704932  5707321  5709710  5712100  5714490  5716881  5719272
n    :     4784     4785     4786     4787     4788     4789     4790     4791
n^2/4:  5721664  5724056  5726449  5728842  5731236  5733630  5736025  5738420
n    :     4792     4793     4794     4795     4796     4797     4798     4799
n^2/4:  5740816  5743212  5745609  5748006  5750404  5752802  5755201  5757600
n    :     4800     4801     4802     4803     4804     4805     4806     4807
n^2/4:  5760000  5762400  5764801  5767202  5769604  5772006  5774409  5776812
n    :     4808     4809     4810     4811     4812     4813     4814     4815
n^2/4:  5779216  5781620  5784025  5786430  5788836  5791242  5793649  5796056
n    :     4816     4817     4818     4819     4820     4821     4822     4823
n^2/4:  5798464  5800872  5803281  5805690  5808100  5810510  5812921  5815332
n    :     4824     4825     4826     4827     4828     4829     4830     4831
n^2/4:  5817744  5820156  5822569  5824982  5827396  5829810  5832225  5834640
n    :     4832     4833     4834     4835     4836     4837     4838     4839
n^2/4:  5837056  5839472  5841889  5844306  5846724  5849142  5851561  5853980
n    :     4840     4841     4842     4843     4844     4845     4846     4847
n^2/4:  5856400  5858820  5861241  5863662  5866084  5868506  5870929  5873352
n    :     4848     4849     4850     4851     4852     4853     4854     4855
n^2/4:  5875776  5878200  5880625  5883050  5885476  5887902  5890329  5892756
n    :     4856     4857     4858     4859     4860     4861     4862     4863
n^2/4:  5895184  5897612  5900041  5902470  5904900  5907330  5909761  5912192
n    :     4864     4865     4866     4867     4868     4869     4870     4871
n^2/4:  5914624  5917056  5919489  5921922  5924356  5926790  5929225  5931660
n    :     4872     4873     4874     4875     4876     4877     4878     4879
n^2/4:  5934096  5936532  5938969  5941406  5943844  5946282  5948721  5951160
n    :     4880     4881     4882     4883     4884     4885     4886     4887
n^2/4:  5953600  5956040  5958481  5960922  5963364  5965806  5968249  5970692
n    :     4888     4889     4890     4891     4892     4893     4894     4895
n^2/4:  5973136  5975580  5978025  5980470  5982916  5985362  5987809  5990256
n    :     4896     4897     4898     4899     4900     4901     4902     4903
n^2/4:  5992704  5995152  5997601  6000050  6002500  6004950  6007401  6009852
n    :     4904     4905     4906     4907     4908     4909     4910     4911
n^2/4:  6012304  6014756  6017209  6019662  6022116  6024570  6027025  6029480
n    :     4912     4913     4914     4915     4916     4917     4918     4919
n^2/4:  6031936  6034392  6036849  6039306  6041764  6044222  6046681  6049140
n    :     4920     4921     4922     4923     4924     4925     4926     4927
n^2/4:  6051600  6054060  6056521  6058982  6061444  6063906  6066369  6068832
n    :     4928     4929     4930     4931     4932     4933     4934     4935
n^2/4:  6071296  6073760  6076225  6078690  6081156  6083622  6086089  6088556
n    :     4936     4937     4938     4939     4940     4941     4942     4943
n^2/4:  6091024  6093492  6095961  6098430  6100900  6103370  6105841  6108312
n    :     4944     4945     4946     4947     4948     4949     4950     4951
n^2/4:  6110784  6113256  6115729  6118202  6120676  6123150  6125625  6128100
n    :     4952     4953     4954     4955     4956     4957     4958     4959
n^2/4:  6130576  6133052  6135529  6138006  6140484  6142962  6145441  6147920
n    :     4960     4961     4962     4963     4964     4965     4966     4967
n^2/4:  6150400  6152880  6155361  6157842  6160324  6162806  6165289  6167772
n    :     4968     4969     4970     4971     4972     4973     4974     4975
n^2/4:  6170256  6172740  6175225  6177710  6180196  6182682  6185169  6187656
n    :     4976     4977     4978     4979     4980     4981     4982     4983
n^2/4:  6190144  6192632  6195121  6197610  6200100  6202590  6205081  6207572
n    :     4984     4985     4986     4987     4988     4989     4990     4991
n^2/4:  6210064  6212556  6215049  6217542  6220036  6222530  6225025  6227520
n    :     4992     4993     4994     4995     4996     4997     4998     4999
n^2/4:  6230016  6232512  6235009  6237506  6240004  6242502  6245001  6247500
n    :     5000     5001     5002     5003     5004     5005     5006     5007
n^2/4:  6250000  6252500  6255001  6257502  6260004  6262506  6265009  6267512
n    :     5008     5009     5010     5011     5012     5013     5014     5015
n^2/4:  6270016  6272520  6275025  6277530  6280036  6282542  6285049  6287556
n    :     5016     5017     5018     5019     5020     5021     5022     5023
n^2/4:  6290064  6292572  6295081  6297590  6300100  6302610  6305121  6307632
n    :     5024     5025     5026     5027     5028     5029     5030     5031
n^2/4:  6310144  6312656  6315169  6317682  6320196  6322710  6325225  6327740
n    :     5032     5033     5034     5035     5036     5037     5038     5039
n^2/4:  6330256  6332772  6335289  6337806  6340324  6342842  6345361  6347880
n    :     5040     5041     5042     5043     5044     5045     5046     5047
n^2/4:  6350400  6352920  6355441  6357962  6360484  6363006  6365529  6368052
n    :     5048     5049     5050     5051     5052     5053     5054     5055
n^2/4:  6370576  6373100  6375625  6378150  6380676  6383202  6385729  6388256
n    :     5056     5057     5058     5059     5060     5061     5062     5063
n^2/4:  6390784  6393312  6395841  6398370  6400900  6403430  6405961  6408492
n    :     5064     5065     5066     5067     5068     5069     5070     5071
n^2/4:  6411024  6413556  6416089  6418622  6421156  6423690  6426225  6428760
n    :     5072     5073     5074     5075     5076     5077     5078     5079
n^2/4:  6431296  6433832  6436369  6438906  6441444  6443982  6446521  6449060
n    :     5080     5081     5082     5083     5084     5085     5086     5087
n^2/4:  6451600  6454140  6456681  6459222  6461764  6464306  6466849  6469392
n    :     5088     5089     5090     5091     5092     5093     5094     5095
n^2/4:  6471936  6474480  6477025  6479570  6482116  6484662  6487209  6489756
n    :     5096     5097     5098     5099     5100     5101     5102     5103
n^2/4:  6492304  6494852  6497401  6499950  6502500  6505050  6507601  6510152
n    :     5104     5105     5106     5107     5108     5109     5110     5111
n^2/4:  6512704  6515256  6517809  6520362  6522916  6525470  6528025  6530580
n    :     5112     5113     5114     5115     5116     5117     5118     5119
n^2/4:  6533136  6535692  6538249  6540806  6543364  6545922  6548481  6551040
n    :     5120     5121     5122     5123     5124     5125     5126     5127
n^2/4:  6553600  6556160  6558721  6561282  6563844  6566406  6568969  6571532
n    :     5128     5129     5130     5131     5132     5133     5134     5135
n^2/4:  6574096  6576660  6579225  6581790  6584356  6586922  6589489  6592056
n    :     5136     5137     5138     5139     5140     5141     5142     5143
n^2/4:  6594624  6597192  6599761  6602330  6604900  6607470  6610041  6612612
n    :     5144     5145     5146     5147     5148     5149     5150     5151
n^2/4:  6615184  6617756  6620329  6622902  6625476  6628050  6630625  6633200
n    :     5152     5153     5154     5155     5156     5157     5158     5159
n^2/4:  6635776  6638352  6640929  6643506  6646084  6648662  6651241  6653820
n    :     5160     5161     5162     5163     5164     5165     5166     5167
n^2/4:  6656400  6658980  6661561  6664142  6666724  6669306  6671889  6674472
n    :     5168     5169     5170     5171     5172     5173     5174     5175
n^2/4:  6677056  6679640  6682225  6684810  6687396  6689982  6692569  6695156
n    :     5176     5177     5178     5179     5180     5181     5182     5183
n^2/4:  6697744  6700332  6702921  6705510  6708100  6710690  6713281  6715872
n    :     5184     5185     5186     5187     5188     5189     5190     5191
n^2/4:  6718464  6721056  6723649  6726242  6728836  6731430  6734025  6736620
n    :     5192     5193     5194     5195     5196     5197     5198     5199
n^2/4:  6739216  6741812  6744409  6747006  6749604  6752202  6754801  6757400
n    :     5200     5201     5202     5203     5204     5205     5206     5207
n^2/4:  6760000  6762600  6765201  6767802  6770404  6773006  6775609  6778212
n    :     5208     5209     5210     5211     5212     5213     5214     5215
n^2/4:  6780816  6783420  6786025  6788630  6791236  6793842  6796449  6799056
n    :     5216     5217     5218     5219     5220     5221     5222     5223
n^2/4:  6801664  6804272  6806881  6809490  6812100  6814710  6817321  6819932
n    :     5224     5225     5226     5227     5228     5229     5230     5231
n^2/4:  6822544  6825156  6827769  6830382  6832996  6835610  6838225  6840840
n    :     5232     5233     5234     5235     5236     5237     5238     5239
n^2/4:  6843456  6846072  6848689  6851306  6853924  6856542  6859161  6861780
n    :     5240     5241     5242     5243     5244     5245     5246     5247
n^2/4:  6864400  6867020  6869641  6872262  6874884  6877506  6880129  6882752
n    :     5248     5249     5250     5251     5252     5253     5254     5255
n^2/4:  6885376  6888000  6890625  6893250  6895876  6898502  6901129  6903756
n    :     5256     5257     5258     5259     5260     5261     5262     5263
n^2/4:  6906384  6909012  6911641  6914270  6916900  6919530  6922161  6924792
n    :     5264     5265     5266     5267     5268     5269     5270     5271
n^2/4:  6927424  6930056  6932689  6935322  6937956  6940590  6943225  6945860
n    :     5272     5273     5274     5275     5276     5277     5278     5279
n^2/4:  6948496  6951132  6953769  6956406  6959044  6961682  6964321  6966960
n    :     5280     5281     5282     5283     5284     5285     5286     5287
n^2/4:  6969600  6972240  6974881  6977522  6980164  6982806  6985449  6988092
n    :     5288     5289     5290     5291     5292     5293     5294     5295
n^2/4:  6990736  6993380  6996025  6998670  7001316  7003962  7006609  7009256
n    :     5296     5297     5298     5299     5300     5301     5302     5303
n^2/4:  7011904  7014552  7017201  7019850  7022500  7025150  7027801  7030452
n    :     5304     5305     5306     5307     5308     5309     5310     5311
n^2/4:  7033104  7035756  7038409  7041062  7043716  7046370  7049025  7051680
n    :     5312     5313     5314     5315     5316     5317     5318     5319
n^2/4:  7054336  7056992  7059649  7062306  7064964  7067622  7070281  7072940
n    :     5320     5321     5322     5323     5324     5325     5326     5327
n^2/4:  7075600  7078260  7080921  7083582  7086244  7088906  7091569  7094232
n    :     5328     5329     5330     5331     5332     5333     5334     5335
n^2/4:  7096896  7099560  7102225  7104890  7107556  7110222  7112889  7115556
n    :     5336     5337     5338     5339     5340     5341     5342     5343
n^2/4:  7118224  7120892  7123561  7126230  7128900  7131570  7134241  7136912
n    :     5344     5345     5346     5347     5348     5349     5350     5351
n^2/4:  7139584  7142256  7144929  7147602  7150276  7152950  7155625  7158300
n    :     5352     5353     5354     5355     5356     5357     5358     5359
n^2/4:  7160976  7163652  7166329  7169006  7171684  7174362  7177041  7179720
n    :     5360     5361     5362     5363     5364     5365     5366     5367
n^2/4:  7182400  7185080  7187761  7190442  7193124  7195806  7198489  7201172
n    :     5368     5369     5370     5371     5372     5373     5374     5375
n^2/4:  7203856  7206540  7209225  7211910  7214596  7217282  7219969  7222656
n    :     5376     5377     5378     5379     5380     5381     5382     5383
n^2/4:  7225344  7228032  7230721  7233410  7236100  7238790  7241481  7244172
n    :     5384     5385     5386     5387     5388     5389     5390     5391
n^2/4:  7246864  7249556  7252249  7254942  7257636  7260330  7263025  7265720
n    :     5392     5393     5394     5395     5396     5397     5398     5399
n^2/4:  7268416  7271112  7273809  7276506  7279204  7281902  7284601  7287300
n    :     5400     5401     5402     5403     5404     5405     5406     5407
n^2/4:  7290000  7292700  7295401  7298102  7300804  7303506  7306209  7308912
n    :     5408     5409     5410     5411     5412     5413     5414     5415
n^2/4:  7311616  7314320  7317025  7319730  7322436  7325142  7327849  7330556
n    :     5416     5417     5418     5419     5420     5421     5422     5423
n^2/4:  7333264  7335972  7338681  7341390  7344100  7346810  7349521  7352232
n    :     5424     5425     5426     5427     5428     5429     5430     5431
n^2/4:  7354944  7357656  7360369  7363082  7365796  7368510  7371225  7373940
n    :     5432     5433     5434     5435     5436     5437     5438     5439
n^2/4:  7376656  7379372  7382089  7384806  7387524  7390242  7392961  7395680
n    :     5440     5441     5442     5443     5444     5445     5446     5447
n^2/4:  7398400  7401120  7403841  7406562  7409284  7412006  7414729  7417452
n    :     5448     5449     5450     5451     5452     5453     5454     5455
n^2/4:  7420176  7422900  7425625  7428350  7431076  7433802  7436529  7439256
n    :     5456     5457     5458     5459     5460     5461     5462     5463
n^2/4:  7441984  7444712  7447441  7450170  7452900  7455630  7458361  7461092
n    :     5464     5465     5466     5467     5468     5469     5470     5471
n^2/4:  7463824  7466556  7469289  7472022  7474756  7477490  7480225  7482960
n    :     5472     5473     5474     5475     5476     5477     5478     5479
n^2/4:  7485696  7488432  7491169  7493906  7496644  7499382  7502121  7504860
n    :     5480     5481     5482     5483     5484     5485     5486     5487
n^2/4:  7507600  7510340  7513081  7515822  7518564  7521306  7524049  7526792
n    :     5488     5489     5490     5491     5492     5493     5494     5495
n^2/4:  7529536  7532280  7535025  7537770  7540516  7543262  7546009  7548756
n    :     5496     5497     5498     5499     5500     5501     5502     5503
n^2/4:  7551504  7554252  7557001  7559750  7562500  7565250  7568001  7570752
n    :     5504     5505     5506     5507     5508     5509     5510     5511
n^2/4:  7573504  7576256  7579009  7581762  7584516  7587270  7590025  7592780
n    :     5512     5513     5514     5515     5516     5517     5518     5519
n^2/4:  7595536  7598292  7601049  7603806  7606564  7609322  7612081  7614840
n    :     5520     5521     5522     5523     5524     5525     5526     5527
n^2/4:  7617600  7620360  7623121  7625882  7628644  7631406  7634169  7636932
n    :     5528     5529     5530     5531     5532     5533     5534     5535
n^2/4:  7639696  7642460  7645225  7647990  7650756  7653522  7656289  7659056
n    :     5536     5537     5538     5539     5540     5541     5542     5543
n^2/4:  7661824  7664592  7667361  7670130  7672900  7675670  7678441  7681212
n    :     5544     5545     5546     5547     5548     5549     5550     5551
n^2/4:  7683984  7686756  7689529  7692302  7695076  7697850  7700625  7703400
n    :     5552     5553     5554     5555     5556     5557     5558     5559
n^2/4:  7706176  7708952  7711729  7714506  7717284  7720062  7722841  7725620
n    :     5560     5561     5562     5563     5564     5565     5566     5567
n^2/4:  7728400  7731180  7733961  7736742  7739524  7742306  7745089  7747872
n    :     5568     5569     5570     5571     5572     5573     5574     5575
n^2/4:  7750656  7753440  7756225  7759010  7761796  7764582  7767369  7770156
n    :     5576     5577     5578     5579     5580     5581     5582     5583
n^2/4:  7772944  7775732  7778521  7781310  7784100  7786890  7789681  7792472
n    :     5584     5585     5586     5587     5588     5589     5590     5591
n^2/4:  7795264  7798056  7800849  7803642  7806436  7809230  7812025  7814820
n    :     5592     5593     5594     5595     5596     5597     5598     5599
n^2/4:  7817616  7820412  7823209  7826006  7828804  7831602  7834401  7837200
n    :     5600     5601     5602     5603     5604     5605     5606     5607
n^2/4:  7840000  7842800  7845601  7848402  7851204  7854006  7856809  7859612
n    :     5608     5609     5610     5611     5612     5613     5614     5615
n^2/4:  7862416  7865220  7868025  7870830  7873636  7876442  7879249  7882056
n    :     5616     5617     5618     5619     5620     5621     5622     5623
n^2/4:  7884864  7887672  7890481  7893290  7896100  7898910  7901721  7904532
n    :     5624     5625     5626     5627     5628     5629     5630     5631
n^2/4:  7907344  7910156  7912969  7915782  7918596  7921410  7924225  7927040
n    :     5632     5633     5634     5635     5636     5637     5638     5639
n^2/4:  7929856  7932672  7935489  7938306  7941124  7943942  7946761  7949580
n    :     5640     5641     5642     5643     5644     5645     5646     5647
n^2/4:  7952400  7955220  7958041  7960862  7963684  7966506  7969329  7972152
n    :     5648     5649     5650     5651     5652     5653     5654     5655
n^2/4:  7974976  7977800  7980625  7983450  7986276  7989102  7991929  7994756
n    :     5656     5657     5658     5659     5660     5661     5662     5663
n^2/4:  7997584  8000412  8003241  8006070  8008900  8011730  8014561  8017392
n    :     5664     5665     5666     5667     5668     5669     5670     5671
n^2/4:  8020224  8023056  8025889  8028722  8031556  8034390  8037225  8040060
n    :     5672     5673     5674     5675     5676     5677     5678     5679
n^2/4:  8042896  8045732  8048569  8051406  8054244  8057082  8059921  8062760
n    :     5680     5681     5682     5683     5684     5685     5686     5687
n^2/4:  8065600  8068440  8071281  8074122  8076964  8079806  8082649  8085492
n    :     5688     5689     5690     5691     5692     5693     5694     5695
n^2/4:  8088336  8091180  8094025  8096870  8099716  8102562  8105409  8108256
n    :     5696     5697     5698     5699     5700     5701     5702     5703
n^2/4:  8111104  8113952  8116801  8119650  8122500  8125350  8128201  8131052
n    :     5704     5705     5706     5707     5708     5709     5710     5711
n^2/4:  8133904  8136756  8139609  8142462  8145316  8148170  8151025  8153880
n    :     5712     5713     5714     5715     5716     5717     5718     5719
n^2/4:  8156736  8159592  8162449  8165306  8168164  8171022  8173881  8176740
n    :     5720     5721     5722     5723     5724     5725     5726     5727
n^2/4:  8179600  8182460  8185321  8188182  8191044  8193906  8196769  8199632
n    :     5728     5729     5730     5731     5732     5733     5734     5735
n^2/4:  8202496  8205360  8208225  8211090  8213956  8216822  8219689  8222556
n    :     5736     5737     5738     5739     5740     5741     5742     5743
n^2/4:  8225424  8228292  8231161  8234030  8236900  8239770  8242641  8245512
n    :     5744     5745     5746     5747     5748     5749     5750     5751
n^2/4:  8248384  8251256  8254129  8257002  8259876  8262750  8265625  8268500
n    :     5752     5753     5754     5755     5756     5757     5758     5759
n^2/4:  8271376  8274252  8277129  8280006  8282884  8285762  8288641  8291520
n    :     5760     5761     5762     5763     5764     5765     5766     5767
n^2/4:  8294400  8297280  8300161  8303042  8305924  8308806  8311689  8314572
n    :     5768     5769     5770     5771     5772     5773     5774     5775
n^2/4:  8317456  8320340  8323225  8326110  8328996  8331882  8334769  8337656
n    :     5776     5777     5778     5779     5780     5781     5782     5783
n^2/4:  8340544  8343432  8346321  8349210  8352100  8354990  8357881  8360772
n    :     5784     5785     5786     5787     5788     5789     5790     5791
n^2/4:  8363664  8366556  8369449  8372342  8375236  8378130  8381025  8383920
n    :     5792     5793     5794     5795     5796     5797     5798     5799
n^2/4:  8386816  8389712  8392609  8395506  8398404  8401302  8404201  8407100
n    :     5800     5801     5802     5803     5804     5805     5806     5807
n^2/4:  8410000  8412900  8415801  8418702  8421604  8424506  8427409  8430312
n    :     5808     5809     5810     5811     5812     5813     5814     5815
n^2/4:  8433216  8436120  8439025  8441930  8444836  8447742  8450649  8453556
n    :     5816     5817     5818     5819     5820     5821     5822     5823
n^2/4:  8456464  8459372  8462281  8465190  8468100  8471010  8473921  8476832
n    :     5824     5825     5826     5827     5828     5829     5830     5831
n^2/4:  8479744  8482656  8485569  8488482  8491396  8494310  8497225  8500140
n    :     5832     5833     5834     5835     5836     5837     5838     5839
n^2/4:  8503056  8505972  8508889  8511806  8514724  8517642  8520561  8523480
n    :     5840     5841     5842     5843     5844     5845     5846     5847
n^2/4:  8526400  8529320  8532241  8535162  8538084  8541006  8543929  8546852
n    :     5848     5849     5850     5851     5852     5853     5854     5855
n^2/4:  8549776  8552700  8555625  8558550  8561476  8564402  8567329  8570256
n    :     5856     5857     5858     5859     5860     5861     5862     5863
n^2/4:  8573184  8576112  8579041  8581970  8584900  8587830  8590761  8593692
n    :     5864     5865     5866     5867     5868     5869     5870     5871
n^2/4:  8596624  8599556  8602489  8605422  8608356  8611290  8614225  8617160
n    :     5872     5873     5874     5875     5876     5877     5878     5879
n^2/4:  8620096  8623032  8625969  8628906  8631844  8634782  8637721  8640660
n    :     5880     5881     5882     5883     5884     5885     5886     5887
n^2/4:  8643600  8646540  8649481  8652422  8655364  8658306  8661249  8664192
n    :     5888     5889     5890     5891     5892     5893     5894     5895
n^2/4:  8667136  8670080  8673025  8675970  8678916  8681862  8684809  8687756
n    :     5896     5897     5898     5899     5900     5901     5902     5903
n^2/4:  8690704  8693652  8696601  8699550  8702500  8705450  8708401  8711352
n    :     5904     5905     5906     5907     5908     5909     5910     5911
n^2/4:  8714304  8717256  8720209  8723162  8726116  8729070  8732025  8734980
n    :     5912     5913     5914     5915     5916     5917     5918     5919
n^2/4:  8737936  8740892  8743849  8746806  8749764  8752722  8755681  8758640
n    :     5920     5921     5922     5923     5924     5925     5926     5927
n^2/4:  8761600  8764560  8767521  8770482  8773444  8776406  8779369  8782332
n    :     5928     5929     5930     5931     5932     5933     5934     5935
n^2/4:  8785296  8788260  8791225  8794190  8797156  8800122  8803089  8806056
n    :     5936     5937     5938     5939     5940     5941     5942     5943
n^2/4:  8809024  8811992  8814961  8817930  8820900  8823870  8826841  8829812
n    :     5944     5945     5946     5947     5948     5949     5950     5951
n^2/4:  8832784  8835756  8838729  8841702  8844676  8847650  8850625  8853600
n    :     5952     5953     5954     5955     5956     5957     5958     5959
n^2/4:  8856576  8859552  8862529  8865506  8868484  8871462  8874441  8877420
n    :     5960     5961     5962     5963     5964     5965     5966     5967
n^2/4:  8880400  8883380  8886361  8889342  8892324  8895306  8898289  8901272
n    :     5968     5969     5970     5971     5972     5973     5974     5975
n^2/4:  8904256  8907240  8910225  8913210  8916196  8919182  8922169  8925156
n    :     5976     5977     5978     5979     5980     5981     5982     5983
n^2/4:  8928144  8931132  8934121  8937110  8940100  8943090  8946081  8949072
n    :     5984     5985     5986     5987     5988     5989     5990     5991
n^2/4:  8952064  8955056  8958049  8961042  8964036  8967030  8970025  8973020
n    :     5992     5993     5994     5995     5996     5997     5998     5999
n^2/4:  8976016  8979012  8982009  8985006  8988004  8991002  8994001  8997000
n    :     6000     6001     6002     6003     6004     6005     6006     6007
n^2/4:  9000000  9003000  9006001  9009002  9012004  9015006  9018009  9021012
n    :     6008     6009     6010     6011     6012     6013     6014     6015
n^2/4:  9024016  9027020  9030025  9033030  9036036  9039042  9042049  9045056
n    :     6016     6017     6018     6019     6020     6021     6022     6023
n^2/4:  9048064  9051072  9054081  9057090  9060100  9063110  9066121  9069132
n    :     6024     6025     6026     6027     6028     6029     6030     6031
n^2/4:  9072144  9075156  9078169  9081182  9084196  9087210  9090225  9093240
n    :     6032     6033     6034     6035     6036     6037     6038     6039
n^2/4:  9096256  9099272  9102289  9105306  9108324  9111342  9114361  9117380
n    :     6040     6041     6042     6043     6044     6045     6046     6047
n^2/4:  9120400  9123420  9126441  9129462  9132484  9135506  9138529  9141552
n    :     6048     6049     6050     6051     6052     6053     6054     6055
n^2/4:  9144576  9147600  9150625  9153650  9156676  9159702  9162729  9165756
n    :     6056     6057     6058     6059     6060     6061     6062     6063
n^2/4:  9168784  9171812  9174841  9177870  9180900  9183930  9186961  9189992
n    :     6064     6065     6066     6067     6068     6069     6070     6071
n^2/4:  9193024  9196056  9199089  9202122  9205156  9208190  9211225  9214260
n    :     6072     6073     6074     6075     6076     6077     6078     6079
n^2/4:  9217296  9220332  9223369  9226406  9229444  9232482  9235521  9238560
n    :     6080     6081     6082     6083     6084     6085     6086     6087
n^2/4:  9241600  9244640  9247681  9250722  9253764  9256806  9259849  9262892
n    :     6088     6089     6090     6091     6092     6093     6094     6095
n^2/4:  9265936  9268980  9272025  9275070  9278116  9281162  9284209  9287256
n    :     6096     6097     6098     6099     6100     6101     6102     6103
n^2/4:  9290304  9293352  9296401  9299450  9302500  9305550  9308601  9311652
n    :     6104     6105     6106     6107     6108     6109     6110     6111
n^2/4:  9314704  9317756  9320809  9323862  9326916  9329970  9333025  9336080
n    :     6112     6113     6114     6115     6116     6117     6118     6119
n^2/4:  9339136  9342192  9345249  9348306  9351364  9354422  9357481  9360540
n    :     6120     6121     6122     6123     6124     6125     6126     6127
n^2/4:  9363600  9366660  9369721  9372782  9375844  9378906  9381969  9385032
n    :     6128     6129     6130     6131     6132     6133     6134     6135
n^2/4:  9388096  9391160  9394225  9397290  9400356  9403422  9406489  9409556
n    :     6136     6137     6138     6139     6140     6141     6142     6143
n^2/4:  9412624  9415692  9418761  9421830  9424900  9427970  9431041  9434112
n    :     6144     6145     6146     6147     6148     6149     6150     6151
n^2/4:  9437184  9440256  9443329  9446402  9449476  9452550  9455625  9458700
n    :     6152     6153     6154     6155     6156     6157     6158     6159
n^2/4:  9461776  9464852  9467929  9471006  9474084  9477162  9480241  9483320
n    :     6160     6161     6162     6163     6164     6165     6166     6167
n^2/4:  9486400  9489480  9492561  9495642  9498724  9501806  9504889  9507972
n    :     6168     6169     6170     6171     6172     6173     6174     6175
n^2/4:  9511056  9514140  9517225  9520310  9523396  9526482  9529569  9532656
n    :     6176     6177     6178     6179     6180     6181     6182     6183
n^2/4:  9535744  9538832  9541921  9545010  9548100  9551190  9554281  9557372
n    :     6184     6185     6186     6187     6188     6189     6190     6191
n^2/4:  9560464  9563556  9566649  9569742  9572836  9575930  9579025  9582120
n    :     6192     6193     6194     6195     6196     6197     6198     6199
n^2/4:  9585216  9588312  9591409  9594506  9597604  9600702  9603801  9606900
n    :     6200     6201     6202     6203     6204     6205     6206     6207
n^2/4:  9610000  9613100  9616201  9619302  9622404  9625506  9628609  9631712
n    :     6208     6209     6210     6211     6212     6213     6214     6215
n^2/4:  9634816  9637920  9641025  9644130  9647236  9650342  9653449  9656556
n    :     6216     6217     6218     6219     6220     6221     6222     6223
n^2/4:  9659664  9662772  9665881  9668990  9672100  9675210  9678321  9681432
n    :     6224     6225     6226     6227     6228     6229     6230     6231
n^2/4:  9684544  9687656  9690769  9693882  9696996  9700110  9703225  9706340
n    :     6232     6233     6234     6235     6236     6237     6238     6239
n^2/4:  9709456  9712572  9715689  9718806  9721924  9725042  9728161  9731280
n    :     6240     6241     6242     6243     6244     6245     6246     6247
n^2/4:  9734400  9737520  9740641  9743762  9746884  9750006  9753129  9756252
n    :     6248     6249     6250     6251     6252     6253     6254     6255
n^2/4:  9759376  9762500  9765625  9768750  9771876  9775002  9778129  9781256
n    :     6256     6257     6258     6259     6260     6261     6262     6263
n^2/4:  9784384  9787512  9790641  9793770  9796900  9800030  9803161  9806292
n    :     6264     6265     6266     6267     6268     6269     6270     6271
n^2/4:  9809424  9812556  9815689  9818822  9821956  9825090  9828225  9831360
n    :     6272     6273     6274     6275     6276     6277     6278     6279
n^2/4:  9834496  9837632  9840769  9843906  9847044  9850182  9853321  9856460
n    :     6280     6281     6282     6283     6284     6285     6286     6287
n^2/4:  9859600  9862740  9865881  9869022  9872164  9875306  9878449  9881592
n    :     6288     6289     6290     6291     6292     6293     6294     6295
n^2/4:  9884736  9887880  9891025  9894170  9897316  9900462  9903609  9906756
n    :     6296     6297     6298     6299     6300     6301     6302     6303
n^2/4:  9909904  9913052  9916201  9919350  9922500  9925650  9928801  9931952
n    :     6304     6305     6306     6307     6308     6309     6310     6311
n^2/4:  9935104  9938256  9941409  9944562  9947716  9950870  9954025  9957180
n    :     6312     6313     6314     6315     6316     6317     6318     6319
n^2/4:  9960336  9963492  9966649  9969806  9972964  9976122  9979281  9982440
n    :     6320     6321     6322     6323     6324     6325     6326     6327
n^2/4:  9985600  9988760  9991921  9995082  9998244 10001406 10004569 10007732
n    :     6328     6329     6330     6331     6332     6333     6334     6335
n^2/4: 10010896 10014060 10017225 10020390 10023556 10026722 10029889 10033056
n    :     6336     6337     6338     6339     6340     6341     6342     6343
n^2/4: 10036224 10039392 10042561 10045730 10048900 10052070 10055241 10058412
n    :     6344     6345     6346     6347     6348     6349     6350     6351
n^2/4: 10061584 10064756 10067929 10071102 10074276 10077450 10080625 10083800
n    :     6352     6353     6354     6355     6356     6357     6358     6359
n^2/4: 10086976 10090152 10093329 10096506 10099684 10102862 10106041 10109220
n    :     6360     6361     6362     6363     6364     6365     6366     6367
n^2/4: 10112400 10115580 10118761 10121942 10125124 10128306 10131489 10134672
n    :     6368     6369     6370     6371     6372     6373     6374     6375
n^2/4: 10137856 10141040 10144225 10147410 10150596 10153782 10156969 10160156
n    :     6376     6377     6378     6379     6380     6381     6382     6383
n^2/4: 10163344 10166532 10169721 10172910 10176100 10179290 10182481 10185672
n    :     6384     6385     6386     6387     6388     6389     6390     6391
n^2/4: 10188864 10192056 10195249 10198442 10201636 10204830 10208025 10211220
n    :     6392     6393     6394     6395     6396     6397     6398     6399
n^2/4: 10214416 10217612 10220809 10224006 10227204 10230402 10233601 10236800
n    :     6400     6401     6402     6403     6404     6405     6406     6407
n^2/4: 10240000 10243200 10246401 10249602 10252804 10256006 10259209 10262412
n    :     6408     6409     6410     6411     6412     6413     6414     6415
n^2/4: 10265616 10268820 10272025 10275230 10278436 10281642 10284849 10288056
n    :     6416     6417     6418     6419     6420     6421     6422     6423
n^2/4: 10291264 10294472 10297681 10300890 10304100 10307310 10310521 10313732
n    :     6424     6425     6426     6427     6428     6429     6430     6431
n^2/4: 10316944 10320156 10323369 10326582 10329796 10333010 10336225 10339440
n    :     6432     6433     6434     6435     6436     6437     6438     6439
n^2/4: 10342656 10345872 10349089 10352306 10355524 10358742 10361961 10365180
n    :     6440     6441     6442     6443     6444     6445     6446     6447
n^2/4: 10368400 10371620 10374841 10378062 10381284 10384506 10387729 10390952
n    :     6448     6449     6450     6451     6452     6453     6454     6455
n^2/4: 10394176 10397400 10400625 10403850 10407076 10410302 10413529 10416756
n    :     6456     6457     6458     6459     6460     6461     6462     6463
n^2/4: 10419984 10423212 10426441 10429670 10432900 10436130 10439361 10442592
n    :     6464     6465     6466     6467     6468     6469     6470     6471
n^2/4: 10445824 10449056 10452289 10455522 10458756 10461990 10465225 10468460
n    :     6472     6473     6474     6475     6476     6477     6478     6479
n^2/4: 10471696 10474932 10478169 10481406 10484644 10487882 10491121 10494360
n    :     6480     6481     6482     6483     6484     6485     6486     6487
n^2/4: 10497600 10500840 10504081 10507322 10510564 10513806 10517049 10520292
n    :     6488     6489     6490     6491     6492     6493     6494     6495
n^2/4: 10523536 10526780 10530025 10533270 10536516 10539762 10543009 10546256
n    :     6496     6497     6498     6499     6500     6501     6502     6503
n^2/4: 10549504 10552752 10556001 10559250 10562500 10565750 10569001 10572252
n    :     6504     6505     6506     6507     6508     6509     6510     6511
n^2/4: 10575504 10578756 10582009 10585262 10588516 10591770 10595025 10598280
n    :     6512     6513     6514     6515     6516     6517     6518     6519
n^2/4: 10601536 10604792 10608049 10611306 10614564 10617822 10621081 10624340
n    :     6520     6521     6522     6523     6524     6525     6526     6527
n^2/4: 10627600 10630860 10634121 10637382 10640644 10643906 10647169 10650432
n    :     6528     6529     6530     6531     6532     6533     6534     6535
n^2/4: 10653696 10656960 10660225 10663490 10666756 10670022 10673289 10676556
n    :     6536     6537     6538     6539     6540     6541     6542     6543
n^2/4: 10679824 10683092 10686361 10689630 10692900 10696170 10699441 10702712
n    :     6544     6545     6546     6547     6548     6549     6550     6551
n^2/4: 10705984 10709256 10712529 10715802 10719076 10722350 10725625 10728900
n    :     6552     6553     6554     6555     6556     6557     6558     6559
n^2/4: 10732176 10735452 10738729 10742006 10745284 10748562 10751841 10755120
n    :     6560     6561     6562     6563     6564     6565     6566     6567
n^2/4: 10758400 10761680 10764961 10768242 10771524 10774806 10778089 10781372
n    :     6568     6569     6570     6571     6572     6573     6574     6575
n^2/4: 10784656 10787940 10791225 10794510 10797796 10801082 10804369 10807656
n    :     6576     6577     6578     6579     6580     6581     6582     6583
n^2/4: 10810944 10814232 10817521 10820810 10824100 10827390 10830681 10833972
n    :     6584     6585     6586     6587     6588     6589     6590     6591
n^2/4: 10837264 10840556 10843849 10847142 10850436 10853730 10857025 10860320
n    :     6592     6593     6594     6595     6596     6597     6598     6599
n^2/4: 10863616 10866912 10870209 10873506 10876804 10880102 10883401 10886700
n    :     6600     6601     6602     6603     6604     6605     6606     6607
n^2/4: 10890000 10893300 10896601 10899902 10903204 10906506 10909809 10913112
n    :     6608     6609     6610     6611     6612     6613     6614     6615
n^2/4: 10916416 10919720 10923025 10926330 10929636 10932942 10936249 10939556
n    :     6616     6617     6618     6619     6620     6621     6622     6623
n^2/4: 10942864 10946172 10949481 10952790 10956100 10959410 10962721 10966032
n    :     6624     6625     6626     6627     6628     6629     6630     6631
n^2/4: 10969344 10972656 10975969 10979282 10982596 10985910 10989225 10992540
n    :     6632     6633     6634     6635     6636     6637     6638     6639
n^2/4: 10995856 10999172 11002489 11005806 11009124 11012442 11015761 11019080
n    :     6640     6641     6642     6643     6644     6645     6646     6647
n^2/4: 11022400 11025720 11029041 11032362 11035684 11039006 11042329 11045652
n    :     6648     6649     6650     6651     6652     6653     6654     6655
n^2/4: 11048976 11052300 11055625 11058950 11062276 11065602 11068929 11072256
n    :     6656     6657     6658     6659     6660     6661     6662     6663
n^2/4: 11075584 11078912 11082241 11085570 11088900 11092230 11095561 11098892
n    :     6664     6665     6666     6667     6668     6669     6670     6671
n^2/4: 11102224 11105556 11108889 11112222 11115556 11118890 11122225 11125560
n    :     6672     6673     6674     6675     6676     6677     6678     6679
n^2/4: 11128896 11132232 11135569 11138906 11142244 11145582 11148921 11152260
n    :     6680     6681     6682     6683     6684     6685     6686     6687
n^2/4: 11155600 11158940 11162281 11165622 11168964 11172306 11175649 11178992
n    :     6688     6689     6690     6691     6692     6693     6694     6695
n^2/4: 11182336 11185680 11189025 11192370 11195716 11199062 11202409 11205756
n    :     6696     6697     6698     6699     6700     6701     6702     6703
n^2/4: 11209104 11212452 11215801 11219150 11222500 11225850 11229201 11232552
n    :     6704     6705     6706     6707     6708     6709     6710     6711
n^2/4: 11235904 11239256 11242609 11245962 11249316 11252670 11256025 11259380
n    :     6712     6713     6714     6715     6716     6717     6718     6719
n^2/4: 11262736 11266092 11269449 11272806 11276164 11279522 11282881 11286240
n    :     6720     6721     6722     6723     6724     6725     6726     6727
n^2/4: 11289600 11292960 11296321 11299682 11303044 11306406 11309769 11313132
n    :     6728     6729     6730     6731     6732     6733     6734     6735
n^2/4: 11316496 11319860 11323225 11326590 11329956 11333322 11336689 11340056
n    :     6736     6737     6738     6739     6740     6741     6742     6743
n^2/4: 11343424 11346792 11350161 11353530 11356900 11360270 11363641 11367012
n    :     6744     6745     6746     6747     6748     6749     6750     6751
n^2/4: 11370384 11373756 11377129 11380502 11383876 11387250 11390625 11394000
n    :     6752     6753     6754     6755     6756     6757     6758     6759
n^2/4: 11397376 11400752 11404129 11407506 11410884 11414262 11417641 11421020
n    :     6760     6761     6762     6763     6764     6765     6766     6767
n^2/4: 11424400 11427780 11431161 11434542 11437924 11441306 11444689 11448072
n    :     6768     6769     6770     6771     6772     6773     6774     6775
n^2/4: 11451456 11454840 11458225 11461610 11464996 11468382 11471769 11475156
n    :     6776     6777     6778     6779     6780     6781     6782     6783
n^2/4: 11478544 11481932 11485321 11488710 11492100 11495490 11498881 11502272
n    :     6784     6785     6786     6787     6788     6789     6790     6791
n^2/4: 11505664 11509056 11512449 11515842 11519236 11522630 11526025 11529420
n    :     6792     6793     6794     6795     6796     6797     6798     6799
n^2/4: 11532816 11536212 11539609 11543006 11546404 11549802 11553201 11556600
n    :     6800     6801     6802     6803     6804     6805     6806     6807
n^2/4: 11560000 11563400 11566801 11570202 11573604 11577006 11580409 11583812
n    :     6808     6809     6810     6811     6812     6813     6814     6815
n^2/4: 11587216 11590620 11594025 11597430 11600836 11604242 11607649 11611056
n    :     6816     6817     6818     6819     6820     6821     6822     6823
n^2/4: 11614464 11617872 11621281 11624690 11628100 11631510 11634921 11638332
n    :     6824     6825     6826     6827     6828     6829     6830     6831
n^2/4: 11641744 11645156 11648569 11651982 11655396 11658810 11662225 11665640
n    :     6832     6833     6834     6835     6836     6837     6838     6839
n^2/4: 11669056 11672472 11675889 11679306 11682724 11686142 11689561 11692980
n    :     6840     6841     6842     6843     6844     6845     6846     6847
n^2/4: 11696400 11699820 11703241 11706662 11710084 11713506 11716929 11720352
n    :     6848     6849     6850     6851     6852     6853     6854     6855
n^2/4: 11723776 11727200 11730625 11734050 11737476 11740902 11744329 11747756
n    :     6856     6857     6858     6859     6860     6861     6862     6863
n^2/4: 11751184 11754612 11758041 11761470 11764900 11768330 11771761 11775192
n    :     6864     6865     6866     6867     6868     6869     6870     6871
n^2/4: 11778624 11782056 11785489 11788922 11792356 11795790 11799225 11802660
n    :     6872     6873     6874     6875     6876     6877     6878     6879
n^2/4: 11806096 11809532 11812969 11816406 11819844 11823282 11826721 11830160
n    :     6880     6881     6882     6883     6884     6885     6886     6887
n^2/4: 11833600 11837040 11840481 11843922 11847364 11850806 11854249 11857692
n    :     6888     6889     6890     6891     6892     6893     6894     6895
n^2/4: 11861136 11864580 11868025 11871470 11874916 11878362 11881809 11885256
n    :     6896     6897     6898     6899     6900     6901     6902     6903
n^2/4: 11888704 11892152 11895601 11899050 11902500 11905950 11909401 11912852
n    :     6904     6905     6906     6907     6908     6909     6910     6911
n^2/4: 11916304 11919756 11923209 11926662 11930116 11933570 11937025 11940480
n    :     6912     6913     6914     6915     6916     6917     6918     6919
n^2/4: 11943936 11947392 11950849 11954306 11957764 11961222 11964681 11968140
n    :     6920     6921     6922     6923     6924     6925     6926     6927
n^2/4: 11971600 11975060 11978521 11981982 11985444 11988906 11992369 11995832
n    :     6928     6929     6930     6931     6932     6933     6934     6935
n^2/4: 11999296 12002760 12006225 12009690 12013156 12016622 12020089 12023556
n    :     6936     6937     6938     6939     6940     6941     6942     6943
n^2/4: 12027024 12030492 12033961 12037430 12040900 12044370 12047841 12051312
n    :     6944     6945     6946     6947     6948     6949     6950     6951
n^2/4: 12054784 12058256 12061729 12065202 12068676 12072150 12075625 12079100
n    :     6952     6953     6954     6955     6956     6957     6958     6959
n^2/4: 12082576 12086052 12089529 12093006 12096484 12099962 12103441 12106920
n    :     6960     6961     6962     6963     6964     6965     6966     6967
n^2/4: 12110400 12113880 12117361 12120842 12124324 12127806 12131289 12134772
n    :     6968     6969     6970     6971     6972     6973     6974     6975
n^2/4: 12138256 12141740 12145225 12148710 12152196 12155682 12159169 12162656
n    :     6976     6977     6978     6979     6980     6981     6982     6983
n^2/4: 12166144 12169632 12173121 12176610 12180100 12183590 12187081 12190572
n    :     6984     6985     6986     6987     6988     6989     6990     6991
n^2/4: 12194064 12197556 12201049 12204542 12208036 12211530 12215025 12218520
n    :     6992     6993     6994     6995     6996     6997     6998     6999
n^2/4: 12222016 12225512 12229009 12232506 12236004 12239502 12243001 12246500
n    :     7000     7001     7002     7003     7004     7005     7006     7007
n^2/4: 12250000 12253500 12257001 12260502 12264004 12267506 12271009 12274512
n    :     7008     7009     7010     7011     7012     7013     7014     7015
n^2/4: 12278016 12281520 12285025 12288530 12292036 12295542 12299049 12302556
n    :     7016     7017     7018     7019     7020     7021     7022     7023
n^2/4: 12306064 12309572 12313081 12316590 12320100 12323610 12327121 12330632
n    :     7024     7025     7026     7027     7028     7029     7030     7031
n^2/4: 12334144 12337656 12341169 12344682 12348196 12351710 12355225 12358740
n    :     7032     7033     7034     7035     7036     7037     7038     7039
n^2/4: 12362256 12365772 12369289 12372806 12376324 12379842 12383361 12386880
n    :     7040     7041     7042     7043     7044     7045     7046     7047
n^2/4: 12390400 12393920 12397441 12400962 12404484 12408006 12411529 12415052
n    :     7048     7049     7050     7051     7052     7053     7054     7055
n^2/4: 12418576 12422100 12425625 12429150 12432676 12436202 12439729 12443256
n    :     7056     7057     7058     7059     7060     7061     7062     7063
n^2/4: 12446784 12450312 12453841 12457370 12460900 12464430 12467961 12471492
n    :     7064     7065     7066     7067     7068     7069     7070     7071
n^2/4: 12475024 12478556 12482089 12485622 12489156 12492690 12496225 12499760
n    :     7072     7073     7074     7075     7076     7077     7078     7079
n^2/4: 12503296 12506832 12510369 12513906 12517444 12520982 12524521 12528060
n    :     7080     7081     7082     7083     7084     7085     7086     7087
n^2/4: 12531600 12535140 12538681 12542222 12545764 12549306 12552849 12556392
n    :     7088     7089     7090     7091     7092     7093     7094     7095
n^2/4: 12559936 12563480 12567025 12570570 12574116 12577662 12581209 12584756
n    :     7096     7097     7098     7099     7100     7101     7102     7103
n^2/4: 12588304 12591852 12595401 12598950 12602500 12606050 12609601 12613152
n    :     7104     7105     7106     7107     7108     7109     7110     7111
n^2/4: 12616704 12620256 12623809 12627362 12630916 12634470 12638025 12641580
n    :     7112     7113     7114     7115     7116     7117     7118     7119
n^2/4: 12645136 12648692 12652249 12655806 12659364 12662922 12666481 12670040
n    :     7120     7121     7122     7123     7124     7125     7126     7127
n^2/4: 12673600 12677160 12680721 12684282 12687844 12691406 12694969 12698532
n    :     7128     7129     7130     7131     7132     7133     7134     7135
n^2/4: 12702096 12705660 12709225 12712790 12716356 12719922 12723489 12727056
n    :     7136     7137     7138     7139     7140     7141     7142     7143
n^2/4: 12730624 12734192 12737761 12741330 12744900 12748470 12752041 12755612
n    :     7144     7145     7146     7147     7148     7149     7150     7151
n^2/4: 12759184 12762756 12766329 12769902 12773476 12777050 12780625 12784200
n    :     7152     7153     7154     7155     7156     7157     7158     7159
n^2/4: 12787776 12791352 12794929 12798506 12802084 12805662 12809241 12812820
n    :     7160     7161     7162     7163     7164     7165     7166     7167
n^2/4: 12816400 12819980 12823561 12827142 12830724 12834306 12837889 12841472
n    :     7168     7169     7170     7171     7172     7173     7174     7175
n^2/4: 12845056 12848640 12852225 12855810 12859396 12862982 12866569 12870156
n    :     7176     7177     7178     7179     7180     7181     7182     7183
n^2/4: 12873744 12877332 12880921 12884510 12888100 12891690 12895281 12898872
n    :     7184     7185     7186     7187     7188     7189     7190     7191
n^2/4: 12902464 12906056 12909649 12913242 12916836 12920430 12924025 12927620
n    :     7192     7193     7194     7195     7196     7197     7198     7199
n^2/4: 12931216 12934812 12938409 12942006 12945604 12949202 12952801 12956400
n    :     7200     7201     7202     7203     7204     7205     7206     7207
n^2/4: 12960000 12963600 12967201 12970802 12974404 12978006 12981609 12985212
n    :     7208     7209     7210     7211     7212     7213     7214     7215
n^2/4: 12988816 12992420 12996025 12999630 13003236 13006842 13010449 13014056
n    :     7216     7217     7218     7219     7220     7221     7222     7223
n^2/4: 13017664 13021272 13024881 13028490 13032100 13035710 13039321 13042932
n    :     7224     7225     7226     7227     7228     7229     7230     7231
n^2/4: 13046544 13050156 13053769 13057382 13060996 13064610 13068225 13071840
n    :     7232     7233     7234     7235     7236     7237     7238     7239
n^2/4: 13075456 13079072 13082689 13086306 13089924 13093542 13097161 13100780
n    :     7240     7241     7242     7243     7244     7245     7246     7247
n^2/4: 13104400 13108020 13111641 13115262 13118884 13122506 13126129 13129752
n    :     7248     7249     7250     7251     7252     7253     7254     7255
n^2/4: 13133376 13137000 13140625 13144250 13147876 13151502 13155129 13158756
n    :     7256     7257     7258     7259     7260     7261     7262     7263
n^2/4: 13162384 13166012 13169641 13173270 13176900 13180530 13184161 13187792
n    :     7264     7265     7266     7267     7268     7269     7270     7271
n^2/4: 13191424 13195056 13198689 13202322 13205956 13209590 13213225 13216860
n    :     7272     7273     7274     7275     7276     7277     7278     7279
n^2/4: 13220496 13224132 13227769 13231406 13235044 13238682 13242321 13245960
n    :     7280     7281     7282     7283     7284     7285     7286     7287
n^2/4: 13249600 13253240 13256881 13260522 13264164 13267806 13271449 13275092
n    :     7288     7289     7290     7291     7292     7293     7294     7295
n^2/4: 13278736 13282380 13286025 13289670 13293316 13296962 13300609 13304256
n    :     7296     7297     7298     7299     7300     7301     7302     7303
n^2/4: 13307904 13311552 13315201 13318850 13322500 13326150 13329801 13333452
n    :     7304     7305     7306     7307     7308     7309     7310     7311
n^2/4: 13337104 13340756 13344409 13348062 13351716 13355370 13359025 13362680
n    :     7312     7313     7314     7315     7316     7317     7318     7319
n^2/4: 13366336 13369992 13373649 13377306 13380964 13384622 13388281 13391940
n    :     7320     7321     7322     7323     7324     7325     7326     7327
n^2/4: 13395600 13399260 13402921 13406582 13410244 13413906 13417569 13421232
n    :     7328     7329     7330     7331     7332     7333     7334     7335
n^2/4: 13424896 13428560 13432225 13435890 13439556 13443222 13446889 13450556
n    :     7336     7337     7338     7339     7340     7341     7342     7343
n^2/4: 13454224 13457892 13461561 13465230 13468900 13472570 13476241 13479912
n    :     7344     7345     7346     7347     7348     7349     7350     7351
n^2/4: 13483584 13487256 13490929 13494602 13498276 13501950 13505625 13509300
n    :     7352     7353     7354     7355     7356     7357     7358     7359
n^2/4: 13512976 13516652 13520329 13524006 13527684 13531362 13535041 13538720
n    :     7360     7361     7362     7363     7364     7365     7366     7367
n^2/4: 13542400 13546080 13549761 13553442 13557124 13560806 13564489 13568172
n    :     7368     7369     7370     7371     7372     7373     7374     7375
n^2/4: 13571856 13575540 13579225 13582910 13586596 13590282 13593969 13597656
n    :     7376     7377     7378     7379     7380     7381     7382     7383
n^2/4: 13601344 13605032 13608721 13612410 13616100 13619790 13623481 13627172
n    :     7384     7385     7386     7387     7388     7389     7390     7391
n^2/4: 13630864 13634556 13638249 13641942 13645636 13649330 13653025 13656720
n    :     7392     7393     7394     7395     7396     7397     7398     7399
n^2/4: 13660416 13664112 13667809 13671506 13675204 13678902 13682601 13686300
n    :     7400     7401     7402     7403     7404     7405     7406     7407
n^2/4: 13690000 13693700 13697401 13701102 13704804 13708506 13712209 13715912
n    :     7408     7409     7410     7411     7412     7413     7414     7415
n^2/4: 13719616 13723320 13727025 13730730 13734436 13738142 13741849 13745556
n    :     7416     7417     7418     7419     7420     7421     7422     7423
n^2/4: 13749264 13752972 13756681 13760390 13764100 13767810 13771521 13775232
n    :     7424     7425     7426     7427     7428     7429     7430     7431
n^2/4: 13778944 13782656 13786369 13790082 13793796 13797510 13801225 13804940
n    :     7432     7433     7434     7435     7436     7437     7438     7439
n^2/4: 13808656 13812372 13816089 13819806 13823524 13827242 13830961 13834680
n    :     7440     7441     7442     7443     7444     7445     7446     7447
n^2/4: 13838400 13842120 13845841 13849562 13853284 13857006 13860729 13864452
n    :     7448     7449     7450     7451     7452     7453     7454     7455
n^2/4: 13868176 13871900 13875625 13879350 13883076 13886802 13890529 13894256
n    :     7456     7457     7458     7459     7460     7461     7462     7463
n^2/4: 13897984 13901712 13905441 13909170 13912900 13916630 13920361 13924092
n    :     7464     7465     7466     7467     7468     7469     7470     7471
n^2/4: 13927824 13931556 13935289 13939022 13942756 13946490 13950225 13953960
n    :     7472     7473     7474     7475     7476     7477     7478     7479
n^2/4: 13957696 13961432 13965169 13968906 13972644 13976382 13980121 13983860
n    :     7480     7481     7482     7483     7484     7485     7486     7487
n^2/4: 13987600 13991340 13995081 13998822 14002564 14006306 14010049 14013792
n    :     7488     7489     7490     7491     7492     7493     7494     7495
n^2/4: 14017536 14021280 14025025 14028770 14032516 14036262 14040009 14043756
n    :     7496     7497     7498     7499     7500     7501     7502     7503
n^2/4: 14047504 14051252 14055001 14058750 14062500 14066250 14070001 14073752
n    :     7504     7505     7506     7507     7508     7509     7510     7511
n^2/4: 14077504 14081256 14085009 14088762 14092516 14096270 14100025 14103780
n    :     7512     7513     7514     7515     7516     7517     7518     7519
n^2/4: 14107536 14111292 14115049 14118806 14122564 14126322 14130081 14133840
n    :     7520     7521     7522     7523     7524     7525     7526     7527
n^2/4: 14137600 14141360 14145121 14148882 14152644 14156406 14160169 14163932
n    :     7528     7529     7530     7531     7532     7533     7534     7535
n^2/4: 14167696 14171460 14175225 14178990 14182756 14186522 14190289 14194056
n    :     7536     7537     7538     7539     7540     7541     7542     7543
n^2/4: 14197824 14201592 14205361 14209130 14212900 14216670 14220441 14224212
n    :     7544     7545     7546     7547     7548     7549     7550     7551
n^2/4: 14227984 14231756 14235529 14239302 14243076 14246850 14250625 14254400
n    :     7552     7553     7554     7555     7556     7557     7558     7559
n^2/4: 14258176 14261952 14265729 14269506 14273284 14277062 14280841 14284620
n    :     7560     7561     7562     7563     7564     7565     7566     7567
n^2/4: 14288400 14292180 14295961 14299742 14303524 14307306 14311089 14314872
n    :     7568     7569     7570     7571     7572     7573     7574     7575
n^2/4: 14318656 14322440 14326225 14330010 14333796 14337582 14341369 14345156
n    :     7576     7577     7578     7579     7580     7581     7582     7583
n^2/4: 14348944 14352732 14356521 14360310 14364100 14367890 14371681 14375472
n    :     7584     7585     7586     7587     7588     7589     7590     7591
n^2/4: 14379264 14383056 14386849 14390642 14394436 14398230 14402025 14405820
n    :     7592     7593     7594     7595     7596     7597     7598     7599
n^2/4: 14409616 14413412 14417209 14421006 14424804 14428602 14432401 14436200
n    :     7600     7601     7602     7603     7604     7605     7606     7607
n^2/4: 14440000 14443800 14447601 14451402 14455204 14459006 14462809 14466612
n    :     7608     7609     7610     7611     7612     7613     7614     7615
n^2/4: 14470416 14474220 14478025 14481830 14485636 14489442 14493249 14497056
n    :     7616     7617     7618     7619     7620     7621     7622     7623
n^2/4: 14500864 14504672 14508481 14512290 14516100 14519910 14523721 14527532
n    :     7624     7625     7626     7627     7628     7629     7630     7631
n^2/4: 14531344 14535156 14538969 14542782 14546596 14550410 14554225 14558040
n    :     7632     7633     7634     7635     7636     7637     7638     7639
n^2/4: 14561856 14565672 14569489 14573306 14577124 14580942 14584761 14588580
n    :     7640     7641     7642     7643     7644     7645     7646     7647
n^2/4: 14592400 14596220 14600041 14603862 14607684 14611506 14615329 14619152
n    :     7648     7649     7650     7651     7652     7653     7654     7655
n^2/4: 14622976 14626800 14630625 14634450 14638276 14642102 14645929 14649756
n    :     7656     7657     7658     7659     7660     7661     7662     7663
n^2/4: 14653584 14657412 14661241 14665070 14668900 14672730 14676561 14680392
n    :     7664     7665     7666     7667     7668     7669     7670     7671
n^2/4: 14684224 14688056 14691889 14695722 14699556 14703390 14707225 14711060
n    :     7672     7673     7674     7675     7676     7677     7678     7679
n^2/4: 14714896 14718732 14722569 14726406 14730244 14734082 14737921 14741760
n    :     7680     7681     7682     7683     7684     7685     7686     7687
n^2/4: 14745600 14749440 14753281 14757122 14760964 14764806 14768649 14772492
n    :     7688     7689     7690     7691     7692     7693     7694     7695
n^2/4: 14776336 14780180 14784025 14787870 14791716 14795562 14799409 14803256
n    :     7696     7697     7698     7699     7700     7701     7702     7703
n^2/4: 14807104 14810952 14814801 14818650 14822500 14826350 14830201 14834052
n    :     7704     7705     7706     7707     7708     7709     7710     7711
n^2/4: 14837904 14841756 14845609 14849462 14853316 14857170 14861025 14864880
n    :     7712     7713     7714     7715     7716     7717     7718     7719
n^2/4: 14868736 14872592 14876449 14880306 14884164 14888022 14891881 14895740
n    :     7720     7721     7722     7723     7724     7725     7726     7727
n^2/4: 14899600 14903460 14907321 14911182 14915044 14918906 14922769 14926632
n    :     7728     7729     7730     7731     7732     7733     7734     7735
n^2/4: 14930496 14934360 14938225 14942090 14945956 14949822 14953689 14957556
n    :     7736     7737     7738     7739     7740     7741     7742     7743
n^2/4: 14961424 14965292 14969161 14973030 14976900 14980770 14984641 14988512
n    :     7744     7745     7746     7747     7748     7749     7750     7751
n^2/4: 14992384 14996256 15000129 15004002 15007876 15011750 15015625 15019500
n    :     7752     7753     7754     7755     7756     7757     7758     7759
n^2/4: 15023376 15027252 15031129 15035006 15038884 15042762 15046641 15050520
n    :     7760     7761     7762     7763     7764     7765     7766     7767
n^2/4: 15054400 15058280 15062161 15066042 15069924 15073806 15077689 15081572
n    :     7768     7769     7770     7771     7772     7773     7774     7775
n^2/4: 15085456 15089340 15093225 15097110 15100996 15104882 15108769 15112656
n    :     7776     7777     7778     7779     7780     7781     7782     7783
n^2/4: 15116544 15120432 15124321 15128210 15132100 15135990 15139881 15143772
n    :     7784     7785     7786     7787     7788     7789     7790     7791
n^2/4: 15147664 15151556 15155449 15159342 15163236 15167130 15171025 15174920
n    :     7792     7793     7794     7795     7796     7797     7798     7799
n^2/4: 15178816 15182712 15186609 15190506 15194404 15198302 15202201 15206100
n    :     7800     7801     7802     7803     7804     7805     7806     7807
n^2/4: 15210000 15213900 15217801 15221702 15225604 15229506 15233409 15237312
n    :     7808     7809     7810     7811     7812     7813     7814     7815
n^2/4: 15241216 15245120 15249025 15252930 15256836 15260742 15264649 15268556
n    :     7816     7817     7818     7819     7820     7821     7822     7823
n^2/4: 15272464 15276372 15280281 15284190 15288100 15292010 15295921 15299832
n    :     7824     7825     7826     7827     7828     7829     7830     7831
n^2/4: 15303744 15307656 15311569 15315482 15319396 15323310 15327225 15331140
n    :     7832     7833     7834     7835     7836     7837     7838     7839
n^2/4: 15335056 15338972 15342889 15346806 15350724 15354642 15358561 15362480
n    :     7840     7841     7842     7843     7844     7845     7846     7847
n^2/4: 15366400 15370320 15374241 15378162 15382084 15386006 15389929 15393852
n    :     7848     7849     7850     7851     7852     7853     7854     7855
n^2/4: 15397776 15401700 15405625 15409550 15413476 15417402 15421329 15425256
n    :     7856     7857     7858     7859     7860     7861     7862     7863
n^2/4: 15429184 15433112 15437041 15440970 15444900 15448830 15452761 15456692
n    :     7864     7865     7866     7867     7868     7869     7870     7871
n^2/4: 15460624 15464556 15468489 15472422 15476356 15480290 15484225 15488160
n    :     7872     7873     7874     7875     7876     7877     7878     7879
n^2/4: 15492096 15496032 15499969 15503906 15507844 15511782 15515721 15519660
n    :     7880     7881     7882     7883     7884     7885     7886     7887
n^2/4: 15523600 15527540 15531481 15535422 15539364 15543306 15547249 15551192
n    :     7888     7889     7890     7891     7892     7893     7894     7895
n^2/4: 15555136 15559080 15563025 15566970 15570916 15574862 15578809 15582756
n    :     7896     7897     7898     7899     7900     7901     7902     7903
n^2/4: 15586704 15590652 15594601 15598550 15602500 15606450 15610401 15614352
n    :     7904     7905     7906     7907     7908     7909     7910     7911
n^2/4: 15618304 15622256 15626209 15630162 15634116 15638070 15642025 15645980
n    :     7912     7913     7914     7915     7916     7917     7918     7919
n^2/4: 15649936 15653892 15657849 15661806 15665764 15669722 15673681 15677640
n    :     7920     7921     7922     7923     7924     7925     7926     7927
n^2/4: 15681600 15685560 15689521 15693482 15697444 15701406 15705369 15709332
n    :     7928     7929     7930     7931     7932     7933     7934     7935
n^2/4: 15713296 15717260 15721225 15725190 15729156 15733122 15737089 15741056
n    :     7936     7937     7938     7939     7940     7941     7942     7943
n^2/4: 15745024 15748992 15752961 15756930 15760900 15764870 15768841 15772812
n    :     7944     7945     7946     7947     7948     7949     7950     7951
n^2/4: 15776784 15780756 15784729 15788702 15792676 15796650 15800625 15804600
n    :     7952     7953     7954     7955     7956     7957     7958     7959
n^2/4: 15808576 15812552 15816529 15820506 15824484 15828462 15832441 15836420
n    :     7960     7961     7962     7963     7964     7965     7966     7967
n^2/4: 15840400 15844380 15848361 15852342 15856324 15860306 15864289 15868272
n    :     7968     7969     7970     7971     7972     7973     7974     7975
n^2/4: 15872256 15876240 15880225 15884210 15888196 15892182 15896169 15900156
n    :     7976     7977     7978     7979     7980     7981     7982     7983
n^2/4: 15904144 15908132 15912121 15916110 15920100 15924090 15928081 15932072
n    :     7984     7985     7986     7987     7988     7989     7990     7991
n^2/4: 15936064 15940056 15944049 15948042 15952036 15956030 15960025 15964020
n    :     7992     7993     7994     7995     7996     7997     7998     7999
n^2/4: 15968016 15972012 15976009 15980006 15984004 15988002 15992001 15996000
n    :     8000     8001     8002     8003     8004     8005     8006     8007
n^2/4: 16000000 16004000 16008001 16012002 16016004 16020006 16024009 16028012
n    :     8008     8009     8010     8011     8012     8013     8014     8015
n^2/4: 16032016 16036020 16040025 16044030 16048036 16052042 16056049 16060056
n    :     8016     8017     8018     8019     8020     8021     8022     8023
n^2/4: 16064064 16068072 16072081 16076090 16080100 16084110 16088121 16092132
n    :     8024     8025     8026     8027     8028     8029     8030     8031
n^2/4: 16096144 16100156 16104169 16108182 16112196 16116210 16120225 16124240
n    :     8032     8033     8034     8035     8036     8037     8038     8039
n^2/4: 16128256 16132272 16136289 16140306 16144324 16148342 16152361 16156380
n    :     8040     8041     8042     8043     8044     8045     8046     8047
n^2/4: 16160400 16164420 16168441 16172462 16176484 16180506 16184529 16188552
n    :     8048     8049     8050     8051     8052     8053     8054     8055
n^2/4: 16192576 16196600 16200625 16204650 16208676 16212702 16216729 16220756
n    :     8056     8057     8058     8059     8060     8061     8062     8063
n^2/4: 16224784 16228812 16232841 16236870 16240900 16244930 16248961 16252992
n    :     8064     8065     8066     8067     8068     8069     8070     8071
n^2/4: 16257024 16261056 16265089 16269122 16273156 16277190 16281225 16285260
n    :     8072     8073     8074     8075     8076     8077     8078     8079
n^2/4: 16289296 16293332 16297369 16301406 16305444 16309482 16313521 16317560
n    :     8080     8081     8082     8083     8084     8085     8086     8087
n^2/4: 16321600 16325640 16329681 16333722 16337764 16341806 16345849 16349892
n    :     8088     8089     8090     8091     8092     8093     8094     8095
n^2/4: 16353936 16357980 16362025 16366070 16370116 16374162 16378209 16382256
n    :     8096     8097     8098     8099     8100     8101     8102     8103
n^2/4: 16386304 16390352 16394401 16398450 16402500 16406550 16410601 16414652
n    :     8104     8105     8106     8107     8108     8109     8110     8111
n^2/4: 16418704 16422756 16426809 16430862 16434916 16438970 16443025 16447080
n    :     8112     8113     8114     8115     8116     8117     8118     8119
n^2/4: 16451136 16455192 16459249 16463306 16467364 16471422 16475481 16479540
n    :     8120     8121     8122     8123     8124     8125     8126     8127
n^2/4: 16483600 16487660 16491721 16495782 16499844 16503906 16507969 16512032
n    :     8128     8129     8130     8131     8132     8133     8134     8135
n^2/4: 16516096 16520160 16524225 16528290 16532356 16536422 16540489 16544556
n    :     8136     8137     8138     8139     8140     8141     8142     8143
n^2/4: 16548624 16552692 16556761 16560830 16564900 16568970 16573041 16577112
n    :     8144     8145     8146     8147     8148     8149     8150     8151
n^2/4: 16581184 16585256 16589329 16593402 16597476 16601550 16605625 16609700
n    :     8152     8153     8154     8155     8156     8157     8158     8159
n^2/4: 16613776 16617852 16621929 16626006 16630084 16634162 16638241 16642320
n    :     8160     8161     8162     8163     8164     8165     8166     8167
n^2/4: 16646400 16650480 16654561 16658642 16662724 16666806 16670889 16674972
n    :     8168     8169     8170     8171     8172     8173     8174     8175
n^2/4: 16679056 16683140 16687225 16691310 16695396 16699482 16703569 16707656
n    :     8176     8177     8178     8179     8180     8181     8182     8183
n^2/4: 16711744 16715832 16719921 16724010 16728100 16732190 16736281 16740372
n    :     8184     8185     8186     8187     8188     8189     8190     8191
n^2/4: 16744464 16748556 16752649 16756742 16760836 16764930 16769025 16773120
n    :     8192     8193     8194     8195     8196     8197     8198     8199
n^2/4: 16777216 16781312 16785409 16789506 16793604 16797702 16801801 16805900
n    :     8200     8201     8202     8203     8204     8205     8206     8207
n^2/4: 16810000 16814100 16818201 16822302 16826404 16830506 16834609 16838712
n    :     8208     8209     8210     8211     8212     8213     8214     8215
n^2/4: 16842816 16846920 16851025 16855130 16859236 16863342 16867449 16871556
n    :     8216     8217     8218     8219     8220     8221     8222     8223
n^2/4: 16875664 16879772 16883881 16887990 16892100 16896210 16900321 16904432
n    :     8224     8225     8226     8227     8228     8229     8230     8231
n^2/4: 16908544 16912656 16916769 16920882 16924996 16929110 16933225 16937340
n    :     8232     8233     8234     8235     8236     8237     8238     8239
n^2/4: 16941456 16945572 16949689 16953806 16957924 16962042 16966161 16970280
n    :     8240     8241     8242     8243     8244     8245     8246     8247
n^2/4: 16974400 16978520 16982641 16986762 16990884 16995006 16999129 17003252
n    :     8248     8249     8250     8251     8252     8253     8254     8255
n^2/4: 17007376 17011500 17015625 17019750 17023876 17028002 17032129 17036256
n    :     8256     8257     8258     8259     8260     8261     8262     8263
n^2/4: 17040384 17044512 17048641 17052770 17056900 17061030 17065161 17069292
n    :     8264     8265     8266     8267     8268     8269     8270     8271
n^2/4: 17073424 17077556 17081689 17085822 17089956 17094090 17098225 17102360
n    :     8272     8273     8274     8275     8276     8277     8278     8279
n^2/4: 17106496 17110632 17114769 17118906 17123044 17127182 17131321 17135460
n    :     8280     8281     8282     8283     8284     8285     8286     8287
n^2/4: 17139600 17143740 17147881 17152022 17156164 17160306 17164449 17168592
n    :     8288     8289     8290     8291     8292     8293     8294     8295
n^2/4: 17172736 17176880 17181025 17185170 17189316 17193462 17197609 17201756
n    :     8296     8297     8298     8299     8300     8301     8302     8303
n^2/4: 17205904 17210052 17214201 17218350 17222500 17226650 17230801 17234952
n    :     8304     8305     8306     8307     8308     8309     8310     8311
n^2/4: 17239104 17243256 17247409 17251562 17255716 17259870 17264025 17268180
n    :     8312     8313     8314     8315     8316     8317     8318     8319
n^2/4: 17272336 17276492 17280649 17284806 17288964 17293122 17297281 17301440
n    :     8320     8321     8322     8323     8324     8325     8326     8327
n^2/4: 17305600 17309760 17313921 17318082 17322244 17326406 17330569 17334732
n    :     8328     8329     8330     8331     8332     8333     8334     8335
n^2/4: 17338896 17343060 17347225 17351390 17355556 17359722 17363889 17368056
n    :     8336     8337     8338     8339     8340     8341     8342     8343
n^2/4: 17372224 17376392 17380561 17384730 17388900 17393070 17397241 17401412
n    :     8344     8345     8346     8347     8348     8349     8350     8351
n^2/4: 17405584 17409756 17413929 17418102 17422276 17426450 17430625 17434800
n    :     8352     8353     8354     8355     8356     8357     8358     8359
n^2/4: 17438976 17443152 17447329 17451506 17455684 17459862 17464041 17468220
n    :     8360     8361     8362     8363     8364     8365     8366     8367
n^2/4: 17472400 17476580 17480761 17484942 17489124 17493306 17497489 17501672
n    :     8368     8369     8370     8371     8372     8373     8374     8375
n^2/4: 17505856 17510040 17514225 17518410 17522596 17526782 17530969 17535156
n    :     8376     8377     8378     8379     8380     8381     8382     8383
n^2/4: 17539344 17543532 17547721 17551910 17556100 17560290 17564481 17568672
n    :     8384     8385     8386     8387     8388     8389     8390     8391
n^2/4: 17572864 17577056 17581249 17585442 17589636 17593830 17598025 17602220
n    :     8392     8393     8394     8395     8396     8397     8398     8399
n^2/4: 17606416 17610612 17614809 17619006 17623204 17627402 17631601 17635800
n    :     8400     8401     8402     8403     8404     8405     8406     8407
n^2/4: 17640000 17644200 17648401 17652602 17656804 17661006 17665209 17669412
n    :     8408     8409     8410     8411     8412     8413     8414     8415
n^2/4: 17673616 17677820 17682025 17686230 17690436 17694642 17698849 17703056
n    :     8416     8417     8418     8419     8420     8421     8422     8423
n^2/4: 17707264 17711472 17715681 17719890 17724100 17728310 17732521 17736732
n    :     8424     8425     8426     8427     8428     8429     8430     8431
n^2/4: 17740944 17745156 17749369 17753582 17757796 17762010 17766225 17770440
n    :     8432     8433     8434     8435     8436     8437     8438     8439
n^2/4: 17774656 17778872 17783089 17787306 17791524 17795742 17799961 17804180
n    :     8440     8441     8442     8443     8444     8445     8446     8447
n^2/4: 17808400 17812620 17816841 17821062 17825284 17829506 17833729 17837952
n    :     8448     8449     8450     8451     8452     8453     8454     8455
n^2/4: 17842176 17846400 17850625 17854850 17859076 17863302 17867529 17871756
n    :     8456     8457     8458     8459     8460     8461     8462     8463
n^2/4: 17875984 17880212 17884441 17888670 17892900 17897130 17901361 17905592
n    :     8464     8465     8466     8467     8468     8469     8470     8471
n^2/4: 17909824 17914056 17918289 17922522 17926756 17930990 17935225 17939460
n    :     8472     8473     8474     8475     8476     8477     8478     8479
n^2/4: 17943696 17947932 17952169 17956406 17960644 17964882 17969121 17973360
n    :     8480     8481     8482     8483     8484     8485     8486     8487
n^2/4: 17977600 17981840 17986081 17990322 17994564 17998806 18003049 18007292
n    :     8488     8489     8490     8491     8492     8493     8494     8495
n^2/4: 18011536 18015780 18020025 18024270 18028516 18032762 18037009 18041256
n    :     8496     8497     8498     8499     8500     8501     8502     8503
n^2/4: 18045504 18049752 18054001 18058250 18062500 18066750 18071001 18075252
n    :     8504     8505     8506     8507     8508     8509     8510     8511
n^2/4: 18079504 18083756 18088009 18092262 18096516 18100770 18105025 18109280
n    :     8512     8513     8514     8515     8516     8517     8518     8519
n^2/4: 18113536 18117792 18122049 18126306 18130564 18134822 18139081 18143340
n    :     8520     8521     8522     8523     8524     8525     8526     8527
n^2/4: 18147600 18151860 18156121 18160382 18164644 18168906 18173169 18177432
n    :     8528     8529     8530     8531     8532     8533     8534     8535
n^2/4: 18181696 18185960 18190225 18194490 18198756 18203022 18207289 18211556
n    :     8536     8537     8538     8539     8540     8541     8542     8543
n^2/4: 18215824 18220092 18224361 18228630 18232900 18237170 18241441 18245712
n    :     8544     8545     8546     8547     8548     8549     8550     8551
n^2/4: 18249984 18254256 18258529 18262802 18267076 18271350 18275625 18279900
n    :     8552     8553     8554     8555     8556     8557     8558     8559
n^2/4: 18284176 18288452 18292729 18297006 18301284 18305562 18309841 18314120
n    :     8560     8561     8562     8563     8564     8565     8566     8567
n^2/4: 18318400 18322680 18326961 18331242 18335524 18339806 18344089 18348372
n    :     8568     8569     8570     8571     8572     8573     8574     8575
n^2/4: 18352656 18356940 18361225 18365510 18369796 18374082 18378369 18382656
n    :     8576     8577     8578     8579     8580     8581     8582     8583
n^2/4: 18386944 18391232 18395521 18399810 18404100 18408390 18412681 18416972
n    :     8584     8585     8586     8587     8588     8589     8590     8591
n^2/4: 18421264 18425556 18429849 18434142 18438436 18442730 18447025 18451320
n    :     8592     8593     8594     8595     8596     8597     8598     8599
n^2/4: 18455616 18459912 18464209 18468506 18472804 18477102 18481401 18485700
n    :     8600     8601     8602     8603     8604     8605     8606     8607
n^2/4: 18490000 18494300 18498601 18502902 18507204 18511506 18515809 18520112
n    :     8608     8609     8610     8611     8612     8613     8614     8615
n^2/4: 18524416 18528720 18533025 18537330 18541636 18545942 18550249 18554556
n    :     8616     8617     8618     8619     8620     8621     8622     8623
n^2/4: 18558864 18563172 18567481 18571790 18576100 18580410 18584721 18589032
n    :     8624     8625     8626     8627     8628     8629     8630     8631
n^2/4: 18593344 18597656 18601969 18606282 18610596 18614910 18619225 18623540
n    :     8632     8633     8634     8635     8636     8637     8638     8639
n^2/4: 18627856 18632172 18636489 18640806 18645124 18649442 18653761 18658080
n    :     8640     8641     8642     8643     8644     8645     8646     8647
n^2/4: 18662400 18666720 18671041 18675362 18679684 18684006 18688329 18692652
n    :     8648     8649     8650     8651     8652     8653     8654     8655
n^2/4: 18696976 18701300 18705625 18709950 18714276 18718602 18722929 18727256
n    :     8656     8657     8658     8659     8660     8661     8662     8663
n^2/4: 18731584 18735912 18740241 18744570 18748900 18753230 18757561 18761892
n    :     8664     8665     8666     8667     8668     8669     8670     8671
n^2/4: 18766224 18770556 18774889 18779222 18783556 18787890 18792225 18796560
n    :     8672     8673     8674     8675     8676     8677     8678     8679
n^2/4: 18800896 18805232 18809569 18813906 18818244 18822582 18826921 18831260
n    :     8680     8681     8682     8683     8684     8685     8686     8687
n^2/4: 18835600 18839940 18844281 18848622 18852964 18857306 18861649 18865992
n    :     8688     8689     8690     8691     8692     8693     8694     8695
n^2/4: 18870336 18874680 18879025 18883370 18887716 18892062 18896409 18900756
n    :     8696     8697     8698     8699     8700     8701     8702     8703
n^2/4: 18905104 18909452 18913801 18918150 18922500 18926850 18931201 18935552
n    :     8704     8705     8706     8707     8708     8709     8710     8711
n^2/4: 18939904 18944256 18948609 18952962 18957316 18961670 18966025 18970380
n    :     8712     8713     8714     8715     8716     8717     8718     8719
n^2/4: 18974736 18979092 18983449 18987806 18992164 18996522 19000881 19005240
n    :     8720     8721     8722     8723     8724     8725     8726     8727
n^2/4: 19009600 19013960 19018321 19022682 19027044 19031406 19035769 19040132
n    :     8728     8729     8730     8731     8732     8733     8734     8735
n^2/4: 19044496 19048860 19053225 19057590 19061956 19066322 19070689 19075056
n    :     8736     8737     8738     8739     8740     8741     8742     8743
n^2/4: 19079424 19083792 19088161 19092530 19096900 19101270 19105641 19110012
n    :     8744     8745     8746     8747     8748     8749     8750     8751
n^2/4: 19114384 19118756 19123129 19127502 19131876 19136250 19140625 19145000
n    :     8752     8753     8754     8755     8756     8757     8758     8759
n^2/4: 19149376 19153752 19158129 19162506 19166884 19171262 19175641 19180020
n    :     8760     8761     8762     8763     8764     8765     8766     8767
n^2/4: 19184400 19188780 19193161 19197542 19201924 19206306 19210689 19215072
n    :     8768     8769     8770     8771     8772     8773     8774     8775
n^2/4: 19219456 19223840 19228225 19232610 19236996 19241382 19245769 19250156
n    :     8776     8777     8778     8779     8780     8781     8782     8783
n^2/4: 19254544 19258932 19263321 19267710 19272100 19276490 19280881 19285272
n    :     8784     8785     8786     8787     8788     8789     8790     8791
n^2/4: 19289664 19294056 19298449 19302842 19307236 19311630 19316025 19320420
n    :     8792     8793     8794     8795     8796     8797     8798     8799
n^2/4: 19324816 19329212 19333609 19338006 19342404 19346802 19351201 19355600
n    :     8800     8801     8802     8803     8804     8805     8806     8807
n^2/4: 19360000 19364400 19368801 19373202 19377604 19382006 19386409 19390812
n    :     8808     8809     8810     8811     8812     8813     8814     8815
n^2/4: 19395216 19399620 19404025 19408430 19412836 19417242 19421649 19426056
n    :     8816     8817     8818     8819     8820     8821     8822     8823
n^2/4: 19430464 19434872 19439281 19443690 19448100 19452510 19456921 19461332
n    :     8824     8825     8826     8827     8828     8829     8830     8831
n^2/4: 19465744 19470156 19474569 19478982 19483396 19487810 19492225 19496640
n    :     8832     8833     8834     8835     8836     8837     8838     8839
n^2/4: 19501056 19505472 19509889 19514306 19518724 19523142 19527561 19531980
n    :     8840     8841     8842     8843     8844     8845     8846     8847
n^2/4: 19536400 19540820 19545241 19549662 19554084 19558506 19562929 19567352
n    :     8848     8849     8850     8851     8852     8853     8854     8855
n^2/4: 19571776 19576200 19580625 19585050 19589476 19593902 19598329 19602756
n    :     8856     8857     8858     8859     8860     8861     8862     8863
n^2/4: 19607184 19611612 19616041 19620470 19624900 19629330 19633761 19638192
n    :     8864     8865     8866     8867     8868     8869     8870     8871
n^2/4: 19642624 19647056 19651489 19655922 19660356 19664790 19669225 19673660
n    :     8872     8873     8874     8875     8876     8877     8878     8879
n^2/4: 19678096 19682532 19686969 19691406 19695844 19700282 19704721 19709160
n    :     8880     8881     8882     8883     8884     8885     8886     8887
n^2/4: 19713600 19718040 19722481 19726922 19731364 19735806 19740249 19744692
n    :     8888     8889     8890     8891     8892     8893     8894     8895
n^2/4: 19749136 19753580 19758025 19762470 19766916 19771362 19775809 19780256
n    :     8896     8897     8898     8899     8900     8901     8902     8903
n^2/4: 19784704 19789152 19793601 19798050 19802500 19806950 19811401 19815852
n    :     8904     8905     8906     8907     8908     8909     8910     8911
n^2/4: 19820304 19824756 19829209 19833662 19838116 19842570 19847025 19851480
n    :     8912     8913     8914     8915     8916     8917     8918     8919
n^2/4: 19855936 19860392 19864849 19869306 19873764 19878222 19882681 19887140
n    :     8920     8921     8922     8923     8924     8925     8926     8927
n^2/4: 19891600 19896060 19900521 19904982 19909444 19913906 19918369 19922832
n    :     8928     8929     8930     8931     8932     8933     8934     8935
n^2/4: 19927296 19931760 19936225 19940690 19945156 19949622 19954089 19958556
n    :     8936     8937     8938     8939     8940     8941     8942     8943
n^2/4: 19963024 19967492 19971961 19976430 19980900 19985370 19989841 19994312
n    :     8944     8945     8946     8947     8948     8949     8950     8951
n^2/4: 19998784 20003256 20007729 20012202 20016676 20021150 20025625 20030100
n    :     8952     8953     8954     8955     8956     8957     8958     8959
n^2/4: 20034576 20039052 20043529 20048006 20052484 20056962 20061441 20065920
n    :     8960     8961     8962     8963     8964     8965     8966     8967
n^2/4: 20070400 20074880 20079361 20083842 20088324 20092806 20097289 20101772
n    :     8968     8969     8970     8971     8972     8973     8974     8975
n^2/4: 20106256 20110740 20115225 20119710 20124196 20128682 20133169 20137656
n    :     8976     8977     8978     8979     8980     8981     8982     8983
n^2/4: 20142144 20146632 20151121 20155610 20160100 20164590 20169081 20173572
n    :     8984     8985     8986     8987     8988     8989     8990     8991
n^2/4: 20178064 20182556 20187049 20191542 20196036 20200530 20205025 20209520
n    :     8992     8993     8994     8995     8996     8997     8998     8999
n^2/4: 20214016 20218512 20223009 20227506 20232004 20236502 20241001 20245500
n    :     9000     9001     9002     9003     9004     9005     9006     9007
n^2/4: 20250000 20254500 20259001 20263502 20268004 20272506 20277009 20281512
n    :     9008     9009     9010     9011     9012     9013     9014     9015
n^2/4: 20286016 20290520 20295025 20299530 20304036 20308542 20313049 20317556
n    :     9016     9017     9018     9019     9020     9021     9022     9023
n^2/4: 20322064 20326572 20331081 20335590 20340100 20344610 20349121 20353632
n    :     9024     9025     9026     9027     9028     9029     9030     9031
n^2/4: 20358144 20362656 20367169 20371682 20376196 20380710 20385225 20389740
n    :     9032     9033     9034     9035     9036     9037     9038     9039
n^2/4: 20394256 20398772 20403289 20407806 20412324 20416842 20421361 20425880
n    :     9040     9041     9042     9043     9044     9045     9046     9047
n^2/4: 20430400 20434920 20439441 20443962 20448484 20453006 20457529 20462052
n    :     9048     9049     9050     9051     9052     9053     9054     9055
n^2/4: 20466576 20471100 20475625 20480150 20484676 20489202 20493729 20498256
n    :     9056     9057     9058     9059     9060     9061     9062     9063
n^2/4: 20502784 20507312 20511841 20516370 20520900 20525430 20529961 20534492
n    :     9064     9065     9066     9067     9068     9069     9070     9071
n^2/4: 20539024 20543556 20548089 20552622 20557156 20561690 20566225 20570760
n    :     9072     9073     9074     9075     9076     9077     9078     9079
n^2/4: 20575296 20579832 20584369 20588906 20593444 20597982 20602521 20607060
n    :     9080     9081     9082     9083     9084     9085     9086     9087
n^2/4: 20611600 20616140 20620681 20625222 20629764 20634306 20638849 20643392
n    :     9088     9089     9090     9091     9092     9093     9094     9095
n^2/4: 20647936 20652480 20657025 20661570 20666116 20670662 20675209 20679756
n    :     9096     9097     9098     9099     9100     9101     9102     9103
n^2/4: 20684304 20688852 20693401 20697950 20702500 20707050 20711601 20716152
n    :     9104     9105     9106     9107     9108     9109     9110     9111
n^2/4: 20720704 20725256 20729809 20734362 20738916 20743470 20748025 20752580
n    :     9112     9113     9114     9115     9116     9117     9118     9119
n^2/4: 20757136 20761692 20766249 20770806 20775364 20779922 20784481 20789040
n    :     9120     9121     9122     9123     9124     9125     9126     9127
n^2/4: 20793600 20798160 20802721 20807282 20811844 20816406 20820969 20825532
n    :     9128     9129     9130     9131     9132     9133     9134     9135
n^2/4: 20830096 20834660 20839225 20843790 20848356 20852922 20857489 20862056
n    :     9136     9137     9138     9139     9140     9141     9142     9143
n^2/4: 20866624 20871192 20875761 20880330 20884900 20889470 20894041 20898612
n    :     9144     9145     9146     9147     9148     9149     9150     9151
n^2/4: 20903184 20907756 20912329 20916902 20921476 20926050 20930625 20935200
n    :     9152     9153     9154     9155     9156     9157     9158     9159
n^2/4: 20939776 20944352 20948929 20953506 20958084 20962662 20967241 20971820
n    :     9160     9161     9162     9163     9164     9165     9166     9167
n^2/4: 20976400 20980980 20985561 20990142 20994724 20999306 21003889 21008472
n    :     9168     9169     9170     9171     9172     9173     9174     9175
n^2/4: 21013056 21017640 21022225 21026810 21031396 21035982 21040569 21045156
n    :     9176     9177     9178     9179     9180     9181     9182     9183
n^2/4: 21049744 21054332 21058921 21063510 21068100 21072690 21077281 21081872
n    :     9184     9185     9186     9187     9188     9189     9190     9191
n^2/4: 21086464 21091056 21095649 21100242 21104836 21109430 21114025 21118620
n    :     9192     9193     9194     9195     9196     9197     9198     9199
n^2/4: 21123216 21127812 21132409 21137006 21141604 21146202 21150801 21155400
n    :     9200     9201     9202     9203     9204     9205     9206     9207
n^2/4: 21160000 21164600 21169201 21173802 21178404 21183006 21187609 21192212
n    :     9208     9209     9210     9211     9212     9213     9214     9215
n^2/4: 21196816 21201420 21206025 21210630 21215236 21219842 21224449 21229056
n    :     9216     9217     9218     9219     9220     9221     9222     9223
n^2/4: 21233664 21238272 21242881 21247490 21252100 21256710 21261321 21265932
n    :     9224     9225     9226     9227     9228     9229     9230     9231
n^2/4: 21270544 21275156 21279769 21284382 21288996 21293610 21298225 21302840
n    :     9232     9233     9234     9235     9236     9237     9238     9239
n^2/4: 21307456 21312072 21316689 21321306 21325924 21330542 21335161 21339780
n    :     9240     9241     9242     9243     9244     9245     9246     9247
n^2/4: 21344400 21349020 21353641 21358262 21362884 21367506 21372129 21376752
n    :     9248     9249     9250     9251     9252     9253     9254     9255
n^2/4: 21381376 21386000 21390625 21395250 21399876 21404502 21409129 21413756
n    :     9256     9257     9258     9259     9260     9261     9262     9263
n^2/4: 21418384 21423012 21427641 21432270 21436900 21441530 21446161 21450792
n    :     9264     9265     9266     9267     9268     9269     9270     9271
n^2/4: 21455424 21460056 21464689 21469322 21473956 21478590 21483225 21487860
n    :     9272     9273     9274     9275     9276     9277     9278     9279
n^2/4: 21492496 21497132 21501769 21506406 21511044 21515682 21520321 21524960
n    :     9280     9281     9282     9283     9284     9285     9286     9287
n^2/4: 21529600 21534240 21538881 21543522 21548164 21552806 21557449 21562092
n    :     9288     9289     9290     9291     9292     9293     9294     9295
n^2/4: 21566736 21571380 21576025 21580670 21585316 21589962 21594609 21599256
n    :     9296     9297     9298     9299     9300     9301     9302     9303
n^2/4: 21603904 21608552 21613201 21617850 21622500 21627150 21631801 21636452
n    :     9304     9305     9306     9307     9308     9309     9310     9311
n^2/4: 21641104 21645756 21650409 21655062 21659716 21664370 21669025 21673680
n    :     9312     9313     9314     9315     9316     9317     9318     9319
n^2/4: 21678336 21682992 21687649 21692306 21696964 21701622 21706281 21710940
n    :     9320     9321     9322     9323     9324     9325     9326     9327
n^2/4: 21715600 21720260 21724921 21729582 21734244 21738906 21743569 21748232
n    :     9328     9329     9330     9331     9332     9333     9334     9335
n^2/4: 21752896 21757560 21762225 21766890 21771556 21776222 21780889 21785556
n    :     9336     9337     9338     9339     9340     9341     9342     9343
n^2/4: 21790224 21794892 21799561 21804230 21808900 21813570 21818241 21822912
n    :     9344     9345     9346     9347     9348     9349     9350     9351
n^2/4: 21827584 21832256 21836929 21841602 21846276 21850950 21855625 21860300
n    :     9352     9353     9354     9355     9356     9357     9358     9359
n^2/4: 21864976 21869652 21874329 21879006 21883684 21888362 21893041 21897720
n    :     9360     9361     9362     9363     9364     9365     9366     9367
n^2/4: 21902400 21907080 21911761 21916442 21921124 21925806 21930489 21935172
n    :     9368     9369     9370     9371     9372     9373     9374     9375
n^2/4: 21939856 21944540 21949225 21953910 21958596 21963282 21967969 21972656
n    :     9376     9377     9378     9379     9380     9381     9382     9383
n^2/4: 21977344 21982032 21986721 21991410 21996100 22000790 22005481 22010172
n    :     9384     9385     9386     9387     9388     9389     9390     9391
n^2/4: 22014864 22019556 22024249 22028942 22033636 22038330 22043025 22047720
n    :     9392     9393     9394     9395     9396     9397     9398     9399
n^2/4: 22052416 22057112 22061809 22066506 22071204 22075902 22080601 22085300
n    :     9400     9401     9402     9403     9404     9405     9406     9407
n^2/4: 22090000 22094700 22099401 22104102 22108804 22113506 22118209 22122912
n    :     9408     9409     9410     9411     9412     9413     9414     9415
n^2/4: 22127616 22132320 22137025 22141730 22146436 22151142 22155849 22160556
n    :     9416     9417     9418     9419     9420     9421     9422     9423
n^2/4: 22165264 22169972 22174681 22179390 22184100 22188810 22193521 22198232
n    :     9424     9425     9426     9427     9428     9429     9430     9431
n^2/4: 22202944 22207656 22212369 22217082 22221796 22226510 22231225 22235940
n    :     9432     9433     9434     9435     9436     9437     9438     9439
n^2/4: 22240656 22245372 22250089 22254806 22259524 22264242 22268961 22273680
n    :     9440     9441     9442     9443     9444     9445     9446     9447
n^2/4: 22278400 22283120 22287841 22292562 22297284 22302006 22306729 22311452
n    :     9448     9449     9450     9451     9452     9453     9454     9455
n^2/4: 22316176 22320900 22325625 22330350 22335076 22339802 22344529 22349256
n    :     9456     9457     9458     9459     9460     9461     9462     9463
n^2/4: 22353984 22358712 22363441 22368170 22372900 22377630 22382361 22387092
n    :     9464     9465     9466     9467     9468     9469     9470     9471
n^2/4: 22391824 22396556 22401289 22406022 22410756 22415490 22420225 22424960
n    :     9472     9473     9474     9475     9476     9477     9478     9479
n^2/4: 22429696 22434432 22439169 22443906 22448644 22453382 22458121 22462860
n    :     9480     9481     9482     9483     9484     9485     9486     9487
n^2/4: 22467600 22472340 22477081 22481822 22486564 22491306 22496049 22500792
n    :     9488     9489     9490     9491     9492     9493     9494     9495
n^2/4: 22505536 22510280 22515025 22519770 22524516 22529262 22534009 22538756
n    :     9496     9497     9498     9499     9500     9501     9502     9503
n^2/4: 22543504 22548252 22553001 22557750 22562500 22567250 22572001 22576752
n    :     9504     9505     9506     9507     9508     9509     9510     9511
n^2/4: 22581504 22586256 22591009 22595762 22600516 22605270 22610025 22614780
n    :     9512     9513     9514     9515     9516     9517     9518     9519
n^2/4: 22619536 22624292 22629049 22633806 22638564 22643322 22648081 22652840
n    :     9520     9521     9522     9523     9524     9525     9526     9527
n^2/4: 22657600 22662360 22667121 22671882 22676644 22681406 22686169 22690932
n    :     9528     9529     9530     9531     9532     9533     9534     9535
n^2/4: 22695696 22700460 22705225 22709990 22714756 22719522 22724289 22729056
n    :     9536     9537     9538     9539     9540     9541     9542     9543
n^2/4: 22733824 22738592 22743361 22748130 22752900 22757670 22762441 22767212
n    :     9544     9545     9546     9547     9548     9549     9550     9551
n^2/4: 22771984 22776756 22781529 22786302 22791076 22795850 22800625 22805400
n    :     9552     9553     9554     9555     9556     9557     9558     9559
n^2/4: 22810176 22814952 22819729 22824506 22829284 22834062 22838841 22843620
n    :     9560     9561     9562     9563     9564     9565     9566     9567
n^2/4: 22848400 22853180 22857961 22862742 22867524 22872306 22877089 22881872
n    :     9568     9569     9570     9571     9572     9573     9574     9575
n^2/4: 22886656 22891440 22896225 22901010 22905796 22910582 22915369 22920156
n    :     9576     9577     9578     9579     9580     9581     9582     9583
n^2/4: 22924944 22929732 22934521 22939310 22944100 22948890 22953681 22958472
n    :     9584     9585     9586     9587     9588     9589     9590     9591
n^2/4: 22963264 22968056 22972849 22977642 22982436 22987230 22992025 22996820
n    :     9592     9593     9594     9595     9596     9597     9598     9599
n^2/4: 23001616 23006412 23011209 23016006 23020804 23025602 23030401 23035200
n    :     9600     9601     9602     9603     9604     9605     9606     9607
n^2/4: 23040000 23044800 23049601 23054402 23059204 23064006 23068809 23073612
n    :     9608     9609     9610     9611     9612     9613     9614     9615
n^2/4: 23078416 23083220 23088025 23092830 23097636 23102442 23107249 23112056
n    :     9616     9617     9618     9619     9620     9621     9622     9623
n^2/4: 23116864 23121672 23126481 23131290 23136100 23140910 23145721 23150532
n    :     9624     9625     9626     9627     9628     9629     9630     9631
n^2/4: 23155344 23160156 23164969 23169782 23174596 23179410 23184225 23189040
n    :     9632     9633     9634     9635     9636     9637     9638     9639
n^2/4: 23193856 23198672 23203489 23208306 23213124 23217942 23222761 23227580
n    :     9640     9641     9642     9643     9644     9645     9646     9647
n^2/4: 23232400 23237220 23242041 23246862 23251684 23256506 23261329 23266152
n    :     9648     9649     9650     9651     9652     9653     9654     9655
n^2/4: 23270976 23275800 23280625 23285450 23290276 23295102 23299929 23304756
n    :     9656     9657     9658     9659     9660     9661     9662     9663
n^2/4: 23309584 23314412 23319241 23324070 23328900 23333730 23338561 23343392
n    :     9664     9665     9666     9667     9668     9669     9670     9671
n^2/4: 23348224 23353056 23357889 23362722 23367556 23372390 23377225 23382060
n    :     9672     9673     9674     9675     9676     9677     9678     9679
n^2/4: 23386896 23391732 23396569 23401406 23406244 23411082 23415921 23420760
n    :     9680     9681     9682     9683     9684     9685     9686     9687
n^2/4: 23425600 23430440 23435281 23440122 23444964 23449806 23454649 23459492
n    :     9688     9689     9690     9691     9692     9693     9694     9695
n^2/4: 23464336 23469180 23474025 23478870 23483716 23488562 23493409 23498256
n    :     9696     9697     9698     9699     9700     9701     9702     9703
n^2/4: 23503104 23507952 23512801 23517650 23522500 23527350 23532201 23537052
n    :     9704     9705     9706     9707     9708     9709     9710     9711
n^2/4: 23541904 23546756 23551609 23556462 23561316 23566170 23571025 23575880
n    :     9712     9713     9714     9715     9716     9717     9718     9719
n^2/4: 23580736 23585592 23590449 23595306 23600164 23605022 23609881 23614740
n    :     9720     9721     9722     9723     9724     9725     9726     9727
n^2/4: 23619600 23624460 23629321 23634182 23639044 23643906 23648769 23653632
n    :     9728     9729     9730     9731     9732     9733     9734     9735
n^2/4: 23658496 23663360 23668225 23673090 23677956 23682822 23687689 23692556
n    :     9736     9737     9738     9739     9740     9741     9742     9743
n^2/4: 23697424 23702292 23707161 23712030 23716900 23721770 23726641 23731512
n    :     9744     9745     9746     9747     9748     9749     9750     9751
n^2/4: 23736384 23741256 23746129 23751002 23755876 23760750 23765625 23770500
n    :     9752     9753     9754     9755     9756     9757     9758     9759
n^2/4: 23775376 23780252 23785129 23790006 23794884 23799762 23804641 23809520
n    :     9760     9761     9762     9763     9764     9765     9766     9767
n^2/4: 23814400 23819280 23824161 23829042 23833924 23838806 23843689 23848572
n    :     9768     9769     9770     9771     9772     9773     9774     9775
n^2/4: 23853456 23858340 23863225 23868110 23872996 23877882 23882769 23887656
n    :     9776     9777     9778     9779     9780     9781     9782     9783
n^2/4: 23892544 23897432 23902321 23907210 23912100 23916990 23921881 23926772
n    :     9784     9785     9786     9787     9788     9789     9790     9791
n^2/4: 23931664 23936556 23941449 23946342 23951236 23956130 23961025 23965920
n    :     9792     9793     9794     9795     9796     9797     9798     9799
n^2/4: 23970816 23975712 23980609 23985506 23990404 23995302 24000201 24005100
n    :     9800     9801     9802     9803     9804     9805     9806     9807
n^2/4: 24010000 24014900 24019801 24024702 24029604 24034506 24039409 24044312
n    :     9808     9809     9810     9811     9812     9813     9814     9815
n^2/4: 24049216 24054120 24059025 24063930 24068836 24073742 24078649 24083556
n    :     9816     9817     9818     9819     9820     9821     9822     9823
n^2/4: 24088464 24093372 24098281 24103190 24108100 24113010 24117921 24122832
n    :     9824     9825     9826     9827     9828     9829     9830     9831
n^2/4: 24127744 24132656 24137569 24142482 24147396 24152310 24157225 24162140
n    :     9832     9833     9834     9835     9836     9837     9838     9839
n^2/4: 24167056 24171972 24176889 24181806 24186724 24191642 24196561 24201480
n    :     9840     9841     9842     9843     9844     9845     9846     9847
n^2/4: 24206400 24211320 24216241 24221162 24226084 24231006 24235929 24240852
n    :     9848     9849     9850     9851     9852     9853     9854     9855
n^2/4: 24245776 24250700 24255625 24260550 24265476 24270402 24275329 24280256
n    :     9856     9857     9858     9859     9860     9861     9862     9863
n^2/4: 24285184 24290112 24295041 24299970 24304900 24309830 24314761 24319692
n    :     9864     9865     9866     9867     9868     9869     9870     9871
n^2/4: 24324624 24329556 24334489 24339422 24344356 24349290 24354225 24359160
n    :     9872     9873     9874     9875     9876     9877     9878     9879
n^2/4: 24364096 24369032 24373969 24378906 24383844 24388782 24393721 24398660
n    :     9880     9881     9882     9883     9884     9885     9886     9887
n^2/4: 24403600 24408540 24413481 24418422 24423364 24428306 24433249 24438192
n    :     9888     9889     9890     9891     9892     9893     9894     9895
n^2/4: 24443136 24448080 24453025 24457970 24462916 24467862 24472809 24477756
n    :     9896     9897     9898     9899     9900     9901     9902     9903
n^2/4: 24482704 24487652 24492601 24497550 24502500 24507450 24512401 24517352
n    :     9904     9905     9906     9907     9908     9909     9910     9911
n^2/4: 24522304 24527256 24532209 24537162 24542116 24547070 24552025 24556980
n    :     9912     9913     9914     9915     9916     9917     9918     9919
n^2/4: 24561936 24566892 24571849 24576806 24581764 24586722 24591681 24596640
n    :     9920     9921     9922     9923     9924     9925     9926     9927
n^2/4: 24601600 24606560 24611521 24616482 24621444 24626406 24631369 24636332
n    :     9928     9929     9930     9931     9932     9933     9934     9935
n^2/4: 24641296 24646260 24651225 24656190 24661156 24666122 24671089 24676056
n    :     9936     9937     9938     9939     9940     9941     9942     9943
n^2/4: 24681024 24685992 24690961 24695930 24700900 24705870 24710841 24715812
n    :     9944     9945     9946     9947     9948     9949     9950     9951
n^2/4: 24720784 24725756 24730729 24735702 24740676 24745650 24750625 24755600
n    :     9952     9953     9954     9955     9956     9957     9958     9959
n^2/4: 24760576 24765552 24770529 24775506 24780484 24785462 24790441 24795420
n    :     9960     9961     9962     9963     9964     9965     9966     9967
n^2/4: 24800400 24805380 24810361 24815342 24820324 24825306 24830289 24835272
n    :     9968     9969     9970     9971     9972     9973     9974     9975
n^2/4: 24840256 24845240 24850225 24855210 24860196 24865182 24870169 24875156
n    :     9976     9977     9978     9979     9980     9981     9982     9983
n^2/4: 24880144 24885132 24890121 24895110 24900100 24905090 24910081 24915072
n    :     9984     9985     9986     9987     9988     9989     9990     9991
n^2/4: 24920064 24925056 24930049 24935042 24940036 24945030 24950025 24955020
n    :     9992     9993     9994     9995     9996     9997     9998     9999
n^2/4: 24960016 24965012 24970009 24975006 24980004 24985002 24990001 24995000
n    :    10000    10001    10002    10003    10004    10005    10006    10007
n^2/4: 25000000 25005000 25010001 25015002 25020004 25025006 25030009 25035012
n    :    10008    10009    10010    10011    10012    10013    10014    10015
n^2/4: 25040016 25045020 25050025 25055030 25060036 25065042 25070049 25075056
n    :    10016    10017    10018    10019    10020    10021    10022    10023
n^2/4: 25080064 25085072 25090081 25095090 25100100 25105110 25110121 25115132
n    :    10024    10025    10026    10027    10028    10029    10030    10031
n^2/4: 25120144 25125156 25130169 25135182 25140196 25145210 25150225 25155240
n    :    10032    10033    10034    10035    10036    10037    10038    10039
n^2/4: 25160256 25165272 25170289 25175306 25180324 25185342 25190361 25195380
n    :    10040    10041    10042    10043    10044    10045    10046    10047
n^2/4: 25200400 25205420 25210441 25215462 25220484 25225506 25230529 25235552
n    :    10048    10049    10050    10051    10052    10053    10054    10055
n^2/4: 25240576 25245600 25250625 25255650 25260676 25265702 25270729 25275756
n    :    10056    10057    10058    10059    10060    10061    10062    10063
n^2/4: 25280784 25285812 25290841 25295870 25300900 25305930 25310961 25315992
n    :    10064    10065    10066    10067    10068    10069    10070    10071
n^2/4: 25321024 25326056 25331089 25336122 25341156 25346190 25351225 25356260
n    :    10072    10073    10074    10075    10076    10077    10078    10079
n^2/4: 25361296 25366332 25371369 25376406 25381444 25386482 25391521 25396560
n    :    10080    10081    10082    10083    10084    10085    10086    10087
n^2/4: 25401600 25406640 25411681 25416722 25421764 25426806 25431849 25436892
n    :    10088    10089    10090    10091    10092    10093    10094    10095
n^2/4: 25441936 25446980 25452025 25457070 25462116 25467162 25472209 25477256
n    :    10096    10097    10098    10099    10100    10101    10102    10103
n^2/4: 25482304 25487352 25492401 25497450 25502500 25507550 25512601 25517652
n    :    10104    10105    10106    10107    10108    10109    10110    10111
n^2/4: 25522704 25527756 25532809 25537862 25542916 25547970 25553025 25558080
n    :    10112    10113    10114    10115    10116    10117    10118    10119
n^2/4: 25563136 25568192 25573249 25578306 25583364 25588422 25593481 25598540
n    :    10120    10121    10122    10123    10124    10125    10126    10127
n^2/4: 25603600 25608660 25613721 25618782 25623844 25628906 25633969 25639032
n    :    10128    10129    10130    10131    10132    10133    10134    10135
n^2/4: 25644096 25649160 25654225 25659290 25664356 25669422 25674489 25679556
n    :    10136    10137    10138    10139    10140    10141    10142    10143
n^2/4: 25684624 25689692 25694761 25699830 25704900 25709970 25715041 25720112
n    :    10144    10145    10146    10147    10148    10149    10150    10151
n^2/4: 25725184 25730256 25735329 25740402 25745476 25750550 25755625 25760700
n    :    10152    10153    10154    10155    10156    10157    10158    10159
n^2/4: 25765776 25770852 25775929 25781006 25786084 25791162 25796241 25801320
n    :    10160    10161    10162    10163    10164    10165    10166    10167
n^2/4: 25806400 25811480 25816561 25821642 25826724 25831806 25836889 25841972
n    :    10168    10169    10170    10171    10172    10173    10174    10175
n^2/4: 25847056 25852140 25857225 25862310 25867396 25872482 25877569 25882656
n    :    10176    10177    10178    10179    10180    10181    10182    10183
n^2/4: 25887744 25892832 25897921 25903010 25908100 25913190 25918281 25923372
n    :    10184    10185    10186    10187    10188    10189    10190    10191
n^2/4: 25928464 25933556 25938649 25943742 25948836 25953930 25959025 25964120
n    :    10192    10193    10194    10195    10196    10197    10198    10199
n^2/4: 25969216 25974312 25979409 25984506 25989604 25994702 25999801 26004900
n    :    10200    10201    10202    10203    10204    10205    10206    10207
n^2/4: 26010000 26015100 26020201 26025302 26030404 26035506 26040609 26045712
n    :    10208    10209    10210    10211    10212    10213    10214    10215
n^2/4: 26050816 26055920 26061025 26066130 26071236 26076342 26081449 26086556
n    :    10216    10217    10218    10219    10220    10221    10222    10223
n^2/4: 26091664 26096772 26101881 26106990 26112100 26117210 26122321 26127432
n    :    10224    10225    10226    10227    10228    10229    10230    10231
n^2/4: 26132544 26137656 26142769 26147882 26152996 26158110 26163225 26168340
n    :    10232    10233    10234    10235    10236    10237    10238    10239
n^2/4: 26173456 26178572 26183689 26188806 26193924 26199042 26204161 26209280
n    :    10240    10241    10242    10243    10244    10245    10246    10247
n^2/4: 26214400 26219520 26224641 26229762 26234884 26240006 26245129 26250252
n    :    10248    10249    10250    10251    10252    10253    10254    10255
n^2/4: 26255376 26260500 26265625 26270750 26275876 26281002 26286129 26291256
n    :    10256    10257    10258    10259    10260    10261    10262    10263
n^2/4: 26296384 26301512 26306641 26311770 26316900 26322030 26327161 26332292
n    :    10264    10265    10266    10267    10268    10269    10270    10271
n^2/4: 26337424 26342556 26347689 26352822 26357956 26363090 26368225 26373360
n    :    10272    10273    10274    10275    10276    10277    10278    10279
n^2/4: 26378496 26383632 26388769 26393906 26399044 26404182 26409321 26414460
n    :    10280    10281    10282    10283    10284    10285    10286    10287
n^2/4: 26419600 26424740 26429881 26435022 26440164 26445306 26450449 26455592
n    :    10288    10289    10290    10291    10292    10293    10294    10295
n^2/4: 26460736 26465880 26471025 26476170 26481316 26486462 26491609 26496756
n    :    10296    10297    10298    10299    10300    10301    10302    10303
n^2/4: 26501904 26507052 26512201 26517350 26522500 26527650 26532801 26537952
n    :    10304    10305    10306    10307    10308    10309    10310    10311
n^2/4: 26543104 26548256 26553409 26558562 26563716 26568870 26574025 26579180
n    :    10312    10313    10314    10315    10316    10317    10318    10319
n^2/4: 26584336 26589492 26594649 26599806 26604964 26610122 26615281 26620440
n    :    10320    10321    10322    10323    10324    10325    10326    10327
n^2/4: 26625600 26630760 26635921 26641082 26646244 26651406 26656569 26661732
n    :    10328    10329    10330    10331    10332    10333    10334    10335
n^2/4: 26666896 26672060 26677225 26682390 26687556 26692722 26697889 26703056
n    :    10336    10337    10338    10339    10340    10341    10342    10343
n^2/4: 26708224 26713392 26718561 26723730 26728900 26734070 26739241 26744412
n    :    10344    10345    10346    10347    10348    10349    10350    10351
n^2/4: 26749584 26754756 26759929 26765102 26770276 26775450 26780625 26785800
n    :    10352    10353    10354    10355    10356    10357    10358    10359
n^2/4: 26790976 26796152 26801329 26806506 26811684 26816862 26822041 26827220
n    :    10360    10361    10362    10363    10364    10365    10366    10367
n^2/4: 26832400 26837580 26842761 26847942 26853124 26858306 26863489 26868672
n    :    10368    10369    10370    10371    10372    10373    10374    10375
n^2/4: 26873856 26879040 26884225 26889410 26894596 26899782 26904969 26910156
n    :    10376    10377    10378    10379    10380    10381    10382    10383
n^2/4: 26915344 26920532 26925721 26930910 26936100 26941290 26946481 26951672
n    :    10384    10385    10386    10387    10388    10389    10390    10391
n^2/4: 26956864 26962056 26967249 26972442 26977636 26982830 26988025 26993220
n    :    10392    10393    10394    10395    10396    10397    10398    10399
n^2/4: 26998416 27003612 27008809 27014006 27019204 27024402 27029601 27034800
n    :    10400    10401    10402    10403    10404    10405    10406    10407
n^2/4: 27040000 27045200 27050401 27055602 27060804 27066006 27071209 27076412
n    :    10408    10409    10410    10411    10412    10413    10414    10415
n^2/4: 27081616 27086820 27092025 27097230 27102436 27107642 27112849 27118056
n    :    10416    10417    10418    10419    10420    10421    10422    10423
n^2/4: 27123264 27128472 27133681 27138890 27144100 27149310 27154521 27159732
n    :    10424    10425    10426    10427    10428    10429    10430    10431
n^2/4: 27164944 27170156 27175369 27180582 27185796 27191010 27196225 27201440
n    :    10432    10433    10434    10435    10436    10437    10438    10439
n^2/4: 27206656 27211872 27217089 27222306 27227524 27232742 27237961 27243180
n    :    10440    10441    10442    10443    10444    10445    10446    10447
n^2/4: 27248400 27253620 27258841 27264062 27269284 27274506 27279729 27284952
n    :    10448    10449    10450    10451    10452    10453    10454    10455
n^2/4: 27290176 27295400 27300625 27305850 27311076 27316302 27321529 27326756
n    :    10456    10457    10458    10459    10460    10461    10462    10463
n^2/4: 27331984 27337212 27342441 27347670 27352900 27358130 27363361 27368592
n    :    10464    10465    10466    10467    10468    10469    10470    10471
n^2/4: 27373824 27379056 27384289 27389522 27394756 27399990 27405225 27410460
n    :    10472    10473    10474    10475    10476    10477    10478    10479
n^2/4: 27415696 27420932 27426169 27431406 27436644 27441882 27447121 27452360
n    :    10480    10481    10482    10483    10484    10485    10486    10487
n^2/4: 27457600 27462840 27468081 27473322 27478564 27483806 27489049 27494292
n    :    10488    10489    10490    10491    10492    10493    10494    10495
n^2/4: 27499536 27504780 27510025 27515270 27520516 27525762 27531009 27536256
n    :    10496    10497    10498    10499    10500    10501    10502    10503
n^2/4: 27541504 27546752 27552001 27557250 27562500 27567750 27573001 27578252
n    :    10504    10505    10506    10507    10508    10509    10510    10511
n^2/4: 27583504 27588756 27594009 27599262 27604516 27609770 27615025 27620280
n    :    10512    10513    10514    10515    10516    10517    10518    10519
n^2/4: 27625536 27630792 27636049 27641306 27646564 27651822 27657081 27662340
n    :    10520    10521    10522    10523    10524    10525    10526    10527
n^2/4: 27667600 27672860 27678121 27683382 27688644 27693906 27699169 27704432
n    :    10528    10529    10530    10531    10532    10533    10534    10535
n^2/4: 27709696 27714960 27720225 27725490 27730756 27736022 27741289 27746556
n    :    10536    10537    10538    10539    10540    10541    10542    10543
n^2/4: 27751824 27757092 27762361 27767630 27772900 27778170 27783441 27788712
n    :    10544    10545    10546    10547    10548    10549    10550    10551
n^2/4: 27793984 27799256 27804529 27809802 27815076 27820350 27825625 27830900
n    :    10552    10553    10554    10555    10556    10557    10558    10559
n^2/4: 27836176 27841452 27846729 27852006 27857284 27862562 27867841 27873120
n    :    10560    10561    10562    10563    10564    10565    10566    10567
n^2/4: 27878400 27883680 27888961 27894242 27899524 27904806 27910089 27915372
n    :    10568    10569    10570    10571    10572    10573    10574    10575
n^2/4: 27920656 27925940 27931225 27936510 27941796 27947082 27952369 27957656
n    :    10576    10577    10578    10579    10580    10581    10582    10583
n^2/4: 27962944 27968232 27973521 27978810 27984100 27989390 27994681 27999972
n    :    10584    10585    10586    10587    10588    10589    10590    10591
n^2/4: 28005264 28010556 28015849 28021142 28026436 28031730 28037025 28042320
n    :    10592    10593    10594    10595    10596    10597    10598    10599
n^2/4: 28047616 28052912 28058209 28063506 28068804 28074102 28079401 28084700
n    :    10600    10601    10602    10603    10604    10605    10606    10607
n^2/4: 28090000 28095300 28100601 28105902 28111204 28116506 28121809 28127112
n    :    10608    10609    10610    10611    10612    10613    10614    10615
n^2/4: 28132416 28137720 28143025 28148330 28153636 28158942 28164249 28169556
n    :    10616    10617    10618    10619    10620    10621    10622    10623
n^2/4: 28174864 28180172 28185481 28190790 28196100 28201410 28206721 28212032
n    :    10624    10625    10626    10627    10628    10629    10630    10631
n^2/4: 28217344 28222656 28227969 28233282 28238596 28243910 28249225 28254540
n    :    10632    10633    10634    10635    10636    10637    10638    10639
n^2/4: 28259856 28265172 28270489 28275806 28281124 28286442 28291761 28297080
n    :    10640    10641    10642    10643    10644    10645    10646    10647
n^2/4: 28302400 28307720 28313041 28318362 28323684 28329006 28334329 28339652
n    :    10648    10649    10650    10651    10652    10653    10654    10655
n^2/4: 28344976 28350300 28355625 28360950 28366276 28371602 28376929 28382256
n    :    10656    10657    10658    10659    10660    10661    10662    10663
n^2/4: 28387584 28392912 28398241 28403570 28408900 28414230 28419561 28424892
n    :    10664    10665    10666    10667    10668    10669    10670    10671
n^2/4: 28430224 28435556 28440889 28446222 28451556 28456890 28462225 28467560
n    :    10672    10673    10674    10675    10676    10677    10678    10679
n^2/4: 28472896 28478232 28483569 28488906 28494244 28499582 28504921 28510260
n    :    10680    10681    10682    10683    10684    10685    10686    10687
n^2/4: 28515600 28520940 28526281 28531622 28536964 28542306 28547649 28552992
n    :    10688    10689    10690    10691    10692    10693    10694    10695
n^2/4: 28558336 28563680 28569025 28574370 28579716 28585062 28590409 28595756
n    :    10696    10697    10698    10699    10700    10701    10702    10703
n^2/4: 28601104 28606452 28611801 28617150 28622500 28627850 28633201 28638552
n    :    10704    10705    10706    10707    10708    10709    10710    10711
n^2/4: 28643904 28649256 28654609 28659962 28665316 28670670 28676025 28681380
n    :    10712    10713    10714    10715    10716    10717    10718    10719
n^2/4: 28686736 28692092 28697449 28702806 28708164 28713522 28718881 28724240
n    :    10720    10721    10722    10723    10724    10725    10726    10727
n^2/4: 28729600 28734960 28740321 28745682 28751044 28756406 28761769 28767132
n    :    10728    10729    10730    10731    10732    10733    10734    10735
n^2/4: 28772496 28777860 28783225 28788590 28793956 28799322 28804689 28810056
n    :    10736    10737    10738    10739    10740    10741    10742    10743
n^2/4: 28815424 28820792 28826161 28831530 28836900 28842270 28847641 28853012
n    :    10744    10745    10746    10747    10748    10749    10750    10751
n^2/4: 28858384 28863756 28869129 28874502 28879876 28885250 28890625 28896000
n    :    10752    10753    10754    10755    10756    10757    10758    10759
n^2/4: 28901376 28906752 28912129 28917506 28922884 28928262 28933641 28939020
n    :    10760    10761    10762    10763    10764    10765    10766    10767
n^2/4: 28944400 28949780 28955161 28960542 28965924 28971306 28976689 28982072
n    :    10768    10769    10770    10771    10772    10773    10774    10775
n^2/4: 28987456 28992840 28998225 29003610 29008996 29014382 29019769 29025156
n    :    10776    10777    10778    10779    10780    10781    10782    10783
n^2/4: 29030544 29035932 29041321 29046710 29052100 29057490 29062881 29068272
n    :    10784    10785    10786    10787    10788    10789    10790    10791
n^2/4: 29073664 29079056 29084449 29089842 29095236 29100630 29106025 29111420
n    :    10792    10793    10794    10795    10796    10797    10798    10799
n^2/4: 29116816 29122212 29127609 29133006 29138404 29143802 29149201 29154600
n    :    10800    10801    10802    10803    10804    10805    10806    10807
n^2/4: 29160000 29165400 29170801 29176202 29181604 29187006 29192409 29197812
n    :    10808    10809    10810    10811    10812    10813    10814    10815
n^2/4: 29203216 29208620 29214025 29219430 29224836 29230242 29235649 29241056
n    :    10816    10817    10818    10819    10820    10821    10822    10823
n^2/4: 29246464 29251872 29257281 29262690 29268100 29273510 29278921 29284332
n    :    10824    10825    10826    10827    10828    10829    10830    10831
n^2/4: 29289744 29295156 29300569 29305982 29311396 29316810 29322225 29327640
n    :    10832    10833    10834    10835    10836    10837    10838    10839
n^2/4: 29333056 29338472 29343889 29349306 29354724 29360142 29365561 29370980
n    :    10840    10841    10842    10843    10844    10845    10846    10847
n^2/4: 29376400 29381820 29387241 29392662 29398084 29403506 29408929 29414352
n    :    10848    10849    10850    10851    10852    10853    10854    10855
n^2/4: 29419776 29425200 29430625 29436050 29441476 29446902 29452329 29457756
n    :    10856    10857    10858    10859    10860    10861    10862    10863
n^2/4: 29463184 29468612 29474041 29479470 29484900 29490330 29495761 29501192
n    :    10864    10865    10866    10867    10868    10869    10870    10871
n^2/4: 29506624 29512056 29517489 29522922 29528356 29533790 29539225 29544660
n    :    10872    10873    10874    10875    10876    10877    10878    10879
n^2/4: 29550096 29555532 29560969 29566406 29571844 29577282 29582721 29588160
n    :    10880    10881    10882    10883    10884    10885    10886    10887
n^2/4: 29593600 29599040 29604481 29609922 29615364 29620806 29626249 29631692
n    :    10888    10889    10890    10891    10892    10893    10894    10895
n^2/4: 29637136 29642580 29648025 29653470 29658916 29664362 29669809 29675256
n    :    10896    10897    10898    10899    10900    10901    10902    10903
n^2/4: 29680704 29686152 29691601 29697050 29702500 29707950 29713401 29718852
n    :    10904    10905    10906    10907    10908    10909    10910    10911
n^2/4: 29724304 29729756 29735209 29740662 29746116 29751570 29757025 29762480
n    :    10912    10913    10914    10915    10916    10917    10918    10919
n^2/4: 29767936 29773392 29778849 29784306 29789764 29795222 29800681 29806140
n    :    10920    10921    10922    10923    10924    10925    10926    10927
n^2/4: 29811600 29817060 29822521 29827982 29833444 29838906 29844369 29849832
n    :    10928    10929    10930    10931    10932    10933    10934    10935
n^2/4: 29855296 29860760 29866225 29871690 29877156 29882622 29888089 29893556
n    :    10936    10937    10938    10939    10940    10941    10942    10943
n^2/4: 29899024 29904492 29909961 29915430 29920900 29926370 29931841 29937312
n    :    10944    10945    10946    10947    10948    10949    10950    10951
n^2/4: 29942784 29948256 29953729 29959202 29964676 29970150 29975625 29981100
n    :    10952    10953    10954    10955    10956    10957    10958    10959
n^2/4: 29986576 29992052 29997529 30003006 30008484 30013962 30019441 30024920
n    :    10960    10961    10962    10963    10964    10965    10966    10967
n^2/4: 30030400 30035880 30041361 30046842 30052324 30057806 30063289 30068772
n    :    10968    10969    10970    10971    10972    10973    10974    10975
n^2/4: 30074256 30079740 30085225 30090710 30096196 30101682 30107169 30112656
n    :    10976    10977    10978    10979    10980    10981    10982    10983
n^2/4: 30118144 30123632 30129121 30134610 30140100 30145590 30151081 30156572
n    :    10984    10985    10986    10987    10988    10989    10990    10991
n^2/4: 30162064 30167556 30173049 30178542 30184036 30189530 30195025 30200520
n    :    10992    10993    10994    10995    10996    10997    10998    10999
n^2/4: 30206016 30211512 30217009 30222506 30228004 30233502 30239001 30244500
n    :    11000    11001    11002    11003    11004    11005    11006    11007
n^2/4: 30250000 30255500 30261001 30266502 30272004 30277506 30283009 30288512
n    :    11008    11009    11010    11011    11012    11013    11014    11015
n^2/4: 30294016 30299520 30305025 30310530 30316036 30321542 30327049 30332556
n    :    11016    11017    11018    11019    11020    11021    11022    11023
n^2/4: 30338064 30343572 30349081 30354590 30360100 30365610 30371121 30376632
n    :    11024    11025    11026    11027    11028    11029    11030    11031
n^2/4: 30382144 30387656 30393169 30398682 30404196 30409710 30415225 30420740
n    :    11032    11033    11034    11035    11036    11037    11038    11039
n^2/4: 30426256 30431772 30437289 30442806 30448324 30453842 30459361 30464880
n    :    11040    11041    11042    11043    11044    11045    11046    11047
n^2/4: 30470400 30475920 30481441 30486962 30492484 30498006 30503529 30509052
n    :    11048    11049    11050    11051    11052    11053    11054    11055
n^2/4: 30514576 30520100 30525625 30531150 30536676 30542202 30547729 30553256
n    :    11056    11057    11058    11059    11060    11061    11062    11063
n^2/4: 30558784 30564312 30569841 30575370 30580900 30586430 30591961 30597492
n    :    11064    11065    11066    11067    11068    11069    11070    11071
n^2/4: 30603024 30608556 30614089 30619622 30625156 30630690 30636225 30641760
n    :    11072    11073    11074    11075    11076    11077    11078    11079
n^2/4: 30647296 30652832 30658369 30663906 30669444 30674982 30680521 30686060
n    :    11080    11081    11082    11083    11084    11085    11086    11087
n^2/4: 30691600 30697140 30702681 30708222 30713764 30719306 30724849 30730392
n    :    11088    11089    11090    11091    11092    11093    11094    11095
n^2/4: 30735936 30741480 30747025 30752570 30758116 30763662 30769209 30774756
n    :    11096    11097    11098    11099    11100    11101    11102    11103
n^2/4: 30780304 30785852 30791401 30796950 30802500 30808050 30813601 30819152
n    :    11104    11105    11106    11107    11108    11109    11110    11111
n^2/4: 30824704 30830256 30835809 30841362 30846916 30852470 30858025 30863580
n    :    11112    11113    11114    11115    11116    11117    11118    11119
n^2/4: 30869136 30874692 30880249 30885806 30891364 30896922 30902481 30908040
n    :    11120    11121    11122    11123    11124    11125    11126    11127
n^2/4: 30913600 30919160 30924721 30930282 30935844 30941406 30946969 30952532
n    :    11128    11129    11130    11131    11132    11133    11134    11135
n^2/4: 30958096 30963660 30969225 30974790 30980356 30985922 30991489 30997056
n    :    11136    11137    11138    11139    11140    11141    11142    11143
n^2/4: 31002624 31008192 31013761 31019330 31024900 31030470 31036041 31041612
n    :    11144    11145    11146    11147    11148    11149    11150    11151
n^2/4: 31047184 31052756 31058329 31063902 31069476 31075050 31080625 31086200
n    :    11152    11153    11154    11155    11156    11157    11158    11159
n^2/4: 31091776 31097352 31102929 31108506 31114084 31119662 31125241 31130820
n    :    11160    11161    11162    11163    11164    11165    11166    11167
n^2/4: 31136400 31141980 31147561 31153142 31158724 31164306 31169889 31175472
n    :    11168    11169    11170    11171    11172    11173    11174    11175
n^2/4: 31181056 31186640 31192225 31197810 31203396 31208982 31214569 31220156
n    :    11176    11177    11178    11179    11180    11181    11182    11183
n^2/4: 31225744 31231332 31236921 31242510 31248100 31253690 31259281 31264872
n    :    11184    11185    11186    11187    11188    11189    11190    11191
n^2/4: 31270464 31276056 31281649 31287242 31292836 31298430 31304025 31309620
n    :    11192    11193    11194    11195    11196    11197    11198    11199
n^2/4: 31315216 31320812 31326409 31332006 31337604 31343202 31348801 31354400
n    :    11200    11201    11202    11203    11204    11205    11206    11207
n^2/4: 31360000 31365600 31371201 31376802 31382404 31388006 31393609 31399212
n    :    11208    11209    11210    11211    11212    11213    11214    11215
n^2/4: 31404816 31410420 31416025 31421630 31427236 31432842 31438449 31444056
n    :    11216    11217    11218    11219    11220    11221    11222    11223
n^2/4: 31449664 31455272 31460881 31466490 31472100 31477710 31483321 31488932
n    :    11224    11225    11226    11227    11228    11229    11230    11231
n^2/4: 31494544 31500156 31505769 31511382 31516996 31522610 31528225 31533840
n    :    11232    11233    11234    11235    11236    11237    11238    11239
n^2/4: 31539456 31545072 31550689 31556306 31561924 31567542 31573161 31578780
n    :    11240    11241    11242    11243    11244    11245    11246    11247
n^2/4: 31584400 31590020 31595641 31601262 31606884 31612506 31618129 31623752
n    :    11248    11249    11250    11251    11252    11253    11254    11255
n^2/4: 31629376 31635000 31640625 31646250 31651876 31657502 31663129 31668756
n    :    11256    11257    11258    11259    11260    11261    11262    11263
n^2/4: 31674384 31680012 31685641 31691270 31696900 31702530 31708161 31713792
n    :    11264    11265    11266    11267    11268    11269    11270    11271
n^2/4: 31719424 31725056 31730689 31736322 31741956 31747590 31753225 31758860
n    :    11272    11273    11274    11275    11276    11277    11278    11279
n^2/4: 31764496 31770132 31775769 31781406 31787044 31792682 31798321 31803960
n    :    11280    11281    11282    11283    11284    11285    11286    11287
n^2/4: 31809600 31815240 31820881 31826522 31832164 31837806 31843449 31849092
n    :    11288    11289    11290    11291    11292    11293    11294    11295
n^2/4: 31854736 31860380 31866025 31871670 31877316 31882962 31888609 31894256
n    :    11296    11297    11298    11299    11300    11301    11302    11303
n^2/4: 31899904 31905552 31911201 31916850 31922500 31928150 31933801 31939452
n    :    11304    11305    11306    11307    11308    11309    11310    11311
n^2/4: 31945104 31950756 31956409 31962062 31967716 31973370 31979025 31984680
n    :    11312    11313    11314    11315    11316    11317    11318    11319
n^2/4: 31990336 31995992 32001649 32007306 32012964 32018622 32024281 32029940
n    :    11320    11321    11322    11323    11324    11325    11326    11327
n^2/4: 32035600 32041260 32046921 32052582 32058244 32063906 32069569 32075232
n    :    11328    11329    11330    11331    11332    11333    11334    11335
n^2/4: 32080896 32086560 32092225 32097890 32103556 32109222 32114889 32120556
n    :    11336    11337    11338    11339    11340    11341    11342    11343
n^2/4: 32126224 32131892 32137561 32143230 32148900 32154570 32160241 32165912
n    :    11344    11345    11346    11347    11348    11349    11350    11351
n^2/4: 32171584 32177256 32182929 32188602 32194276 32199950 32205625 32211300
n    :    11352    11353    11354    11355    11356    11357    11358    11359
n^2/4: 32216976 32222652 32228329 32234006 32239684 32245362 32251041 32256720
n    :    11360    11361    11362    11363    11364    11365    11366    11367
n^2/4: 32262400 32268080 32273761 32279442 32285124 32290806 32296489 32302172
n    :    11368    11369    11370    11371    11372    11373    11374    11375
n^2/4: 32307856 32313540 32319225 32324910 32330596 32336282 32341969 32347656
n    :    11376    11377    11378    11379    11380    11381    11382    11383
n^2/4: 32353344 32359032 32364721 32370410 32376100 32381790 32387481 32393172
n    :    11384    11385    11386    11387    11388    11389    11390    11391
n^2/4: 32398864 32404556 32410249 32415942 32421636 32427330 32433025 32438720
n    :    11392    11393    11394    11395    11396    11397    11398    11399
n^2/4: 32444416 32450112 32455809 32461506 32467204 32472902 32478601 32484300
n    :    11400    11401    11402    11403    11404    11405    11406    11407
n^2/4: 32490000 32495700 32501401 32507102 32512804 32518506 32524209 32529912
n    :    11408    11409    11410    11411    11412    11413    11414    11415
n^2/4: 32535616 32541320 32547025 32552730 32558436 32564142 32569849 32575556
n    :    11416    11417    11418    11419    11420    11421    11422    11423
n^2/4: 32581264 32586972 32592681 32598390 32604100 32609810 32615521 32621232
n    :    11424    11425    11426    11427    11428    11429    11430    11431
n^2/4: 32626944 32632656 32638369 32644082 32649796 32655510 32661225 32666940
n    :    11432    11433    11434    11435    11436    11437    11438    11439
n^2/4: 32672656 32678372 32684089 32689806 32695524 32701242 32706961 32712680
n    :    11440    11441    11442    11443    11444    11445    11446    11447
n^2/4: 32718400 32724120 32729841 32735562 32741284 32747006 32752729 32758452
n    :    11448    11449    11450    11451    11452    11453    11454    11455
n^2/4: 32764176 32769900 32775625 32781350 32787076 32792802 32798529 32804256
n    :    11456    11457    11458    11459    11460    11461    11462    11463
n^2/4: 32809984 32815712 32821441 32827170 32832900 32838630 32844361 32850092
n    :    11464    11465    11466    11467    11468    11469    11470    11471
n^2/4: 32855824 32861556 32867289 32873022 32878756 32884490 32890225 32895960
n    :    11472    11473    11474    11475    11476    11477    11478    11479
n^2/4: 32901696 32907432 32913169 32918906 32924644 32930382 32936121 32941860
n    :    11480    11481    11482    11483    11484    11485    11486    11487
n^2/4: 32947600 32953340 32959081 32964822 32970564 32976306 32982049 32987792
n    :    11488    11489    11490    11491    11492    11493    11494    11495
n^2/4: 32993536 32999280 33005025 33010770 33016516 33022262 33028009 33033756
n    :    11496    11497    11498    11499    11500    11501    11502    11503
n^2/4: 33039504 33045252 33051001 33056750 33062500 33068250 33074001 33079752
n    :    11504    11505    11506    11507    11508    11509    11510    11511
n^2/4: 33085504 33091256 33097009 33102762 33108516 33114270 33120025 33125780
n    :    11512    11513    11514    11515    11516    11517    11518    11519
n^2/4: 33131536 33137292 33143049 33148806 33154564 33160322 33166081 33171840
n    :    11520    11521    11522    11523    11524    11525    11526    11527
n^2/4: 33177600 33183360 33189121 33194882 33200644 33206406 33212169 33217932
n    :    11528    11529    11530    11531    11532    11533    11534    11535
n^2/4: 33223696 33229460 33235225 33240990 33246756 33252522 33258289 33264056
n    :    11536    11537    11538    11539    11540    11541    11542    11543
n^2/4: 33269824 33275592 33281361 33287130 33292900 33298670 33304441 33310212
n    :    11544    11545    11546    11547    11548    11549    11550    11551
n^2/4: 33315984 33321756 33327529 33333302 33339076 33344850 33350625 33356400
n    :    11552    11553    11554    11555    11556    11557    11558    11559
n^2/4: 33362176 33367952 33373729 33379506 33385284 33391062 33396841 33402620
n    :    11560    11561    11562    11563    11564    11565    11566    11567
n^2/4: 33408400 33414180 33419961 33425742 33431524 33437306 33443089 33448872
n    :    11568    11569    11570    11571    11572    11573    11574    11575
n^2/4: 33454656 33460440 33466225 33472010 33477796 33483582 33489369 33495156
n    :    11576    11577    11578    11579    11580    11581    11582    11583
n^2/4: 33500944 33506732 33512521 33518310 33524100 33529890 33535681 33541472
n    :    11584    11585    11586    11587    11588    11589    11590    11591
n^2/4: 33547264 33553056 33558849 33564642 33570436 33576230 33582025 33587820
n    :    11592    11593    11594    11595    11596    11597    11598    11599
n^2/4: 33593616 33599412 33605209 33611006 33616804 33622602 33628401 33634200
n    :    11600    11601    11602    11603    11604    11605    11606    11607
n^2/4: 33640000 33645800 33651601 33657402 33663204 33669006 33674809 33680612
n    :    11608    11609    11610    11611    11612    11613    11614    11615
n^2/4: 33686416 33692220 33698025 33703830 33709636 33715442 33721249 33727056
n    :    11616    11617    11618    11619    11620    11621    11622    11623
n^2/4: 33732864 33738672 33744481 33750290 33756100 33761910 33767721 33773532
n    :    11624    11625    11626    11627    11628    11629    11630    11631
n^2/4: 33779344 33785156 33790969 33796782 33802596 33808410 33814225 33820040
n    :    11632    11633    11634    11635    11636    11637    11638    11639
n^2/4: 33825856 33831672 33837489 33843306 33849124 33854942 33860761 33866580
n    :    11640    11641    11642    11643    11644    11645    11646    11647
n^2/4: 33872400 33878220 33884041 33889862 33895684 33901506 33907329 33913152
n    :    11648    11649    11650    11651    11652    11653    11654    11655
n^2/4: 33918976 33924800 33930625 33936450 33942276 33948102 33953929 33959756
n    :    11656    11657    11658    11659    11660    11661    11662    11663
n^2/4: 33965584 33971412 33977241 33983070 33988900 33994730 34000561 34006392
n    :    11664    11665    11666    11667    11668    11669    11670    11671
n^2/4: 34012224 34018056 34023889 34029722 34035556 34041390 34047225 34053060
n    :    11672    11673    11674    11675    11676    11677    11678    11679
n^2/4: 34058896 34064732 34070569 34076406 34082244 34088082 34093921 34099760
n    :    11680    11681    11682    11683    11684    11685    11686    11687
n^2/4: 34105600 34111440 34117281 34123122 34128964 34134806 34140649 34146492
n    :    11688    11689    11690    11691    11692    11693    11694    11695
n^2/4: 34152336 34158180 34164025 34169870 34175716 34181562 34187409 34193256
n    :    11696    11697    11698    11699    11700    11701    11702    11703
n^2/4: 34199104 34204952 34210801 34216650 34222500 34228350 34234201 34240052
n    :    11704    11705    11706    11707    11708    11709    11710    11711
n^2/4: 34245904 34251756 34257609 34263462 34269316 34275170 34281025 34286880
n    :    11712    11713    11714    11715    11716    11717    11718    11719
n^2/4: 34292736 34298592 34304449 34310306 34316164 34322022 34327881 34333740
n    :    11720    11721    11722    11723    11724    11725    11726    11727
n^2/4: 34339600 34345460 34351321 34357182 34363044 34368906 34374769 34380632
n    :    11728    11729    11730    11731    11732    11733    11734    11735
n^2/4: 34386496 34392360 34398225 34404090 34409956 34415822 34421689 34427556
n    :    11736    11737    11738    11739    11740    11741    11742    11743
n^2/4: 34433424 34439292 34445161 34451030 34456900 34462770 34468641 34474512
n    :    11744    11745    11746    11747    11748    11749    11750    11751
n^2/4: 34480384 34486256 34492129 34498002 34503876 34509750 34515625 34521500
n    :    11752    11753    11754    11755    11756    11757    11758    11759
n^2/4: 34527376 34533252 34539129 34545006 34550884 34556762 34562641 34568520
n    :    11760    11761    11762    11763    11764    11765    11766    11767
n^2/4: 34574400 34580280 34586161 34592042 34597924 34603806 34609689 34615572
n    :    11768    11769    11770    11771    11772    11773    11774    11775
n^2/4: 34621456 34627340 34633225 34639110 34644996 34650882 34656769 34662656
n    :    11776    11777    11778    11779    11780    11781    11782    11783
n^2/4: 34668544 34674432 34680321 34686210 34692100 34697990 34703881 34709772
n    :    11784    11785    11786    11787    11788    11789    11790    11791
n^2/4: 34715664 34721556 34727449 34733342 34739236 34745130 34751025 34756920
n    :    11792    11793    11794    11795    11796    11797    11798    11799
n^2/4: 34762816 34768712 34774609 34780506 34786404 34792302 34798201 34804100
n    :    11800    11801    11802    11803    11804    11805    11806    11807
n^2/4: 34810000 34815900 34821801 34827702 34833604 34839506 34845409 34851312
n    :    11808    11809    11810    11811    11812    11813    11814    11815
n^2/4: 34857216 34863120 34869025 34874930 34880836 34886742 34892649 34898556
n    :    11816    11817    11818    11819    11820    11821    11822    11823
n^2/4: 34904464 34910372 34916281 34922190 34928100 34934010 34939921 34945832
n    :    11824    11825    11826    11827    11828    11829    11830    11831
n^2/4: 34951744 34957656 34963569 34969482 34975396 34981310 34987225 34993140
n    :    11832    11833    11834    11835    11836    11837    11838    11839
n^2/4: 34999056 35004972 35010889 35016806 35022724 35028642 35034561 35040480
n    :    11840    11841    11842    11843    11844    11845    11846    11847
n^2/4: 35046400 35052320 35058241 35064162 35070084 35076006 35081929 35087852
n    :    11848    11849    11850    11851    11852    11853    11854    11855
n^2/4: 35093776 35099700 35105625 35111550 35117476 35123402 35129329 35135256
n    :    11856    11857    11858    11859    11860    11861    11862    11863
n^2/4: 35141184 35147112 35153041 35158970 35164900 35170830 35176761 35182692
n    :    11864    11865    11866    11867    11868    11869    11870    11871
n^2/4: 35188624 35194556 35200489 35206422 35212356 35218290 35224225 35230160
n    :    11872    11873    11874    11875    11876    11877    11878    11879
n^2/4: 35236096 35242032 35247969 35253906 35259844 35265782 35271721 35277660
n    :    11880    11881    11882    11883    11884    11885    11886    11887
n^2/4: 35283600 35289540 35295481 35301422 35307364 35313306 35319249 35325192
n    :    11888    11889    11890    11891    11892    11893    11894    11895
n^2/4: 35331136 35337080 35343025 35348970 35354916 35360862 35366809 35372756
n    :    11896    11897    11898    11899    11900    11901    11902    11903
n^2/4: 35378704 35384652 35390601 35396550 35402500 35408450 35414401 35420352
n    :    11904    11905    11906    11907    11908    11909    11910    11911
n^2/4: 35426304 35432256 35438209 35444162 35450116 35456070 35462025 35467980
n    :    11912    11913    11914    11915    11916    11917    11918    11919
n^2/4: 35473936 35479892 35485849 35491806 35497764 35503722 35509681 35515640
n    :    11920    11921    11922    11923    11924    11925    11926    11927
n^2/4: 35521600 35527560 35533521 35539482 35545444 35551406 35557369 35563332
n    :    11928    11929    11930    11931    11932    11933    11934    11935
n^2/4: 35569296 35575260 35581225 35587190 35593156 35599122 35605089 35611056
n    :    11936    11937    11938    11939    11940    11941    11942    11943
n^2/4: 35617024 35622992 35628961 35634930 35640900 35646870 35652841 35658812
n    :    11944    11945    11946    11947    11948    11949    11950    11951
n^2/4: 35664784 35670756 35676729 35682702 35688676 35694650 35700625 35706600
n    :    11952    11953    11954    11955    11956    11957    11958    11959
n^2/4: 35712576 35718552 35724529 35730506 35736484 35742462 35748441 35754420
n    :    11960    11961    11962    11963    11964    11965    11966    11967
n^2/4: 35760400 35766380 35772361 35778342 35784324 35790306 35796289 35802272
n    :    11968    11969    11970    11971    11972    11973    11974    11975
n^2/4: 35808256 35814240 35820225 35826210 35832196 35838182 35844169 35850156
n    :    11976    11977    11978    11979    11980    11981    11982    11983
n^2/4: 35856144 35862132 35868121 35874110 35880100 35886090 35892081 35898072
n    :    11984    11985    11986    11987    11988    11989    11990    11991
n^2/4: 35904064 35910056 35916049 35922042 35928036 35934030 35940025 35946020
n    :    11992    11993    11994    11995    11996    11997    11998    11999
n^2/4: 35952016 35958012 35964009 35970006 35976004 35982002 35988001 35994000
n    :    12000    12001    12002    12003    12004    12005    12006    12007
n^2/4: 36000000 36006000 36012001 36018002 36024004 36030006 36036009 36042012
n    :    12008    12009    12010    12011    12012    12013    12014    12015
n^2/4: 36048016 36054020 36060025 36066030 36072036 36078042 36084049 36090056
n    :    12016    12017    12018    12019    12020    12021    12022    12023
n^2/4: 36096064 36102072 36108081 36114090 36120100 36126110 36132121 36138132
n    :    12024    12025    12026    12027    12028    12029    12030    12031
n^2/4: 36144144 36150156 36156169 36162182 36168196 36174210 36180225 36186240
n    :    12032    12033    12034    12035    12036    12037    12038    12039
n^2/4: 36192256 36198272 36204289 36210306 36216324 36222342 36228361 36234380
n    :    12040    12041    12042    12043    12044    12045    12046    12047
n^2/4: 36240400 36246420 36252441 36258462 36264484 36270506 36276529 36282552
n    :    12048    12049    12050    12051    12052    12053    12054    12055
n^2/4: 36288576 36294600 36300625 36306650 36312676 36318702 36324729 36330756
n    :    12056    12057    12058    12059    12060    12061    12062    12063
n^2/4: 36336784 36342812 36348841 36354870 36360900 36366930 36372961 36378992
n    :    12064    12065    12066    12067    12068    12069    12070    12071
n^2/4: 36385024 36391056 36397089 36403122 36409156 36415190 36421225 36427260
n    :    12072    12073    12074    12075    12076    12077    12078    12079
n^2/4: 36433296 36439332 36445369 36451406 36457444 36463482 36469521 36475560
n    :    12080    12081    12082    12083    12084    12085    12086    12087
n^2/4: 36481600 36487640 36493681 36499722 36505764 36511806 36517849 36523892
n    :    12088    12089    12090    12091    12092    12093    12094    12095
n^2/4: 36529936 36535980 36542025 36548070 36554116 36560162 36566209 36572256
n    :    12096    12097    12098    12099    12100    12101    12102    12103
n^2/4: 36578304 36584352 36590401 36596450 36602500 36608550 36614601 36620652
n    :    12104    12105    12106    12107    12108    12109    12110    12111
n^2/4: 36626704 36632756 36638809 36644862 36650916 36656970 36663025 36669080
n    :    12112    12113    12114    12115    12116    12117    12118    12119
n^2/4: 36675136 36681192 36687249 36693306 36699364 36705422 36711481 36717540
n    :    12120    12121    12122    12123    12124    12125    12126    12127
n^2/4: 36723600 36729660 36735721 36741782 36747844 36753906 36759969 36766032
n    :    12128    12129    12130    12131    12132    12133    12134    12135
n^2/4: 36772096 36778160 36784225 36790290 36796356 36802422 36808489 36814556
n    :    12136    12137    12138    12139    12140    12141    12142    12143
n^2/4: 36820624 36826692 36832761 36838830 36844900 36850970 36857041 36863112
n    :    12144    12145    12146    12147    12148    12149    12150    12151
n^2/4: 36869184 36875256 36881329 36887402 36893476 36899550 36905625 36911700
n    :    12152    12153    12154    12155    12156    12157    12158    12159
n^2/4: 36917776 36923852 36929929 36936006 36942084 36948162 36954241 36960320
n    :    12160    12161    12162    12163    12164    12165    12166    12167
n^2/4: 36966400 36972480 36978561 36984642 36990724 36996806 37002889 37008972
n    :    12168    12169    12170    12171    12172    12173    12174    12175
n^2/4: 37015056 37021140 37027225 37033310 37039396 37045482 37051569 37057656
n    :    12176    12177    12178    12179    12180    12181    12182    12183
n^2/4: 37063744 37069832 37075921 37082010 37088100 37094190 37100281 37106372
n    :    12184    12185    12186    12187    12188    12189    12190    12191
n^2/4: 37112464 37118556 37124649 37130742 37136836 37142930 37149025 37155120
n    :    12192    12193    12194    12195    12196    12197    12198    12199
n^2/4: 37161216 37167312 37173409 37179506 37185604 37191702 37197801 37203900
n    :    12200    12201    12202    12203    12204    12205    12206    12207
n^2/4: 37210000 37216100 37222201 37228302 37234404 37240506 37246609 37252712
n    :    12208    12209    12210    12211    12212    12213    12214    12215
n^2/4: 37258816 37264920 37271025 37277130 37283236 37289342 37295449 37301556
n    :    12216    12217    12218    12219    12220    12221    12222    12223
n^2/4: 37307664 37313772 37319881 37325990 37332100 37338210 37344321 37350432
n    :    12224    12225    12226    12227    12228    12229    12230    12231
n^2/4: 37356544 37362656 37368769 37374882 37380996 37387110 37393225 37399340
n    :    12232    12233    12234    12235    12236    12237    12238    12239
n^2/4: 37405456 37411572 37417689 37423806 37429924 37436042 37442161 37448280
n    :    12240    12241    12242    12243    12244    12245    12246    12247
n^2/4: 37454400 37460520 37466641 37472762 37478884 37485006 37491129 37497252
n    :    12248    12249    12250    12251    12252    12253    12254    12255
n^2/4: 37503376 37509500 37515625 37521750 37527876 37534002 37540129 37546256
n    :    12256    12257    12258    12259    12260    12261    12262    12263
n^2/4: 37552384 37558512 37564641 37570770 37576900 37583030 37589161 37595292
n    :    12264    12265    12266    12267    12268    12269    12270    12271
n^2/4: 37601424 37607556 37613689 37619822 37625956 37632090 37638225 37644360
n    :    12272    12273    12274    12275    12276    12277    12278    12279
n^2/4: 37650496 37656632 37662769 37668906 37675044 37681182 37687321 37693460
n    :    12280    12281    12282    12283    12284    12285    12286    12287
n^2/4: 37699600 37705740 37711881 37718022 37724164 37730306 37736449 37742592
n    :    12288    12289    12290    12291    12292    12293    12294    12295
n^2/4: 37748736 37754880 37761025 37767170 37773316 37779462 37785609 37791756
n    :    12296    12297    12298    12299    12300    12301    12302    12303
n^2/4: 37797904 37804052 37810201 37816350 37822500 37828650 37834801 37840952
n    :    12304    12305    12306    12307    12308    12309    12310    12311
n^2/4: 37847104 37853256 37859409 37865562 37871716 37877870 37884025 37890180
n    :    12312    12313    12314    12315    12316    12317    12318    12319
n^2/4: 37896336 37902492 37908649 37914806 37920964 37927122 37933281 37939440
n    :    12320    12321    12322    12323    12324    12325    12326    12327
n^2/4: 37945600 37951760 37957921 37964082 37970244 37976406 37982569 37988732
n    :    12328    12329    12330    12331    12332    12333    12334    12335
n^2/4: 37994896 38001060 38007225 38013390 38019556 38025722 38031889 38038056
n    :    12336    12337    12338    12339    12340    12341    12342    12343
n^2/4: 38044224 38050392 38056561 38062730 38068900 38075070 38081241 38087412
n    :    12344    12345    12346    12347    12348    12349    12350    12351
n^2/4: 38093584 38099756 38105929 38112102 38118276 38124450 38130625 38136800
n    :    12352    12353    12354    12355    12356    12357    12358    12359
n^2/4: 38142976 38149152 38155329 38161506 38167684 38173862 38180041 38186220
n    :    12360    12361    12362    12363    12364    12365    12366    12367
n^2/4: 38192400 38198580 38204761 38210942 38217124 38223306 38229489 38235672
n    :    12368    12369    12370    12371    12372    12373    12374    12375
n^2/4: 38241856 38248040 38254225 38260410 38266596 38272782 38278969 38285156
n    :    12376    12377    12378    12379    12380    12381    12382    12383
n^2/4: 38291344 38297532 38303721 38309910 38316100 38322290 38328481 38334672
n    :    12384    12385    12386    12387    12388    12389    12390    12391
n^2/4: 38340864 38347056 38353249 38359442 38365636 38371830 38378025 38384220
n    :    12392    12393    12394    12395    12396    12397    12398    12399
n^2/4: 38390416 38396612 38402809 38409006 38415204 38421402 38427601 38433800
n    :    12400    12401    12402    12403    12404    12405    12406    12407
n^2/4: 38440000 38446200 38452401 38458602 38464804 38471006 38477209 38483412
n    :    12408    12409    12410    12411    12412    12413    12414    12415
n^2/4: 38489616 38495820 38502025 38508230 38514436 38520642 38526849 38533056
n    :    12416    12417    12418    12419    12420    12421    12422    12423
n^2/4: 38539264 38545472 38551681 38557890 38564100 38570310 38576521 38582732
n    :    12424    12425    12426    12427    12428    12429    12430    12431
n^2/4: 38588944 38595156 38601369 38607582 38613796 38620010 38626225 38632440
n    :    12432    12433    12434    12435    12436    12437    12438    12439
n^2/4: 38638656 38644872 38651089 38657306 38663524 38669742 38675961 38682180
n    :    12440    12441    12442    12443    12444    12445    12446    12447
n^2/4: 38688400 38694620 38700841 38707062 38713284 38719506 38725729 38731952
n    :    12448    12449    12450    12451    12452    12453    12454    12455
n^2/4: 38738176 38744400 38750625 38756850 38763076 38769302 38775529 38781756
n    :    12456    12457    12458    12459    12460    12461    12462    12463
n^2/4: 38787984 38794212 38800441 38806670 38812900 38819130 38825361 38831592
n    :    12464    12465    12466    12467    12468    12469    12470    12471
n^2/4: 38837824 38844056 38850289 38856522 38862756 38868990 38875225 38881460
n    :    12472    12473    12474    12475    12476    12477    12478    12479
n^2/4: 38887696 38893932 38900169 38906406 38912644 38918882 38925121 38931360
n    :    12480    12481    12482    12483    12484    12485    12486    12487
n^2/4: 38937600 38943840 38950081 38956322 38962564 38968806 38975049 38981292
n    :    12488    12489    12490    12491    12492    12493    12494    12495
n^2/4: 38987536 38993780 39000025 39006270 39012516 39018762 39025009 39031256
n    :    12496    12497    12498    12499    12500    12501    12502    12503
n^2/4: 39037504 39043752 39050001 39056250 39062500 39068750 39075001 39081252
n    :    12504    12505    12506    12507    12508    12509    12510    12511
n^2/4: 39087504 39093756 39100009 39106262 39112516 39118770 39125025 39131280
n    :    12512    12513    12514    12515    12516    12517    12518    12519
n^2/4: 39137536 39143792 39150049 39156306 39162564 39168822 39175081 39181340
n    :    12520    12521    12522    12523    12524    12525    12526    12527
n^2/4: 39187600 39193860 39200121 39206382 39212644 39218906 39225169 39231432
n    :    12528    12529    12530    12531    12532    12533    12534    12535
n^2/4: 39237696 39243960 39250225 39256490 39262756 39269022 39275289 39281556
n    :    12536    12537    12538    12539    12540    12541    12542    12543
n^2/4: 39287824 39294092 39300361 39306630 39312900 39319170 39325441 39331712
n    :    12544    12545    12546    12547    12548    12549    12550    12551
n^2/4: 39337984 39344256 39350529 39356802 39363076 39369350 39375625 39381900
n    :    12552    12553    12554    12555    12556    12557    12558    12559
n^2/4: 39388176 39394452 39400729 39407006 39413284 39419562 39425841 39432120
n    :    12560    12561    12562    12563    12564    12565    12566    12567
n^2/4: 39438400 39444680 39450961 39457242 39463524 39469806 39476089 39482372
n    :    12568    12569    12570    12571    12572    12573    12574    12575
n^2/4: 39488656 39494940 39501225 39507510 39513796 39520082 39526369 39532656
n    :    12576    12577    12578    12579    12580    12581    12582    12583
n^2/4: 39538944 39545232 39551521 39557810 39564100 39570390 39576681 39582972
n    :    12584    12585    12586    12587    12588    12589    12590    12591
n^2/4: 39589264 39595556 39601849 39608142 39614436 39620730 39627025 39633320
n    :    12592    12593    12594    12595    12596    12597    12598    12599
n^2/4: 39639616 39645912 39652209 39658506 39664804 39671102 39677401 39683700
n    :    12600    12601    12602    12603    12604    12605    12606    12607
n^2/4: 39690000 39696300 39702601 39708902 39715204 39721506 39727809 39734112
n    :    12608    12609    12610    12611    12612    12613    12614    12615
n^2/4: 39740416 39746720 39753025 39759330 39765636 39771942 39778249 39784556
n    :    12616    12617    12618    12619    12620    12621    12622    12623
n^2/4: 39790864 39797172 39803481 39809790 39816100 39822410 39828721 39835032
n    :    12624    12625    12626    12627    12628    12629    12630    12631
n^2/4: 39841344 39847656 39853969 39860282 39866596 39872910 39879225 39885540
n    :    12632    12633    12634    12635    12636    12637    12638    12639
n^2/4: 39891856 39898172 39904489 39910806 39917124 39923442 39929761 39936080
n    :    12640    12641    12642    12643    12644    12645    12646    12647
n^2/4: 39942400 39948720 39955041 39961362 39967684 39974006 39980329 39986652
n    :    12648    12649    12650    12651    12652    12653    12654    12655
n^2/4: 39992976 39999300 40005625 40011950 40018276 40024602 40030929 40037256
n    :    12656    12657    12658    12659    12660    12661    12662    12663
n^2/4: 40043584 40049912 40056241 40062570 40068900 40075230 40081561 40087892
n    :    12664    12665    12666    12667    12668    12669    12670    12671
n^2/4: 40094224 40100556 40106889 40113222 40119556 40125890 40132225 40138560
n    :    12672    12673    12674    12675    12676    12677    12678    12679
n^2/4: 40144896 40151232 40157569 40163906 40170244 40176582 40182921 40189260
n    :    12680    12681    12682    12683    12684    12685    12686    12687
n^2/4: 40195600 40201940 40208281 40214622 40220964 40227306 40233649 40239992
n    :    12688    12689    12690    12691    12692    12693    12694    12695
n^2/4: 40246336 40252680 40259025 40265370 40271716 40278062 40284409 40290756
n    :    12696    12697    12698    12699    12700    12701    12702    12703
n^2/4: 40297104 40303452 40309801 40316150 40322500 40328850 40335201 40341552
n    :    12704    12705    12706    12707    12708    12709    12710    12711
n^2/4: 40347904 40354256 40360609 40366962 40373316 40379670 40386025 40392380
n    :    12712    12713    12714    12715    12716    12717    12718    12719
n^2/4: 40398736 40405092 40411449 40417806 40424164 40430522 40436881 40443240
n    :    12720    12721    12722    12723    12724    12725    12726    12727
n^2/4: 40449600 40455960 40462321 40468682 40475044 40481406 40487769 40494132
n    :    12728    12729    12730    12731    12732    12733    12734    12735
n^2/4: 40500496 40506860 40513225 40519590 40525956 40532322 40538689 40545056
n    :    12736    12737    12738    12739    12740    12741    12742    12743
n^2/4: 40551424 40557792 40564161 40570530 40576900 40583270 40589641 40596012
n    :    12744    12745    12746    12747    12748    12749    12750    12751
n^2/4: 40602384 40608756 40615129 40621502 40627876 40634250 40640625 40647000
n    :    12752    12753    12754    12755    12756    12757    12758    12759
n^2/4: 40653376 40659752 40666129 40672506 40678884 40685262 40691641 40698020
n    :    12760    12761    12762    12763    12764    12765    12766    12767
n^2/4: 40704400 40710780 40717161 40723542 40729924 40736306 40742689 40749072
n    :    12768    12769    12770    12771    12772    12773    12774    12775
n^2/4: 40755456 40761840 40768225 40774610 40780996 40787382 40793769 40800156
n    :    12776    12777    12778    12779    12780    12781    12782    12783
n^2/4: 40806544 40812932 40819321 40825710 40832100 40838490 40844881 40851272
n    :    12784    12785    12786    12787    12788    12789    12790    12791
n^2/4: 40857664 40864056 40870449 40876842 40883236 40889630 40896025 40902420
n    :    12792    12793    12794    12795    12796    12797    12798    12799
n^2/4: 40908816 40915212 40921609 40928006 40934404 40940802 40947201 40953600
n    :    12800    12801    12802    12803    12804    12805    12806    12807
n^2/4: 40960000 40966400 40972801 40979202 40985604 40992006 40998409 41004812
n    :    12808    12809    12810    12811    12812    12813    12814    12815
n^2/4: 41011216 41017620 41024025 41030430 41036836 41043242 41049649 41056056
n    :    12816    12817    12818    12819    12820    12821    12822    12823
n^2/4: 41062464 41068872 41075281 41081690 41088100 41094510 41100921 41107332
n    :    12824    12825    12826    12827    12828    12829    12830    12831
n^2/4: 41113744 41120156 41126569 41132982 41139396 41145810 41152225 41158640
n    :    12832    12833    12834    12835    12836    12837    12838    12839
n^2/4: 41165056 41171472 41177889 41184306 41190724 41197142 41203561 41209980
n    :    12840    12841    12842    12843    12844    12845    12846    12847
n^2/4: 41216400 41222820 41229241 41235662 41242084 41248506 41254929 41261352
n    :    12848    12849    12850    12851    12852    12853    12854    12855
n^2/4: 41267776 41274200 41280625 41287050 41293476 41299902 41306329 41312756
n    :    12856    12857    12858    12859    12860    12861    12862    12863
n^2/4: 41319184 41325612 41332041 41338470 41344900 41351330 41357761 41364192
n    :    12864    12865    12866    12867    12868    12869    12870    12871
n^2/4: 41370624 41377056 41383489 41389922 41396356 41402790 41409225 41415660
n    :    12872    12873    12874    12875    12876    12877    12878    12879
n^2/4: 41422096 41428532 41434969 41441406 41447844 41454282 41460721 41467160
n    :    12880    12881    12882    12883    12884    12885    12886    12887
n^2/4: 41473600 41480040 41486481 41492922 41499364 41505806 41512249 41518692
n    :    12888    12889    12890    12891    12892    12893    12894    12895
n^2/4: 41525136 41531580 41538025 41544470 41550916 41557362 41563809 41570256
n    :    12896    12897    12898    12899    12900    12901    12902    12903
n^2/4: 41576704 41583152 41589601 41596050 41602500 41608950 41615401 41621852
n    :    12904    12905    12906    12907    12908    12909    12910    12911
n^2/4: 41628304 41634756 41641209 41647662 41654116 41660570 41667025 41673480
n    :    12912    12913    12914    12915    12916    12917    12918    12919
n^2/4: 41679936 41686392 41692849 41699306 41705764 41712222 41718681 41725140
n    :    12920    12921    12922    12923    12924    12925    12926    12927
n^2/4: 41731600 41738060 41744521 41750982 41757444 41763906 41770369 41776832
n    :    12928    12929    12930    12931    12932    12933    12934    12935
n^2/4: 41783296 41789760 41796225 41802690 41809156 41815622 41822089 41828556
n    :    12936    12937    12938    12939    12940    12941    12942    12943
n^2/4: 41835024 41841492 41847961 41854430 41860900 41867370 41873841 41880312
n    :    12944    12945    12946    12947    12948    12949    12950    12951
n^2/4: 41886784 41893256 41899729 41906202 41912676 41919150 41925625 41932100
n    :    12952    12953    12954    12955    12956    12957    12958    12959
n^2/4: 41938576 41945052 41951529 41958006 41964484 41970962 41977441 41983920
n    :    12960    12961    12962    12963    12964    12965    12966    12967
n^2/4: 41990400 41996880 42003361 42009842 42016324 42022806 42029289 42035772
n    :    12968    12969    12970    12971    12972    12973    12974    12975
n^2/4: 42042256 42048740 42055225 42061710 42068196 42074682 42081169 42087656
n    :    12976    12977    12978    12979    12980    12981    12982    12983
n^2/4: 42094144 42100632 42107121 42113610 42120100 42126590 42133081 42139572
n    :    12984    12985    12986    12987    12988    12989    12990    12991
n^2/4: 42146064 42152556 42159049 42165542 42172036 42178530 42185025 42191520
n    :    12992    12993    12994    12995    12996    12997    12998    12999
n^2/4: 42198016 42204512 42211009 42217506 42224004 42230502 42237001 42243500
n    :    13000    13001    13002    13003    13004    13005    13006    13007
n^2/4: 42250000 42256500 42263001 42269502 42276004 42282506 42289009 42295512
n    :    13008    13009    13010    13011    13012    13013    13014    13015
n^2/4: 42302016 42308520 42315025 42321530 42328036 42334542 42341049 42347556
n    :    13016    13017    13018    13019    13020    13021    13022    13023
n^2/4: 42354064 42360572 42367081 42373590 42380100 42386610 42393121 42399632
n    :    13024    13025    13026    13027    13028    13029    13030    13031
n^2/4: 42406144 42412656 42419169 42425682 42432196 42438710 42445225 42451740
n    :    13032    13033    13034    13035    13036    13037    13038    13039
n^2/4: 42458256 42464772 42471289 42477806 42484324 42490842 42497361 42503880
n    :    13040    13041    13042    13043    13044    13045    13046    13047
n^2/4: 42510400 42516920 42523441 42529962 42536484 42543006 42549529 42556052
n    :    13048    13049    13050    13051    13052    13053    13054    13055
n^2/4: 42562576 42569100 42575625 42582150 42588676 42595202 42601729 42608256
n    :    13056    13057    13058    13059    13060    13061    13062    13063
n^2/4: 42614784 42621312 42627841 42634370 42640900 42647430 42653961 42660492
n    :    13064    13065    13066    13067    13068    13069    13070    13071
n^2/4: 42667024 42673556 42680089 42686622 42693156 42699690 42706225 42712760
n    :    13072    13073    13074    13075    13076    13077    13078    13079
n^2/4: 42719296 42725832 42732369 42738906 42745444 42751982 42758521 42765060
n    :    13080    13081    13082    13083    13084    13085    13086    13087
n^2/4: 42771600 42778140 42784681 42791222 42797764 42804306 42810849 42817392
n    :    13088    13089    13090    13091    13092    13093    13094    13095
n^2/4: 42823936 42830480 42837025 42843570 42850116 42856662 42863209 42869756
n    :    13096    13097    13098    13099    13100    13101    13102    13103
n^2/4: 42876304 42882852 42889401 42895950 42902500 42909050 42915601 42922152
n    :    13104    13105    13106    13107    13108    13109    13110    13111
n^2/4: 42928704 42935256 42941809 42948362 42954916 42961470 42968025 42974580
n    :    13112    13113    13114    13115    13116    13117    13118    13119
n^2/4: 42981136 42987692 42994249 43000806 43007364 43013922 43020481 43027040
n    :    13120    13121    13122    13123    13124    13125    13126    13127
n^2/4: 43033600 43040160 43046721 43053282 43059844 43066406 43072969 43079532
n    :    13128    13129    13130    13131    13132    13133    13134    13135
n^2/4: 43086096 43092660 43099225 43105790 43112356 43118922 43125489 43132056
n    :    13136    13137    13138    13139    13140    13141    13142    13143
n^2/4: 43138624 43145192 43151761 43158330 43164900 43171470 43178041 43184612
n    :    13144    13145    13146    13147    13148    13149    13150    13151
n^2/4: 43191184 43197756 43204329 43210902 43217476 43224050 43230625 43237200
n    :    13152    13153    13154    13155    13156    13157    13158    13159
n^2/4: 43243776 43250352 43256929 43263506 43270084 43276662 43283241 43289820
n    :    13160    13161    13162    13163    13164    13165    13166    13167
n^2/4: 43296400 43302980 43309561 43316142 43322724 43329306 43335889 43342472
n    :    13168    13169    13170    13171    13172    13173    13174    13175
n^2/4: 43349056 43355640 43362225 43368810 43375396 43381982 43388569 43395156
n    :    13176    13177    13178    13179    13180    13181    13182    13183
n^2/4: 43401744 43408332 43414921 43421510 43428100 43434690 43441281 43447872
n    :    13184    13185    13186    13187    13188    13189    13190    13191
n^2/4: 43454464 43461056 43467649 43474242 43480836 43487430 43494025 43500620
n    :    13192    13193    13194    13195    13196    13197    13198    13199
n^2/4: 43507216 43513812 43520409 43527006 43533604 43540202 43546801 43553400
n    :    13200    13201    13202    13203    13204    13205    13206    13207
n^2/4: 43560000 43566600 43573201 43579802 43586404 43593006 43599609 43606212
n    :    13208    13209    13210    13211    13212    13213    13214    13215
n^2/4: 43612816 43619420 43626025 43632630 43639236 43645842 43652449 43659056
n    :    13216    13217    13218    13219    13220    13221    13222    13223
n^2/4: 43665664 43672272 43678881 43685490 43692100 43698710 43705321 43711932
n    :    13224    13225    13226    13227    13228    13229    13230    13231
n^2/4: 43718544 43725156 43731769 43738382 43744996 43751610 43758225 43764840
n    :    13232    13233    13234    13235    13236    13237    13238    13239
n^2/4: 43771456 43778072 43784689 43791306 43797924 43804542 43811161 43817780
n    :    13240    13241    13242    13243    13244    13245    13246    13247
n^2/4: 43824400 43831020 43837641 43844262 43850884 43857506 43864129 43870752
n    :    13248    13249    13250    13251    13252    13253    13254    13255
n^2/4: 43877376 43884000 43890625 43897250 43903876 43910502 43917129 43923756
n    :    13256    13257    13258    13259    13260    13261    13262    13263
n^2/4: 43930384 43937012 43943641 43950270 43956900 43963530 43970161 43976792
n    :    13264    13265    13266    13267    13268    13269    13270    13271
n^2/4: 43983424 43990056 43996689 44003322 44009956 44016590 44023225 44029860
n    :    13272    13273    13274    13275    13276    13277    13278    13279
n^2/4: 44036496 44043132 44049769 44056406 44063044 44069682 44076321 44082960
n    :    13280    13281    13282    13283    13284    13285    13286    13287
n^2/4: 44089600 44096240 44102881 44109522 44116164 44122806 44129449 44136092
n    :    13288    13289    13290    13291    13292    13293    13294    13295
n^2/4: 44142736 44149380 44156025 44162670 44169316 44175962 44182609 44189256
n    :    13296    13297    13298    13299    13300    13301    13302    13303
n^2/4: 44195904 44202552 44209201 44215850 44222500 44229150 44235801 44242452
n    :    13304    13305    13306    13307    13308    13309    13310    13311
n^2/4: 44249104 44255756 44262409 44269062 44275716 44282370 44289025 44295680
n    :    13312    13313    13314    13315    13316    13317    13318    13319
n^2/4: 44302336 44308992 44315649 44322306 44328964 44335622 44342281 44348940
n    :    13320    13321    13322    13323    13324    13325    13326    13327
n^2/4: 44355600 44362260 44368921 44375582 44382244 44388906 44395569 44402232
n    :    13328    13329    13330    13331    13332    13333    13334    13335
n^2/4: 44408896 44415560 44422225 44428890 44435556 44442222 44448889 44455556
n    :    13336    13337    13338    13339    13340    13341    13342    13343
n^2/4: 44462224 44468892 44475561 44482230 44488900 44495570 44502241 44508912
n    :    13344    13345    13346    13347    13348    13349    13350    13351
n^2/4: 44515584 44522256 44528929 44535602 44542276 44548950 44555625 44562300
n    :    13352    13353    13354    13355    13356    13357    13358    13359
n^2/4: 44568976 44575652 44582329 44589006 44595684 44602362 44609041 44615720
n    :    13360    13361    13362    13363    13364    13365    13366    13367
n^2/4: 44622400 44629080 44635761 44642442 44649124 44655806 44662489 44669172
n    :    13368    13369    13370    13371    13372    13373    13374    13375
n^2/4: 44675856 44682540 44689225 44695910 44702596 44709282 44715969 44722656
n    :    13376    13377    13378    13379    13380    13381    13382    13383
n^2/4: 44729344 44736032 44742721 44749410 44756100 44762790 44769481 44776172
n    :    13384    13385    13386    13387    13388    13389    13390    13391
n^2/4: 44782864 44789556 44796249 44802942 44809636 44816330 44823025 44829720
n    :    13392    13393    13394    13395    13396    13397    13398    13399
n^2/4: 44836416 44843112 44849809 44856506 44863204 44869902 44876601 44883300
n    :    13400    13401    13402    13403    13404    13405    13406    13407
n^2/4: 44890000 44896700 44903401 44910102 44916804 44923506 44930209 44936912
n    :    13408    13409    13410    13411    13412    13413    13414    13415
n^2/4: 44943616 44950320 44957025 44963730 44970436 44977142 44983849 44990556
n    :    13416    13417    13418    13419    13420    13421    13422    13423
n^2/4: 44997264 45003972 45010681 45017390 45024100 45030810 45037521 45044232
n    :    13424    13425    13426    13427    13428    13429    13430    13431
n^2/4: 45050944 45057656 45064369 45071082 45077796 45084510 45091225 45097940
n    :    13432    13433    13434    13435    13436    13437    13438    13439
n^2/4: 45104656 45111372 45118089 45124806 45131524 45138242 45144961 45151680
n    :    13440    13441    13442    13443    13444    13445    13446    13447
n^2/4: 45158400 45165120 45171841 45178562 45185284 45192006 45198729 45205452
n    :    13448    13449    13450    13451    13452    13453    13454    13455
n^2/4: 45212176 45218900 45225625 45232350 45239076 45245802 45252529 45259256
n    :    13456    13457    13458    13459    13460    13461    13462    13463
n^2/4: 45265984 45272712 45279441 45286170 45292900 45299630 45306361 45313092
n    :    13464    13465    13466    13467    13468    13469    13470    13471
n^2/4: 45319824 45326556 45333289 45340022 45346756 45353490 45360225 45366960
n    :    13472    13473    13474    13475    13476    13477    13478    13479
n^2/4: 45373696 45380432 45387169 45393906 45400644 45407382 45414121 45420860
n    :    13480    13481    13482    13483    13484    13485    13486    13487
n^2/4: 45427600 45434340 45441081 45447822 45454564 45461306 45468049 45474792
n    :    13488    13489    13490    13491    13492    13493    13494    13495
n^2/4: 45481536 45488280 45495025 45501770 45508516 45515262 45522009 45528756
n    :    13496    13497    13498    13499    13500    13501    13502    13503
n^2/4: 45535504 45542252 45549001 45555750 45562500 45569250 45576001 45582752
n    :    13504    13505    13506    13507    13508    13509    13510    13511
n^2/4: 45589504 45596256 45603009 45609762 45616516 45623270 45630025 45636780
n    :    13512    13513    13514    13515    13516    13517    13518    13519
n^2/4: 45643536 45650292 45657049 45663806 45670564 45677322 45684081 45690840
n    :    13520    13521    13522    13523    13524    13525    13526    13527
n^2/4: 45697600 45704360 45711121 45717882 45724644 45731406 45738169 45744932
n    :    13528    13529    13530    13531    13532    13533    13534    13535
n^2/4: 45751696 45758460 45765225 45771990 45778756 45785522 45792289 45799056
n    :    13536    13537    13538    13539    13540    13541    13542    13543
n^2/4: 45805824 45812592 45819361 45826130 45832900 45839670 45846441 45853212
n    :    13544    13545    13546    13547    13548    13549    13550    13551
n^2/4: 45859984 45866756 45873529 45880302 45887076 45893850 45900625 45907400
n    :    13552    13553    13554    13555    13556    13557    13558    13559
n^2/4: 45914176 45920952 45927729 45934506 45941284 45948062 45954841 45961620
n    :    13560    13561    13562    13563    13564    13565    13566    13567
n^2/4: 45968400 45975180 45981961 45988742 45995524 46002306 46009089 46015872
n    :    13568    13569    13570    13571    13572    13573    13574    13575
n^2/4: 46022656 46029440 46036225 46043010 46049796 46056582 46063369 46070156
n    :    13576    13577    13578    13579    13580    13581    13582    13583
n^2/4: 46076944 46083732 46090521 46097310 46104100 46110890 46117681 46124472
n    :    13584    13585    13586    13587    13588    13589    13590    13591
n^2/4: 46131264 46138056 46144849 46151642 46158436 46165230 46172025 46178820
n    :    13592    13593    13594    13595    13596    13597    13598    13599
n^2/4: 46185616 46192412 46199209 46206006 46212804 46219602 46226401 46233200
n    :    13600    13601    13602    13603    13604    13605    13606    13607
n^2/4: 46240000 46246800 46253601 46260402 46267204 46274006 46280809 46287612
n    :    13608    13609    13610    13611    13612    13613    13614    13615
n^2/4: 46294416 46301220 46308025 46314830 46321636 46328442 46335249 46342056
n    :    13616    13617    13618    13619    13620    13621    13622    13623
n^2/4: 46348864 46355672 46362481 46369290 46376100 46382910 46389721 46396532
n    :    13624    13625    13626    13627    13628    13629    13630    13631
n^2/4: 46403344 46410156 46416969 46423782 46430596 46437410 46444225 46451040
n    :    13632    13633    13634    13635    13636    13637    13638    13639
n^2/4: 46457856 46464672 46471489 46478306 46485124 46491942 46498761 46505580
n    :    13640    13641    13642    13643    13644    13645    13646    13647
n^2/4: 46512400 46519220 46526041 46532862 46539684 46546506 46553329 46560152
n    :    13648    13649    13650    13651    13652    13653    13654    13655
n^2/4: 46566976 46573800 46580625 46587450 46594276 46601102 46607929 46614756
n    :    13656    13657    13658    13659    13660    13661    13662    13663
n^2/4: 46621584 46628412 46635241 46642070 46648900 46655730 46662561 46669392
n    :    13664    13665    13666    13667    13668    13669    13670    13671
n^2/4: 46676224 46683056 46689889 46696722 46703556 46710390 46717225 46724060
n    :    13672    13673    13674    13675    13676    13677    13678    13679
n^2/4: 46730896 46737732 46744569 46751406 46758244 46765082 46771921 46778760
n    :    13680    13681    13682    13683    13684    13685    13686    13687
n^2/4: 46785600 46792440 46799281 46806122 46812964 46819806 46826649 46833492
n    :    13688    13689    13690    13691    13692    13693    13694    13695
n^2/4: 46840336 46847180 46854025 46860870 46867716 46874562 46881409 46888256
n    :    13696    13697    13698    13699    13700    13701    13702    13703
n^2/4: 46895104 46901952 46908801 46915650 46922500 46929350 46936201 46943052
n    :    13704    13705    13706    13707    13708    13709    13710    13711
n^2/4: 46949904 46956756 46963609 46970462 46977316 46984170 46991025 46997880
n    :    13712    13713    13714    13715    13716    13717    13718    13719
n^2/4: 47004736 47011592 47018449 47025306 47032164 47039022 47045881 47052740
n    :    13720    13721    13722    13723    13724    13725    13726    13727
n^2/4: 47059600 47066460 47073321 47080182 47087044 47093906 47100769 47107632
n    :    13728    13729    13730    13731    13732    13733    13734    13735
n^2/4: 47114496 47121360 47128225 47135090 47141956 47148822 47155689 47162556
n    :    13736    13737    13738    13739    13740    13741    13742    13743
n^2/4: 47169424 47176292 47183161 47190030 47196900 47203770 47210641 47217512
n    :    13744    13745    13746    13747    13748    13749    13750    13751
n^2/4: 47224384 47231256 47238129 47245002 47251876 47258750 47265625 47272500
n    :    13752    13753    13754    13755    13756    13757    13758    13759
n^2/4: 47279376 47286252 47293129 47300006 47306884 47313762 47320641 47327520
n    :    13760    13761    13762    13763    13764    13765    13766    13767
n^2/4: 47334400 47341280 47348161 47355042 47361924 47368806 47375689 47382572
n    :    13768    13769    13770    13771    13772    13773    13774    13775
n^2/4: 47389456 47396340 47403225 47410110 47416996 47423882 47430769 47437656
n    :    13776    13777    13778    13779    13780    13781    13782    13783
n^2/4: 47444544 47451432 47458321 47465210 47472100 47478990 47485881 47492772
n    :    13784    13785    13786    13787    13788    13789    13790    13791
n^2/4: 47499664 47506556 47513449 47520342 47527236 47534130 47541025 47547920
n    :    13792    13793    13794    13795    13796    13797    13798    13799
n^2/4: 47554816 47561712 47568609 47575506 47582404 47589302 47596201 47603100
n    :    13800    13801    13802    13803    13804    13805    13806    13807
n^2/4: 47610000 47616900 47623801 47630702 47637604 47644506 47651409 47658312
n    :    13808    13809    13810    13811    13812    13813    13814    13815
n^2/4: 47665216 47672120 47679025 47685930 47692836 47699742 47706649 47713556
n    :    13816    13817    13818    13819    13820    13821    13822    13823
n^2/4: 47720464 47727372 47734281 47741190 47748100 47755010 47761921 47768832
n    :    13824    13825    13826    13827    13828    13829    13830    13831
n^2/4: 47775744 47782656 47789569 47796482 47803396 47810310 47817225 47824140
n    :    13832    13833    13834    13835    13836    13837    13838    13839
n^2/4: 47831056 47837972 47844889 47851806 47858724 47865642 47872561 47879480
n    :    13840    13841    13842    13843    13844    13845    13846    13847
n^2/4: 47886400 47893320 47900241 47907162 47914084 47921006 47927929 47934852
n    :    13848    13849    13850    13851    13852    13853    13854    13855
n^2/4: 47941776 47948700 47955625 47962550 47969476 47976402 47983329 47990256
n    :    13856    13857    13858    13859    13860    13861    13862    13863
n^2/4: 47997184 48004112 48011041 48017970 48024900 48031830 48038761 48045692
n    :    13864    13865    13866    13867    13868    13869    13870    13871
n^2/4: 48052624 48059556 48066489 48073422 48080356 48087290 48094225 48101160
n    :    13872    13873    13874    13875    13876    13877    13878    13879
n^2/4: 48108096 48115032 48121969 48128906 48135844 48142782 48149721 48156660
n    :    13880    13881    13882    13883    13884    13885    13886    13887
n^2/4: 48163600 48170540 48177481 48184422 48191364 48198306 48205249 48212192
n    :    13888    13889    13890    13891    13892    13893    13894    13895
n^2/4: 48219136 48226080 48233025 48239970 48246916 48253862 48260809 48267756
n    :    13896    13897    13898    13899    13900    13901    13902    13903
n^2/4: 48274704 48281652 48288601 48295550 48302500 48309450 48316401 48323352
n    :    13904    13905    13906    13907    13908    13909    13910    13911
n^2/4: 48330304 48337256 48344209 48351162 48358116 48365070 48372025 48378980
n    :    13912    13913    13914    13915    13916    13917    13918    13919
n^2/4: 48385936 48392892 48399849 48406806 48413764 48420722 48427681 48434640
n    :    13920    13921    13922    13923    13924    13925    13926    13927
n^2/4: 48441600 48448560 48455521 48462482 48469444 48476406 48483369 48490332
n    :    13928    13929    13930    13931    13932    13933    13934    13935
n^2/4: 48497296 48504260 48511225 48518190 48525156 48532122 48539089 48546056
n    :    13936    13937    13938    13939    13940    13941    13942    13943
n^2/4: 48553024 48559992 48566961 48573930 48580900 48587870 48594841 48601812
n    :    13944    13945    13946    13947    13948    13949    13950    13951
n^2/4: 48608784 48615756 48622729 48629702 48636676 48643650 48650625 48657600
n    :    13952    13953    13954    13955    13956    13957    13958    13959
n^2/4: 48664576 48671552 48678529 48685506 48692484 48699462 48706441 48713420
n    :    13960    13961    13962    13963    13964    13965    13966    13967
n^2/4: 48720400 48727380 48734361 48741342 48748324 48755306 48762289 48769272
n    :    13968    13969    13970    13971    13972    13973    13974    13975
n^2/4: 48776256 48783240 48790225 48797210 48804196 48811182 48818169 48825156
n    :    13976    13977    13978    13979    13980    13981    13982    13983
n^2/4: 48832144 48839132 48846121 48853110 48860100 48867090 48874081 48881072
n    :    13984    13985    13986    13987    13988    13989    13990    13991
n^2/4: 48888064 48895056 48902049 48909042 48916036 48923030 48930025 48937020
n    :    13992    13993    13994    13995    13996    13997    13998    13999
n^2/4: 48944016 48951012 48958009 48965006 48972004 48979002 48986001 48993000
n    :    14000    14001    14002    14003    14004    14005    14006    14007
n^2/4: 49000000 49007000 49014001 49021002 49028004 49035006 49042009 49049012
n    :    14008    14009    14010    14011    14012    14013    14014    14015
n^2/4: 49056016 49063020 49070025 49077030 49084036 49091042 49098049 49105056
n    :    14016    14017    14018    14019    14020    14021    14022    14023
n^2/4: 49112064 49119072 49126081 49133090 49140100 49147110 49154121 49161132
n    :    14024    14025    14026    14027    14028    14029    14030    14031
n^2/4: 49168144 49175156 49182169 49189182 49196196 49203210 49210225 49217240
n    :    14032    14033    14034    14035    14036    14037    14038    14039
n^2/4: 49224256 49231272 49238289 49245306 49252324 49259342 49266361 49273380
n    :    14040    14041    14042    14043    14044    14045    14046    14047
n^2/4: 49280400 49287420 49294441 49301462 49308484 49315506 49322529 49329552
n    :    14048    14049    14050    14051    14052    14053    14054    14055
n^2/4: 49336576 49343600 49350625 49357650 49364676 49371702 49378729 49385756
n    :    14056    14057    14058    14059    14060    14061    14062    14063
n^2/4: 49392784 49399812 49406841 49413870 49420900 49427930 49434961 49441992
n    :    14064    14065    14066    14067    14068    14069    14070    14071
n^2/4: 49449024 49456056 49463089 49470122 49477156 49484190 49491225 49498260
n    :    14072    14073    14074    14075    14076    14077    14078    14079
n^2/4: 49505296 49512332 49519369 49526406 49533444 49540482 49547521 49554560
n    :    14080    14081    14082    14083    14084    14085    14086    14087
n^2/4: 49561600 49568640 49575681 49582722 49589764 49596806 49603849 49610892
n    :    14088    14089    14090    14091    14092    14093    14094    14095
n^2/4: 49617936 49624980 49632025 49639070 49646116 49653162 49660209 49667256
n    :    14096    14097    14098    14099    14100    14101    14102    14103
n^2/4: 49674304 49681352 49688401 49695450 49702500 49709550 49716601 49723652
n    :    14104    14105    14106    14107    14108    14109    14110    14111
n^2/4: 49730704 49737756 49744809 49751862 49758916 49765970 49773025 49780080
n    :    14112    14113    14114    14115    14116    14117    14118    14119
n^2/4: 49787136 49794192 49801249 49808306 49815364 49822422 49829481 49836540
n    :    14120    14121    14122    14123    14124    14125    14126    14127
n^2/4: 49843600 49850660 49857721 49864782 49871844 49878906 49885969 49893032
n    :    14128    14129    14130    14131    14132    14133    14134    14135
n^2/4: 49900096 49907160 49914225 49921290 49928356 49935422 49942489 49949556
n    :    14136    14137    14138    14139    14140    14141    14142    14143
n^2/4: 49956624 49963692 49970761 49977830 49984900 49991970 49999041 50006112
n    :    14144    14145    14146    14147    14148    14149    14150    14151
n^2/4: 50013184 50020256 50027329 50034402 50041476 50048550 50055625 50062700
n    :    14152    14153    14154    14155    14156    14157    14158    14159
n^2/4: 50069776 50076852 50083929 50091006 50098084 50105162 50112241 50119320
n    :    14160    14161    14162    14163    14164    14165    14166    14167
n^2/4: 50126400 50133480 50140561 50147642 50154724 50161806 50168889 50175972
n    :    14168    14169    14170    14171    14172    14173    14174    14175
n^2/4: 50183056 50190140 50197225 50204310 50211396 50218482 50225569 50232656
n    :    14176    14177    14178    14179    14180    14181    14182    14183
n^2/4: 50239744 50246832 50253921 50261010 50268100 50275190 50282281 50289372
n    :    14184    14185    14186    14187    14188    14189    14190    14191
n^2/4: 50296464 50303556 50310649 50317742 50324836 50331930 50339025 50346120
n    :    14192    14193    14194    14195    14196    14197    14198    14199
n^2/4: 50353216 50360312 50367409 50374506 50381604 50388702 50395801 50402900
n    :    14200    14201    14202    14203    14204    14205    14206    14207
n^2/4: 50410000 50417100 50424201 50431302 50438404 50445506 50452609 50459712
n    :    14208    14209    14210    14211    14212    14213    14214    14215
n^2/4: 50466816 50473920 50481025 50488130 50495236 50502342 50509449 50516556
n    :    14216    14217    14218    14219    14220    14221    14222    14223
n^2/4: 50523664 50530772 50537881 50544990 50552100 50559210 50566321 50573432
n    :    14224    14225    14226    14227    14228    14229    14230    14231
n^2/4: 50580544 50587656 50594769 50601882 50608996 50616110 50623225 50630340
n    :    14232    14233    14234    14235    14236    14237    14238    14239
n^2/4: 50637456 50644572 50651689 50658806 50665924 50673042 50680161 50687280
n    :    14240    14241    14242    14243    14244    14245    14246    14247
n^2/4: 50694400 50701520 50708641 50715762 50722884 50730006 50737129 50744252
n    :    14248    14249    14250    14251    14252    14253    14254    14255
n^2/4: 50751376 50758500 50765625 50772750 50779876 50787002 50794129 50801256
n    :    14256    14257    14258    14259    14260    14261    14262    14263
n^2/4: 50808384 50815512 50822641 50829770 50836900 50844030 50851161 50858292
n    :    14264    14265    14266    14267    14268    14269    14270    14271
n^2/4: 50865424 50872556 50879689 50886822 50893956 50901090 50908225 50915360
n    :    14272    14273    14274    14275    14276    14277    14278    14279
n^2/4: 50922496 50929632 50936769 50943906 50951044 50958182 50965321 50972460
n    :    14280    14281    14282    14283    14284    14285    14286    14287
n^2/4: 50979600 50986740 50993881 51001022 51008164 51015306 51022449 51029592
n    :    14288    14289    14290    14291    14292    14293    14294    14295
n^2/4: 51036736 51043880 51051025 51058170 51065316 51072462 51079609 51086756
n    :    14296    14297    14298    14299    14300    14301    14302    14303
n^2/4: 51093904 51101052 51108201 51115350 51122500 51129650 51136801 51143952
n    :    14304    14305    14306    14307    14308    14309    14310    14311
n^2/4: 51151104 51158256 51165409 51172562 51179716 51186870 51194025 51201180
n    :    14312    14313    14314    14315    14316    14317    14318    14319
n^2/4: 51208336 51215492 51222649 51229806 51236964 51244122 51251281 51258440
n    :    14320    14321    14322    14323    14324    14325    14326    14327
n^2/4: 51265600 51272760 51279921 51287082 51294244 51301406 51308569 51315732
n    :    14328    14329    14330    14331    14332    14333    14334    14335
n^2/4: 51322896 51330060 51337225 51344390 51351556 51358722 51365889 51373056
n    :    14336    14337    14338    14339    14340    14341    14342    14343
n^2/4: 51380224 51387392 51394561 51401730 51408900 51416070 51423241 51430412
n    :    14344    14345    14346    14347    14348    14349    14350    14351
n^2/4: 51437584 51444756 51451929 51459102 51466276 51473450 51480625 51487800
n    :    14352    14353    14354    14355    14356    14357    14358    14359
n^2/4: 51494976 51502152 51509329 51516506 51523684 51530862 51538041 51545220
n    :    14360    14361    14362    14363    14364    14365    14366    14367
n^2/4: 51552400 51559580 51566761 51573942 51581124 51588306 51595489 51602672
n    :    14368    14369    14370    14371    14372    14373    14374    14375
n^2/4: 51609856 51617040 51624225 51631410 51638596 51645782 51652969 51660156
n    :    14376    14377    14378    14379    14380    14381    14382    14383
n^2/4: 51667344 51674532 51681721 51688910 51696100 51703290 51710481 51717672
n    :    14384    14385    14386    14387    14388    14389    14390    14391
n^2/4: 51724864 51732056 51739249 51746442 51753636 51760830 51768025 51775220
n    :    14392    14393    14394    14395    14396    14397    14398    14399
n^2/4: 51782416 51789612 51796809 51804006 51811204 51818402 51825601 51832800
n    :    14400    14401    14402    14403    14404    14405    14406    14407
n^2/4: 51840000 51847200 51854401 51861602 51868804 51876006 51883209 51890412
n    :    14408    14409    14410    14411    14412    14413    14414    14415
n^2/4: 51897616 51904820 51912025 51919230 51926436 51933642 51940849 51948056
n    :    14416    14417    14418    14419    14420    14421    14422    14423
n^2/4: 51955264 51962472 51969681 51976890 51984100 51991310 51998521 52005732
n    :    14424    14425    14426    14427    14428    14429    14430    14431
n^2/4: 52012944 52020156 52027369 52034582 52041796 52049010 52056225 52063440
n    :    14432    14433    14434    14435    14436    14437    14438    14439
n^2/4: 52070656 52077872 52085089 52092306 52099524 52106742 52113961 52121180
n    :    14440    14441    14442    14443    14444    14445    14446    14447
n^2/4: 52128400 52135620 52142841 52150062 52157284 52164506 52171729 52178952
n    :    14448    14449    14450    14451    14452    14453    14454    14455
n^2/4: 52186176 52193400 52200625 52207850 52215076 52222302 52229529 52236756
n    :    14456    14457    14458    14459    14460    14461    14462    14463
n^2/4: 52243984 52251212 52258441 52265670 52272900 52280130 52287361 52294592
n    :    14464    14465    14466    14467    14468    14469    14470    14471
n^2/4: 52301824 52309056 52316289 52323522 52330756 52337990 52345225 52352460
n    :    14472    14473    14474    14475    14476    14477    14478    14479
n^2/4: 52359696 52366932 52374169 52381406 52388644 52395882 52403121 52410360
n    :    14480    14481    14482    14483    14484    14485    14486    14487
n^2/4: 52417600 52424840 52432081 52439322 52446564 52453806 52461049 52468292
n    :    14488    14489    14490    14491    14492    14493    14494    14495
n^2/4: 52475536 52482780 52490025 52497270 52504516 52511762 52519009 52526256
n    :    14496    14497    14498    14499    14500    14501    14502    14503
n^2/4: 52533504 52540752 52548001 52555250 52562500 52569750 52577001 52584252
n    :    14504    14505    14506    14507    14508    14509    14510    14511
n^2/4: 52591504 52598756 52606009 52613262 52620516 52627770 52635025 52642280
n    :    14512    14513    14514    14515    14516    14517    14518    14519
n^2/4: 52649536 52656792 52664049 52671306 52678564 52685822 52693081 52700340
n    :    14520    14521    14522    14523    14524    14525    14526    14527
n^2/4: 52707600 52714860 52722121 52729382 52736644 52743906 52751169 52758432
n    :    14528    14529    14530    14531    14532    14533    14534    14535
n^2/4: 52765696 52772960 52780225 52787490 52794756 52802022 52809289 52816556
n    :    14536    14537    14538    14539    14540    14541    14542    14543
n^2/4: 52823824 52831092 52838361 52845630 52852900 52860170 52867441 52874712
n    :    14544    14545    14546    14547    14548    14549    14550    14551
n^2/4: 52881984 52889256 52896529 52903802 52911076 52918350 52925625 52932900
n    :    14552    14553    14554    14555    14556    14557    14558    14559
n^2/4: 52940176 52947452 52954729 52962006 52969284 52976562 52983841 52991120
n    :    14560    14561    14562    14563    14564    14565    14566    14567
n^2/4: 52998400 53005680 53012961 53020242 53027524 53034806 53042089 53049372
n    :    14568    14569    14570    14571    14572    14573    14574    14575
n^2/4: 53056656 53063940 53071225 53078510 53085796 53093082 53100369 53107656
n    :    14576    14577    14578    14579    14580    14581    14582    14583
n^2/4: 53114944 53122232 53129521 53136810 53144100 53151390 53158681 53165972
n    :    14584    14585    14586    14587    14588    14589    14590    14591
n^2/4: 53173264 53180556 53187849 53195142 53202436 53209730 53217025 53224320
n    :    14592    14593    14594    14595    14596    14597    14598    14599
n^2/4: 53231616 53238912 53246209 53253506 53260804 53268102 53275401 53282700
n    :    14600    14601    14602    14603    14604    14605    14606    14607
n^2/4: 53290000 53297300 53304601 53311902 53319204 53326506 53333809 53341112
n    :    14608    14609    14610    14611    14612    14613    14614    14615
n^2/4: 53348416 53355720 53363025 53370330 53377636 53384942 53392249 53399556
n    :    14616    14617    14618    14619    14620    14621    14622    14623
n^2/4: 53406864 53414172 53421481 53428790 53436100 53443410 53450721 53458032
n    :    14624    14625    14626    14627    14628    14629    14630    14631
n^2/4: 53465344 53472656 53479969 53487282 53494596 53501910 53509225 53516540
n    :    14632    14633    14634    14635    14636    14637    14638    14639
n^2/4: 53523856 53531172 53538489 53545806 53553124 53560442 53567761 53575080
n    :    14640    14641    14642    14643    14644    14645    14646    14647
n^2/4: 53582400 53589720 53597041 53604362 53611684 53619006 53626329 53633652
n    :    14648    14649    14650    14651    14652    14653    14654    14655
n^2/4: 53640976 53648300 53655625 53662950 53670276 53677602 53684929 53692256
n    :    14656    14657    14658    14659    14660    14661    14662    14663
n^2/4: 53699584 53706912 53714241 53721570 53728900 53736230 53743561 53750892
n    :    14664    14665    14666    14667    14668    14669    14670    14671
n^2/4: 53758224 53765556 53772889 53780222 53787556 53794890 53802225 53809560
n    :    14672    14673    14674    14675    14676    14677    14678    14679
n^2/4: 53816896 53824232 53831569 53838906 53846244 53853582 53860921 53868260
n    :    14680    14681    14682    14683    14684    14685    14686    14687
n^2/4: 53875600 53882940 53890281 53897622 53904964 53912306 53919649 53926992
n    :    14688    14689    14690    14691    14692    14693    14694    14695
n^2/4: 53934336 53941680 53949025 53956370 53963716 53971062 53978409 53985756
n    :    14696    14697    14698    14699    14700    14701    14702    14703
n^2/4: 53993104 54000452 54007801 54015150 54022500 54029850 54037201 54044552
n    :    14704    14705    14706    14707    14708    14709    14710    14711
n^2/4: 54051904 54059256 54066609 54073962 54081316 54088670 54096025 54103380
n    :    14712    14713    14714    14715    14716    14717    14718    14719
n^2/4: 54110736 54118092 54125449 54132806 54140164 54147522 54154881 54162240
n    :    14720    14721    14722    14723    14724    14725    14726    14727
n^2/4: 54169600 54176960 54184321 54191682 54199044 54206406 54213769 54221132
n    :    14728    14729    14730    14731    14732    14733    14734    14735
n^2/4: 54228496 54235860 54243225 54250590 54257956 54265322 54272689 54280056
n    :    14736    14737    14738    14739    14740    14741    14742    14743
n^2/4: 54287424 54294792 54302161 54309530 54316900 54324270 54331641 54339012
n    :    14744    14745    14746    14747    14748    14749    14750    14751
n^2/4: 54346384 54353756 54361129 54368502 54375876 54383250 54390625 54398000
n    :    14752    14753    14754    14755    14756    14757    14758    14759
n^2/4: 54405376 54412752 54420129 54427506 54434884 54442262 54449641 54457020
n    :    14760    14761    14762    14763    14764    14765    14766    14767
n^2/4: 54464400 54471780 54479161 54486542 54493924 54501306 54508689 54516072
n    :    14768    14769    14770    14771    14772    14773    14774    14775
n^2/4: 54523456 54530840 54538225 54545610 54552996 54560382 54567769 54575156
n    :    14776    14777    14778    14779    14780    14781    14782    14783
n^2/4: 54582544 54589932 54597321 54604710 54612100 54619490 54626881 54634272
n    :    14784    14785    14786    14787    14788    14789    14790    14791
n^2/4: 54641664 54649056 54656449 54663842 54671236 54678630 54686025 54693420
n    :    14792    14793    14794    14795    14796    14797    14798    14799
n^2/4: 54700816 54708212 54715609 54723006 54730404 54737802 54745201 54752600
n    :    14800    14801    14802    14803    14804    14805    14806    14807
n^2/4: 54760000 54767400 54774801 54782202 54789604 54797006 54804409 54811812
n    :    14808    14809    14810    14811    14812    14813    14814    14815
n^2/4: 54819216 54826620 54834025 54841430 54848836 54856242 54863649 54871056
n    :    14816    14817    14818    14819    14820    14821    14822    14823
n^2/4: 54878464 54885872 54893281 54900690 54908100 54915510 54922921 54930332
n    :    14824    14825    14826    14827    14828    14829    14830    14831
n^2/4: 54937744 54945156 54952569 54959982 54967396 54974810 54982225 54989640
n    :    14832    14833    14834    14835    14836    14837    14838    14839
n^2/4: 54997056 55004472 55011889 55019306 55026724 55034142 55041561 55048980
n    :    14840    14841    14842    14843    14844    14845    14846    14847
n^2/4: 55056400 55063820 55071241 55078662 55086084 55093506 55100929 55108352
n    :    14848    14849    14850    14851    14852    14853    14854    14855
n^2/4: 55115776 55123200 55130625 55138050 55145476 55152902 55160329 55167756
n    :    14856    14857    14858    14859    14860    14861    14862    14863
n^2/4: 55175184 55182612 55190041 55197470 55204900 55212330 55219761 55227192
n    :    14864    14865    14866    14867    14868    14869    14870    14871
n^2/4: 55234624 55242056 55249489 55256922 55264356 55271790 55279225 55286660
n    :    14872    14873    14874    14875    14876    14877    14878    14879
n^2/4: 55294096 55301532 55308969 55316406 55323844 55331282 55338721 55346160
n    :    14880    14881    14882    14883    14884    14885    14886    14887
n^2/4: 55353600 55361040 55368481 55375922 55383364 55390806 55398249 55405692
n    :    14888    14889    14890    14891    14892    14893    14894    14895
n^2/4: 55413136 55420580 55428025 55435470 55442916 55450362 55457809 55465256
n    :    14896    14897    14898    14899    14900    14901    14902    14903
n^2/4: 55472704 55480152 55487601 55495050 55502500 55509950 55517401 55524852
n    :    14904    14905    14906    14907    14908    14909    14910    14911
n^2/4: 55532304 55539756 55547209 55554662 55562116 55569570 55577025 55584480
n    :    14912    14913    14914    14915    14916    14917    14918    14919
n^2/4: 55591936 55599392 55606849 55614306 55621764 55629222 55636681 55644140
n    :    14920    14921    14922    14923    14924    14925    14926    14927
n^2/4: 55651600 55659060 55666521 55673982 55681444 55688906 55696369 55703832
n    :    14928    14929    14930    14931    14932    14933    14934    14935
n^2/4: 55711296 55718760 55726225 55733690 55741156 55748622 55756089 55763556
n    :    14936    14937    14938    14939    14940    14941    14942    14943
n^2/4: 55771024 55778492 55785961 55793430 55800900 55808370 55815841 55823312
n    :    14944    14945    14946    14947    14948    14949    14950    14951
n^2/4: 55830784 55838256 55845729 55853202 55860676 55868150 55875625 55883100
n    :    14952    14953    14954    14955    14956    14957    14958    14959
n^2/4: 55890576 55898052 55905529 55913006 55920484 55927962 55935441 55942920
n    :    14960    14961    14962    14963    14964    14965    14966    14967
n^2/4: 55950400 55957880 55965361 55972842 55980324 55987806 55995289 56002772
n    :    14968    14969    14970    14971    14972    14973    14974    14975
n^2/4: 56010256 56017740 56025225 56032710 56040196 56047682 56055169 56062656
n    :    14976    14977    14978    14979    14980    14981    14982    14983
n^2/4: 56070144 56077632 56085121 56092610 56100100 56107590 56115081 56122572
n    :    14984    14985    14986    14987    14988    14989    14990    14991
n^2/4: 56130064 56137556 56145049 56152542 56160036 56167530 56175025 56182520
n    :    14992    14993    14994    14995    14996    14997    14998    14999
n^2/4: 56190016 56197512 56205009 56212506 56220004 56227502 56235001 56242500
n    :    15000    15001    15002    15003    15004    15005    15006    15007
n^2/4: 56250000 56257500 56265001 56272502 56280004 56287506 56295009 56302512
n    :    15008    15009    15010    15011    15012    15013    15014    15015
n^2/4: 56310016 56317520 56325025 56332530 56340036 56347542 56355049 56362556
n    :    15016    15017    15018    15019    15020    15021    15022    15023
n^2/4: 56370064 56377572 56385081 56392590 56400100 56407610 56415121 56422632
n    :    15024    15025    15026    15027    15028    15029    15030    15031
n^2/4: 56430144 56437656 56445169 56452682 56460196 56467710 56475225 56482740
n    :    15032    15033    15034    15035    15036    15037    15038    15039
n^2/4: 56490256 56497772 56505289 56512806 56520324 56527842 56535361 56542880
n    :    15040    15041    15042    15043    15044    15045    15046    15047
n^2/4: 56550400 56557920 56565441 56572962 56580484 56588006 56595529 56603052
n    :    15048    15049    15050    15051    15052    15053    15054    15055
n^2/4: 56610576 56618100 56625625 56633150 56640676 56648202 56655729 56663256
n    :    15056    15057    15058    15059    15060    15061    15062    15063
n^2/4: 56670784 56678312 56685841 56693370 56700900 56708430 56715961 56723492
n    :    15064    15065    15066    15067    15068    15069    15070    15071
n^2/4: 56731024 56738556 56746089 56753622 56761156 56768690 56776225 56783760
n    :    15072    15073    15074    15075    15076    15077    15078    15079
n^2/4: 56791296 56798832 56806369 56813906 56821444 56828982 56836521 56844060
n    :    15080    15081    15082    15083    15084    15085    15086    15087
n^2/4: 56851600 56859140 56866681 56874222 56881764 56889306 56896849 56904392
n    :    15088    15089    15090    15091    15092    15093    15094    15095
n^2/4: 56911936 56919480 56927025 56934570 56942116 56949662 56957209 56964756
n    :    15096    15097    15098    15099    15100    15101    15102    15103
n^2/4: 56972304 56979852 56987401 56994950 57002500 57010050 57017601 57025152
n    :    15104    15105    15106    15107    15108    15109    15110    15111
n^2/4: 57032704 57040256 57047809 57055362 57062916 57070470 57078025 57085580
n    :    15112    15113    15114    15115    15116    15117    15118    15119
n^2/4: 57093136 57100692 57108249 57115806 57123364 57130922 57138481 57146040
n    :    15120    15121    15122    15123    15124    15125    15126    15127
n^2/4: 57153600 57161160 57168721 57176282 57183844 57191406 57198969 57206532
n    :    15128    15129    15130    15131    15132    15133    15134    15135
n^2/4: 57214096 57221660 57229225 57236790 57244356 57251922 57259489 57267056
n    :    15136    15137    15138    15139    15140    15141    15142    15143
n^2/4: 57274624 57282192 57289761 57297330 57304900 57312470 57320041 57327612
n    :    15144    15145    15146    15147    15148    15149    15150    15151
n^2/4: 57335184 57342756 57350329 57357902 57365476 57373050 57380625 57388200
n    :    15152    15153    15154    15155    15156    15157    15158    15159
n^2/4: 57395776 57403352 57410929 57418506 57426084 57433662 57441241 57448820
n    :    15160    15161    15162    15163    15164    15165    15166    15167
n^2/4: 57456400 57463980 57471561 57479142 57486724 57494306 57501889 57509472
n    :    15168    15169    15170    15171    15172    15173    15174    15175
n^2/4: 57517056 57524640 57532225 57539810 57547396 57554982 57562569 57570156
n    :    15176    15177    15178    15179    15180    15181    15182    15183
n^2/4: 57577744 57585332 57592921 57600510 57608100 57615690 57623281 57630872
n    :    15184    15185    15186    15187    15188    15189    15190    15191
n^2/4: 57638464 57646056 57653649 57661242 57668836 57676430 57684025 57691620
n    :    15192    15193    15194    15195    15196    15197    15198    15199
n^2/4: 57699216 57706812 57714409 57722006 57729604 57737202 57744801 57752400
n    :    15200    15201    15202    15203    15204    15205    15206    15207
n^2/4: 57760000 57767600 57775201 57782802 57790404 57798006 57805609 57813212
n    :    15208    15209    15210    15211    15212    15213    15214    15215
n^2/4: 57820816 57828420 57836025 57843630 57851236 57858842 57866449 57874056
n    :    15216    15217    15218    15219    15220    15221    15222    15223
n^2/4: 57881664 57889272 57896881 57904490 57912100 57919710 57927321 57934932
n    :    15224    15225    15226    15227    15228    15229    15230    15231
n^2/4: 57942544 57950156 57957769 57965382 57972996 57980610 57988225 57995840
n    :    15232    15233    15234    15235    15236    15237    15238    15239
n^2/4: 58003456 58011072 58018689 58026306 58033924 58041542 58049161 58056780
n    :    15240    15241    15242    15243    15244    15245    15246    15247
n^2/4: 58064400 58072020 58079641 58087262 58094884 58102506 58110129 58117752
n    :    15248    15249    15250    15251    15252    15253    15254    15255
n^2/4: 58125376 58133000 58140625 58148250 58155876 58163502 58171129 58178756
n    :    15256    15257    15258    15259    15260    15261    15262    15263
n^2/4: 58186384 58194012 58201641 58209270 58216900 58224530 58232161 58239792
n    :    15264    15265    15266    15267    15268    15269    15270    15271
n^2/4: 58247424 58255056 58262689 58270322 58277956 58285590 58293225 58300860
n    :    15272    15273    15274    15275    15276    15277    15278    15279
n^2/4: 58308496 58316132 58323769 58331406 58339044 58346682 58354321 58361960
n    :    15280    15281    15282    15283    15284    15285    15286    15287
n^2/4: 58369600 58377240 58384881 58392522 58400164 58407806 58415449 58423092
n    :    15288    15289    15290    15291    15292    15293    15294    15295
n^2/4: 58430736 58438380 58446025 58453670 58461316 58468962 58476609 58484256
n    :    15296    15297    15298    15299    15300    15301    15302    15303
n^2/4: 58491904 58499552 58507201 58514850 58522500 58530150 58537801 58545452
n    :    15304    15305    15306    15307    15308    15309    15310    15311
n^2/4: 58553104 58560756 58568409 58576062 58583716 58591370 58599025 58606680
n    :    15312    15313    15314    15315    15316    15317    15318    15319
n^2/4: 58614336 58621992 58629649 58637306 58644964 58652622 58660281 58667940
n    :    15320    15321    15322    15323    15324    15325    15326    15327
n^2/4: 58675600 58683260 58690921 58698582 58706244 58713906 58721569 58729232
n    :    15328    15329    15330    15331    15332    15333    15334    15335
n^2/4: 58736896 58744560 58752225 58759890 58767556 58775222 58782889 58790556
n    :    15336    15337    15338    15339    15340    15341    15342    15343
n^2/4: 58798224 58805892 58813561 58821230 58828900 58836570 58844241 58851912
n    :    15344    15345    15346    15347    15348    15349    15350    15351
n^2/4: 58859584 58867256 58874929 58882602 58890276 58897950 58905625 58913300
n    :    15352    15353    15354    15355    15356    15357    15358    15359
n^2/4: 58920976 58928652 58936329 58944006 58951684 58959362 58967041 58974720
n    :    15360    15361    15362    15363    15364    15365    15366    15367
n^2/4: 58982400 58990080 58997761 59005442 59013124 59020806 59028489 59036172
n    :    15368    15369    15370    15371    15372    15373    15374    15375
n^2/4: 59043856 59051540 59059225 59066910 59074596 59082282 59089969 59097656
n    :    15376    15377    15378    15379    15380    15381    15382    15383
n^2/4: 59105344 59113032 59120721 59128410 59136100 59143790 59151481 59159172
n    :    15384    15385    15386    15387    15388    15389    15390    15391
n^2/4: 59166864 59174556 59182249 59189942 59197636 59205330 59213025 59220720
n    :    15392    15393    15394    15395    15396    15397    15398    15399
n^2/4: 59228416 59236112 59243809 59251506 59259204 59266902 59274601 59282300
n    :    15400    15401    15402    15403    15404    15405    15406    15407
n^2/4: 59290000 59297700 59305401 59313102 59320804 59328506 59336209 59343912
n    :    15408    15409    15410    15411    15412    15413    15414    15415
n^2/4: 59351616 59359320 59367025 59374730 59382436 59390142 59397849 59405556
n    :    15416    15417    15418    15419    15420    15421    15422    15423
n^2/4: 59413264 59420972 59428681 59436390 59444100 59451810 59459521 59467232
n    :    15424    15425    15426    15427    15428    15429    15430    15431
n^2/4: 59474944 59482656 59490369 59498082 59505796 59513510 59521225 59528940
n    :    15432    15433    15434    15435    15436    15437    15438    15439
n^2/4: 59536656 59544372 59552089 59559806 59567524 59575242 59582961 59590680
n    :    15440    15441    15442    15443    15444    15445    15446    15447
n^2/4: 59598400 59606120 59613841 59621562 59629284 59637006 59644729 59652452
n    :    15448    15449    15450    15451    15452    15453    15454    15455
n^2/4: 59660176 59667900 59675625 59683350 59691076 59698802 59706529 59714256
n    :    15456    15457    15458    15459    15460    15461    15462    15463
n^2/4: 59721984 59729712 59737441 59745170 59752900 59760630 59768361 59776092
n    :    15464    15465    15466    15467    15468    15469    15470    15471
n^2/4: 59783824 59791556 59799289 59807022 59814756 59822490 59830225 59837960
n    :    15472    15473    15474    15475    15476    15477    15478    15479
n^2/4: 59845696 59853432 59861169 59868906 59876644 59884382 59892121 59899860
n    :    15480    15481    15482    15483    15484    15485    15486    15487
n^2/4: 59907600 59915340 59923081 59930822 59938564 59946306 59954049 59961792
n    :    15488    15489    15490    15491    15492    15493    15494    15495
n^2/4: 59969536 59977280 59985025 59992770 60000516 60008262 60016009 60023756
n    :    15496    15497    15498    15499    15500    15501    15502    15503
n^2/4: 60031504 60039252 60047001 60054750 60062500 60070250 60078001 60085752
n    :    15504    15505    15506    15507    15508    15509    15510    15511
n^2/4: 60093504 60101256 60109009 60116762 60124516 60132270 60140025 60147780
n    :    15512    15513    15514    15515    15516    15517    15518    15519
n^2/4: 60155536 60163292 60171049 60178806 60186564 60194322 60202081 60209840
n    :    15520    15521    15522    15523    15524    15525    15526    15527
n^2/4: 60217600 60225360 60233121 60240882 60248644 60256406 60264169 60271932
n    :    15528    15529    15530    15531    15532    15533    15534    15535
n^2/4: 60279696 60287460 60295225 60302990 60310756 60318522 60326289 60334056
n    :    15536    15537    15538    15539    15540    15541    15542    15543
n^2/4: 60341824 60349592 60357361 60365130 60372900 60380670 60388441 60396212
n    :    15544    15545    15546    15547    15548    15549    15550    15551
n^2/4: 60403984 60411756 60419529 60427302 60435076 60442850 60450625 60458400
n    :    15552    15553    15554    15555    15556    15557    15558    15559
n^2/4: 60466176 60473952 60481729 60489506 60497284 60505062 60512841 60520620
n    :    15560    15561    15562    15563    15564    15565    15566    15567
n^2/4: 60528400 60536180 60543961 60551742 60559524 60567306 60575089 60582872
n    :    15568    15569    15570    15571    15572    15573    15574    15575
n^2/4: 60590656 60598440 60606225 60614010 60621796 60629582 60637369 60645156
n    :    15576    15577    15578    15579    15580    15581    15582    15583
n^2/4: 60652944 60660732 60668521 60676310 60684100 60691890 60699681 60707472
n    :    15584    15585    15586    15587    15588    15589    15590    15591
n^2/4: 60715264 60723056 60730849 60738642 60746436 60754230 60762025 60769820
n    :    15592    15593    15594    15595    15596    15597    15598    15599
n^2/4: 60777616 60785412 60793209 60801006 60808804 60816602 60824401 60832200
n    :    15600    15601    15602    15603    15604    15605    15606    15607
n^2/4: 60840000 60847800 60855601 60863402 60871204 60879006 60886809 60894612
n    :    15608    15609    15610    15611    15612    15613    15614    15615
n^2/4: 60902416 60910220 60918025 60925830 60933636 60941442 60949249 60957056
n    :    15616    15617    15618    15619    15620    15621    15622    15623
n^2/4: 60964864 60972672 60980481 60988290 60996100 61003910 61011721 61019532
n    :    15624    15625    15626    15627    15628    15629    15630    15631
n^2/4: 61027344 61035156 61042969 61050782 61058596 61066410 61074225 61082040
n    :    15632    15633    15634    15635    15636    15637    15638    15639
n^2/4: 61089856 61097672 61105489 61113306 61121124 61128942 61136761 61144580
n    :    15640    15641    15642    15643    15644    15645    15646    15647
n^2/4: 61152400 61160220 61168041 61175862 61183684 61191506 61199329 61207152
n    :    15648    15649    15650    15651    15652    15653    15654    15655
n^2/4: 61214976 61222800 61230625 61238450 61246276 61254102 61261929 61269756
n    :    15656    15657    15658    15659    15660    15661    15662    15663
n^2/4: 61277584 61285412 61293241 61301070 61308900 61316730 61324561 61332392
n    :    15664    15665    15666    15667    15668    15669    15670    15671
n^2/4: 61340224 61348056 61355889 61363722 61371556 61379390 61387225 61395060
n    :    15672    15673    15674    15675    15676    15677    15678    15679
n^2/4: 61402896 61410732 61418569 61426406 61434244 61442082 61449921 61457760
n    :    15680    15681    15682    15683    15684    15685    15686    15687
n^2/4: 61465600 61473440 61481281 61489122 61496964 61504806 61512649 61520492
n    :    15688    15689    15690    15691    15692    15693    15694    15695
n^2/4: 61528336 61536180 61544025 61551870 61559716 61567562 61575409 61583256
n    :    15696    15697    15698    15699    15700    15701    15702    15703
n^2/4: 61591104 61598952 61606801 61614650 61622500 61630350 61638201 61646052
n    :    15704    15705    15706    15707    15708    15709    15710    15711
n^2/4: 61653904 61661756 61669609 61677462 61685316 61693170 61701025 61708880
n    :    15712    15713    15714    15715    15716    15717    15718    15719
n^2/4: 61716736 61724592 61732449 61740306 61748164 61756022 61763881 61771740
n    :    15720    15721    15722    15723    15724    15725    15726    15727
n^2/4: 61779600 61787460 61795321 61803182 61811044 61818906 61826769 61834632
n    :    15728    15729    15730    15731    15732    15733    15734    15735
n^2/4: 61842496 61850360 61858225 61866090 61873956 61881822 61889689 61897556
n    :    15736    15737    15738    15739    15740    15741    15742    15743
n^2/4: 61905424 61913292 61921161 61929030 61936900 61944770 61952641 61960512
n    :    15744    15745    15746    15747    15748    15749    15750    15751
n^2/4: 61968384 61976256 61984129 61992002 61999876 62007750 62015625 62023500
n    :    15752    15753    15754    15755    15756    15757    15758    15759
n^2/4: 62031376 62039252 62047129 62055006 62062884 62070762 62078641 62086520
n    :    15760    15761    15762    15763    15764    15765    15766    15767
n^2/4: 62094400 62102280 62110161 62118042 62125924 62133806 62141689 62149572
n    :    15768    15769    15770    15771    15772    15773    15774    15775
n^2/4: 62157456 62165340 62173225 62181110 62188996 62196882 62204769 62212656
n    :    15776    15777    15778    15779    15780    15781    15782    15783
n^2/4: 62220544 62228432 62236321 62244210 62252100 62259990 62267881 62275772
n    :    15784    15785    15786    15787    15788    15789    15790    15791
n^2/4: 62283664 62291556 62299449 62307342 62315236 62323130 62331025 62338920
n    :    15792    15793    15794    15795    15796    15797    15798    15799
n^2/4: 62346816 62354712 62362609 62370506 62378404 62386302 62394201 62402100
n    :    15800    15801    15802    15803    15804    15805    15806    15807
n^2/4: 62410000 62417900 62425801 62433702 62441604 62449506 62457409 62465312
n    :    15808    15809    15810    15811    15812    15813    15814    15815
n^2/4: 62473216 62481120 62489025 62496930 62504836 62512742 62520649 62528556
n    :    15816    15817    15818    15819    15820    15821    15822    15823
n^2/4: 62536464 62544372 62552281 62560190 62568100 62576010 62583921 62591832
n    :    15824    15825    15826    15827    15828    15829    15830    15831
n^2/4: 62599744 62607656 62615569 62623482 62631396 62639310 62647225 62655140
n    :    15832    15833    15834    15835    15836    15837    15838    15839
n^2/4: 62663056 62670972 62678889 62686806 62694724 62702642 62710561 62718480
n    :    15840    15841    15842    15843    15844    15845    15846    15847
n^2/4: 62726400 62734320 62742241 62750162 62758084 62766006 62773929 62781852
n    :    15848    15849    15850    15851    15852    15853    15854    15855
n^2/4: 62789776 62797700 62805625 62813550 62821476 62829402 62837329 62845256
n    :    15856    15857    15858    15859    15860    15861    15862    15863
n^2/4: 62853184 62861112 62869041 62876970 62884900 62892830 62900761 62908692
n    :    15864    15865    15866    15867    15868    15869    15870    15871
n^2/4: 62916624 62924556 62932489 62940422 62948356 62956290 62964225 62972160
n    :    15872    15873    15874    15875    15876    15877    15878    15879
n^2/4: 62980096 62988032 62995969 63003906 63011844 63019782 63027721 63035660
n    :    15880    15881    15882    15883    15884    15885    15886    15887
n^2/4: 63043600 63051540 63059481 63067422 63075364 63083306 63091249 63099192
n    :    15888    15889    15890    15891    15892    15893    15894    15895
n^2/4: 63107136 63115080 63123025 63130970 63138916 63146862 63154809 63162756
n    :    15896    15897    15898    15899    15900    15901    15902    15903
n^2/4: 63170704 63178652 63186601 63194550 63202500 63210450 63218401 63226352
n    :    15904    15905    15906    15907    15908    15909    15910    15911
n^2/4: 63234304 63242256 63250209 63258162 63266116 63274070 63282025 63289980
n    :    15912    15913    15914    15915    15916    15917    15918    15919
n^2/4: 63297936 63305892 63313849 63321806 63329764 63337722 63345681 63353640
n    :    15920    15921    15922    15923    15924    15925    15926    15927
n^2/4: 63361600 63369560 63377521 63385482 63393444 63401406 63409369 63417332
n    :    15928    15929    15930    15931    15932    15933    15934    15935
n^2/4: 63425296 63433260 63441225 63449190 63457156 63465122 63473089 63481056
n    :    15936    15937    15938    15939    15940    15941    15942    15943
n^2/4: 63489024 63496992 63504961 63512930 63520900 63528870 63536841 63544812
n    :    15944    15945    15946    15947    15948    15949    15950    15951
n^2/4: 63552784 63560756 63568729 63576702 63584676 63592650 63600625 63608600
n    :    15952    15953    15954    15955    15956    15957    15958    15959
n^2/4: 63616576 63624552 63632529 63640506 63648484 63656462 63664441 63672420
n    :    15960    15961    15962    15963    15964    15965    15966    15967
n^2/4: 63680400 63688380 63696361 63704342 63712324 63720306 63728289 63736272
n    :    15968    15969    15970    15971    15972    15973    15974    15975
n^2/4: 63744256 63752240 63760225 63768210 63776196 63784182 63792169 63800156
n    :    15976    15977    15978    15979    15980    15981    15982    15983
n^2/4: 63808144 63816132 63824121 63832110 63840100 63848090 63856081 63864072
n    :    15984    15985    15986    15987    15988    15989    15990    15991
n^2/4: 63872064 63880056 63888049 63896042 63904036 63912030 63920025 63928020
n    :    15992    15993    15994    15995    15996    15997    15998    15999
n^2/4: 63936016 63944012 63952009 63960006 63968004 63976002 63984001 63992000
n    :    16000    16001    16002    16003    16004    16005    16006    16007
n^2/4: 64000000 64008000 64016001 64024002 64032004 64040006 64048009 64056012
n    :    16008    16009    16010    16011    16012    16013    16014    16015
n^2/4: 64064016 64072020 64080025 64088030 64096036 64104042 64112049 64120056
n    :    16016    16017    16018    16019    16020    16021    16022    16023
n^2/4: 64128064 64136072 64144081 64152090 64160100 64168110 64176121 64184132
n    :    16024    16025    16026    16027    16028    16029    16030    16031
n^2/4: 64192144 64200156 64208169 64216182 64224196 64232210 64240225 64248240
n    :    16032    16033    16034    16035    16036    16037    16038    16039
n^2/4: 64256256 64264272 64272289 64280306 64288324 64296342 64304361 64312380
n    :    16040    16041    16042    16043    16044    16045    16046    16047
n^2/4: 64320400 64328420 64336441 64344462 64352484 64360506 64368529 64376552
n    :    16048    16049    16050    16051    16052    16053    16054    16055
n^2/4: 64384576 64392600 64400625 64408650 64416676 64424702 64432729 64440756
n    :    16056    16057    16058    16059    16060    16061    16062    16063
n^2/4: 64448784 64456812 64464841 64472870 64480900 64488930 64496961 64504992
n    :    16064    16065    16066    16067    16068    16069    16070    16071
n^2/4: 64513024 64521056 64529089 64537122 64545156 64553190 64561225 64569260
n    :    16072    16073    16074    16075    16076    16077    16078    16079
n^2/4: 64577296 64585332 64593369 64601406 64609444 64617482 64625521 64633560
n    :    16080    16081    16082    16083    16084    16085    16086    16087
n^2/4: 64641600 64649640 64657681 64665722 64673764 64681806 64689849 64697892
n    :    16088    16089    16090    16091    16092    16093    16094    16095
n^2/4: 64705936 64713980 64722025 64730070 64738116 64746162 64754209 64762256
n    :    16096    16097    16098    16099    16100    16101    16102    16103
n^2/4: 64770304 64778352 64786401 64794450 64802500 64810550 64818601 64826652
n    :    16104    16105    16106    16107    16108    16109    16110    16111
n^2/4: 64834704 64842756 64850809 64858862 64866916 64874970 64883025 64891080
n    :    16112    16113    16114    16115    16116    16117    16118    16119
n^2/4: 64899136 64907192 64915249 64923306 64931364 64939422 64947481 64955540
n    :    16120    16121    16122    16123    16124    16125    16126    16127
n^2/4: 64963600 64971660 64979721 64987782 64995844 65003906 65011969 65020032
n    :    16128    16129    16130    16131    16132    16133    16134    16135
n^2/4: 65028096 65036160 65044225 65052290 65060356 65068422 65076489 65084556
n    :    16136    16137    16138    16139    16140    16141    16142    16143
n^2/4: 65092624 65100692 65108761 65116830 65124900 65132970 65141041 65149112
n    :    16144    16145    16146    16147    16148    16149    16150    16151
n^2/4: 65157184 65165256 65173329 65181402 65189476 65197550 65205625 65213700
n    :    16152    16153    16154    16155    16156    16157    16158    16159
n^2/4: 65221776 65229852 65237929 65246006 65254084 65262162 65270241 65278320
n    :    16160    16161    16162    16163    16164    16165    16166    16167
n^2/4: 65286400 65294480 65302561 65310642 65318724 65326806 65334889 65342972
n    :    16168    16169    16170    16171    16172    16173    16174    16175
n^2/4: 65351056 65359140 65367225 65375310 65383396 65391482 65399569 65407656
n    :    16176    16177    16178    16179    16180    16181    16182    16183
n^2/4: 65415744 65423832 65431921 65440010 65448100 65456190 65464281 65472372
n    :    16184    16185    16186    16187    16188    16189    16190    16191
n^2/4: 65480464 65488556 65496649 65504742 65512836 65520930 65529025 65537120
n    :    16192    16193    16194    16195    16196    16197    16198    16199
n^2/4: 65545216 65553312 65561409 65569506 65577604 65585702 65593801 65601900
n    :    16200    16201    16202    16203    16204    16205    16206    16207
n^2/4: 65610000 65618100 65626201 65634302 65642404 65650506 65658609 65666712
n    :    16208    16209    16210    16211    16212    16213    16214    16215
n^2/4: 65674816 65682920 65691025 65699130 65707236 65715342 65723449 65731556
n    :    16216    16217    16218    16219    16220    16221    16222    16223
n^2/4: 65739664 65747772 65755881 65763990 65772100 65780210 65788321 65796432
n    :    16224    16225    16226    16227    16228    16229    16230    16231
n^2/4: 65804544 65812656 65820769 65828882 65836996 65845110 65853225 65861340
n    :    16232    16233    16234    16235    16236    16237    16238    16239
n^2/4: 65869456 65877572 65885689 65893806 65901924 65910042 65918161 65926280
n    :    16240    16241    16242    16243    16244    16245    16246    16247
n^2/4: 65934400 65942520 65950641 65958762 65966884 65975006 65983129 65991252
n    :    16248    16249    16250    16251    16252    16253    16254    16255
n^2/4: 65999376 66007500 66015625 66023750 66031876 66040002 66048129 66056256
n    :    16256    16257    16258    16259    16260    16261    16262    16263
n^2/4: 66064384 66072512 66080641 66088770 66096900 66105030 66113161 66121292
n    :    16264    16265    16266    16267    16268    16269    16270    16271
n^2/4: 66129424 66137556 66145689 66153822 66161956 66170090 66178225 66186360
n    :    16272    16273    16274    16275    16276    16277    16278    16279
n^2/4: 66194496 66202632 66210769 66218906 66227044 66235182 66243321 66251460
n    :    16280    16281    16282    16283    16284    16285    16286    16287
n^2/4: 66259600 66267740 66275881 66284022 66292164 66300306 66308449 66316592
n    :    16288    16289    16290    16291    16292    16293    16294    16295
n^2/4: 66324736 66332880 66341025 66349170 66357316 66365462 66373609 66381756
n    :    16296    16297    16298    16299    16300    16301    16302    16303
n^2/4: 66389904 66398052 66406201 66414350 66422500 66430650 66438801 66446952
n    :    16304    16305    16306    16307    16308    16309    16310    16311
n^2/4: 66455104 66463256 66471409 66479562 66487716 66495870 66504025 66512180
n    :    16312    16313    16314    16315    16316    16317    16318    16319
n^2/4: 66520336 66528492 66536649 66544806 66552964 66561122 66569281 66577440
n    :    16320    16321    16322    16323    16324    16325    16326    16327
n^2/4: 66585600 66593760 66601921 66610082 66618244 66626406 66634569 66642732
n    :    16328    16329    16330    16331    16332    16333    16334    16335
n^2/4: 66650896 66659060 66667225 66675390 66683556 66691722 66699889 66708056
n    :    16336    16337    16338    16339    16340    16341    16342    16343
n^2/4: 66716224 66724392 66732561 66740730 66748900 66757070 66765241 66773412
n    :    16344    16345    16346    16347    16348    16349    16350    16351
n^2/4: 66781584 66789756 66797929 66806102 66814276 66822450 66830625 66838800
n    :    16352    16353    16354    16355    16356    16357    16358    16359
n^2/4: 66846976 66855152 66863329 66871506 66879684 66887862 66896041 66904220
n    :    16360    16361    16362    16363    16364    16365    16366    16367
n^2/4: 66912400 66920580 66928761 66936942 66945124 66953306 66961489 66969672
n    :    16368    16369    16370    16371    16372    16373    16374    16375
n^2/4: 66977856 66986040 66994225 67002410 67010596 67018782 67026969 67035156
n    :    16376    16377    16378    16379    16380    16381    16382    16383
n^2/4: 67043344 67051532 67059721 67067910 67076100 67084290 67092481 67100672
n    :    16384    16385    16386    16387    16388    16389    16390    16391
n^2/4: 67108864 67117056 67125249 67133442 67141636 67149830 67158025 67166220
n    :    16392    16393    16394    16395    16396    16397    16398    16399
n^2/4: 67174416 67182612 67190809 67199006 67207204 67215402 67223601 67231800
n    :    16400    16401    16402    16403    16404    16405    16406    16407
n^2/4: 67240000 67248200 67256401 67264602 67272804 67281006 67289209 67297412
n    :    16408    16409    16410    16411    16412    16413    16414    16415
n^2/4: 67305616 67313820 67322025 67330230 67338436 67346642 67354849 67363056
n    :    16416    16417    16418    16419    16420    16421    16422    16423
n^2/4: 67371264 67379472 67387681 67395890 67404100 67412310 67420521 67428732
n    :    16424    16425    16426    16427    16428    16429    16430    16431
n^2/4: 67436944 67445156 67453369 67461582 67469796 67478010 67486225 67494440
n    :    16432    16433    16434    16435    16436    16437    16438    16439
n^2/4: 67502656 67510872 67519089 67527306 67535524 67543742 67551961 67560180
n    :    16440    16441    16442    16443    16444    16445    16446    16447
n^2/4: 67568400 67576620 67584841 67593062 67601284 67609506 67617729 67625952
n    :    16448    16449    16450    16451    16452    16453    16454    16455
n^2/4: 67634176 67642400 67650625 67658850 67667076 67675302 67683529 67691756
n    :    16456    16457    16458    16459    16460    16461    16462    16463
n^2/4: 67699984 67708212 67716441 67724670 67732900 67741130 67749361 67757592
n    :    16464    16465    16466    16467    16468    16469    16470    16471
n^2/4: 67765824 67774056 67782289 67790522 67798756 67806990 67815225 67823460
n    :    16472    16473    16474    16475    16476    16477    16478    16479
n^2/4: 67831696 67839932 67848169 67856406 67864644 67872882 67881121 67889360
n    :    16480    16481    16482    16483    16484    16485    16486    16487
n^2/4: 67897600 67905840 67914081 67922322 67930564 67938806 67947049 67955292
n    :    16488    16489    16490    16491    16492    16493    16494    16495
n^2/4: 67963536 67971780 67980025 67988270 67996516 68004762 68013009 68021256
n    :    16496    16497    16498    16499    16500    16501    16502    16503
n^2/4: 68029504 68037752 68046001 68054250 68062500 68070750 68079001 68087252
n    :    16504    16505    16506    16507    16508    16509    16510    16511
n^2/4: 68095504 68103756 68112009 68120262 68128516 68136770 68145025 68153280
n    :    16512    16513    16514    16515    16516    16517    16518    16519
n^2/4: 68161536 68169792 68178049 68186306 68194564 68202822 68211081 68219340
n    :    16520    16521    16522    16523    16524    16525    16526    16527
n^2/4: 68227600 68235860 68244121 68252382 68260644 68268906 68277169 68285432
n    :    16528    16529    16530    16531    16532    16533    16534    16535
n^2/4: 68293696 68301960 68310225 68318490 68326756 68335022 68343289 68351556
n    :    16536    16537    16538    16539    16540    16541    16542    16543
n^2/4: 68359824 68368092 68376361 68384630 68392900 68401170 68409441 68417712
n    :    16544    16545    16546    16547    16548    16549    16550    16551
n^2/4: 68425984 68434256 68442529 68450802 68459076 68467350 68475625 68483900
n    :    16552    16553    16554    16555    16556    16557    16558    16559
n^2/4: 68492176 68500452 68508729 68517006 68525284 68533562 68541841 68550120
n    :    16560    16561    16562    16563    16564    16565    16566    16567
n^2/4: 68558400 68566680 68574961 68583242 68591524 68599806 68608089 68616372
n    :    16568    16569    16570    16571    16572    16573    16574    16575
n^2/4: 68624656 68632940 68641225 68649510 68657796 68666082 68674369 68682656
n    :    16576    16577    16578    16579    16580    16581    16582    16583
n^2/4: 68690944 68699232 68707521 68715810 68724100 68732390 68740681 68748972
n    :    16584    16585    16586    16587    16588    16589    16590    16591
n^2/4: 68757264 68765556 68773849 68782142 68790436 68798730 68807025 68815320
n    :    16592    16593    16594    16595    16596    16597    16598    16599
n^2/4: 68823616 68831912 68840209 68848506 68856804 68865102 68873401 68881700
n    :    16600    16601    16602    16603    16604    16605    16606    16607
n^2/4: 68890000 68898300 68906601 68914902 68923204 68931506 68939809 68948112
n    :    16608    16609    16610    16611    16612    16613    16614    16615
n^2/4: 68956416 68964720 68973025 68981330 68989636 68997942 69006249 69014556
n    :    16616    16617    16618    16619    16620    16621    16622    16623
n^2/4: 69022864 69031172 69039481 69047790 69056100 69064410 69072721 69081032
n    :    16624    16625    16626    16627    16628    16629    16630    16631
n^2/4: 69089344 69097656 69105969 69114282 69122596 69130910 69139225 69147540
n    :    16632    16633    16634    16635    16636    16637    16638    16639
n^2/4: 69155856 69164172 69172489 69180806 69189124 69197442 69205761 69214080
n    :    16640    16641    16642    16643    16644    16645    16646    16647
n^2/4: 69222400 69230720 69239041 69247362 69255684 69264006 69272329 69280652
n    :    16648    16649    16650    16651    16652    16653    16654    16655
n^2/4: 69288976 69297300 69305625 69313950 69322276 69330602 69338929 69347256
n    :    16656    16657    16658    16659    16660    16661    16662    16663
n^2/4: 69355584 69363912 69372241 69380570 69388900 69397230 69405561 69413892
n    :    16664    16665    16666    16667    16668    16669    16670    16671
n^2/4: 69422224 69430556 69438889 69447222 69455556 69463890 69472225 69480560
n    :    16672    16673    16674    16675    16676    16677    16678    16679
n^2/4: 69488896 69497232 69505569 69513906 69522244 69530582 69538921 69547260
n    :    16680    16681    16682    16683    16684    16685    16686    16687
n^2/4: 69555600 69563940 69572281 69580622 69588964 69597306 69605649 69613992
n    :    16688    16689    16690    16691    16692    16693    16694    16695
n^2/4: 69622336 69630680 69639025 69647370 69655716 69664062 69672409 69680756
n    :    16696    16697    16698    16699    16700    16701    16702    16703
n^2/4: 69689104 69697452 69705801 69714150 69722500 69730850 69739201 69747552
n    :    16704    16705    16706    16707    16708    16709    16710    16711
n^2/4: 69755904 69764256 69772609 69780962 69789316 69797670 69806025 69814380
n    :    16712    16713    16714    16715    16716    16717    16718    16719
n^2/4: 69822736 69831092 69839449 69847806 69856164 69864522 69872881 69881240
n    :    16720    16721    16722    16723    16724    16725    16726    16727
n^2/4: 69889600 69897960 69906321 69914682 69923044 69931406 69939769 69948132
n    :    16728    16729    16730    16731    16732    16733    16734    16735
n^2/4: 69956496 69964860 69973225 69981590 69989956 69998322 70006689 70015056
n    :    16736    16737    16738    16739    16740    16741    16742    16743
n^2/4: 70023424 70031792 70040161 70048530 70056900 70065270 70073641 70082012
n    :    16744    16745    16746    16747    16748    16749    16750    16751
n^2/4: 70090384 70098756 70107129 70115502 70123876 70132250 70140625 70149000
n    :    16752    16753    16754    16755    16756    16757    16758    16759
n^2/4: 70157376 70165752 70174129 70182506 70190884 70199262 70207641 70216020
n    :    16760    16761    16762    16763    16764    16765    16766    16767
n^2/4: 70224400 70232780 70241161 70249542 70257924 70266306 70274689 70283072
n    :    16768    16769    16770    16771    16772    16773    16774    16775
n^2/4: 70291456 70299840 70308225 70316610 70324996 70333382 70341769 70350156
n    :    16776    16777    16778    16779    16780    16781    16782    16783
n^2/4: 70358544 70366932 70375321 70383710 70392100 70400490 70408881 70417272
n    :    16784    16785    16786    16787    16788    16789    16790    16791
n^2/4: 70425664 70434056 70442449 70450842 70459236 70467630 70476025 70484420
n    :    16792    16793    16794    16795    16796    16797    16798    16799
n^2/4: 70492816 70501212 70509609 70518006 70526404 70534802 70543201 70551600
n    :    16800    16801    16802    16803    16804    16805    16806    16807
n^2/4: 70560000 70568400 70576801 70585202 70593604 70602006 70610409 70618812
n    :    16808    16809    16810    16811    16812    16813    16814    16815
n^2/4: 70627216 70635620 70644025 70652430 70660836 70669242 70677649 70686056
n    :    16816    16817    16818    16819    16820    16821    16822    16823
n^2/4: 70694464 70702872 70711281 70719690 70728100 70736510 70744921 70753332
n    :    16824    16825    16826    16827    16828    16829    16830    16831
n^2/4: 70761744 70770156 70778569 70786982 70795396 70803810 70812225 70820640
n    :    16832    16833    16834    16835    16836    16837    16838    16839
n^2/4: 70829056 70837472 70845889 70854306 70862724 70871142 70879561 70887980
n    :    16840    16841    16842    16843    16844    16845    16846    16847
n^2/4: 70896400 70904820 70913241 70921662 70930084 70938506 70946929 70955352
n    :    16848    16849    16850    16851    16852    16853    16854    16855
n^2/4: 70963776 70972200 70980625 70989050 70997476 71005902 71014329 71022756
n    :    16856    16857    16858    16859    16860    16861    16862    16863
n^2/4: 71031184 71039612 71048041 71056470 71064900 71073330 71081761 71090192
n    :    16864    16865    16866    16867    16868    16869    16870    16871
n^2/4: 71098624 71107056 71115489 71123922 71132356 71140790 71149225 71157660
n    :    16872    16873    16874    16875    16876    16877    16878    16879
n^2/4: 71166096 71174532 71182969 71191406 71199844 71208282 71216721 71225160
n    :    16880    16881    16882    16883    16884    16885    16886    16887
n^2/4: 71233600 71242040 71250481 71258922 71267364 71275806 71284249 71292692
n    :    16888    16889    16890    16891    16892    16893    16894    16895
n^2/4: 71301136 71309580 71318025 71326470 71334916 71343362 71351809 71360256
n    :    16896    16897    16898    16899    16900    16901    16902    16903
n^2/4: 71368704 71377152 71385601 71394050 71402500 71410950 71419401 71427852
n    :    16904    16905    16906    16907    16908    16909    16910    16911
n^2/4: 71436304 71444756 71453209 71461662 71470116 71478570 71487025 71495480
n    :    16912    16913    16914    16915    16916    16917    16918    16919
n^2/4: 71503936 71512392 71520849 71529306 71537764 71546222 71554681 71563140
n    :    16920    16921    16922    16923    16924    16925    16926    16927
n^2/4: 71571600 71580060 71588521 71596982 71605444 71613906 71622369 71630832
n    :    16928    16929    16930    16931    16932    16933    16934    16935
n^2/4: 71639296 71647760 71656225 71664690 71673156 71681622 71690089 71698556
n    :    16936    16937    16938    16939    16940    16941    16942    16943
n^2/4: 71707024 71715492 71723961 71732430 71740900 71749370 71757841 71766312
n    :    16944    16945    16946    16947    16948    16949    16950    16951
n^2/4: 71774784 71783256 71791729 71800202 71808676 71817150 71825625 71834100
n    :    16952    16953    16954    16955    16956    16957    16958    16959
n^2/4: 71842576 71851052 71859529 71868006 71876484 71884962 71893441 71901920
n    :    16960    16961    16962    16963    16964    16965    16966    16967
n^2/4: 71910400 71918880 71927361 71935842 71944324 71952806 71961289 71969772
n    :    16968    16969    16970    16971    16972    16973    16974    16975
n^2/4: 71978256 71986740 71995225 72003710 72012196 72020682 72029169 72037656
n    :    16976    16977    16978    16979    16980    16981    16982    16983
n^2/4: 72046144 72054632 72063121 72071610 72080100 72088590 72097081 72105572
n    :    16984    16985    16986    16987    16988    16989    16990    16991
n^2/4: 72114064 72122556 72131049 72139542 72148036 72156530 72165025 72173520
n    :    16992    16993    16994    16995    16996    16997    16998    16999
n^2/4: 72182016 72190512 72199009 72207506 72216004 72224502 72233001 72241500
n    :    17000    17001    17002    17003    17004    17005    17006    17007
n^2/4: 72250000 72258500 72267001 72275502 72284004 72292506 72301009 72309512
n    :    17008    17009    17010    17011    17012    17013    17014    17015
n^2/4: 72318016 72326520 72335025 72343530 72352036 72360542 72369049 72377556
n    :    17016    17017    17018    17019    17020    17021    17022    17023
n^2/4: 72386064 72394572 72403081 72411590 72420100 72428610 72437121 72445632
n    :    17024    17025    17026    17027    17028    17029    17030    17031
n^2/4: 72454144 72462656 72471169 72479682 72488196 72496710 72505225 72513740
n    :    17032    17033    17034    17035    17036    17037    17038    17039
n^2/4: 72522256 72530772 72539289 72547806 72556324 72564842 72573361 72581880
n    :    17040    17041    17042    17043    17044    17045    17046    17047
n^2/4: 72590400 72598920 72607441 72615962 72624484 72633006 72641529 72650052
n    :    17048    17049    17050    17051    17052    17053    17054    17055
n^2/4: 72658576 72667100 72675625 72684150 72692676 72701202 72709729 72718256
n    :    17056    17057    17058    17059    17060    17061    17062    17063
n^2/4: 72726784 72735312 72743841 72752370 72760900 72769430 72777961 72786492
n    :    17064    17065    17066    17067    17068    17069    17070    17071
n^2/4: 72795024 72803556 72812089 72820622 72829156 72837690 72846225 72854760
n    :    17072    17073    17074    17075    17076    17077    17078    17079
n^2/4: 72863296 72871832 72880369 72888906 72897444 72905982 72914521 72923060
n    :    17080    17081    17082    17083    17084    17085    17086    17087
n^2/4: 72931600 72940140 72948681 72957222 72965764 72974306 72982849 72991392
n    :    17088    17089    17090    17091    17092    17093    17094    17095
n^2/4: 72999936 73008480 73017025 73025570 73034116 73042662 73051209 73059756
n    :    17096    17097    17098    17099    17100    17101    17102    17103
n^2/4: 73068304 73076852 73085401 73093950 73102500 73111050 73119601 73128152
n    :    17104    17105    17106    17107    17108    17109    17110    17111
n^2/4: 73136704 73145256 73153809 73162362 73170916 73179470 73188025 73196580
n    :    17112    17113    17114    17115    17116    17117    17118    17119
n^2/4: 73205136 73213692 73222249 73230806 73239364 73247922 73256481 73265040
n    :    17120    17121    17122    17123    17124    17125    17126    17127
n^2/4: 73273600 73282160 73290721 73299282 73307844 73316406 73324969 73333532
n    :    17128    17129    17130    17131    17132    17133    17134    17135
n^2/4: 73342096 73350660 73359225 73367790 73376356 73384922 73393489 73402056
n    :    17136    17137    17138    17139    17140    17141    17142    17143
n^2/4: 73410624 73419192 73427761 73436330 73444900 73453470 73462041 73470612
n    :    17144    17145    17146    17147    17148    17149    17150    17151
n^2/4: 73479184 73487756 73496329 73504902 73513476 73522050 73530625 73539200
n    :    17152    17153    17154    17155    17156    17157    17158    17159
n^2/4: 73547776 73556352 73564929 73573506 73582084 73590662 73599241 73607820
n    :    17160    17161    17162    17163    17164    17165    17166    17167
n^2/4: 73616400 73624980 73633561 73642142 73650724 73659306 73667889 73676472
n    :    17168    17169    17170    17171    17172    17173    17174    17175
n^2/4: 73685056 73693640 73702225 73710810 73719396 73727982 73736569 73745156
n    :    17176    17177    17178    17179    17180    17181    17182    17183
n^2/4: 73753744 73762332 73770921 73779510 73788100 73796690 73805281 73813872
n    :    17184    17185    17186    17187    17188    17189    17190    17191
n^2/4: 73822464 73831056 73839649 73848242 73856836 73865430 73874025 73882620
n    :    17192    17193    17194    17195    17196    17197    17198    17199
n^2/4: 73891216 73899812 73908409 73917006 73925604 73934202 73942801 73951400
n    :    17200    17201    17202    17203    17204    17205    17206    17207
n^2/4: 73960000 73968600 73977201 73985802 73994404 74003006 74011609 74020212
n    :    17208    17209    17210    17211    17212    17213    17214    17215
n^2/4: 74028816 74037420 74046025 74054630 74063236 74071842 74080449 74089056
n    :    17216    17217    17218    17219    17220    17221    17222    17223
n^2/4: 74097664 74106272 74114881 74123490 74132100 74140710 74149321 74157932
n    :    17224    17225    17226    17227    17228    17229    17230    17231
n^2/4: 74166544 74175156 74183769 74192382 74200996 74209610 74218225 74226840
n    :    17232    17233    17234    17235    17236    17237    17238    17239
n^2/4: 74235456 74244072 74252689 74261306 74269924 74278542 74287161 74295780
n    :    17240    17241    17242    17243    17244    17245    17246    17247
n^2/4: 74304400 74313020 74321641 74330262 74338884 74347506 74356129 74364752
n    :    17248    17249    17250    17251    17252    17253    17254    17255
n^2/4: 74373376 74382000 74390625 74399250 74407876 74416502 74425129 74433756
n    :    17256    17257    17258    17259    17260    17261    17262    17263
n^2/4: 74442384 74451012 74459641 74468270 74476900 74485530 74494161 74502792
n    :    17264    17265    17266    17267    17268    17269    17270    17271
n^2/4: 74511424 74520056 74528689 74537322 74545956 74554590 74563225 74571860
n    :    17272    17273    17274    17275    17276    17277    17278    17279
n^2/4: 74580496 74589132 74597769 74606406 74615044 74623682 74632321 74640960
n    :    17280    17281    17282    17283    17284    17285    17286    17287
n^2/4: 74649600 74658240 74666881 74675522 74684164 74692806 74701449 74710092
n    :    17288    17289    17290    17291    17292    17293    17294    17295
n^2/4: 74718736 74727380 74736025 74744670 74753316 74761962 74770609 74779256
n    :    17296    17297    17298    17299    17300    17301    17302    17303
n^2/4: 74787904 74796552 74805201 74813850 74822500 74831150 74839801 74848452
n    :    17304    17305    17306    17307    17308    17309    17310    17311
n^2/4: 74857104 74865756 74874409 74883062 74891716 74900370 74909025 74917680
n    :    17312    17313    17314    17315    17316    17317    17318    17319
n^2/4: 74926336 74934992 74943649 74952306 74960964 74969622 74978281 74986940
n    :    17320    17321    17322    17323    17324    17325    17326    17327
n^2/4: 74995600 75004260 75012921 75021582 75030244 75038906 75047569 75056232
n    :    17328    17329    17330    17331    17332    17333    17334    17335
n^2/4: 75064896 75073560 75082225 75090890 75099556 75108222 75116889 75125556
n    :    17336    17337    17338    17339    17340    17341    17342    17343
n^2/4: 75134224 75142892 75151561 75160230 75168900 75177570 75186241 75194912
n    :    17344    17345    17346    17347    17348    17349    17350    17351
n^2/4: 75203584 75212256 75220929 75229602 75238276 75246950 75255625 75264300
n    :    17352    17353    17354    17355    17356    17357    17358    17359
n^2/4: 75272976 75281652 75290329 75299006 75307684 75316362 75325041 75333720
n    :    17360    17361    17362    17363    17364    17365    17366    17367
n^2/4: 75342400 75351080 75359761 75368442 75377124 75385806 75394489 75403172
n    :    17368    17369    17370    17371    17372    17373    17374    17375
n^2/4: 75411856 75420540 75429225 75437910 75446596 75455282 75463969 75472656
n    :    17376    17377    17378    17379    17380    17381    17382    17383
n^2/4: 75481344 75490032 75498721 75507410 75516100 75524790 75533481 75542172
n    :    17384    17385    17386    17387    17388    17389    17390    17391
n^2/4: 75550864 75559556 75568249 75576942 75585636 75594330 75603025 75611720
n    :    17392    17393    17394    17395    17396    17397    17398    17399
n^2/4: 75620416 75629112 75637809 75646506 75655204 75663902 75672601 75681300
n    :    17400    17401    17402    17403    17404    17405    17406    17407
n^2/4: 75690000 75698700 75707401 75716102 75724804 75733506 75742209 75750912
n    :    17408    17409    17410    17411    17412    17413    17414    17415
n^2/4: 75759616 75768320 75777025 75785730 75794436 75803142 75811849 75820556
n    :    17416    17417    17418    17419    17420    17421    17422    17423
n^2/4: 75829264 75837972 75846681 75855390 75864100 75872810 75881521 75890232
n    :    17424    17425    17426    17427    17428    17429    17430    17431
n^2/4: 75898944 75907656 75916369 75925082 75933796 75942510 75951225 75959940
n    :    17432    17433    17434    17435    17436    17437    17438    17439
n^2/4: 75968656 75977372 75986089 75994806 76003524 76012242 76020961 76029680
n    :    17440    17441    17442    17443    17444    17445    17446    17447
n^2/4: 76038400 76047120 76055841 76064562 76073284 76082006 76090729 76099452
n    :    17448    17449    17450    17451    17452    17453    17454    17455
n^2/4: 76108176 76116900 76125625 76134350 76143076 76151802 76160529 76169256
n    :    17456    17457    17458    17459    17460    17461    17462    17463
n^2/4: 76177984 76186712 76195441 76204170 76212900 76221630 76230361 76239092
n    :    17464    17465    17466    17467    17468    17469    17470    17471
n^2/4: 76247824 76256556 76265289 76274022 76282756 76291490 76300225 76308960
n    :    17472    17473    17474    17475    17476    17477    17478    17479
n^2/4: 76317696 76326432 76335169 76343906 76352644 76361382 76370121 76378860
n    :    17480    17481    17482    17483    17484    17485    17486    17487
n^2/4: 76387600 76396340 76405081 76413822 76422564 76431306 76440049 76448792
n    :    17488    17489    17490    17491    17492    17493    17494    17495
n^2/4: 76457536 76466280 76475025 76483770 76492516 76501262 76510009 76518756
n    :    17496    17497    17498    17499    17500    17501    17502    17503
n^2/4: 76527504 76536252 76545001 76553750 76562500 76571250 76580001 76588752
n    :    17504    17505    17506    17507    17508    17509    17510    17511
n^2/4: 76597504 76606256 76615009 76623762 76632516 76641270 76650025 76658780
n    :    17512    17513    17514    17515    17516    17517    17518    17519
n^2/4: 76667536 76676292 76685049 76693806 76702564 76711322 76720081 76728840
n    :    17520    17521    17522    17523    17524    17525    17526    17527
n^2/4: 76737600 76746360 76755121 76763882 76772644 76781406 76790169 76798932
n    :    17528    17529    17530    17531    17532    17533    17534    17535
n^2/4: 76807696 76816460 76825225 76833990 76842756 76851522 76860289 76869056
n    :    17536    17537    17538    17539    17540    17541    17542    17543
n^2/4: 76877824 76886592 76895361 76904130 76912900 76921670 76930441 76939212
n    :    17544    17545    17546    17547    17548    17549    17550    17551
n^2/4: 76947984 76956756 76965529 76974302 76983076 76991850 77000625 77009400
n    :    17552    17553    17554    17555    17556    17557    17558    17559
n^2/4: 77018176 77026952 77035729 77044506 77053284 77062062 77070841 77079620
n    :    17560    17561    17562    17563    17564    17565    17566    17567
n^2/4: 77088400 77097180 77105961 77114742 77123524 77132306 77141089 77149872
n    :    17568    17569    17570    17571    17572    17573    17574    17575
n^2/4: 77158656 77167440 77176225 77185010 77193796 77202582 77211369 77220156
n    :    17576    17577    17578    17579    17580    17581    17582    17583
n^2/4: 77228944 77237732 77246521 77255310 77264100 77272890 77281681 77290472
n    :    17584    17585    17586    17587    17588    17589    17590    17591
n^2/4: 77299264 77308056 77316849 77325642 77334436 77343230 77352025 77360820
n    :    17592    17593    17594    17595    17596    17597    17598    17599
n^2/4: 77369616 77378412 77387209 77396006 77404804 77413602 77422401 77431200
n    :    17600    17601    17602    17603    17604    17605    17606    17607
n^2/4: 77440000 77448800 77457601 77466402 77475204 77484006 77492809 77501612
n    :    17608    17609    17610    17611    17612    17613    17614    17615
n^2/4: 77510416 77519220 77528025 77536830 77545636 77554442 77563249 77572056
n    :    17616    17617    17618    17619    17620    17621    17622    17623
n^2/4: 77580864 77589672 77598481 77607290 77616100 77624910 77633721 77642532
n    :    17624    17625    17626    17627    17628    17629    17630    17631
n^2/4: 77651344 77660156 77668969 77677782 77686596 77695410 77704225 77713040
n    :    17632    17633    17634    17635    17636    17637    17638    17639
n^2/4: 77721856 77730672 77739489 77748306 77757124 77765942 77774761 77783580
n    :    17640    17641    17642    17643    17644    17645    17646    17647
n^2/4: 77792400 77801220 77810041 77818862 77827684 77836506 77845329 77854152
n    :    17648    17649    17650    17651    17652    17653    17654    17655
n^2/4: 77862976 77871800 77880625 77889450 77898276 77907102 77915929 77924756
n    :    17656    17657    17658    17659    17660    17661    17662    17663
n^2/4: 77933584 77942412 77951241 77960070 77968900 77977730 77986561 77995392
n    :    17664    17665    17666    17667    17668    17669    17670    17671
n^2/4: 78004224 78013056 78021889 78030722 78039556 78048390 78057225 78066060
n    :    17672    17673    17674    17675    17676    17677    17678    17679
n^2/4: 78074896 78083732 78092569 78101406 78110244 78119082 78127921 78136760
n    :    17680    17681    17682    17683    17684    17685    17686    17687
n^2/4: 78145600 78154440 78163281 78172122 78180964 78189806 78198649 78207492
n    :    17688    17689    17690    17691    17692    17693    17694    17695
n^2/4: 78216336 78225180 78234025 78242870 78251716 78260562 78269409 78278256
n    :    17696    17697    17698    17699    17700    17701    17702    17703
n^2/4: 78287104 78295952 78304801 78313650 78322500 78331350 78340201 78349052
n    :    17704    17705    17706    17707    17708    17709    17710    17711
n^2/4: 78357904 78366756 78375609 78384462 78393316 78402170 78411025 78419880
n    :    17712    17713    17714    17715    17716    17717    17718    17719
n^2/4: 78428736 78437592 78446449 78455306 78464164 78473022 78481881 78490740
n    :    17720    17721    17722    17723    17724    17725    17726    17727
n^2/4: 78499600 78508460 78517321 78526182 78535044 78543906 78552769 78561632
n    :    17728    17729    17730    17731    17732    17733    17734    17735
n^2/4: 78570496 78579360 78588225 78597090 78605956 78614822 78623689 78632556
n    :    17736    17737    17738    17739    17740    17741    17742    17743
n^2/4: 78641424 78650292 78659161 78668030 78676900 78685770 78694641 78703512
n    :    17744    17745    17746    17747    17748    17749    17750    17751
n^2/4: 78712384 78721256 78730129 78739002 78747876 78756750 78765625 78774500
n    :    17752    17753    17754    17755    17756    17757    17758    17759
n^2/4: 78783376 78792252 78801129 78810006 78818884 78827762 78836641 78845520
n    :    17760    17761    17762    17763    17764    17765    17766    17767
n^2/4: 78854400 78863280 78872161 78881042 78889924 78898806 78907689 78916572
n    :    17768    17769    17770    17771    17772    17773    17774    17775
n^2/4: 78925456 78934340 78943225 78952110 78960996 78969882 78978769 78987656
n    :    17776    17777    17778    17779    17780    17781    17782    17783
n^2/4: 78996544 79005432 79014321 79023210 79032100 79040990 79049881 79058772
n    :    17784    17785    17786    17787    17788    17789    17790    17791
n^2/4: 79067664 79076556 79085449 79094342 79103236 79112130 79121025 79129920
n    :    17792    17793    17794    17795    17796    17797    17798    17799
n^2/4: 79138816 79147712 79156609 79165506 79174404 79183302 79192201 79201100
n    :    17800    17801    17802    17803    17804    17805    17806    17807
n^2/4: 79210000 79218900 79227801 79236702 79245604 79254506 79263409 79272312
n    :    17808    17809    17810    17811    17812    17813    17814    17815
n^2/4: 79281216 79290120 79299025 79307930 79316836 79325742 79334649 79343556
n    :    17816    17817    17818    17819    17820    17821    17822    17823
n^2/4: 79352464 79361372 79370281 79379190 79388100 79397010 79405921 79414832
n    :    17824    17825    17826    17827    17828    17829    17830    17831
n^2/4: 79423744 79432656 79441569 79450482 79459396 79468310 79477225 79486140
n    :    17832    17833    17834    17835    17836    17837    17838    17839
n^2/4: 79495056 79503972 79512889 79521806 79530724 79539642 79548561 79557480
n    :    17840    17841    17842    17843    17844    17845    17846    17847
n^2/4: 79566400 79575320 79584241 79593162 79602084 79611006 79619929 79628852
n    :    17848    17849    17850    17851    17852    17853    17854    17855
n^2/4: 79637776 79646700 79655625 79664550 79673476 79682402 79691329 79700256
n    :    17856    17857    17858    17859    17860    17861    17862    17863
n^2/4: 79709184 79718112 79727041 79735970 79744900 79753830 79762761 79771692
n    :    17864    17865    17866    17867    17868    17869    17870    17871
n^2/4: 79780624 79789556 79798489 79807422 79816356 79825290 79834225 79843160
n    :    17872    17873    17874    17875    17876    17877    17878    17879
n^2/4: 79852096 79861032 79869969 79878906 79887844 79896782 79905721 79914660
n    :    17880    17881    17882    17883    17884    17885    17886    17887
n^2/4: 79923600 79932540 79941481 79950422 79959364 79968306 79977249 79986192
n    :    17888    17889    17890    17891    17892    17893    17894    17895
n^2/4: 79995136 80004080 80013025 80021970 80030916 80039862 80048809 80057756
n    :    17896    17897    17898    17899    17900    17901    17902    17903
n^2/4: 80066704 80075652 80084601 80093550 80102500 80111450 80120401 80129352
n    :    17904    17905    17906    17907    17908    17909    17910    17911
n^2/4: 80138304 80147256 80156209 80165162 80174116 80183070 80192025 80200980
n    :    17912    17913    17914    17915    17916    17917    17918    17919
n^2/4: 80209936 80218892 80227849 80236806 80245764 80254722 80263681 80272640
n    :    17920    17921    17922    17923    17924    17925    17926    17927
n^2/4: 80281600 80290560 80299521 80308482 80317444 80326406 80335369 80344332
n    :    17928    17929    17930    17931    17932    17933    17934    17935
n^2/4: 80353296 80362260 80371225 80380190 80389156 80398122 80407089 80416056
n    :    17936    17937    17938    17939    17940    17941    17942    17943
n^2/4: 80425024 80433992 80442961 80451930 80460900 80469870 80478841 80487812
n    :    17944    17945    17946    17947    17948    17949    17950    17951
n^2/4: 80496784 80505756 80514729 80523702 80532676 80541650 80550625 80559600
n    :    17952    17953    17954    17955    17956    17957    17958    17959
n^2/4: 80568576 80577552 80586529 80595506 80604484 80613462 80622441 80631420
n    :    17960    17961    17962    17963    17964    17965    17966    17967
n^2/4: 80640400 80649380 80658361 80667342 80676324 80685306 80694289 80703272
n    :    17968    17969    17970    17971    17972    17973    17974    17975
n^2/4: 80712256 80721240 80730225 80739210 80748196 80757182 80766169 80775156
n    :    17976    17977    17978    17979    17980    17981    17982    17983
n^2/4: 80784144 80793132 80802121 80811110 80820100 80829090 80838081 80847072
n    :    17984    17985    17986    17987    17988    17989    17990    17991
n^2/4: 80856064 80865056 80874049 80883042 80892036 80901030 80910025 80919020
n    :    17992    17993    17994    17995    17996    17997    17998    17999
n^2/4: 80928016 80937012 80946009 80955006 80964004 80973002 80982001 80991000
n    :    18000    18001    18002    18003    18004    18005    18006    18007
n^2/4: 81000000 81009000 81018001 81027002 81036004 81045006 81054009 81063012
n    :    18008    18009    18010    18011    18012    18013    18014    18015
n^2/4: 81072016 81081020 81090025 81099030 81108036 81117042 81126049 81135056
n    :    18016    18017    18018    18019    18020    18021    18022    18023
n^2/4: 81144064 81153072 81162081 81171090 81180100 81189110 81198121 81207132
n    :    18024    18025    18026    18027    18028    18029    18030    18031
n^2/4: 81216144 81225156 81234169 81243182 81252196 81261210 81270225 81279240
n    :    18032    18033    18034    18035    18036    18037    18038    18039
n^2/4: 81288256 81297272 81306289 81315306 81324324 81333342 81342361 81351380
n    :    18040    18041    18042    18043    18044    18045    18046    18047
n^2/4: 81360400 81369420 81378441 81387462 81396484 81405506 81414529 81423552
n    :    18048    18049    18050    18051    18052    18053    18054    18055
n^2/4: 81432576 81441600 81450625 81459650 81468676 81477702 81486729 81495756
n    :    18056    18057    18058    18059    18060    18061    18062    18063
n^2/4: 81504784 81513812 81522841 81531870 81540900 81549930 81558961 81567992
n    :    18064    18065    18066    18067    18068    18069    18070    18071
n^2/4: 81577024 81586056 81595089 81604122 81613156 81622190 81631225 81640260
n    :    18072    18073    18074    18075    18076    18077    18078    18079
n^2/4: 81649296 81658332 81667369 81676406 81685444 81694482 81703521 81712560
n    :    18080    18081    18082    18083    18084    18085    18086    18087
n^2/4: 81721600 81730640 81739681 81748722 81757764 81766806 81775849 81784892
n    :    18088    18089    18090    18091    18092    18093    18094    18095
n^2/4: 81793936 81802980 81812025 81821070 81830116 81839162 81848209 81857256
n    :    18096    18097    18098    18099    18100    18101    18102    18103
n^2/4: 81866304 81875352 81884401 81893450 81902500 81911550 81920601 81929652
n    :    18104    18105    18106    18107    18108    18109    18110    18111
n^2/4: 81938704 81947756 81956809 81965862 81974916 81983970 81993025 82002080
n    :    18112    18113    18114    18115    18116    18117    18118    18119
n^2/4: 82011136 82020192 82029249 82038306 82047364 82056422 82065481 82074540
n    :    18120    18121    18122    18123    18124    18125    18126    18127
n^2/4: 82083600 82092660 82101721 82110782 82119844 82128906 82137969 82147032
n    :    18128    18129    18130    18131    18132    18133    18134    18135
n^2/4: 82156096 82165160 82174225 82183290 82192356 82201422 82210489 82219556
n    :    18136    18137    18138    18139    18140    18141    18142    18143
n^2/4: 82228624 82237692 82246761 82255830 82264900 82273970 82283041 82292112
n    :    18144    18145    18146    18147    18148    18149    18150    18151
n^2/4: 82301184 82310256 82319329 82328402 82337476 82346550 82355625 82364700
n    :    18152    18153    18154    18155    18156    18157    18158    18159
n^2/4: 82373776 82382852 82391929 82401006 82410084 82419162 82428241 82437320
n    :    18160    18161    18162    18163    18164    18165    18166    18167
n^2/4: 82446400 82455480 82464561 82473642 82482724 82491806 82500889 82509972
n    :    18168    18169    18170    18171    18172    18173    18174    18175
n^2/4: 82519056 82528140 82537225 82546310 82555396 82564482 82573569 82582656
n    :    18176    18177    18178    18179    18180    18181    18182    18183
n^2/4: 82591744 82600832 82609921 82619010 82628100 82637190 82646281 82655372
n    :    18184    18185    18186    18187    18188    18189    18190    18191
n^2/4: 82664464 82673556 82682649 82691742 82700836 82709930 82719025 82728120
n    :    18192    18193    18194    18195    18196    18197    18198    18199
n^2/4: 82737216 82746312 82755409 82764506 82773604 82782702 82791801 82800900
n    :    18200    18201    18202    18203    18204    18205    18206    18207
n^2/4: 82810000 82819100 82828201 82837302 82846404 82855506 82864609 82873712
n    :    18208    18209    18210    18211    18212    18213    18214    18215
n^2/4: 82882816 82891920 82901025 82910130 82919236 82928342 82937449 82946556
n    :    18216    18217    18218    18219    18220    18221    18222    18223
n^2/4: 82955664 82964772 82973881 82982990 82992100 83001210 83010321 83019432
n    :    18224    18225    18226    18227    18228    18229    18230    18231
n^2/4: 83028544 83037656 83046769 83055882 83064996 83074110 83083225 83092340
n    :    18232    18233    18234    18235    18236    18237    18238    18239
n^2/4: 83101456 83110572 83119689 83128806 83137924 83147042 83156161 83165280
n    :    18240    18241    18242    18243    18244    18245    18246    18247
n^2/4: 83174400 83183520 83192641 83201762 83210884 83220006 83229129 83238252
n    :    18248    18249    18250    18251    18252    18253    18254    18255
n^2/4: 83247376 83256500 83265625 83274750 83283876 83293002 83302129 83311256
n    :    18256    18257    18258    18259    18260    18261    18262    18263
n^2/4: 83320384 83329512 83338641 83347770 83356900 83366030 83375161 83384292
n    :    18264    18265    18266    18267    18268    18269    18270    18271
n^2/4: 83393424 83402556 83411689 83420822 83429956 83439090 83448225 83457360
n    :    18272    18273    18274    18275    18276    18277    18278    18279
n^2/4: 83466496 83475632 83484769 83493906 83503044 83512182 83521321 83530460
n    :    18280    18281    18282    18283    18284    18285    18286    18287
n^2/4: 83539600 83548740 83557881 83567022 83576164 83585306 83594449 83603592
n    :    18288    18289    18290    18291    18292    18293    18294    18295
n^2/4: 83612736 83621880 83631025 83640170 83649316 83658462 83667609 83676756
n    :    18296    18297    18298    18299    18300    18301    18302    18303
n^2/4: 83685904 83695052 83704201 83713350 83722500 83731650 83740801 83749952
n    :    18304    18305    18306    18307    18308    18309    18310    18311
n^2/4: 83759104 83768256 83777409 83786562 83795716 83804870 83814025 83823180
n    :    18312    18313    18314    18315    18316    18317    18318    18319
n^2/4: 83832336 83841492 83850649 83859806 83868964 83878122 83887281 83896440
n    :    18320    18321    18322    18323    18324    18325    18326    18327
n^2/4: 83905600 83914760 83923921 83933082 83942244 83951406 83960569 83969732
n    :    18328    18329    18330    18331    18332    18333    18334    18335
n^2/4: 83978896 83988060 83997225 84006390 84015556 84024722 84033889 84043056
n    :    18336    18337    18338    18339    18340    18341    18342    18343
n^2/4: 84052224 84061392 84070561 84079730 84088900 84098070 84107241 84116412
n    :    18344    18345    18346    18347    18348    18349    18350    18351
n^2/4: 84125584 84134756 84143929 84153102 84162276 84171450 84180625 84189800
n    :    18352    18353    18354    18355    18356    18357    18358    18359
n^2/4: 84198976 84208152 84217329 84226506 84235684 84244862 84254041 84263220
n    :    18360    18361    18362    18363    18364    18365    18366    18367
n^2/4: 84272400 84281580 84290761 84299942 84309124 84318306 84327489 84336672
n    :    18368    18369    18370    18371    18372    18373    18374    18375
n^2/4: 84345856 84355040 84364225 84373410 84382596 84391782 84400969 84410156
n    :    18376    18377    18378    18379    18380    18381    18382    18383
n^2/4: 84419344 84428532 84437721 84446910 84456100 84465290 84474481 84483672
n    :    18384    18385    18386    18387    18388    18389    18390    18391
n^2/4: 84492864 84502056 84511249 84520442 84529636 84538830 84548025 84557220
n    :    18392    18393    18394    18395    18396    18397    18398    18399
n^2/4: 84566416 84575612 84584809 84594006 84603204 84612402 84621601 84630800
n    :    18400    18401    18402    18403    18404    18405    18406    18407
n^2/4: 84640000 84649200 84658401 84667602 84676804 84686006 84695209 84704412
n    :    18408    18409    18410    18411    18412    18413    18414    18415
n^2/4: 84713616 84722820 84732025 84741230 84750436 84759642 84768849 84778056
n    :    18416    18417    18418    18419    18420    18421    18422    18423
n^2/4: 84787264 84796472 84805681 84814890 84824100 84833310 84842521 84851732
n    :    18424    18425    18426    18427    18428    18429    18430    18431
n^2/4: 84860944 84870156 84879369 84888582 84897796 84907010 84916225 84925440
n    :    18432    18433    18434    18435    18436    18437    18438    18439
n^2/4: 84934656 84943872 84953089 84962306 84971524 84980742 84989961 84999180
n    :    18440    18441    18442    18443    18444    18445    18446    18447
n^2/4: 85008400 85017620 85026841 85036062 85045284 85054506 85063729 85072952
n    :    18448    18449    18450    18451    18452    18453    18454    18455
n^2/4: 85082176 85091400 85100625 85109850 85119076 85128302 85137529 85146756
n    :    18456    18457    18458    18459    18460    18461    18462    18463
n^2/4: 85155984 85165212 85174441 85183670 85192900 85202130 85211361 85220592
n    :    18464    18465    18466    18467    18468    18469    18470    18471
n^2/4: 85229824 85239056 85248289 85257522 85266756 85275990 85285225 85294460
n    :    18472    18473    18474    18475    18476    18477    18478    18479
n^2/4: 85303696 85312932 85322169 85331406 85340644 85349882 85359121 85368360
n    :    18480    18481    18482    18483    18484    18485    18486    18487
n^2/4: 85377600 85386840 85396081 85405322 85414564 85423806 85433049 85442292
n    :    18488    18489    18490    18491    18492    18493    18494    18495
n^2/4: 85451536 85460780 85470025 85479270 85488516 85497762 85507009 85516256
n    :    18496    18497    18498    18499    18500    18501    18502    18503
n^2/4: 85525504 85534752 85544001 85553250 85562500 85571750 85581001 85590252
n    :    18504    18505    18506    18507    18508    18509    18510    18511
n^2/4: 85599504 85608756 85618009 85627262 85636516 85645770 85655025 85664280
n    :    18512    18513    18514    18515    18516    18517    18518    18519
n^2/4: 85673536 85682792 85692049 85701306 85710564 85719822 85729081 85738340
n    :    18520    18521    18522    18523    18524    18525    18526    18527
n^2/4: 85747600 85756860 85766121 85775382 85784644 85793906 85803169 85812432
n    :    18528    18529    18530    18531    18532    18533    18534    18535
n^2/4: 85821696 85830960 85840225 85849490 85858756 85868022 85877289 85886556
n    :    18536    18537    18538    18539    18540    18541    18542    18543
n^2/4: 85895824 85905092 85914361 85923630 85932900 85942170 85951441 85960712
n    :    18544    18545    18546    18547    18548    18549    18550    18551
n^2/4: 85969984 85979256 85988529 85997802 86007076 86016350 86025625 86034900
n    :    18552    18553    18554    18555    18556    18557    18558    18559
n^2/4: 86044176 86053452 86062729 86072006 86081284 86090562 86099841 86109120
n    :    18560    18561    18562    18563    18564    18565    18566    18567
n^2/4: 86118400 86127680 86136961 86146242 86155524 86164806 86174089 86183372
n    :    18568    18569    18570    18571    18572    18573    18574    18575
n^2/4: 86192656 86201940 86211225 86220510 86229796 86239082 86248369 86257656
n    :    18576    18577    18578    18579    18580    18581    18582    18583
n^2/4: 86266944 86276232 86285521 86294810 86304100 86313390 86322681 86331972
n    :    18584    18585    18586    18587    18588    18589    18590    18591
n^2/4: 86341264 86350556 86359849 86369142 86378436 86387730 86397025 86406320
n    :    18592    18593    18594    18595    18596    18597    18598    18599
n^2/4: 86415616 86424912 86434209 86443506 86452804 86462102 86471401 86480700
n    :    18600    18601    18602    18603    18604    18605    18606    18607
n^2/4: 86490000 86499300 86508601 86517902 86527204 86536506 86545809 86555112
n    :    18608    18609    18610    18611    18612    18613    18614    18615
n^2/4: 86564416 86573720 86583025 86592330 86601636 86610942 86620249 86629556
n    :    18616    18617    18618    18619    18620    18621    18622    18623
n^2/4: 86638864 86648172 86657481 86666790 86676100 86685410 86694721 86704032
n    :    18624    18625    18626    18627    18628    18629    18630    18631
n^2/4: 86713344 86722656 86731969 86741282 86750596 86759910 86769225 86778540
n    :    18632    18633    18634    18635    18636    18637    18638    18639
n^2/4: 86787856 86797172 86806489 86815806 86825124 86834442 86843761 86853080
n    :    18640    18641    18642    18643    18644    18645    18646    18647
n^2/4: 86862400 86871720 86881041 86890362 86899684 86909006 86918329 86927652
n    :    18648    18649    18650    18651    18652    18653    18654    18655
n^2/4: 86936976 86946300 86955625 86964950 86974276 86983602 86992929 87002256
n    :    18656    18657    18658    18659    18660    18661    18662    18663
n^2/4: 87011584 87020912 87030241 87039570 87048900 87058230 87067561 87076892
n    :    18664    18665    18666    18667    18668    18669    18670    18671
n^2/4: 87086224 87095556 87104889 87114222 87123556 87132890 87142225 87151560
n    :    18672    18673    18674    18675    18676    18677    18678    18679
n^2/4: 87160896 87170232 87179569 87188906 87198244 87207582 87216921 87226260
n    :    18680    18681    18682    18683    18684    18685    18686    18687
n^2/4: 87235600 87244940 87254281 87263622 87272964 87282306 87291649 87300992
n    :    18688    18689    18690    18691    18692    18693    18694    18695
n^2/4: 87310336 87319680 87329025 87338370 87347716 87357062 87366409 87375756
n    :    18696    18697    18698    18699    18700    18701    18702    18703
n^2/4: 87385104 87394452 87403801 87413150 87422500 87431850 87441201 87450552
n    :    18704    18705    18706    18707    18708    18709    18710    18711
n^2/4: 87459904 87469256 87478609 87487962 87497316 87506670 87516025 87525380
n    :    18712    18713    18714    18715    18716    18717    18718    18719
n^2/4: 87534736 87544092 87553449 87562806 87572164 87581522 87590881 87600240
n    :    18720    18721    18722    18723    18724    18725    18726    18727
n^2/4: 87609600 87618960 87628321 87637682 87647044 87656406 87665769 87675132
n    :    18728    18729    18730    18731    18732    18733    18734    18735
n^2/4: 87684496 87693860 87703225 87712590 87721956 87731322 87740689 87750056
n    :    18736    18737    18738    18739    18740    18741    18742    18743
n^2/4: 87759424 87768792 87778161 87787530 87796900 87806270 87815641 87825012
n    :    18744    18745    18746    18747    18748    18749    18750    18751
n^2/4: 87834384 87843756 87853129 87862502 87871876 87881250 87890625 87900000
n    :    18752    18753    18754    18755    18756    18757    18758    18759
n^2/4: 87909376 87918752 87928129 87937506 87946884 87956262 87965641 87975020
n    :    18760    18761    18762    18763    18764    18765    18766    18767
n^2/4: 87984400 87993780 88003161 88012542 88021924 88031306 88040689 88050072
n    :    18768    18769    18770    18771    18772    18773    18774    18775
n^2/4: 88059456 88068840 88078225 88087610 88096996 88106382 88115769 88125156
n    :    18776    18777    18778    18779    18780    18781    18782    18783
n^2/4: 88134544 88143932 88153321 88162710 88172100 88181490 88190881 88200272
n    :    18784    18785    18786    18787    18788    18789    18790    18791
n^2/4: 88209664 88219056 88228449 88237842 88247236 88256630 88266025 88275420
n    :    18792    18793    18794    18795    18796    18797    18798    18799
n^2/4: 88284816 88294212 88303609 88313006 88322404 88331802 88341201 88350600
n    :    18800    18801    18802    18803    18804    18805    18806    18807
n^2/4: 88360000 88369400 88378801 88388202 88397604 88407006 88416409 88425812
n    :    18808    18809    18810    18811    18812    18813    18814    18815
n^2/4: 88435216 88444620 88454025 88463430 88472836 88482242 88491649 88501056
n    :    18816    18817    18818    18819    18820    18821    18822    18823
n^2/4: 88510464 88519872 88529281 88538690 88548100 88557510 88566921 88576332
n    :    18824    18825    18826    18827    18828    18829    18830    18831
n^2/4: 88585744 88595156 88604569 88613982 88623396 88632810 88642225 88651640
n    :    18832    18833    18834    18835    18836    18837    18838    18839
n^2/4: 88661056 88670472 88679889 88689306 88698724 88708142 88717561 88726980
n    :    18840    18841    18842    18843    18844    18845    18846    18847
n^2/4: 88736400 88745820 88755241 88764662 88774084 88783506 88792929 88802352
n    :    18848    18849    18850    18851    18852    18853    18854    18855
n^2/4: 88811776 88821200 88830625 88840050 88849476 88858902 88868329 88877756
n    :    18856    18857    18858    18859    18860    18861    18862    18863
n^2/4: 88887184 88896612 88906041 88915470 88924900 88934330 88943761 88953192
n    :    18864    18865    18866    18867    18868    18869    18870    18871
n^2/4: 88962624 88972056 88981489 88990922 89000356 89009790 89019225 89028660
n    :    18872    18873    18874    18875    18876    18877    18878    18879
n^2/4: 89038096 89047532 89056969 89066406 89075844 89085282 89094721 89104160
n    :    18880    18881    18882    18883    18884    18885    18886    18887
n^2/4: 89113600 89123040 89132481 89141922 89151364 89160806 89170249 89179692
n    :    18888    18889    18890    18891    18892    18893    18894    18895
n^2/4: 89189136 89198580 89208025 89217470 89226916 89236362 89245809 89255256
n    :    18896    18897    18898    18899    18900    18901    18902    18903
n^2/4: 89264704 89274152 89283601 89293050 89302500 89311950 89321401 89330852
n    :    18904    18905    18906    18907    18908    18909    18910    18911
n^2/4: 89340304 89349756 89359209 89368662 89378116 89387570 89397025 89406480
n    :    18912    18913    18914    18915    18916    18917    18918    18919
n^2/4: 89415936 89425392 89434849 89444306 89453764 89463222 89472681 89482140
n    :    18920    18921    18922    18923    18924    18925    18926    18927
n^2/4: 89491600 89501060 89510521 89519982 89529444 89538906 89548369 89557832
n    :    18928    18929    18930    18931    18932    18933    18934    18935
n^2/4: 89567296 89576760 89586225 89595690 89605156 89614622 89624089 89633556
n    :    18936    18937    18938    18939    18940    18941    18942    18943
n^2/4: 89643024 89652492 89661961 89671430 89680900 89690370 89699841 89709312
n    :    18944    18945    18946    18947    18948    18949    18950    18951
n^2/4: 89718784 89728256 89737729 89747202 89756676 89766150 89775625 89785100
n    :    18952    18953    18954    18955    18956    18957    18958    18959
n^2/4: 89794576 89804052 89813529 89823006 89832484 89841962 89851441 89860920
n    :    18960    18961    18962    18963    18964    18965    18966    18967
n^2/4: 89870400 89879880 89889361 89898842 89908324 89917806 89927289 89936772
n    :    18968    18969    18970    18971    18972    18973    18974    18975
n^2/4: 89946256 89955740 89965225 89974710 89984196 89993682 90003169 90012656
n    :    18976    18977    18978    18979    18980    18981    18982    18983
n^2/4: 90022144 90031632 90041121 90050610 90060100 90069590 90079081 90088572
n    :    18984    18985    18986    18987    18988    18989    18990    18991
n^2/4: 90098064 90107556 90117049 90126542 90136036 90145530 90155025 90164520
n    :    18992    18993    18994    18995    18996    18997    18998    18999
n^2/4: 90174016 90183512 90193009 90202506 90212004 90221502 90231001 90240500
n    :    19000    19001    19002    19003    19004    19005    19006    19007
n^2/4: 90250000 90259500 90269001 90278502 90288004 90297506 90307009 90316512
n    :    19008    19009    19010    19011    19012    19013    19014    19015
n^2/4: 90326016 90335520 90345025 90354530 90364036 90373542 90383049 90392556
n    :    19016    19017    19018    19019    19020    19021    19022    19023
n^2/4: 90402064 90411572 90421081 90430590 90440100 90449610 90459121 90468632
n    :    19024    19025    19026    19027    19028    19029    19030    19031
n^2/4: 90478144 90487656 90497169 90506682 90516196 90525710 90535225 90544740
n    :    19032    19033    19034    19035    19036    19037    19038    19039
n^2/4: 90554256 90563772 90573289 90582806 90592324 90601842 90611361 90620880
n    :    19040    19041    19042    19043    19044    19045    19046    19047
n^2/4: 90630400 90639920 90649441 90658962 90668484 90678006 90687529 90697052
n    :    19048    19049    19050    19051    19052    19053    19054    19055
n^2/4: 90706576 90716100 90725625 90735150 90744676 90754202 90763729 90773256
n    :    19056    19057    19058    19059    19060    19061    19062    19063
n^2/4: 90782784 90792312 90801841 90811370 90820900 90830430 90839961 90849492
n    :    19064    19065    19066    19067    19068    19069    19070    19071
n^2/4: 90859024 90868556 90878089 90887622 90897156 90906690 90916225 90925760
n    :    19072    19073    19074    19075    19076    19077    19078    19079
n^2/4: 90935296 90944832 90954369 90963906 90973444 90982982 90992521 91002060
n    :    19080    19081    19082    19083    19084    19085    19086    19087
n^2/4: 91011600 91021140 91030681 91040222 91049764 91059306 91068849 91078392
n    :    19088    19089    19090    19091    19092    19093    19094    19095
n^2/4: 91087936 91097480 91107025 91116570 91126116 91135662 91145209 91154756
n    :    19096    19097    19098    19099    19100    19101    19102    19103
n^2/4: 91164304 91173852 91183401 91192950 91202500 91212050 91221601 91231152
n    :    19104    19105    19106    19107    19108    19109    19110    19111
n^2/4: 91240704 91250256 91259809 91269362 91278916 91288470 91298025 91307580
n    :    19112    19113    19114    19115    19116    19117    19118    19119
n^2/4: 91317136 91326692 91336249 91345806 91355364 91364922 91374481 91384040
n    :    19120    19121    19122    19123    19124    19125    19126    19127
n^2/4: 91393600 91403160 91412721 91422282 91431844 91441406 91450969 91460532
n    :    19128    19129    19130    19131    19132    19133    19134    19135
n^2/4: 91470096 91479660 91489225 91498790 91508356 91517922 91527489 91537056
n    :    19136    19137    19138    19139    19140    19141    19142    19143
n^2/4: 91546624 91556192 91565761 91575330 91584900 91594470 91604041 91613612
n    :    19144    19145    19146    19147    19148    19149    19150    19151
n^2/4: 91623184 91632756 91642329 91651902 91661476 91671050 91680625 91690200
n    :    19152    19153    19154    19155    19156    19157    19158    19159
n^2/4: 91699776 91709352 91718929 91728506 91738084 91747662 91757241 91766820
n    :    19160    19161    19162    19163    19164    19165    19166    19167
n^2/4: 91776400 91785980 91795561 91805142 91814724 91824306 91833889 91843472
n    :    19168    19169    19170    19171    19172    19173    19174    19175
n^2/4: 91853056 91862640 91872225 91881810 91891396 91900982 91910569 91920156
n    :    19176    19177    19178    19179    19180    19181    19182    19183
n^2/4: 91929744 91939332 91948921 91958510 91968100 91977690 91987281 91996872
n    :    19184    19185    19186    19187    19188    19189    19190    19191
n^2/4: 92006464 92016056 92025649 92035242 92044836 92054430 92064025 92073620
n    :    19192    19193    19194    19195    19196    19197    19198    19199
n^2/4: 92083216 92092812 92102409 92112006 92121604 92131202 92140801 92150400
n    :    19200    19201    19202    19203    19204    19205    19206    19207
n^2/4: 92160000 92169600 92179201 92188802 92198404 92208006 92217609 92227212
n    :    19208    19209    19210    19211    19212    19213    19214    19215
n^2/4: 92236816 92246420 92256025 92265630 92275236 92284842 92294449 92304056
n    :    19216    19217    19218    19219    19220    19221    19222    19223
n^2/4: 92313664 92323272 92332881 92342490 92352100 92361710 92371321 92380932
n    :    19224    19225    19226    19227    19228    19229    19230    19231
n^2/4: 92390544 92400156 92409769 92419382 92428996 92438610 92448225 92457840
n    :    19232    19233    19234    19235    19236    19237    19238    19239
n^2/4: 92467456 92477072 92486689 92496306 92505924 92515542 92525161 92534780
n    :    19240    19241    19242    19243    19244    19245    19246    19247
n^2/4: 92544400 92554020 92563641 92573262 92582884 92592506 92602129 92611752
n    :    19248    19249    19250    19251    19252    19253    19254    19255
n^2/4: 92621376 92631000 92640625 92650250 92659876 92669502 92679129 92688756
n    :    19256    19257    19258    19259    19260    19261    19262    19263
n^2/4: 92698384 92708012 92717641 92727270 92736900 92746530 92756161 92765792
n    :    19264    19265    19266    19267    19268    19269    19270    19271
n^2/4: 92775424 92785056 92794689 92804322 92813956 92823590 92833225 92842860
n    :    19272    19273    19274    19275    19276    19277    19278    19279
n^2/4: 92852496 92862132 92871769 92881406 92891044 92900682 92910321 92919960
n    :    19280    19281    19282    19283    19284    19285    19286    19287
n^2/4: 92929600 92939240 92948881 92958522 92968164 92977806 92987449 92997092
n    :    19288    19289    19290    19291    19292    19293    19294    19295
n^2/4: 93006736 93016380 93026025 93035670 93045316 93054962 93064609 93074256
n    :    19296    19297    19298    19299    19300    19301    19302    19303
n^2/4: 93083904 93093552 93103201 93112850 93122500 93132150 93141801 93151452
n    :    19304    19305    19306    19307    19308    19309    19310    19311
n^2/4: 93161104 93170756 93180409 93190062 93199716 93209370 93219025 93228680
n    :    19312    19313    19314    19315    19316    19317    19318    19319
n^2/4: 93238336 93247992 93257649 93267306 93276964 93286622 93296281 93305940
n    :    19320    19321    19322    19323    19324    19325    19326    19327
n^2/4: 93315600 93325260 93334921 93344582 93354244 93363906 93373569 93383232
n    :    19328    19329    19330    19331    19332    19333    19334    19335
n^2/4: 93392896 93402560 93412225 93421890 93431556 93441222 93450889 93460556
n    :    19336    19337    19338    19339    19340    19341    19342    19343
n^2/4: 93470224 93479892 93489561 93499230 93508900 93518570 93528241 93537912
n    :    19344    19345    19346    19347    19348    19349    19350    19351
n^2/4: 93547584 93557256 93566929 93576602 93586276 93595950 93605625 93615300
n    :    19352    19353    19354    19355    19356    19357    19358    19359
n^2/4: 93624976 93634652 93644329 93654006 93663684 93673362 93683041 93692720
n    :    19360    19361    19362    19363    19364    19365    19366    19367
n^2/4: 93702400 93712080 93721761 93731442 93741124 93750806 93760489 93770172
n    :    19368    19369    19370    19371    19372    19373    19374    19375
n^2/4: 93779856 93789540 93799225 93808910 93818596 93828282 93837969 93847656
n    :    19376    19377    19378    19379    19380    19381    19382    19383
n^2/4: 93857344 93867032 93876721 93886410 93896100 93905790 93915481 93925172
n    :    19384    19385    19386    19387    19388    19389    19390    19391
n^2/4: 93934864 93944556 93954249 93963942 93973636 93983330 93993025 94002720
n    :    19392    19393    19394    19395    19396    19397    19398    19399
n^2/4: 94012416 94022112 94031809 94041506 94051204 94060902 94070601 94080300
n    :    19400    19401    19402    19403    19404    19405    19406    19407
n^2/4: 94090000 94099700 94109401 94119102 94128804 94138506 94148209 94157912
n    :    19408    19409    19410    19411    19412    19413    19414    19415
n^2/4: 94167616 94177320 94187025 94196730 94206436 94216142 94225849 94235556
n    :    19416    19417    19418    19419    19420    19421    19422    19423
n^2/4: 94245264 94254972 94264681 94274390 94284100 94293810 94303521 94313232
n    :    19424    19425    19426    19427    19428    19429    19430    19431
n^2/4: 94322944 94332656 94342369 94352082 94361796 94371510 94381225 94390940
n    :    19432    19433    19434    19435    19436    19437    19438    19439
n^2/4: 94400656 94410372 94420089 94429806 94439524 94449242 94458961 94468680
n    :    19440    19441    19442    19443    19444    19445    19446    19447
n^2/4: 94478400 94488120 94497841 94507562 94517284 94527006 94536729 94546452
n    :    19448    19449    19450    19451    19452    19453    19454    19455
n^2/4: 94556176 94565900 94575625 94585350 94595076 94604802 94614529 94624256
n    :    19456    19457    19458    19459    19460    19461    19462    19463
n^2/4: 94633984 94643712 94653441 94663170 94672900 94682630 94692361 94702092
n    :    19464    19465    19466    19467    19468    19469    19470    19471
n^2/4: 94711824 94721556 94731289 94741022 94750756 94760490 94770225 94779960
n    :    19472    19473    19474    19475    19476    19477    19478    19479
n^2/4: 94789696 94799432 94809169 94818906 94828644 94838382 94848121 94857860
n    :    19480    19481    19482    19483    19484    19485    19486    19487
n^2/4: 94867600 94877340 94887081 94896822 94906564 94916306 94926049 94935792
n    :    19488    19489    19490    19491    19492    19493    19494    19495
n^2/4: 94945536 94955280 94965025 94974770 94984516 94994262 95004009 95013756
n    :    19496    19497    19498    19499    19500    19501    19502    19503
n^2/4: 95023504 95033252 95043001 95052750 95062500 95072250 95082001 95091752
n    :    19504    19505    19506    19507    19508    19509    19510    19511
n^2/4: 95101504 95111256 95121009 95130762 95140516 95150270 95160025 95169780
n    :    19512    19513    19514    19515    19516    19517    19518    19519
n^2/4: 95179536 95189292 95199049 95208806 95218564 95228322 95238081 95247840
n    :    19520    19521    19522    19523    19524    19525    19526    19527
n^2/4: 95257600 95267360 95277121 95286882 95296644 95306406 95316169 95325932
n    :    19528    19529    19530    19531    19532    19533    19534    19535
n^2/4: 95335696 95345460 95355225 95364990 95374756 95384522 95394289 95404056
n    :    19536    19537    19538    19539    19540    19541    19542    19543
n^2/4: 95413824 95423592 95433361 95443130 95452900 95462670 95472441 95482212
n    :    19544    19545    19546    19547    19548    19549    19550    19551
n^2/4: 95491984 95501756 95511529 95521302 95531076 95540850 95550625 95560400
n    :    19552    19553    19554    19555    19556    19557    19558    19559
n^2/4: 95570176 95579952 95589729 95599506 95609284 95619062 95628841 95638620
n    :    19560    19561    19562    19563    19564    19565    19566    19567
n^2/4: 95648400 95658180 95667961 95677742 95687524 95697306 95707089 95716872
n    :    19568    19569    19570    19571    19572    19573    19574    19575
n^2/4: 95726656 95736440 95746225 95756010 95765796 95775582 95785369 95795156
n    :    19576    19577    19578    19579    19580    19581    19582    19583
n^2/4: 95804944 95814732 95824521 95834310 95844100 95853890 95863681 95873472
n    :    19584    19585    19586    19587    19588    19589    19590    19591
n^2/4: 95883264 95893056 95902849 95912642 95922436 95932230 95942025 95951820
n    :    19592    19593    19594    19595    19596    19597    19598    19599
n^2/4: 95961616 95971412 95981209 95991006 96000804 96010602 96020401 96030200
n    :    19600    19601    19602    19603    19604    19605    19606    19607
n^2/4: 96040000 96049800 96059601 96069402 96079204 96089006 96098809 96108612
n    :    19608    19609    19610    19611    19612    19613    19614    19615
n^2/4: 96118416 96128220 96138025 96147830 96157636 96167442 96177249 96187056
n    :    19616    19617    19618    19619    19620    19621    19622    19623
n^2/4: 96196864 96206672 96216481 96226290 96236100 96245910 96255721 96265532
n    :    19624    19625    19626    19627    19628    19629    19630    19631
n^2/4: 96275344 96285156 96294969 96304782 96314596 96324410 96334225 96344040
n    :    19632    19633    19634    19635    19636    19637    19638    19639
n^2/4: 96353856 96363672 96373489 96383306 96393124 96402942 96412761 96422580
n    :    19640    19641    19642    19643    19644    19645    19646    19647
n^2/4: 96432400 96442220 96452041 96461862 96471684 96481506 96491329 96501152
n    :    19648    19649    19650    19651    19652    19653    19654    19655
n^2/4: 96510976 96520800 96530625 96540450 96550276 96560102 96569929 96579756
n    :    19656    19657    19658    19659    19660    19661    19662    19663
n^2/4: 96589584 96599412 96609241 96619070 96628900 96638730 96648561 96658392
n    :    19664    19665    19666    19667    19668    19669    19670    19671
n^2/4: 96668224 96678056 96687889 96697722 96707556 96717390 96727225 96737060
n    :    19672    19673    19674    19675    19676    19677    19678    19679
n^2/4: 96746896 96756732 96766569 96776406 96786244 96796082 96805921 96815760
n    :    19680    19681    19682    19683    19684    19685    19686    19687
n^2/4: 96825600 96835440 96845281 96855122 96864964 96874806 96884649 96894492
n    :    19688    19689    19690    19691    19692    19693    19694    19695
n^2/4: 96904336 96914180 96924025 96933870 96943716 96953562 96963409 96973256
n    :    19696    19697    19698    19699    19700    19701    19702    19703
n^2/4: 96983104 96992952 97002801 97012650 97022500 97032350 97042201 97052052
n    :    19704    19705    19706    19707    19708    19709    19710    19711
n^2/4: 97061904 97071756 97081609 97091462 97101316 97111170 97121025 97130880
n    :    19712    19713    19714    19715    19716    19717    19718    19719
n^2/4: 97140736 97150592 97160449 97170306 97180164 97190022 97199881 97209740
n    :    19720    19721    19722    19723    19724    19725    19726    19727
n^2/4: 97219600 97229460 97239321 97249182 97259044 97268906 97278769 97288632
n    :    19728    19729    19730    19731    19732    19733    19734    19735
n^2/4: 97298496 97308360 97318225 97328090 97337956 97347822 97357689 97367556
n    :    19736    19737    19738    19739    19740    19741    19742    19743
n^2/4: 97377424 97387292 97397161 97407030 97416900 97426770 97436641 97446512
n    :    19744    19745    19746    19747    19748    19749    19750    19751
n^2/4: 97456384 97466256 97476129 97486002 97495876 97505750 97515625 97525500
n    :    19752    19753    19754    19755    19756    19757    19758    19759
n^2/4: 97535376 97545252 97555129 97565006 97574884 97584762 97594641 97604520
n    :    19760    19761    19762    19763    19764    19765    19766    19767
n^2/4: 97614400 97624280 97634161 97644042 97653924 97663806 97673689 97683572
n    :    19768    19769    19770    19771    19772    19773    19774    19775
n^2/4: 97693456 97703340 97713225 97723110 97732996 97742882 97752769 97762656
n    :    19776    19777    19778    19779    19780    19781    19782    19783
n^2/4: 97772544 97782432 97792321 97802210 97812100 97821990 97831881 97841772
n    :    19784    19785    19786    19787    19788    19789    19790    19791
n^2/4: 97851664 97861556 97871449 97881342 97891236 97901130 97911025 97920920
n    :    19792    19793    19794    19795    19796    19797    19798    19799
n^2/4: 97930816 97940712 97950609 97960506 97970404 97980302 97990201 98000100
n    :    19800    19801    19802    19803    19804    19805    19806    19807
n^2/4: 98010000 98019900 98029801 98039702 98049604 98059506 98069409 98079312
n    :    19808    19809    19810    19811    19812    19813    19814    19815
n^2/4: 98089216 98099120 98109025 98118930 98128836 98138742 98148649 98158556
n    :    19816    19817    19818    19819    19820    19821    19822    19823
n^2/4: 98168464 98178372 98188281 98198190 98208100 98218010 98227921 98237832
n    :    19824    19825    19826    19827    19828    19829    19830    19831
n^2/4: 98247744 98257656 98267569 98277482 98287396 98297310 98307225 98317140
n    :    19832    19833    19834    19835    19836    19837    19838    19839
n^2/4: 98327056 98336972 98346889 98356806 98366724 98376642 98386561 98396480
n    :    19840    19841    19842    19843    19844    19845    19846    19847
n^2/4: 98406400 98416320 98426241 98436162 98446084 98456006 98465929 98475852
n    :    19848    19849    19850    19851    19852    19853    19854    19855
n^2/4: 98485776 98495700 98505625 98515550 98525476 98535402 98545329 98555256
n    :    19856    19857    19858    19859    19860    19861    19862    19863
n^2/4: 98565184 98575112 98585041 98594970 98604900 98614830 98624761 98634692
n    :    19864    19865    19866    19867    19868    19869    19870    19871
n^2/4: 98644624 98654556 98664489 98674422 98684356 98694290 98704225 98714160
n    :    19872    19873    19874    19875    19876    19877    19878    19879
n^2/4: 98724096 98734032 98743969 98753906 98763844 98773782 98783721 98793660
n    :    19880    19881    19882    19883    19884    19885    19886    19887
n^2/4: 98803600 98813540 98823481 98833422 98843364 98853306 98863249 98873192
n    :    19888    19889    19890    19891    19892    19893    19894    19895
n^2/4: 98883136 98893080 98903025 98912970 98922916 98932862 98942809 98952756
n    :    19896    19897    19898    19899    19900    19901    19902    19903
n^2/4: 98962704 98972652 98982601 98992550 99002500 99012450 99022401 99032352
n    :    19904    19905    19906    19907    19908    19909    19910    19911
n^2/4: 99042304 99052256 99062209 99072162 99082116 99092070 99102025 99111980
n    :    19912    19913    19914    19915    19916    19917    19918    19919
n^2/4: 99121936 99131892 99141849 99151806 99161764 99171722 99181681 99191640
n    :    19920    19921    19922    19923    19924    19925    19926    19927
n^2/4: 99201600 99211560 99221521 99231482 99241444 99251406 99261369 99271332
n    :    19928    19929    19930    19931    19932    19933    19934    19935
n^2/4: 99281296 99291260 99301225 99311190 99321156 99331122 99341089 99351056
n    :    19936    19937    19938    19939    19940    19941    19942    19943
n^2/4: 99361024 99370992 99380961 99390930 99400900 99410870 99420841 99430812
n    :    19944    19945    19946    19947    19948    19949    19950    19951
n^2/4: 99440784 99450756 99460729 99470702 99480676 99490650 99500625 99510600
n    :    19952    19953    19954    19955    19956    19957    19958    19959
n^2/4: 99520576 99530552 99540529 99550506 99560484 99570462 99580441 99590420
n    :    19960    19961    19962    19963    19964    19965    19966    19967
n^2/4: 99600400 99610380 99620361 99630342 99640324 99650306 99660289 99670272
n    :    19968    19969    19970    19971    19972    19973    19974    19975
n^2/4: 99680256 99690240 99700225 99710210 99720196 99730182 99740169 99750156
n    :    19976    19977    19978    19979    19980    19981    19982    19983
n^2/4: 99760144 99770132 99780121 99790110 99800100 99810090 99820081 99830072
n    :    19984    19985    19986    19987    19988    19989    19990    19991
n^2/4: 99840064 99850056 99860049 99870042 99880036 99890030 99900025 99910020
n    :    19992    19993    19994    19995    19996    19997    19998
n^2/4: 99920016 99930012 99940009 99950006 99960004 99970002 99980001

D:\_KAZE\MokujIN>
*/


//int nthreads, tid;
//
///* Fork a team of threads with each thread having a private tid variable */
//#pragma omp parallel private(tid)
//  {
//
//  /* Obtain and print thread id */
//  tid = omp_get_thread_num();
//  printf("Hello World from thread = %d\n", tid);
//
//  /* Only master thread does this */
//  if (tid == 0) 
//    {
//    nthreads = omp_get_num_threads();
//    printf("Number of threads = %d\n", nthreads);
//    }
//
//  }  /* All threads join master thread and terminate */

/*
for (i=0; i < N; i++) {
  a[i] = i;
  b[i] = i;
}

#pragma omp parallel shared(a,b,c,d) private(i)
  {
  #pragma omp sections nowait
    {

    #pragma omp section
    for (i=0; i < N; i++) {
      d[i] = a[i] * b[i];
      printf("i: d vector: %i: %f\n", i, d[i]);
    }

    #pragma omp section
    for (i=0; i < N; i++) {
      c[i] = a[i] + b[i];
      printf("i: c vector: %i: %f\n", i, c[i]);
    }

    }
  }

D:\_KAZE\MokujIN\MPexamples>icl /Ox OpenMP2.c /Qopenmp /Qopenmp-link:static
Intel(R) C++ Compiler XE for applications running on IA-32, Version 12.1.1.258 Build 20111011
Copyright (C) 1985-2011 Intel Corporation.  All rights reserved.
icl: command line remark #10010: option '/Qopenmp-link:static' is deprecated and will be removed in a future release. See '/help deprecated'

OpenMP2.c
Microsoft (R) Incremental Linker Version 10.00.30319.01
Copyright (C) Microsoft Corporation.  All rights reserved.

-out:OpenMP2.exe
-nodefaultlib:libiompprof5mt.lib
-nodefaultlib:libiompprof5md.lib
-defaultlib:libiomp5mt.lib
-nodefaultlib:vcomp.lib
-nodefaultlib:vcompd.lib
OpenMP2.obj
D:\_KAZE\MokujIN\MPexamples>OpenMP2.exe
i: d vector: 0: 0.000000
i: c vector: 0: 0.000000
i: d vector: 1: 1.000000
i: c vector: 1: 2.000000
i: d vector: 2: 4.000000
i: c vector: 2: 4.000000
i: d vector: 3: 9.000000
i: c vector: 3: 6.000000
i: d vector: 4: 16.000000
i: c vector: 4: 8.000000
i: d vector: 5: 25.000000
i: c vector: 5: 10.000000
*/

// MIT.Press.Using.OpenMP.Portable.Shared.Memory.Parallel.Programming.pdf
// #pragma omp parallel shared(n) private(i)
// {
// #pragma omp for
// for (i=0; i<n; i++)
// printf("Thread %d executes loop iteration %d\n",
// omp_get_thread_num(),i);
// }
// Example of a work-sharing loop - Each thread executes a subset of the total iteration space i = 0, ... , n - 1.
